<?php
include_once(getabspath("classes/printpage.php"));

function DisplayMasterTableInfoForPrint_Cash_Receipt_for_checking($params)
{
	global $cman;
	
	$detailtable = $params["detailtable"];
	$keys = $params["keys"];
	
	$xt = new Xtempl();
	
	$tName = "Cash_Receipt_for_checking";
	$xt->eventsObject = getEventObject($tName);
	
	$mParams  = array();
	$mParams["xt"] = &$xt;
	$mParams["pageType"] = PAGE_PRINT;
	$mParams["tName"] = $tName;
	$masterPage = new PrintPage($mParams);
	
	$cipherer = new RunnerCipherer( $tName );
	$settings = new ProjectSettings($tName, PAGE_PRINT);
	$connection = $cman->byTable( $tName );
	
	$masterQuery = $settings->getSQLQuery();
	$viewControls = new ViewControlsContainer($settings, PAGE_PRINT, $masterPage);
	
	$where = "";
	$keysAssoc = array();
	$showKeys = "";

	if( $detailtable == "cash_receipt_detail_for_checking" )
	{
		$keysAssoc["id"] = $keys[1-1];
				$where.= RunnerPage::_getFieldSQLDecrypt("id", $connection , $settings , $cipherer) . "=" . $cipherer->MakeDBValue("id", $keys[1-1], "", true);
		
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("Cash_Receipt_for_checking","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);	
	}
	
	if( !$where )
		return;
	
	$str = SecuritySQL("Export", $tName );
	if( strlen($str) )
		$where.= " and ".$str;
	
	$strWhere = whereAdd( $masterQuery->m_where->toSql($masterQuery), $where );
	if( strlen($strWhere) )
		$strWhere= " where ".$strWhere." ";
		
	$strSQL = $masterQuery->HeadToSql().' '.$masterQuery->FromToSql().$strWhere.$masterQuery->TailToSql();
	LogInfo($strSQL);
	
	$data = $cipherer->DecryptFetchedArray( $connection->query( $strSQL )->fetchAssoc() );
	if( !$data )
		return;
	
	// reassign pagetitlelabel function adding extra params
	$xt->assign_function("pagetitlelabel", "xt_pagetitlelabel", array("record" => $data, "settings" => $settings));	
	
	$keylink = "";
	$keylink.= "&key1=".runner_htmlspecialchars(rawurlencode(@$data["id"]));
	
	$xt->assign("Print_mastervalue", $viewControls->showDBValue("Print", $data, $keylink));
	$format = $settings->getViewFormat("Print");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Print")))
		$class = ' rnr-field-number';
		
	$xt->assign("Print_class", $class); // add class for field header as field value
	$xt->assign("id_mastervalue", $viewControls->showDBValue("id", $data, $keylink));
	$format = $settings->getViewFormat("id");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("id")))
		$class = ' rnr-field-number';
		
	$xt->assign("id_class", $class); // add class for field header as field value
	$xt->assign("TXNID_mastervalue", $viewControls->showDBValue("TXNID", $data, $keylink));
	$format = $settings->getViewFormat("TXNID");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("TXNID")))
		$class = ' rnr-field-number';
		
	$xt->assign("TXNID_class", $class); // add class for field header as field value
	$xt->assign("Transadate_mastervalue", $viewControls->showDBValue("Transadate", $data, $keylink));
	$format = $settings->getViewFormat("Transadate");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Transadate")))
		$class = ' rnr-field-number';
		
	$xt->assign("Transadate_class", $class); // add class for field header as field value
	$xt->assign("Transaction_mastervalue", $viewControls->showDBValue("Transaction", $data, $keylink));
	$format = $settings->getViewFormat("Transaction");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Transaction")))
		$class = ' rnr-field-number';
		
	$xt->assign("Transaction_class", $class); // add class for field header as field value
	$xt->assign("Business_Partner_mastervalue", $viewControls->showDBValue("Business_Partner", $data, $keylink));
	$format = $settings->getViewFormat("Business_Partner");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Business_Partner")))
		$class = ' rnr-field-number';
		
	$xt->assign("Business_Partner_class", $class); // add class for field header as field value
	$xt->assign("Cash_Account_mastervalue", $viewControls->showDBValue("Cash_Account", $data, $keylink));
	$format = $settings->getViewFormat("Cash_Account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Cash_Account")))
		$class = ' rnr-field-number';
		
	$xt->assign("Cash_Account_class", $class); // add class for field header as field value
	$xt->assign("Terms_mastervalue", $viewControls->showDBValue("Terms", $data, $keylink));
	$format = $settings->getViewFormat("Terms");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Terms")))
		$class = ' rnr-field-number';
		
	$xt->assign("Terms_class", $class); // add class for field header as field value
	$xt->assign("Terms_Discount_percent_mastervalue", $viewControls->showDBValue("Terms_Discount_percent", $data, $keylink));
	$format = $settings->getViewFormat("Terms_Discount_percent");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Terms_Discount_percent")))
		$class = ' rnr-field-number';
		
	$xt->assign("Terms_Discount_percent_class", $class); // add class for field header as field value
	$xt->assign("Terms_Discount_days_mastervalue", $viewControls->showDBValue("Terms_Discount_days", $data, $keylink));
	$format = $settings->getViewFormat("Terms_Discount_days");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Terms_Discount_days")))
		$class = ' rnr-field-number';
		
	$xt->assign("Terms_Discount_days_class", $class); // add class for field header as field value
	$xt->assign("Terms_due_date_mastervalue", $viewControls->showDBValue("Terms_due_date", $data, $keylink));
	$format = $settings->getViewFormat("Terms_due_date");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Terms_due_date")))
		$class = ' rnr-field-number';
		
	$xt->assign("Terms_due_date_class", $class); // add class for field header as field value
	$xt->assign("Due_Date_mastervalue", $viewControls->showDBValue("Due_Date", $data, $keylink));
	$format = $settings->getViewFormat("Due_Date");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Due_Date")))
		$class = ' rnr-field-number';
		
	$xt->assign("Due_Date_class", $class); // add class for field header as field value
	$xt->assign("Cost_Center_mastervalue", $viewControls->showDBValue("Cost_Center", $data, $keylink));
	$format = $settings->getViewFormat("Cost_Center");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Cost_Center")))
		$class = ' rnr-field-number';
		
	$xt->assign("Cost_Center_class", $class); // add class for field header as field value
	$xt->assign("Shipping_Terms_mastervalue", $viewControls->showDBValue("Shipping_Terms", $data, $keylink));
	$format = $settings->getViewFormat("Shipping_Terms");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Shipping_Terms")))
		$class = ' rnr-field-number';
		
	$xt->assign("Shipping_Terms_class", $class); // add class for field header as field value
	$xt->assign("Gross_Sale_mastervalue", $viewControls->showDBValue("Gross_Sale", $data, $keylink));
	$format = $settings->getViewFormat("Gross_Sale");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Gross_Sale")))
		$class = ' rnr-field-number';
		
	$xt->assign("Gross_Sale_class", $class); // add class for field header as field value
	$xt->assign("Discount_Amount_mastervalue", $viewControls->showDBValue("Discount_Amount", $data, $keylink));
	$format = $settings->getViewFormat("Discount_Amount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Discount_Amount")))
		$class = ' rnr-field-number';
		
	$xt->assign("Discount_Amount_class", $class); // add class for field header as field value
	$xt->assign("Discount_Account_mastervalue", $viewControls->showDBValue("Discount_Account", $data, $keylink));
	$format = $settings->getViewFormat("Discount_Account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Discount_Account")))
		$class = ' rnr-field-number';
		
	$xt->assign("Discount_Account_class", $class); // add class for field header as field value
	$xt->assign("Vat_Amount_mastervalue", $viewControls->showDBValue("Vat_Amount", $data, $keylink));
	$format = $settings->getViewFormat("Vat_Amount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Vat_Amount")))
		$class = ' rnr-field-number';
		
	$xt->assign("Vat_Amount_class", $class); // add class for field header as field value
	$xt->assign("VAT_Account_mastervalue", $viewControls->showDBValue("VAT_Account", $data, $keylink));
	$format = $settings->getViewFormat("VAT_Account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("VAT_Account")))
		$class = ' rnr-field-number';
		
	$xt->assign("VAT_Account_class", $class); // add class for field header as field value
	$xt->assign("EWT_Amount_mastervalue", $viewControls->showDBValue("EWT_Amount", $data, $keylink));
	$format = $settings->getViewFormat("EWT_Amount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("EWT_Amount")))
		$class = ' rnr-field-number';
		
	$xt->assign("EWT_Amount_class", $class); // add class for field header as field value
	$xt->assign("EWT_Account_mastervalue", $viewControls->showDBValue("EWT_Account", $data, $keylink));
	$format = $settings->getViewFormat("EWT_Account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("EWT_Account")))
		$class = ' rnr-field-number';
		
	$xt->assign("EWT_Account_class", $class); // add class for field header as field value
	$xt->assign("Net_Amount_mastervalue", $viewControls->showDBValue("Net_Amount", $data, $keylink));
	$format = $settings->getViewFormat("Net_Amount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Net_Amount")))
		$class = ' rnr-field-number';
		
	$xt->assign("Net_Amount_class", $class); // add class for field header as field value
	$xt->assign("Taxable_mastervalue", $viewControls->showDBValue("Taxable", $data, $keylink));
	$format = $settings->getViewFormat("Taxable");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Taxable")))
		$class = ' rnr-field-number';
		
	$xt->assign("Taxable_class", $class); // add class for field header as field value
	$xt->assign("Remarks_mastervalue", $viewControls->showDBValue("Remarks", $data, $keylink));
	$format = $settings->getViewFormat("Remarks");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Remarks")))
		$class = ' rnr-field-number';
		
	$xt->assign("Remarks_class", $class); // add class for field header as field value
	$xt->assign("iscancelled_mastervalue", $viewControls->showDBValue("iscancelled", $data, $keylink));
	$format = $settings->getViewFormat("iscancelled");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("iscancelled")))
		$class = ' rnr-field-number';
		
	$xt->assign("iscancelled_class", $class); // add class for field header as field value
	$xt->assign("DateCancelled_mastervalue", $viewControls->showDBValue("DateCancelled", $data, $keylink));
	$format = $settings->getViewFormat("DateCancelled");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("DateCancelled")))
		$class = ' rnr-field-number';
		
	$xt->assign("DateCancelled_class", $class); // add class for field header as field value
	$xt->assign("Counter_Date_mastervalue", $viewControls->showDBValue("Counter Date", $data, $keylink));
	$format = $settings->getViewFormat("Counter Date");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Counter Date")))
		$class = ' rnr-field-number';
		
	$xt->assign("Counter_Date_class", $class); // add class for field header as field value
	$xt->assign("vatable_mastervalue", $viewControls->showDBValue("vatable", $data, $keylink));
	$format = $settings->getViewFormat("vatable");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("vatable")))
		$class = ' rnr-field-number';
		
	$xt->assign("vatable_class", $class); // add class for field header as field value
	$xt->assign("atc_mastervalue", $viewControls->showDBValue("atc", $data, $keylink));
	$format = $settings->getViewFormat("atc");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("atc")))
		$class = ' rnr-field-number';
		
	$xt->assign("atc_class", $class); // add class for field header as field value
	$xt->assign("ewt_rate_mastervalue", $viewControls->showDBValue("ewt_rate", $data, $keylink));
	$format = $settings->getViewFormat("ewt_rate");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("ewt_rate")))
		$class = ' rnr-field-number';
		
	$xt->assign("ewt_rate_class", $class); // add class for field header as field value
	$xt->assign("collection_mastervalue", $viewControls->showDBValue("collection", $data, $keylink));
	$format = $settings->getViewFormat("collection");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("collection")))
		$class = ' rnr-field-number';
		
	$xt->assign("collection_class", $class); // add class for field header as field value
	$xt->assign("check_no_mastervalue", $viewControls->showDBValue("check_no", $data, $keylink));
	$format = $settings->getViewFormat("check_no");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("check_no")))
		$class = ' rnr-field-number';
		
	$xt->assign("check_no_class", $class); // add class for field header as field value
	$xt->assign("bank_mastervalue", $viewControls->showDBValue("bank", $data, $keylink));
	$format = $settings->getViewFormat("bank");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("bank")))
		$class = ' rnr-field-number';
		
	$xt->assign("bank_class", $class); // add class for field header as field value
	$xt->assign("cash_collection_mastervalue", $viewControls->showDBValue("cash_collection", $data, $keylink));
	$format = $settings->getViewFormat("cash_collection");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("cash_collection")))
		$class = ' rnr-field-number';
		
	$xt->assign("cash_collection_class", $class); // add class for field header as field value
	$xt->assign("Net_pay_mastervalue", $viewControls->showDBValue("Net_pay", $data, $keylink));
	$format = $settings->getViewFormat("Net_pay");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Net_pay")))
		$class = ' rnr-field-number';
		
	$xt->assign("Net_pay_class", $class); // add class for field header as field value
	$xt->assign("Print1_mastervalue", $viewControls->showDBValue("Print1", $data, $keylink));
	$format = $settings->getViewFormat("Print1");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Print1")))
		$class = ' rnr-field-number';
		
	$xt->assign("Print1_class", $class); // add class for field header as field value
	$xt->assign("item_description_mastervalue", $viewControls->showDBValue("item_description", $data, $keylink));
	$format = $settings->getViewFormat("item_description");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("item_description")))
		$class = ' rnr-field-number';
		
	$xt->assign("item_description_class", $class); // add class for field header as field value
	$xt->assign("Description_mastervalue", $viewControls->showDBValue("Description", $data, $keylink));
	$format = $settings->getViewFormat("Description");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Description")))
		$class = ' rnr-field-number';
		
	$xt->assign("Description_class", $class); // add class for field header as field value
	$xt->assign("Account_name_mastervalue", $viewControls->showDBValue("Account_name", $data, $keylink));
	$format = $settings->getViewFormat("Account_name");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Account_name")))
		$class = ' rnr-field-number';
		
	$xt->assign("Account_name_class", $class); // add class for field header as field value
	$xt->assign("Subsidiary_mastervalue", $viewControls->showDBValue("Subsidiary", $data, $keylink));
	$format = $settings->getViewFormat("Subsidiary");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("Subsidiary")))
		$class = ' rnr-field-number';
		
	$xt->assign("Subsidiary_class", $class); // add class for field header as field value
	$xt->assign("temp_vatable_mastervalue", $viewControls->showDBValue("temp_vatable", $data, $keylink));
	$format = $settings->getViewFormat("temp_vatable");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("temp_vatable")))
		$class = ' rnr-field-number';
		
	$xt->assign("temp_vatable_class", $class); // add class for field header as field value
	$xt->assign("temp_acct_mastervalue", $viewControls->showDBValue("temp_acct", $data, $keylink));
	$format = $settings->getViewFormat("temp_acct");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("temp_acct")))
		$class = ' rnr-field-number';
		
	$xt->assign("temp_acct_class", $class); // add class for field header as field value
	$xt->assign("collection_discount_mastervalue", $viewControls->showDBValue("collection_discount", $data, $keylink));
	$format = $settings->getViewFormat("collection_discount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("collection_discount")))
		$class = ' rnr-field-number';
		
	$xt->assign("collection_discount_class", $class); // add class for field header as field value
	$xt->assign("net_collection_mastervalue", $viewControls->showDBValue("net_collection", $data, $keylink));
	$format = $settings->getViewFormat("net_collection");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("net_collection")))
		$class = ' rnr-field-number';
		
	$xt->assign("net_collection_class", $class); // add class for field header as field value
	$xt->assign("applied_vat_mastervalue", $viewControls->showDBValue("applied_vat", $data, $keylink));
	$format = $settings->getViewFormat("applied_vat");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("applied_vat")))
		$class = ' rnr-field-number';
		
	$xt->assign("applied_vat_class", $class); // add class for field header as field value
	$xt->assign("net_cash_collection_mastervalue", $viewControls->showDBValue("net_cash_collection", $data, $keylink));
	$format = $settings->getViewFormat("net_cash_collection");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("net_cash_collection")))
		$class = ' rnr-field-number';
		
	$xt->assign("net_cash_collection_class", $class); // add class for field header as field value
	$xt->assign("collection_ewt_mastervalue", $viewControls->showDBValue("collection_ewt", $data, $keylink));
	$format = $settings->getViewFormat("collection_ewt");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("collection_ewt")))
		$class = ' rnr-field-number';
		
	$xt->assign("collection_ewt_class", $class); // add class for field header as field value
	$xt->assign("total_collection_mastervalue", $viewControls->showDBValue("total_collection", $data, $keylink));
	$format = $settings->getViewFormat("total_collection");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("total_collection")))
		$class = ' rnr-field-number';
		
	$xt->assign("total_collection_class", $class); // add class for field header as field value
	$xt->assign("ref_no_mastervalue", $viewControls->showDBValue("ref_no", $data, $keylink));
	$format = $settings->getViewFormat("ref_no");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("ref_no")))
		$class = ' rnr-field-number';
		
	$xt->assign("ref_no_class", $class); // add class for field header as field value
	$xt->assign("file_mastervalue", $viewControls->showDBValue("file", $data, $keylink));
	$format = $settings->getViewFormat("file");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("file")))
		$class = ' rnr-field-number';
		
	$xt->assign("file_class", $class); // add class for field header as field value
	$xt->assign("vatable_sale_mastervalue", $viewControls->showDBValue("vatable_sale", $data, $keylink));
	$format = $settings->getViewFormat("vatable_sale");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("vatable_sale")))
		$class = ' rnr-field-number';
		
	$xt->assign("vatable_sale_class", $class); // add class for field header as field value
	$xt->assign("exempt_sale_mastervalue", $viewControls->showDBValue("exempt_sale", $data, $keylink));
	$format = $settings->getViewFormat("exempt_sale");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("exempt_sale")))
		$class = ' rnr-field-number';
		
	$xt->assign("exempt_sale_class", $class); // add class for field header as field value
	$xt->assign("zero_rated_sale_mastervalue", $viewControls->showDBValue("zero_rated_sale", $data, $keylink));
	$format = $settings->getViewFormat("zero_rated_sale");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("zero_rated_sale")))
		$class = ' rnr-field-number';
		
	$xt->assign("zero_rated_sale_class", $class); // add class for field header as field value
	$xt->assign("sale_to_government_mastervalue", $viewControls->showDBValue("sale_to_government", $data, $keylink));
	$format = $settings->getViewFormat("sale_to_government");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("sale_to_government")))
		$class = ' rnr-field-number';
		
	$xt->assign("sale_to_government_class", $class); // add class for field header as field value
	$xt->assign("creditable_vat_withheld_mastervalue", $viewControls->showDBValue("creditable_vat_withheld", $data, $keylink));
	$format = $settings->getViewFormat("creditable_vat_withheld");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("creditable_vat_withheld")))
		$class = ' rnr-field-number';
		
	$xt->assign("creditable_vat_withheld_class", $class); // add class for field header as field value
	$xt->assign("creditable_vat_withheld_rate_mastervalue", $viewControls->showDBValue("creditable_vat_withheld_rate", $data, $keylink));
	$format = $settings->getViewFormat("creditable_vat_withheld_rate");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("creditable_vat_withheld_rate")))
		$class = ' rnr-field-number';
		
	$xt->assign("creditable_vat_withheld_rate_class", $class); // add class for field header as field value
	$xt->assign("creditable_vat_withheld_type_mastervalue", $viewControls->showDBValue("creditable_vat_withheld_type", $data, $keylink));
	$format = $settings->getViewFormat("creditable_vat_withheld_type");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("creditable_vat_withheld_type")))
		$class = ' rnr-field-number';
		
	$xt->assign("creditable_vat_withheld_type_class", $class); // add class for field header as field value
	$xt->assign("date_of_check_mastervalue", $viewControls->showDBValue("date_of_check", $data, $keylink));
	$format = $settings->getViewFormat("date_of_check");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("date_of_check")))
		$class = ' rnr-field-number';
		
	$xt->assign("date_of_check_class", $class); // add class for field header as field value
	$xt->assign("temp_pdc_account_mastervalue", $viewControls->showDBValue("temp_pdc_account", $data, $keylink));
	$format = $settings->getViewFormat("temp_pdc_account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("temp_pdc_account")))
		$class = ' rnr-field-number';
		
	$xt->assign("temp_pdc_account_class", $class); // add class for field header as field value
	$xt->assign("temp_pdc_account_name_mastervalue", $viewControls->showDBValue("temp_pdc_account_name", $data, $keylink));
	$format = $settings->getViewFormat("temp_pdc_account_name");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("temp_pdc_account_name")))
		$class = ' rnr-field-number';
		
	$xt->assign("temp_pdc_account_name_class", $class); // add class for field header as field value
	$xt->assign("discount_type_mastervalue", $viewControls->showDBValue("discount_type", $data, $keylink));
	$format = $settings->getViewFormat("discount_type");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("discount_type")))
		$class = ' rnr-field-number';
		
	$xt->assign("discount_type_class", $class); // add class for field header as field value
	$xt->assign("discount_rate_mastervalue", $viewControls->showDBValue("discount_rate", $data, $keylink));
	$format = $settings->getViewFormat("discount_rate");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("discount_rate")))
		$class = ' rnr-field-number';
		
	$xt->assign("discount_rate_class", $class); // add class for field header as field value
	$xt->assign("discount_code_mastervalue", $viewControls->showDBValue("discount_code", $data, $keylink));
	$format = $settings->getViewFormat("discount_code");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("discount_code")))
		$class = ' rnr-field-number';
		
	$xt->assign("discount_code_class", $class); // add class for field header as field value
	$xt->assign("project_mastervalue", $viewControls->showDBValue("project", $data, $keylink));
	$format = $settings->getViewFormat("project");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("project")))
		$class = ' rnr-field-number';
		
	$xt->assign("project_class", $class); // add class for field header as field value
	$xt->assign("phase_mastervalue", $viewControls->showDBValue("phase", $data, $keylink));
	$format = $settings->getViewFormat("phase");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("phase")))
		$class = ' rnr-field-number';
		
	$xt->assign("phase_class", $class); // add class for field header as field value
	$xt->assign("sales_rep_mastervalue", $viewControls->showDBValue("sales_rep", $data, $keylink));
	$format = $settings->getViewFormat("sales_rep");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("sales_rep")))
		$class = ' rnr-field-number';
		
	$xt->assign("sales_rep_class", $class); // add class for field header as field value
	$xt->assign("currecy_mastervalue", $viewControls->showDBValue("currecy", $data, $keylink));
	$format = $settings->getViewFormat("currecy");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("currecy")))
		$class = ' rnr-field-number';
		
	$xt->assign("currecy_class", $class); // add class for field header as field value
	$xt->assign("exchange_rate_mastervalue", $viewControls->showDBValue("exchange_rate", $data, $keylink));
	$format = $settings->getViewFormat("exchange_rate");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("exchange_rate")))
		$class = ' rnr-field-number';
		
	$xt->assign("exchange_rate_class", $class); // add class for field header as field value
	$xt->assign("credit_memo_mastervalue", $viewControls->showDBValue("credit_memo", $data, $keylink));
	$format = $settings->getViewFormat("credit_memo");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("credit_memo")))
		$class = ' rnr-field-number';
		
	$xt->assign("credit_memo_class", $class); // add class for field header as field value
	$xt->assign("credit_memo_ref_mastervalue", $viewControls->showDBValue("credit_memo_ref", $data, $keylink));
	$format = $settings->getViewFormat("credit_memo_ref");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("credit_memo_ref")))
		$class = ' rnr-field-number';
		
	$xt->assign("credit_memo_ref_class", $class); // add class for field header as field value
	$xt->assign("status_remarks_mastervalue", $viewControls->showDBValue("status_remarks", $data, $keylink));
	$format = $settings->getViewFormat("status_remarks");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("status_remarks")))
		$class = ' rnr-field-number';
		
	$xt->assign("status_remarks_class", $class); // add class for field header as field value
	$xt->assign("status_mastervalue", $viewControls->showDBValue("status", $data, $keylink));
	$format = $settings->getViewFormat("status");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("status")))
		$class = ' rnr-field-number';
		
	$xt->assign("status_class", $class); // add class for field header as field value
	$xt->assign("location_mastervalue", $viewControls->showDBValue("location", $data, $keylink));
	$format = $settings->getViewFormat("location");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("location")))
		$class = ' rnr-field-number';
		
	$xt->assign("location_class", $class); // add class for field header as field value
	$xt->assign("prepared_date_mastervalue", $viewControls->showDBValue("prepared_date", $data, $keylink));
	$format = $settings->getViewFormat("prepared_date");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("prepared_date")))
		$class = ' rnr-field-number';
		
	$xt->assign("prepared_date_class", $class); // add class for field header as field value
	$xt->assign("modified_by_mastervalue", $viewControls->showDBValue("modified_by", $data, $keylink));
	$format = $settings->getViewFormat("modified_by");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("modified_by")))
		$class = ' rnr-field-number';
		
	$xt->assign("modified_by_class", $class); // add class for field header as field value
	$xt->assign("modified_date_mastervalue", $viewControls->showDBValue("modified_date", $data, $keylink));
	$format = $settings->getViewFormat("modified_date");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("modified_date")))
		$class = ' rnr-field-number';
		
	$xt->assign("modified_date_class", $class); // add class for field header as field value

	$layout = GetPageLayout("Cash_Receipt_for_checking", 'masterprint');
	if( $layout )
		$xt->assign("pageattrs", 'class="'.$layout->style." page-".$layout->name.'"');

	$xt->displayPartial(GetTemplateName("Cash_Receipt_for_checking", "masterprint"));
}

?>