<?php
include_once(getabspath("classes/printpage.php"));

function DisplayMasterTableInfoForPrint_bank_recon($params)
{
	global $cman;
	
	$detailtable = $params["detailtable"];
	$keys = $params["keys"];
	
	$xt = new Xtempl();
	
	$tName = "bank_recon";
	$xt->eventsObject = getEventObject($tName);
	
	$mParams  = array();
	$mParams["xt"] = &$xt;
	$mParams["pageType"] = PAGE_PRINT;
	$mParams["tName"] = $tName;
	$masterPage = new PrintPage($mParams);
	
	$cipherer = new RunnerCipherer( $tName );
	$settings = new ProjectSettings($tName, PAGE_PRINT);
	$connection = $cman->byTable( $tName );
	
	$masterQuery = $settings->getSQLQuery();
	$viewControls = new ViewControlsContainer($settings, PAGE_PRINT, $masterPage);
	
	$where = "";
	$keysAssoc = array();
	$showKeys = "";

	if( $detailtable == "Recon_deposit" )
	{
		$keysAssoc["default_chart_of_account"] = $keys[1-1];
				$where.= RunnerPage::_getFieldSQLDecrypt("default_chart_of_account", $connection , $settings , $cipherer) . "=" . $cipherer->MakeDBValue("default_chart_of_account", $keys[1-1], "", true);
		
				$keyValue = $viewControls->showDBValue("default_chart_of_account", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("bank_recon","default_chart_of_account").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);	
	}

	if( $detailtable == "Recon_GV_dep" )
	{
		$keysAssoc["default_chart_of_account"] = $keys[1-1];
				$where.= RunnerPage::_getFieldSQLDecrypt("default_chart_of_account", $connection , $settings , $cipherer) . "=" . $cipherer->MakeDBValue("default_chart_of_account", $keys[1-1], "", true);
		
				$keyValue = $viewControls->showDBValue("default_chart_of_account", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("bank_recon","default_chart_of_account").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);	
	}

	if( $detailtable == "recon_CR" )
	{
		$keysAssoc["default_chart_of_account"] = $keys[1-1];
				$where.= RunnerPage::_getFieldSQLDecrypt("default_chart_of_account", $connection , $settings , $cipherer) . "=" . $cipherer->MakeDBValue("default_chart_of_account", $keys[1-1], "", true);
		
				$keyValue = $viewControls->showDBValue("default_chart_of_account", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("bank_recon","default_chart_of_account").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);	
	}

	if( $detailtable == "Recon_CV" )
	{
		$keysAssoc["default_chart_of_account"] = $keys[1-1];
				$where.= RunnerPage::_getFieldSQLDecrypt("default_chart_of_account", $connection , $settings , $cipherer) . "=" . $cipherer->MakeDBValue("default_chart_of_account", $keys[1-1], "", true);
		
				$keyValue = $viewControls->showDBValue("default_chart_of_account", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("bank_recon","default_chart_of_account").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);	
	}

	if( $detailtable == "Recon_GV_CV" )
	{
		$keysAssoc["default_chart_of_account"] = $keys[1-1];
				$where.= RunnerPage::_getFieldSQLDecrypt("default_chart_of_account", $connection , $settings , $cipherer) . "=" . $cipherer->MakeDBValue("default_chart_of_account", $keys[1-1], "", true);
		
				$keyValue = $viewControls->showDBValue("default_chart_of_account", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("bank_recon","default_chart_of_account").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);	
	}

	if( $detailtable == "Recon_withdraw" )
	{
		$keysAssoc["bank"] = $keys[1-1];
				$where.= RunnerPage::_getFieldSQLDecrypt("bank", $connection , $settings , $cipherer) . "=" . $cipherer->MakeDBValue("bank", $keys[1-1], "", true);
		
				$keyValue = $viewControls->showDBValue("bank", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("bank_recon","bank").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);	
	}
	
	if( !$where )
		return;
	
	$str = SecuritySQL("Export", $tName );
	if( strlen($str) )
		$where.= " and ".$str;
	
	$strWhere = whereAdd( $masterQuery->m_where->toSql($masterQuery), $where );
	if( strlen($strWhere) )
		$strWhere= " where ".$strWhere." ";
		
	$strSQL = $masterQuery->HeadToSql().' '.$masterQuery->FromToSql().$strWhere.$masterQuery->TailToSql();
	LogInfo($strSQL);
	
	$data = $cipherer->DecryptFetchedArray( $connection->query( $strSQL )->fetchAssoc() );
	if( !$data )
		return;
	
	// reassign pagetitlelabel function adding extra params
	$xt->assign_function("pagetitlelabel", "xt_pagetitlelabel", array("record" => $data, "settings" => $settings));	
	
	$keylink = "";
	$keylink.= "&key1=".runner_htmlspecialchars(rawurlencode(@$data["id"]));
	
	$xt->assign("bank_mastervalue", $viewControls->showDBValue("bank", $data, $keylink));
	$format = $settings->getViewFormat("bank");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("bank")))
		$class = ' rnr-field-number';
		
	$xt->assign("bank_class", $class); // add class for field header as field value
	$xt->assign("account_number_mastervalue", $viewControls->showDBValue("account_number", $data, $keylink));
	$format = $settings->getViewFormat("account_number");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("account_number")))
		$class = ' rnr-field-number';
		
	$xt->assign("account_number_class", $class); // add class for field header as field value
	$xt->assign("default_chart_of_account_mastervalue", $viewControls->showDBValue("default_chart_of_account", $data, $keylink));
	$format = $settings->getViewFormat("default_chart_of_account");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("default_chart_of_account")))
		$class = ' rnr-field-number';
		
	$xt->assign("default_chart_of_account_class", $class); // add class for field header as field value
	$xt->assign("account_name_mastervalue", $viewControls->showDBValue("account_name", $data, $keylink));
	$format = $settings->getViewFormat("account_name");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("account_name")))
		$class = ' rnr-field-number';
		
	$xt->assign("account_name_class", $class); // add class for field header as field value
	$xt->assign("statement_balance_mastervalue", $viewControls->showDBValue("statement_balance", $data, $keylink));
	$format = $settings->getViewFormat("statement_balance");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("statement_balance")))
		$class = ' rnr-field-number';
		
	$xt->assign("statement_balance_class", $class); // add class for field header as field value
	$xt->assign("statement_balance_date_mastervalue", $viewControls->showDBValue("statement_balance_date", $data, $keylink));
	$format = $settings->getViewFormat("statement_balance_date");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("statement_balance_date")))
		$class = ' rnr-field-number';
		
	$xt->assign("statement_balance_date_class", $class); // add class for field header as field value
	$xt->assign("total_deposit_mastervalue", $viewControls->showDBValue("total_deposit", $data, $keylink));
	$format = $settings->getViewFormat("total_deposit");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("total_deposit")))
		$class = ' rnr-field-number';
		
	$xt->assign("total_deposit_class", $class); // add class for field header as field value
	$xt->assign("total_cash_receipt_mastervalue", $viewControls->showDBValue("total_cash_receipt", $data, $keylink));
	$format = $settings->getViewFormat("total_cash_receipt");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("total_cash_receipt")))
		$class = ' rnr-field-number';
		
	$xt->assign("total_cash_receipt_class", $class); // add class for field header as field value
	$xt->assign("total_cash_voucher_mastervalue", $viewControls->showDBValue("total_cash_voucher", $data, $keylink));
	$format = $settings->getViewFormat("total_cash_voucher");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("total_cash_voucher")))
		$class = ' rnr-field-number';
		
	$xt->assign("total_cash_voucher_class", $class); // add class for field header as field value
	$xt->assign("total_withdrawal_mastervalue", $viewControls->showDBValue("total_withdrawal", $data, $keylink));
	$format = $settings->getViewFormat("total_withdrawal");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("total_withdrawal")))
		$class = ' rnr-field-number';
		
	$xt->assign("total_withdrawal_class", $class); // add class for field header as field value
	$xt->assign("total_general_journal_receipt_mastervalue", $viewControls->showDBValue("total_general_journal_receipt", $data, $keylink));
	$format = $settings->getViewFormat("total_general_journal_receipt");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("total_general_journal_receipt")))
		$class = ' rnr-field-number';
		
	$xt->assign("total_general_journal_receipt_class", $class); // add class for field header as field value
	$xt->assign("total_general_journal_payment_mastervalue", $viewControls->showDBValue("total_general_journal_payment", $data, $keylink));
	$format = $settings->getViewFormat("total_general_journal_payment");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("total_general_journal_payment")))
		$class = ' rnr-field-number';
		
	$xt->assign("total_general_journal_payment_class", $class); // add class for field header as field value
	$xt->assign("ending_balance_mastervalue", $viewControls->showDBValue("ending_balance", $data, $keylink));
	$format = $settings->getViewFormat("ending_balance");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("ending_balance")))
		$class = ' rnr-field-number';
		
	$xt->assign("ending_balance_class", $class); // add class for field header as field value
	$xt->assign("unreconciled_amount_mastervalue", $viewControls->showDBValue("unreconciled_amount", $data, $keylink));
	$format = $settings->getViewFormat("unreconciled_amount");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("unreconciled_amount")))
		$class = ' rnr-field-number';
		
	$xt->assign("unreconciled_amount_class", $class); // add class for field header as field value

	$layout = GetPageLayout("bank_recon", 'masterprint');
	if( $layout )
		$xt->assign("pageattrs", 'class="'.$layout->style." page-".$layout->name.'"');

	$xt->displayPartial(GetTemplateName("bank_recon", "masterprint"));
}

?>