<?php
include_once(getabspath("classes/printpage.php"));

function DisplayMasterTableInfoForPrint_packing_list_for_approval($params)
{
	global $cman;
	
	$detailtable = $params["detailtable"];
	$keys = $params["keys"];
	
	$xt = new Xtempl();
	
	$tName = "packing_list_for_approval";
	$xt->eventsObject = getEventObject($tName);
	
	$mParams  = array();
	$mParams["xt"] = &$xt;
	$mParams["pageType"] = PAGE_PRINT;
	$mParams["tName"] = $tName;
	$masterPage = new PrintPage($mParams);
	
	$cipherer = new RunnerCipherer( $tName );
	$settings = new ProjectSettings($tName, PAGE_PRINT);
	$connection = $cman->byTable( $tName );
	
	$masterQuery = $settings->getSQLQuery();
	$viewControls = new ViewControlsContainer($settings, PAGE_PRINT, $masterPage);
	
	$where = "";
	$keysAssoc = array();
	$showKeys = "";

	if( $detailtable == "packing_list_detail_for_approval" )
	{
		$keysAssoc["id"] = $keys[1-1];
				$where.= RunnerPage::_getFieldSQLDecrypt("id", $connection , $settings , $cipherer) . "=" . $cipherer->MakeDBValue("id", $keys[1-1], "", true);
		
				$keyValue = $viewControls->showDBValue("id", $keysAssoc);
		$showKeys.= " ".GetFieldLabel("packing_list_for_approval","id").": ".$keyValue;
		$xt->assign('showKeys', $showKeys);	
	}
	
	if( !$where )
		return;
	
	$str = SecuritySQL("Export", $tName );
	if( strlen($str) )
		$where.= " and ".$str;
	
	$strWhere = whereAdd( $masterQuery->m_where->toSql($masterQuery), $where );
	if( strlen($strWhere) )
		$strWhere= " where ".$strWhere." ";
		
	$strSQL = $masterQuery->HeadToSql().' '.$masterQuery->FromToSql().$strWhere.$masterQuery->TailToSql();
	LogInfo($strSQL);
	
	$data = $cipherer->DecryptFetchedArray( $connection->query( $strSQL )->fetchAssoc() );
	if( !$data )
		return;
	
	// reassign pagetitlelabel function adding extra params
	$xt->assign_function("pagetitlelabel", "xt_pagetitlelabel", array("record" => $data, "settings" => $settings));	
	
	$keylink = "";
	$keylink.= "&key1=".runner_htmlspecialchars(rawurlencode(@$data["id"]));
	
	$xt->assign("product_name_mastervalue", $viewControls->showDBValue("product_name", $data, $keylink));
	$format = $settings->getViewFormat("product_name");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("product_name")))
		$class = ' rnr-field-number';
		
	$xt->assign("product_name_class", $class); // add class for field header as field value
	$xt->assign("model_no_mastervalue", $viewControls->showDBValue("model_no", $data, $keylink));
	$format = $settings->getViewFormat("model_no");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("model_no")))
		$class = ' rnr-field-number';
		
	$xt->assign("model_no_class", $class); // add class for field header as field value
	$xt->assign("delivery_date_mastervalue", $viewControls->showDBValue("delivery_date", $data, $keylink));
	$format = $settings->getViewFormat("delivery_date");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("delivery_date")))
		$class = ' rnr-field-number';
		
	$xt->assign("delivery_date_class", $class); // add class for field header as field value
	$xt->assign("unit_quantity_mastervalue", $viewControls->showDBValue("unit_quantity", $data, $keylink));
	$format = $settings->getViewFormat("unit_quantity");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("unit_quantity")))
		$class = ' rnr-field-number';
		
	$xt->assign("unit_quantity_class", $class); // add class for field header as field value
	$xt->assign("box_quantity_mastervalue", $viewControls->showDBValue("box_quantity", $data, $keylink));
	$format = $settings->getViewFormat("box_quantity");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("box_quantity")))
		$class = ' rnr-field-number';
		
	$xt->assign("box_quantity_class", $class); // add class for field header as field value
	$xt->assign("unit_and_box_mastervalue", $viewControls->showDBValue("unit_and_box", $data, $keylink));
	$format = $settings->getViewFormat("unit_and_box");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("unit_and_box")))
		$class = ' rnr-field-number';
		
	$xt->assign("unit_and_box_class", $class); // add class for field header as field value
	$xt->assign("ref_id_mastervalue", $viewControls->showDBValue("ref_id", $data, $keylink));
	$format = $settings->getViewFormat("ref_id");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("ref_id")))
		$class = ' rnr-field-number';
		
	$xt->assign("ref_id_class", $class); // add class for field header as field value
	$xt->assign("status_mastervalue", $viewControls->showDBValue("status", $data, $keylink));
	$format = $settings->getViewFormat("status");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("status")))
		$class = ' rnr-field-number';
		
	$xt->assign("status_class", $class); // add class for field header as field value
	$xt->assign("status_remarks_mastervalue", $viewControls->showDBValue("status_remarks", $data, $keylink));
	$format = $settings->getViewFormat("status_remarks");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("status_remarks")))
		$class = ' rnr-field-number';
		
	$xt->assign("status_remarks_class", $class); // add class for field header as field value
	$xt->assign("approved_date_mastervalue", $viewControls->showDBValue("approved_date", $data, $keylink));
	$format = $settings->getViewFormat("approved_date");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("approved_date")))
		$class = ' rnr-field-number';
		
	$xt->assign("approved_date_class", $class); // add class for field header as field value
	$xt->assign("checked_date_mastervalue", $viewControls->showDBValue("checked_date", $data, $keylink));
	$format = $settings->getViewFormat("checked_date");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("checked_date")))
		$class = ' rnr-field-number';
		
	$xt->assign("checked_date_class", $class); // add class for field header as field value
	$xt->assign("modified_date_mastervalue", $viewControls->showDBValue("modified_date", $data, $keylink));
	$format = $settings->getViewFormat("modified_date");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("modified_date")))
		$class = ' rnr-field-number';
		
	$xt->assign("modified_date_class", $class); // add class for field header as field value
	$xt->assign("modified_by_mastervalue", $viewControls->showDBValue("modified_by", $data, $keylink));
	$format = $settings->getViewFormat("modified_by");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("modified_by")))
		$class = ' rnr-field-number';
		
	$xt->assign("modified_by_class", $class); // add class for field header as field value
	$xt->assign("prepared_date_mastervalue", $viewControls->showDBValue("prepared_date", $data, $keylink));
	$format = $settings->getViewFormat("prepared_date");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("prepared_date")))
		$class = ' rnr-field-number';
		
	$xt->assign("prepared_date_class", $class); // add class for field header as field value
	$xt->assign("approved_by_mastervalue", $viewControls->showDBValue("approved_by", $data, $keylink));
	$format = $settings->getViewFormat("approved_by");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("approved_by")))
		$class = ' rnr-field-number';
		
	$xt->assign("approved_by_class", $class); // add class for field header as field value
	$xt->assign("checked_by_mastervalue", $viewControls->showDBValue("checked_by", $data, $keylink));
	$format = $settings->getViewFormat("checked_by");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("checked_by")))
		$class = ' rnr-field-number';
		
	$xt->assign("checked_by_class", $class); // add class for field header as field value
	$xt->assign("prepared_by_mastervalue", $viewControls->showDBValue("prepared_by", $data, $keylink));
	$format = $settings->getViewFormat("prepared_by");
	$class = " rnr-field-text";
	if($format == FORMAT_FILE) 
		$class = ' rnr-field-file'; 
	if($format == FORMAT_AUDIO)
		$class = ' rnr-field-audio';
	if($format == FORMAT_CHECKBOX)
		$class = ' rnr-field-checkbox';
	if($format == FORMAT_NUMBER || IsNumberType($settings->getFieldType("prepared_by")))
		$class = ' rnr-field-number';
		
	$xt->assign("prepared_by_class", $class); // add class for field header as field value

	$layout = GetPageLayout("packing_list_for_approval", 'masterprint');
	if( $layout )
		$xt->assign("pageattrs", 'class="'.$layout->style." page-".$layout->name.'"');

	$xt->displayPartial(GetTemplateName("packing_list_for_approval", "masterprint"));
}

?>