<?php

/**
* getLookupMainTableSettings - tests whether the lookup link exists between the tables
*
*  returns array with ProjectSettings class for main table if the link exists in project settings.
*  returns NULL otherwise
*/
function getLookupMainTableSettings($lookupTable, $mainTableShortName, $mainField, $desiredPage = "")
{
	global $lookupTableLinks;
	if(!isset($lookupTableLinks[$lookupTable]))
		return null;
	if(!isset($lookupTableLinks[$lookupTable][$mainTableShortName.".".$mainField]))
		return null;
	$arr = &$lookupTableLinks[$lookupTable][$mainTableShortName.".".$mainField];
	$effectivePage = $desiredPage;
	if(!isset($arr[$effectivePage]))
	{
		$effectivePage = PAGE_EDIT;
		if(!isset($arr[$effectivePage]))
		{
			if($desiredPage == "" && 0 < count($arr))
			{
				$effectivePage = $arr[0];
			}
			else
				return null;
		}
	}
	return new ProjectSettings($arr[$effectivePage]["table"], $effectivePage);
}

/** 
* $lookupTableLinks array stores all lookup links between tables in the project
*/
function InitLookupLinks()
{
	global $lookupTableLinks;

	$lookupTableLinks = array();

	$lookupTableLinks["chart_of_accounts"]["business_partner.Default  Account"]["edit"] = array("table" => "business_partner", "field" => "Default  Account", "page" => "edit");
	$lookupTableLinks["area"]["business_partner.area"]["edit"] = array("table" => "business_partner", "field" => "area", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["business_partner.assigned_to"]["edit"] = array("table" => "business_partner", "field" => "assigned_to", "page" => "edit");
	$lookupTableLinks["business_partner_group"]["business_partner.group"]["edit"] = array("table" => "business_partner", "field" => "group", "page" => "edit");
	$lookupTableLinks["credit_terms"]["business_partner.default_terms"]["edit"] = array("table" => "business_partner", "field" => "default_terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["business_partner.cost_center"]["edit"] = array("table" => "business_partner", "field" => "cost_center", "page" => "edit");
	$lookupTableLinks["campaign"]["business_partner.campaign"]["edit"] = array("table" => "business_partner", "field" => "campaign", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["item.Sales Accnt Number"]["edit"] = array("table" => "item", "field" => "Sales Accnt Number", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["item.Inventory Accnt Number"]["edit"] = array("table" => "item", "field" => "Inventory Accnt Number", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["item.Cost of Sales"]["edit"] = array("table" => "item", "field" => "Cost of Sales", "page" => "edit");
	$lookupTableLinks["vat_type"]["item.Vat Type"]["edit"] = array("table" => "item", "field" => "Vat Type", "page" => "edit");
	$lookupTableLinks["ewt"]["item.EWT Code"]["edit"] = array("table" => "item", "field" => "EWT Code", "page" => "edit");
	$lookupTableLinks["uom"]["item.um"]["edit"] = array("table" => "item", "field" => "um", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["item.depreciation_expense_account"]["edit"] = array("table" => "item", "field" => "depreciation_expense_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["item.accumulated_depreciation_account"]["edit"] = array("table" => "item", "field" => "accumulated_depreciation_account", "page" => "edit");
	$lookupTableLinks["vat_type"]["item.purchase_vat_type"]["edit"] = array("table" => "item", "field" => "purchase_vat_type", "page" => "edit");
	$lookupTableLinks["item_group"]["item.item_group"]["edit"] = array("table" => "item", "field" => "item_group", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["item.work_in_processed"]["edit"] = array("table" => "item", "field" => "work_in_processed", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["item.credit_memo_account"]["edit"] = array("table" => "item", "field" => "credit_memo_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["item.debit_memo"]["edit"] = array("table" => "item", "field" => "debit_memo", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["item.disposal_account"]["edit"] = array("table" => "item", "field" => "disposal_account", "page" => "edit");
	$lookupTableLinks["uom"]["item.purchase_uom"]["edit"] = array("table" => "item", "field" => "purchase_uom", "page" => "edit");
	$lookupTableLinks["uom"]["item.sale_uom"]["edit"] = array("table" => "item", "field" => "sale_uom", "page" => "edit");
	$lookupTableLinks["uom"]["item.usage_uom"]["edit"] = array("table" => "item", "field" => "usage_uom", "page" => "edit");
	$lookupTableLinks["business_partner"]["cash_receipt.Business_Partner"]["edit"] = array("table" => "cash_receipt", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["cash_receipt.Cash_Account"]["edit"] = array("table" => "cash_receipt", "field" => "Cash_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["cash_receipt.Cost_Center"]["edit"] = array("table" => "cash_receipt", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["cash_receipt.Shipping_Terms"]["edit"] = array("table" => "cash_receipt", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["cash_receipt.Discount_Account"]["edit"] = array("table" => "cash_receipt", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["cash_receipt.VAT_Account"]["edit"] = array("table" => "cash_receipt", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["cash_receipt.EWT_Account"]["edit"] = array("table" => "cash_receipt", "field" => "EWT_Account", "page" => "edit");
	$lookupTableLinks["ewt"]["cash_receipt.atc"]["edit"] = array("table" => "cash_receipt", "field" => "atc", "page" => "edit");
	$lookupTableLinks["bank"]["cash_receipt.bank"]["edit"] = array("table" => "cash_receipt", "field" => "bank", "page" => "edit");
	$lookupTableLinks["sales_order"]["cash_receipt.ref_no"]["edit"] = array("table" => "cash_receipt", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["discounts"]["cash_receipt.discount_type"]["edit"] = array("table" => "cash_receipt", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["cash_receipt.project"]["edit"] = array("table" => "cash_receipt", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["cash_receipt.phase"]["edit"] = array("table" => "cash_receipt", "field" => "phase", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["cash_receipt.sales_rep"]["edit"] = array("table" => "cash_receipt", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["cash_receipt.currecy"]["edit"] = array("table" => "cash_receipt", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["approver_list"]["cash_receipt.checked_by"]["edit"] = array("table" => "cash_receipt", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["cash_receipt.approved_by"]["edit"] = array("table" => "cash_receipt", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["location"]["cash_receipt.location"]["edit"] = array("table" => "cash_receipt", "field" => "location", "page" => "edit");
	$lookupTableLinks["system_user"]["cash_receipt.modified_by"]["edit"] = array("table" => "cash_receipt", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["system_user"]["cash_receipt.prepared_by"]["edit"] = array("table" => "cash_receipt", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["cash_receipt.final_vat_rate_account"]["edit"] = array("table" => "cash_receipt", "field" => "final_vat_rate_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["cash_receipt.deferred_output_vat_account"]["edit"] = array("table" => "cash_receipt", "field" => "deferred_output_vat_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["cash_receipt.for_ex"]["edit"] = array("table" => "cash_receipt", "field" => "for_ex", "page" => "edit");
	$lookupTableLinks["Suppliers"]["purchase.Business_Partner"]["edit"] = array("table" => "purchase", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase.Payable_Account"]["edit"] = array("table" => "purchase", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["credit_terms"]["purchase.Terms"]["edit"] = array("table" => "purchase", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["purchase.Cost_Center"]["edit"] = array("table" => "purchase", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["purchase.Shipping_Terms"]["edit"] = array("table" => "purchase", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase.Discount_Account"]["edit"] = array("table" => "purchase", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase.VAT_Account"]["edit"] = array("table" => "purchase", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase.EWT_Account"]["edit"] = array("table" => "purchase", "field" => "EWT_Account", "page" => "edit");
	$lookupTableLinks["ewt"]["purchase.atc"]["edit"] = array("table" => "purchase", "field" => "atc", "page" => "edit");
	$lookupTableLinks["open_receiving"]["purchase.ref_no"]["edit"] = array("table" => "purchase", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["purchase.location"]["edit"] = array("table" => "purchase", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["purchase.discount_type"]["edit"] = array("table" => "purchase", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["purchase.project"]["edit"] = array("table" => "purchase", "field" => "project", "page" => "edit");
	$lookupTableLinks["currency"]["purchase.currecy"]["edit"] = array("table" => "purchase", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["purchase.phase"]["edit"] = array("table" => "purchase", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["purchase.approved_by"]["edit"] = array("table" => "purchase", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["purchase.checked_by"]["edit"] = array("table" => "purchase", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["purchase.prepared_by"]["edit"] = array("table" => "purchase", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["purchase.modified_by"]["edit"] = array("table" => "purchase", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["sales_order"]["purchase.so_no"]["edit"] = array("table" => "purchase", "field" => "so_no", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase.deferred_input_vat_account"]["edit"] = array("table" => "purchase", "field" => "deferred_input_vat_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase.imp_cost_1_account"]["edit"] = array("table" => "purchase", "field" => "imp_cost_1_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase.imp_cost_2_account"]["edit"] = array("table" => "purchase", "field" => "imp_cost_2_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase.imp_cost_3_account"]["edit"] = array("table" => "purchase", "field" => "imp_cost_3_account", "page" => "edit");
	$lookupTableLinks["company"]["purchase.company"]["edit"] = array("table" => "purchase", "field" => "company", "page" => "edit");
	$lookupTableLinks["business_partner"]["cash_disbursment.Business_Partner"]["edit"] = array("table" => "cash_disbursment", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["cash_disbursment.Cash_Account"]["edit"] = array("table" => "cash_disbursment", "field" => "Cash_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["cash_disbursment.Cost_Center"]["edit"] = array("table" => "cash_disbursment", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["cash_disbursment.Shipping_Terms"]["edit"] = array("table" => "cash_disbursment", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["cash_disbursment.Discount_Account"]["edit"] = array("table" => "cash_disbursment", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["cash_disbursment.VAT_Account"]["edit"] = array("table" => "cash_disbursment", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["cash_disbursment.EWT_Account"]["edit"] = array("table" => "cash_disbursment", "field" => "EWT_Account", "page" => "edit");
	$lookupTableLinks["bank"]["cash_disbursment.bank"]["edit"] = array("table" => "cash_disbursment", "field" => "bank", "page" => "edit");
	$lookupTableLinks["open_request_for_payment"]["cash_disbursment.ref_no"]["edit"] = array("table" => "cash_disbursment", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["cash_disbursment.location"]["edit"] = array("table" => "cash_disbursment", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["cash_disbursment.discount_type"]["edit"] = array("table" => "cash_disbursment", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["currency"]["cash_disbursment.currecy"]["edit"] = array("table" => "cash_disbursment", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["projects"]["cash_disbursment.project"]["edit"] = array("table" => "cash_disbursment", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["cash_disbursment.phase"]["edit"] = array("table" => "cash_disbursment", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["cash_disbursment.checked_by"]["edit"] = array("table" => "cash_disbursment", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["cash_disbursment.approved_by"]["edit"] = array("table" => "cash_disbursment", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["cash_disbursment.prepared_by"]["edit"] = array("table" => "cash_disbursment", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["debit_memo"]["cash_disbursment.debit_memo_refs"]["edit"] = array("table" => "cash_disbursment", "field" => "debit_memo_refs", "page" => "edit");
	$lookupTableLinks["system_user"]["cash_disbursment.modified_by"]["edit"] = array("table" => "cash_disbursment", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["payment_method"]["cash_disbursment.payment_method"]["edit"] = array("table" => "cash_disbursment", "field" => "payment_method", "page" => "edit");
	$lookupTableLinks["sales_order"]["cash_disbursment.so_no"]["edit"] = array("table" => "cash_disbursment", "field" => "so_no", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["cash_disbursment.deferred_input_vat_account"]["edit"] = array("table" => "cash_disbursment", "field" => "deferred_input_vat_account", "page" => "edit");
	$lookupTableLinks["company"]["cash_disbursment.company"]["edit"] = array("table" => "cash_disbursment", "field" => "company", "page" => "edit");
	$lookupTableLinks["bal_center_replenishment"]["cash_disbursment.replenishment"]["edit"] = array("table" => "cash_disbursment", "field" => "replenishment", "page" => "edit");
	$lookupTableLinks["projects_view"]["cash_disbursment.project_no"]["edit"] = array("table" => "cash_disbursment", "field" => "project_no", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["cash_disbursment.account_no"]["edit"] = array("table" => "cash_disbursment", "field" => "account_no", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["cash_disbursment.account"]["edit"] = array("table" => "cash_disbursment", "field" => "account", "page" => "edit");
	$lookupTableLinks["representative"]["cash_disbursment.representative"]["edit"] = array("table" => "cash_disbursment", "field" => "representative", "page" => "edit");
	$lookupTableLinks["system_user"]["cash_disbursment.reviewed_by"]["edit"] = array("table" => "cash_disbursment", "field" => "reviewed_by", "page" => "edit");
	$lookupTableLinks["request_for_payment_imp"]["cash_disbursment.sv"]["edit"] = array("table" => "cash_disbursment", "field" => "sv", "page" => "edit");
	$lookupTableLinks["approver_list"]["general_journal.approved_by"]["edit"] = array("table" => "general_journal", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["general_journal.checked_by"]["edit"] = array("table" => "general_journal", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["general_journal.prepared_by"]["edit"] = array("table" => "general_journal", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["general_journal.modified_by"]["edit"] = array("table" => "general_journal", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["company"]["general_journal.company"]["edit"] = array("table" => "general_journal", "field" => "company", "page" => "edit");
	$lookupTableLinks["projects_view"]["general_journal.project"]["edit"] = array("table" => "general_journal", "field" => "project", "page" => "edit");
	$lookupTableLinks["cost_center"]["general_journal.center"]["edit"] = array("table" => "general_journal", "field" => "center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["general_journal.account_no"]["edit"] = array("table" => "general_journal", "field" => "account_no", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["general_journal.account"]["edit"] = array("table" => "general_journal", "field" => "account", "page" => "edit");
	$lookupTableLinks["item"]["general_journal.item"]["edit"] = array("table" => "general_journal", "field" => "item", "page" => "edit");
	$lookupTableLinks["item"]["general_journal.item_type"]["edit"] = array("table" => "general_journal", "field" => "item_type", "page" => "edit");
	$lookupTableLinks["item"]["general_journal.um"]["edit"] = array("table" => "general_journal", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["general_journal.subsidiary1"]["edit"] = array("table" => "general_journal", "field" => "subsidiary1", "page" => "edit");
	$lookupTableLinks["user_roles"]["system_user.role"]["edit"] = array("table" => "system_user", "field" => "role", "page" => "edit");
	$lookupTableLinks["employee_list"]["system_user.employee_name"]["edit"] = array("table" => "system_user", "field" => "employee_name", "page" => "edit");
	$lookupTableLinks["cost_center"]["system_user.cost_center"]["edit"] = array("table" => "system_user", "field" => "cost_center", "page" => "edit");
	$lookupTableLinks["department"]["system_user.department"]["edit"] = array("table" => "system_user", "field" => "department", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["bank.default_chart_of_account"]["edit"] = array("table" => "bank", "field" => "default_chart_of_account", "page" => "edit");
	$lookupTableLinks["check_formats"]["bank.check_print"]["edit"] = array("table" => "bank", "field" => "check_print", "page" => "edit");
	$lookupTableLinks["ewt"]["bank.ewt_atc"]["edit"] = array("table" => "bank", "field" => "ewt_atc", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["bank.ewt_account"]["edit"] = array("table" => "bank", "field" => "ewt_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["bank.service_charge_account"]["edit"] = array("table" => "bank", "field" => "service_charge_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["bank.card_clearing_account"]["edit"] = array("table" => "bank", "field" => "card_clearing_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["cost_center.cash_account"]["edit"] = array("table" => "cost_center", "field" => "cash_account", "page" => "edit");
	$lookupTableLinks["company"]["cost_center.company"]["edit"] = array("table" => "cost_center", "field" => "company", "page" => "edit");
	$lookupTableLinks["month_values"]["accounting_period.period"]["edit"] = array("table" => "accounting_period", "field" => "period", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["bank_recon.default_chart_of_account"]["edit"] = array("table" => "bank_recon", "field" => "default_chart_of_account", "page" => "edit");
	$lookupTableLinks["bank"]["deposit.bank"]["edit"] = array("table" => "deposit", "field" => "bank", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["deposit.cash_account"]["edit"] = array("table" => "deposit", "field" => "cash_account", "page" => "edit");
	$lookupTableLinks["cost_center"]["deposit.center"]["edit"] = array("table" => "deposit", "field" => "center", "page" => "edit");
	$lookupTableLinks["approver_list"]["deposit.checked_by"]["edit"] = array("table" => "deposit", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["deposit.approved_by"]["edit"] = array("table" => "deposit", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["deposit.modified_by"]["edit"] = array("table" => "deposit", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["system_user"]["deposit.prepared_by"]["edit"] = array("table" => "deposit", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["currency"]["deposit.currency"]["edit"] = array("table" => "deposit", "field" => "currency", "page" => "edit");
	$lookupTableLinks["company"]["deposit.company"]["edit"] = array("table" => "deposit", "field" => "company", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["chart_of_accounts.Parent ID"]["edit"] = array("table" => "chart_of_accounts", "field" => "Parent ID", "page" => "edit");
	$lookupTableLinks["financial_statement"]["chart_of_accounts.Financial Statement"]["edit"] = array("table" => "chart_of_accounts", "field" => "Financial Statement", "page" => "edit");
	$lookupTableLinks["account_type"]["chart_of_accounts.Account Type"]["edit"] = array("table" => "chart_of_accounts", "field" => "Account Type", "page" => "edit");
	$lookupTableLinks["account_general_classification"]["chart_of_accounts.General Clasification"]["edit"] = array("table" => "chart_of_accounts", "field" => "General Clasification", "page" => "edit");
	$lookupTableLinks["account_classification"]["chart_of_accounts.CashFlow Clasification"]["edit"] = array("table" => "chart_of_accounts", "field" => "CashFlow Clasification", "page" => "edit");
	$lookupTableLinks["account_classification"]["chart_of_accounts.Account Classification"]["edit"] = array("table" => "chart_of_accounts", "field" => "Account Classification", "page" => "edit");
	$lookupTableLinks["cost_center"]["chart_of_accounts.cost_center"]["edit"] = array("table" => "chart_of_accounts", "field" => "cost_center", "page" => "edit");
	$lookupTableLinks["business_partner"]["recon_CR.Business_Partner"]["edit"] = array("table" => "recon_CR", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["recon_CR.Cash_Account"]["edit"] = array("table" => "recon_CR", "field" => "Cash_Account", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["recon_CR.Shipping_Terms"]["edit"] = array("table" => "recon_CR", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["recon_CR.Discount_Account"]["edit"] = array("table" => "recon_CR", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["recon_CR.VAT_Account"]["edit"] = array("table" => "recon_CR", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["recon_CR.EWT_Account"]["edit"] = array("table" => "recon_CR", "field" => "EWT_Account", "page" => "edit");
	$lookupTableLinks["ewt"]["recon_CR.atc"]["edit"] = array("table" => "recon_CR", "field" => "atc", "page" => "edit");
	$lookupTableLinks["bank"]["recon_CR.bank"]["edit"] = array("table" => "recon_CR", "field" => "bank", "page" => "edit");
	$lookupTableLinks["bank"]["Recon_deposit.bank"]["edit"] = array("table" => "Recon_deposit", "field" => "bank", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Recon_deposit.cash_account"]["edit"] = array("table" => "Recon_deposit", "field" => "cash_account", "page" => "edit");
	$lookupTableLinks["business_partner"]["Recon_CV.Business_Partner"]["edit"] = array("table" => "Recon_CV", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Recon_CV.Cash_Account"]["edit"] = array("table" => "Recon_CV", "field" => "Cash_Account", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Recon_CV.Shipping_Terms"]["edit"] = array("table" => "Recon_CV", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Recon_CV.Discount_Account"]["edit"] = array("table" => "Recon_CV", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Recon_CV.VAT_Account"]["edit"] = array("table" => "Recon_CV", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Recon_CV.EWT_Account"]["edit"] = array("table" => "Recon_CV", "field" => "EWT_Account", "page" => "edit");
	$lookupTableLinks["ewt"]["Recon_CV.atc"]["edit"] = array("table" => "Recon_CV", "field" => "atc", "page" => "edit");
	$lookupTableLinks["bank"]["Recon_CV.bank"]["edit"] = array("table" => "Recon_CV", "field" => "bank", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Recon_GV_dep.Account"]["edit"] = array("table" => "Recon_GV_dep", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["Recon_GV_dep.Item"]["edit"] = array("table" => "Recon_GV_dep", "field" => "Item", "page" => "edit");
	$lookupTableLinks["business_partner"]["Recon_GV_dep.Subsidiary"]["edit"] = array("table" => "Recon_GV_dep", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["Recon_GV_dep.Cost_Center"]["edit"] = array("table" => "Recon_GV_dep", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Recon_GV_CV.Account"]["edit"] = array("table" => "Recon_GV_CV", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["Recon_GV_CV.Item"]["edit"] = array("table" => "Recon_GV_CV", "field" => "Item", "page" => "edit");
	$lookupTableLinks["business_partner"]["Recon_GV_CV.Subsidiary"]["edit"] = array("table" => "Recon_GV_CV", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["Recon_GV_CV.Cost_Center"]["edit"] = array("table" => "Recon_GV_CV", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["2550q"]["2550q.Quarter"]["edit"] = array("table" => "2550q", "field" => "Quarter", "page" => "edit");
	$lookupTableLinks["2550m"]["2550m.period"]["edit"] = array("table" => "2550m", "field" => "period", "page" => "edit");
	$lookupTableLinks["business_partner"]["dr.Business_Partner"]["edit"] = array("table" => "dr", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["dr.Receivable_Account"]["edit"] = array("table" => "dr", "field" => "Receivable_Account", "page" => "edit");
	$lookupTableLinks["credit_terms"]["dr.Terms"]["edit"] = array("table" => "dr", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["dr.Cost_Center"]["edit"] = array("table" => "dr", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["dr.Shipping_Terms"]["edit"] = array("table" => "dr", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["dr.Discount_Account"]["edit"] = array("table" => "dr", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["dr.VAT_Account"]["edit"] = array("table" => "dr", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["open_so"]["dr.ref_no"]["edit"] = array("table" => "dr", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["dr.location"]["edit"] = array("table" => "dr", "field" => "location", "page" => "edit");
	$lookupTableLinks["cash_receipt"]["dr.cash_sale"]["edit"] = array("table" => "dr", "field" => "cash_sale", "page" => "edit");
	$lookupTableLinks["approver_list"]["dr.checked_by"]["edit"] = array("table" => "dr", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["dr.approved_by"]["edit"] = array("table" => "dr", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["dr.prepared_by"]["edit"] = array("table" => "dr", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["dr.sales_rep"]["edit"] = array("table" => "dr", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["phase"]["dr.phase"]["edit"] = array("table" => "dr", "field" => "phase", "page" => "edit");
	$lookupTableLinks["projects"]["dr.project"]["edit"] = array("table" => "dr", "field" => "project", "page" => "edit");
	$lookupTableLinks["discounts"]["dr.discount_type"]["edit"] = array("table" => "dr", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["business_partner"]["dr.driver"]["edit"] = array("table" => "dr", "field" => "driver", "page" => "edit");
	$lookupTableLinks["vehicle"]["dr.vehicle"]["edit"] = array("table" => "dr", "field" => "vehicle", "page" => "edit");
	$lookupTableLinks["system_user"]["dr.modified_by"]["edit"] = array("table" => "dr", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["Suppliers"]["purchase_order.Business_Partner"]["edit"] = array("table" => "purchase_order", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase_order.Payable_Account"]["edit"] = array("table" => "purchase_order", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["credit_terms"]["purchase_order.Terms"]["edit"] = array("table" => "purchase_order", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["purchase_order.Cost_Center"]["edit"] = array("table" => "purchase_order", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["purchase_order.Shipping_Terms"]["edit"] = array("table" => "purchase_order", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase_order.Discount_Account"]["edit"] = array("table" => "purchase_order", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase_order.VAT_Account"]["edit"] = array("table" => "purchase_order", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["purchase_request"]["purchase_order.ref_no"]["edit"] = array("table" => "purchase_order", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["purchase_order.location"]["edit"] = array("table" => "purchase_order", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["purchase_order.discount_type"]["edit"] = array("table" => "purchase_order", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["purchase_order.project"]["edit"] = array("table" => "purchase_order", "field" => "project", "page" => "edit");
	$lookupTableLinks["currency"]["purchase_order.currecy"]["edit"] = array("table" => "purchase_order", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["purchase_order.phase"]["edit"] = array("table" => "purchase_order", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["purchase_order.approved_by"]["edit"] = array("table" => "purchase_order", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["purchase_order.checked_by"]["edit"] = array("table" => "purchase_order", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["purchase_order.prepared_by"]["edit"] = array("table" => "purchase_order", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["purchase_order.modified_by"]["edit"] = array("table" => "purchase_order", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["sales_order"]["purchase_order.so_no"]["edit"] = array("table" => "purchase_order", "field" => "so_no", "page" => "edit");
	$lookupTableLinks["shipping_date"]["purchase_order.shipping_date"]["edit"] = array("table" => "purchase_order", "field" => "shipping_date", "page" => "edit");
	$lookupTableLinks["company"]["purchase_order.bill_to"]["edit"] = array("table" => "purchase_order", "field" => "bill_to", "page" => "edit");
	$lookupTableLinks["Suppliers"]["purchase_order_receiving.Business_Partner"]["edit"] = array("table" => "purchase_order_receiving", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase_order_receiving.Payable_Account"]["edit"] = array("table" => "purchase_order_receiving", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["credit_terms"]["purchase_order_receiving.Terms"]["edit"] = array("table" => "purchase_order_receiving", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["purchase_order_receiving.Cost_Center"]["edit"] = array("table" => "purchase_order_receiving", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["purchase_order_receiving.Shipping_Terms"]["edit"] = array("table" => "purchase_order_receiving", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase_order_receiving.Discount_Account"]["edit"] = array("table" => "purchase_order_receiving", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase_order_receiving.VAT_Account"]["edit"] = array("table" => "purchase_order_receiving", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["open_po"]["purchase_order_receiving.ref_no"]["edit"] = array("table" => "purchase_order_receiving", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["purchase_order_receiving.location"]["edit"] = array("table" => "purchase_order_receiving", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["purchase_order_receiving.discount_type"]["edit"] = array("table" => "purchase_order_receiving", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["purchase_order_receiving.project"]["edit"] = array("table" => "purchase_order_receiving", "field" => "project", "page" => "edit");
	$lookupTableLinks["currency"]["purchase_order_receiving.currecy"]["edit"] = array("table" => "purchase_order_receiving", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["purchase_order_receiving.phase"]["edit"] = array("table" => "purchase_order_receiving", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["purchase_order_receiving.approved_by"]["edit"] = array("table" => "purchase_order_receiving", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["purchase_order_receiving.checked_by"]["edit"] = array("table" => "purchase_order_receiving", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["purchase_order_receiving.prepared_by"]["edit"] = array("table" => "purchase_order_receiving", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks[""]["purchase_order_receiving.ref_id"]["edit"] = array("table" => "purchase_order_receiving", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["system_user"]["purchase_order_receiving.modified_by"]["edit"] = array("table" => "purchase_order_receiving", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["sales_order"]["purchase_order_receiving.so_no"]["edit"] = array("table" => "purchase_order_receiving", "field" => "so_no", "page" => "edit");
	$lookupTableLinks["rdo"]["System_preference.RDO Code"]["edit"] = array("table" => "System_preference", "field" => "RDO Code", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["System_preference.default_output_vat_account"]["edit"] = array("table" => "System_preference", "field" => "default_output_vat_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["System_preference.default_input_vat_account"]["edit"] = array("table" => "System_preference", "field" => "default_input_vat_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["System_preference.default_ewt_account"]["edit"] = array("table" => "System_preference", "field" => "default_ewt_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["System_preference.discount_account"]["edit"] = array("table" => "System_preference", "field" => "discount_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["System_preference.purchase_discount"]["edit"] = array("table" => "System_preference", "field" => "purchase_discount", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["System_preference.undeposited_account"]["edit"] = array("table" => "System_preference", "field" => "undeposited_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["System_preference.default_ewt_account_purchase"]["edit"] = array("table" => "System_preference", "field" => "default_ewt_account_purchase", "page" => "edit");
	$lookupTableLinks["vat_atc"]["System_preference.vat_atc"]["edit"] = array("table" => "System_preference", "field" => "vat_atc", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["System_preference.default_deferred_output_tax"]["edit"] = array("table" => "System_preference", "field" => "default_deferred_output_tax", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["System_preference.default_pdc_cash_account"]["edit"] = array("table" => "System_preference", "field" => "default_pdc_cash_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["System_preference.default_vat_payable_account"]["edit"] = array("table" => "System_preference", "field" => "default_vat_payable_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["System_preference.defaul_excess_input_over_output"]["edit"] = array("table" => "System_preference", "field" => "defaul_excess_input_over_output", "page" => "edit");
	$lookupTableLinks["bank"]["System_preference.default_receipt_bank"]["edit"] = array("table" => "System_preference", "field" => "default_receipt_bank", "page" => "edit");
	$lookupTableLinks["bank"]["System_preference.default_disbursement_bank"]["edit"] = array("table" => "System_preference", "field" => "default_disbursement_bank", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["System_preference.default_petty_cash_account"]["edit"] = array("table" => "System_preference", "field" => "default_petty_cash_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["System_preference.defered_input_tax"]["edit"] = array("table" => "System_preference", "field" => "defered_input_tax", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["System_preference.final_vat_rate_account"]["edit"] = array("table" => "System_preference", "field" => "final_vat_rate_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["ppe_list.asset_account"]["edit"] = array("table" => "ppe_list", "field" => "asset_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["ppe_list.accum_depreciation_account"]["edit"] = array("table" => "ppe_list", "field" => "accum_depreciation_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["ppe_list.depreciation_expense"]["edit"] = array("table" => "ppe_list", "field" => "depreciation_expense", "page" => "edit");
	$lookupTableLinks["cost_center"]["ppe_list.cost_center"]["edit"] = array("table" => "ppe_list", "field" => "cost_center", "page" => "edit");
	$lookupTableLinks["vat_type"]["ppe_list.vat_type"]["edit"] = array("table" => "ppe_list", "field" => "vat_type", "page" => "edit");
	$lookupTableLinks["business_partner"]["meetings.account"]["edit"] = array("table" => "meetings", "field" => "account", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["meetings.assigned_to"]["edit"] = array("table" => "meetings", "field" => "assigned_to", "page" => "edit");
	$lookupTableLinks["business_partner"]["calls.account"]["edit"] = array("table" => "calls", "field" => "account", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["calls.assigned_to"]["edit"] = array("table" => "calls", "field" => "assigned_to", "page" => "edit");
	$lookupTableLinks["campaign_type"]["campaign.type"]["edit"] = array("table" => "campaign", "field" => "type", "page" => "edit");
	$lookupTableLinks["system_user"]["campaign.created_by"]["edit"] = array("table" => "campaign", "field" => "created_by", "page" => "edit");
	$lookupTableLinks["system_user"]["campaign.modified_by"]["edit"] = array("table" => "campaign", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["business_partner"]["reimbursement.Business_Partner"]["edit"] = array("table" => "reimbursement", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["reimbursement.Payable_Account"]["edit"] = array("table" => "reimbursement", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["reimbursement.Discount_Account"]["edit"] = array("table" => "reimbursement", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["reimbursement.VAT_Account"]["edit"] = array("table" => "reimbursement", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["reimbursement.location"]["edit"] = array("table" => "reimbursement", "field" => "location", "page" => "edit");
	$lookupTableLinks["system_user"]["reimbursement.prepared_by"]["edit"] = array("table" => "reimbursement", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["reimbursement.checked_by"]["edit"] = array("table" => "reimbursement", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["reimbursement.approved_by"]["edit"] = array("table" => "reimbursement", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["reimbursement.modified_by"]["edit"] = array("table" => "reimbursement", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["company"]["reimbursement.company"]["edit"] = array("table" => "reimbursement", "field" => "company", "page" => "edit");
	$lookupTableLinks["projects_view"]["reimbursement.project_no"]["edit"] = array("table" => "reimbursement", "field" => "project_no", "page" => "edit");
	$lookupTableLinks["item"]["reimbursement_detail.Item"]["edit"] = array("table" => "reimbursement_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["reimbursement_detail.Account"]["edit"] = array("table" => "reimbursement_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["reimbursement_detail.Description"]["edit"] = array("table" => "reimbursement_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["reimbursement_detail.VAT_Type"]["edit"] = array("table" => "reimbursement_detail", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["reimbursement_detail.Subsidiary"]["edit"] = array("table" => "reimbursement_detail", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["reimbursement_detail.Cost_Center"]["edit"] = array("table" => "reimbursement_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["serial_no"]["reimbursement_detail.serial_number"]["edit"] = array("table" => "reimbursement_detail", "field" => "serial_number", "page" => "edit");
	$lookupTableLinks["projects_view"]["reimbursement_detail.lot_no"]["edit"] = array("table" => "reimbursement_detail", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["uom"]["reimbursement_detail.um"]["edit"] = array("table" => "reimbursement_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["reimbursement_detail"]["reimbursement_detail.copy"]["edit"] = array("table" => "reimbursement_detail", "field" => "copy", "page" => "edit");
	$lookupTableLinks["area"]["Target_customers.area"]["edit"] = array("table" => "Target_customers", "field" => "area", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Target_customers.assigned_to"]["edit"] = array("table" => "Target_customers", "field" => "assigned_to", "page" => "edit");
	$lookupTableLinks["campaign"]["Target_customers.campaign"]["edit"] = array("table" => "Target_customers", "field" => "campaign", "page" => "edit");
	$lookupTableLinks["business_partner"]["quotation.Business_Partner"]["edit"] = array("table" => "quotation", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["quotation.Discount_Account"]["edit"] = array("table" => "quotation", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["quotation.VAT_Account"]["edit"] = array("table" => "quotation", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["open_estimates"]["quotation.ref_no"]["edit"] = array("table" => "quotation", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["quotation.location"]["edit"] = array("table" => "quotation", "field" => "location", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["quotation.sales_rep"]["edit"] = array("table" => "quotation", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["quotation.currecy"]["edit"] = array("table" => "quotation", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["system_user"]["quotation.prepared_by"]["edit"] = array("table" => "quotation", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["quotation.checked_by"]["edit"] = array("table" => "quotation", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["quotation.approved_by"]["edit"] = array("table" => "quotation", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["discounts"]["quotation.discount_type"]["edit"] = array("table" => "quotation", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["cost_center"]["quotation.Cost_Center"]["edit"] = array("table" => "quotation", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["system_user"]["quotation.modified_by"]["edit"] = array("table" => "quotation", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["case_type"]["case.type"]["edit"] = array("table" => "case", "field" => "type", "page" => "edit");
	$lookupTableLinks["item"]["case.item"]["edit"] = array("table" => "case", "field" => "item", "page" => "edit");
	$lookupTableLinks["sales"]["case.invoice_no"]["edit"] = array("table" => "case", "field" => "invoice_no", "page" => "edit");
	$lookupTableLinks["area"]["case.area"]["edit"] = array("table" => "case", "field" => "area", "page" => "edit");
	$lookupTableLinks["service_center"]["case.service_center"]["edit"] = array("table" => "case", "field" => "service_center", "page" => "edit");
	$lookupTableLinks["business_partner"]["case.client"]["edit"] = array("table" => "case", "field" => "client", "page" => "edit");
	$lookupTableLinks["cost_center"]["projects.department"]["edit"] = array("table" => "projects", "field" => "department", "page" => "edit");
	$lookupTableLinks["inco_terms"]["projects.inco_terms"]["edit"] = array("table" => "projects", "field" => "inco_terms", "page" => "edit");
	$lookupTableLinks["shipment_classification"]["projects.classification"]["edit"] = array("table" => "projects", "field" => "classification", "page" => "edit");
	$lookupTableLinks["currency"]["projects.currency"]["edit"] = array("table" => "projects", "field" => "currency", "page" => "edit");
	$lookupTableLinks["airlines"]["projects.carrier"]["edit"] = array("table" => "projects", "field" => "carrier", "page" => "edit");
	$lookupTableLinks["seaports"]["projects.discharger_port"]["edit"] = array("table" => "projects", "field" => "discharger_port", "page" => "edit");
	$lookupTableLinks["business_partner"]["projects.warehouse"]["edit"] = array("table" => "projects", "field" => "warehouse", "page" => "edit");
	$lookupTableLinks["seaports"]["projects.destination_port"]["edit"] = array("table" => "projects", "field" => "destination_port", "page" => "edit");
	$lookupTableLinks["business_partner"]["projects.shipper_info"]["edit"] = array("table" => "projects", "field" => "shipper_info", "page" => "edit");
	$lookupTableLinks["business_partner"]["projects.consignee_info"]["edit"] = array("table" => "projects", "field" => "consignee_info", "page" => "edit");
	$lookupTableLinks["business_partner"]["projects.agent_info"]["edit"] = array("table" => "projects", "field" => "agent_info", "page" => "edit");
	$lookupTableLinks["business_partner"]["projects.broker_info"]["edit"] = array("table" => "projects", "field" => "broker_info", "page" => "edit");
	$lookupTableLinks["employees"]["projects.sales_rep"]["edit"] = array("table" => "projects", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["quotation"]["projects.quotation"]["edit"] = array("table" => "projects", "field" => "quotation", "page" => "edit");
	$lookupTableLinks["business_partner"]["projects.shipper_info2"]["edit"] = array("table" => "projects", "field" => "shipper_info2", "page" => "edit");
	$lookupTableLinks["business_partner"]["projects.consignee_info2"]["edit"] = array("table" => "projects", "field" => "consignee_info2", "page" => "edit");
	$lookupTableLinks["business_partner"]["projects.agent_info2"]["edit"] = array("table" => "projects", "field" => "agent_info2", "page" => "edit");
	$lookupTableLinks["business_partner"]["production.Business_Partner"]["edit"] = array("table" => "production", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["cost_center"]["production.Cost_Center"]["edit"] = array("table" => "production", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["open_production_request"]["production.ref_no"]["edit"] = array("table" => "production", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["production.location"]["edit"] = array("table" => "production", "field" => "location", "page" => "edit");
	$lookupTableLinks["approver_list"]["production.approved_by"]["edit"] = array("table" => "production", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["production.checked_by"]["edit"] = array("table" => "production", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["production.prepared_by"]["edit"] = array("table" => "production", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["production.modified_by"]["edit"] = array("table" => "production", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["employee_list"]["issue.Business_Partner"]["edit"] = array("table" => "issue", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["cost_center"]["issue.Cost_Center"]["edit"] = array("table" => "issue", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["issue.location"]["edit"] = array("table" => "issue", "field" => "location", "page" => "edit");
	$lookupTableLinks["approver_list"]["issue.approved_by"]["edit"] = array("table" => "issue", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["issue.checked_by"]["edit"] = array("table" => "issue", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["issue.prepared_by"]["edit"] = array("table" => "issue", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["issue.modified_by"]["edit"] = array("table" => "issue", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["issue_detail.Item"]["edit"] = array("table" => "issue_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["issue_detail.Description"]["edit"] = array("table" => "issue_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["uom"]["issue_detail.um"]["edit"] = array("table" => "issue_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["serial_no"]["issue_detail.serial_number"]["edit"] = array("table" => "issue_detail", "field" => "serial_number", "page" => "edit");
	$lookupTableLinks["business_partner"]["issue_detail.subsidiary"]["edit"] = array("table" => "issue_detail", "field" => "subsidiary", "page" => "edit");
	$lookupTableLinks["lot"]["issue_detail.lot_no"]["edit"] = array("table" => "issue_detail", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["cost_center"]["disposed.Cost_Center"]["edit"] = array("table" => "disposed", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["disposed.location"]["edit"] = array("table" => "disposed", "field" => "location", "page" => "edit");
	$lookupTableLinks["approver_list"]["disposed.approved_by"]["edit"] = array("table" => "disposed", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["disposed.checked_by"]["edit"] = array("table" => "disposed", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["disposed.prepared_by"]["edit"] = array("table" => "disposed", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["disposed.modified_by"]["edit"] = array("table" => "disposed", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["disposed_detail.Item"]["edit"] = array("table" => "disposed_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["disposed_detail.Description"]["edit"] = array("table" => "disposed_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["uom"]["disposed_detail.um"]["edit"] = array("table" => "disposed_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["lot"]["disposed_detail.lot_no"]["edit"] = array("table" => "disposed_detail", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["serial_no"]["disposed_detail.serial_number"]["edit"] = array("table" => "disposed_detail", "field" => "serial_number", "page" => "edit");
	$lookupTableLinks["Customers"]["backload.Business_Partner"]["edit"] = array("table" => "backload", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["backload.Receivable_Account"]["edit"] = array("table" => "backload", "field" => "Receivable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["backload.Cost_Center"]["edit"] = array("table" => "backload", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["backload.Shipping_Terms"]["edit"] = array("table" => "backload", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["backload.Discount_Account"]["edit"] = array("table" => "backload", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["backload.VAT_Account"]["edit"] = array("table" => "backload", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["dr"]["backload.ref_no"]["edit"] = array("table" => "backload", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["system_user"]["backload.prepared_by"]["edit"] = array("table" => "backload", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["backload.approved_by"]["edit"] = array("table" => "backload", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["backload.checked_by"]["edit"] = array("table" => "backload", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["discounts"]["backload.discount_type"]["edit"] = array("table" => "backload", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["backload.project"]["edit"] = array("table" => "backload", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["backload.phase"]["edit"] = array("table" => "backload", "field" => "phase", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["backload.sales_rep"]["edit"] = array("table" => "backload", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["location"]["backload.location"]["edit"] = array("table" => "backload", "field" => "location", "page" => "edit");
	$lookupTableLinks["system_user"]["backload.modified_by"]["edit"] = array("table" => "backload", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["dr_detail"]["backload_detail.ref_id"]["edit"] = array("table" => "backload_detail", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["backload_detail.Item"]["edit"] = array("table" => "backload_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["backload_detail.Account"]["edit"] = array("table" => "backload_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["backload_detail.Description"]["edit"] = array("table" => "backload_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["backload_detail.VAT_Type"]["edit"] = array("table" => "backload_detail", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["backload_detail.Subsidiary"]["edit"] = array("table" => "backload_detail", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["backload_detail.Cost_Center"]["edit"] = array("table" => "backload_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["backload_detail.um"]["edit"] = array("table" => "backload_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["vehicle"]["vehicle.vehicle_No"]["edit"] = array("table" => "vehicle", "field" => "vehicle_No", "page" => "edit");
	$lookupTableLinks["payroll_account_type"]["payroll_item.account_type"]["edit"] = array("table" => "payroll_item", "field" => "account_type", "page" => "edit");
	$lookupTableLinks["vehicle"]["trip_ticket.vehicle_no"]["edit"] = array("table" => "trip_ticket", "field" => "vehicle_no", "page" => "edit");
	$lookupTableLinks["business_partner"]["trip_ticket.business_partner"]["edit"] = array("table" => "trip_ticket", "field" => "business_partner", "page" => "edit");
	$lookupTableLinks["approver_list"]["trip_ticket.approved_by"]["edit"] = array("table" => "trip_ticket", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["trip_ticket.checked_by"]["edit"] = array("table" => "trip_ticket", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["trip_ticket.prepared_by"]["edit"] = array("table" => "trip_ticket", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["trip_ticket.modified_by"]["edit"] = array("table" => "trip_ticket", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["employee_list"]["accident.employee_no"]["edit"] = array("table" => "accident", "field" => "employee_no", "page" => "edit");
	$lookupTableLinks["tranasactions_for_approval"]["approver_list.transaction"]["edit"] = array("table" => "approver_list", "field" => "transaction", "page" => "edit");
	$lookupTableLinks["system_user"]["approver_list.approver"]["edit"] = array("table" => "approver_list", "field" => "approver", "page" => "edit");
	$lookupTableLinks["employees"]["attendance.employee"]["edit"] = array("table" => "attendance", "field" => "employee", "page" => "edit");
	$lookupTableLinks["attendance_type"]["attendance.attendance_type"]["edit"] = array("table" => "attendance", "field" => "attendance_type", "page" => "edit");
	$lookupTableLinks["employee_list"]["medical.employee_no"]["edit"] = array("table" => "medical", "field" => "employee_no", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["position.sss_expense_account"]["edit"] = array("table" => "position", "field" => "sss_expense_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["position.pag_ibig_expense_account"]["edit"] = array("table" => "position", "field" => "pag_ibig_expense_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["position.philhealth_expense_account"]["edit"] = array("table" => "position", "field" => "philhealth_expense_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["position.witholding_tax_payable"]["edit"] = array("table" => "position", "field" => "witholding_tax_payable", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["position.sss_payable_account"]["edit"] = array("table" => "position", "field" => "sss_payable_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["position.philhealth_payable_account"]["edit"] = array("table" => "position", "field" => "philhealth_payable_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["position.pagibig_payable_account"]["edit"] = array("table" => "position", "field" => "pagibig_payable_account", "page" => "edit");
	$lookupTableLinks["area"]["service_center.area"]["edit"] = array("table" => "service_center", "field" => "area", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["service_center.cash_account"]["edit"] = array("table" => "service_center", "field" => "cash_account", "page" => "edit");
	$lookupTableLinks["employee_list"]["seminar.employee_no"]["edit"] = array("table" => "seminar", "field" => "employee_no", "page" => "edit");
	$lookupTableLinks["service_center"]["service_report.service_center"]["edit"] = array("table" => "service_report", "field" => "service_center", "page" => "edit");
	$lookupTableLinks["Customers"]["service_report.customer"]["edit"] = array("table" => "service_report", "field" => "customer", "page" => "edit");
	$lookupTableLinks["approver_list"]["service_report.checked_by"]["edit"] = array("table" => "service_report", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["case"]["service_report.Case"]["edit"] = array("table" => "service_report", "field" => "Case", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["service_report.cash_account"]["edit"] = array("table" => "service_report", "field" => "cash_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["service_report.discount_account"]["edit"] = array("table" => "service_report", "field" => "discount_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["service_report.vat_account"]["edit"] = array("table" => "service_report", "field" => "vat_account", "page" => "edit");
	$lookupTableLinks["approver_list"]["service_report.approved_by"]["edit"] = array("table" => "service_report", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["discounts"]["service_report.discount_type"]["edit"] = array("table" => "service_report", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["system_user"]["service_report.prepared_by"]["edit"] = array("table" => "service_report", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["service_report.modified_by"]["edit"] = array("table" => "service_report", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["service_report_detail.Item"]["edit"] = array("table" => "service_report_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["service_report_detail.Account"]["edit"] = array("table" => "service_report_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["service_report_detail.Description"]["edit"] = array("table" => "service_report_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["service_report_detail.VAT_Type"]["edit"] = array("table" => "service_report_detail", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["service_report_detail.Subsidiary"]["edit"] = array("table" => "service_report_detail", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["service_report_detail.Cost_Center"]["edit"] = array("table" => "service_report_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["service_report_detail.um"]["edit"] = array("table" => "service_report_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["employee_list"]["training.employee_no"]["edit"] = array("table" => "training", "field" => "employee_no", "page" => "edit");
	$lookupTableLinks["origin_fa"]["fixed_asset_return_detail.Item"]["edit"] = array("table" => "fixed_asset_return_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["employee_list"]["fixed_asset_return_detail.origin_assignee"]["edit"] = array("table" => "fixed_asset_return_detail", "field" => "origin_assignee", "page" => "edit");
	$lookupTableLinks["location"]["fixed_asset_return_detail.origin_location"]["edit"] = array("table" => "fixed_asset_return_detail", "field" => "origin_location", "page" => "edit");
	$lookupTableLinks["cost_center"]["fixed_asset_return_detail.origin_center"]["edit"] = array("table" => "fixed_asset_return_detail", "field" => "origin_center", "page" => "edit");
	$lookupTableLinks["employee_list"]["fixed_assets_return.Business_Partner"]["edit"] = array("table" => "fixed_assets_return", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["cost_center"]["fixed_assets_return.Cost_Center"]["edit"] = array("table" => "fixed_assets_return", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["fixed_assets_return.location"]["edit"] = array("table" => "fixed_assets_return", "field" => "location", "page" => "edit");
	$lookupTableLinks["approver_list"]["fixed_assets_return.approved_by"]["edit"] = array("table" => "fixed_assets_return", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["fixed_assets_return.checked_by"]["edit"] = array("table" => "fixed_assets_return", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["fixed_assets_return.prepared_by"]["edit"] = array("table" => "fixed_assets_return", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["fixed_assets_return.modified_by"]["edit"] = array("table" => "fixed_assets_return", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["area"]["Prospect_customers.area"]["edit"] = array("table" => "Prospect_customers", "field" => "area", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Prospect_customers.assigned_to"]["edit"] = array("table" => "Prospect_customers", "field" => "assigned_to", "page" => "edit");
	$lookupTableLinks["campaign"]["Prospect_customers.campaign"]["edit"] = array("table" => "Prospect_customers", "field" => "campaign", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["beg_baldetail.Account"]["edit"] = array("table" => "beg_baldetail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["beg_baldetail.Item"]["edit"] = array("table" => "beg_baldetail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["business_partner"]["beg_baldetail.Subsidiary"]["edit"] = array("table" => "beg_baldetail", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["beg_baldetail.Cost_Center"]["edit"] = array("table" => "beg_baldetail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["beg_baldetail.location"]["edit"] = array("table" => "beg_baldetail", "field" => "location", "page" => "edit");
	$lookupTableLinks["uom"]["beg_baldetail.um"]["edit"] = array("table" => "beg_baldetail", "field" => "um", "page" => "edit");
	$lookupTableLinks["serial_no"]["beg_baldetail.serial_number"]["edit"] = array("table" => "beg_baldetail", "field" => "serial_number", "page" => "edit");
	$lookupTableLinks["lot"]["beg_baldetail.lot_no"]["edit"] = array("table" => "beg_baldetail", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["item"]["cash_disbursement_detail2.Item"]["edit"] = array("table" => "cash_disbursement_detail2", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["cash_disbursement_detail2.Account"]["edit"] = array("table" => "cash_disbursement_detail2", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["cash_disbursement_detail2.Description"]["edit"] = array("table" => "cash_disbursement_detail2", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["cash_disbursement_detail2.VAT_Type"]["edit"] = array("table" => "cash_disbursement_detail2", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["cash_disbursement_detail2.Subsidiary"]["edit"] = array("table" => "cash_disbursement_detail2", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["cash_disbursement_detail2.Cost_Center"]["edit"] = array("table" => "cash_disbursement_detail2", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["serial_no"]["cash_disbursement_detail2.serial_number"]["edit"] = array("table" => "cash_disbursement_detail2", "field" => "serial_number", "page" => "edit");
	$lookupTableLinks["projects_view"]["cash_disbursement_detail2.lot_no"]["edit"] = array("table" => "cash_disbursement_detail2", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["uom"]["cash_disbursement_detail2.um"]["edit"] = array("table" => "cash_disbursement_detail2", "field" => "um", "page" => "edit");
	$lookupTableLinks["request_for_payment_detail"]["cash_disbursement_detail2.ref_id"]["edit"] = array("table" => "cash_disbursement_detail2", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["cash_disbursement_detail2.account_no"]["edit"] = array("table" => "cash_disbursement_detail2", "field" => "account_no", "page" => "edit");
	$lookupTableLinks["bal_cashpayment"]["cash_disbursment_detail.Reference"]["edit"] = array("table" => "cash_disbursment_detail", "field" => "Reference", "page" => "edit");
	$lookupTableLinks["purchase_order"]["cash_disbursment_detail.po_no"]["edit"] = array("table" => "cash_disbursment_detail", "field" => "po_no", "page" => "edit");
	$lookupTableLinks["purchase_order_receiving"]["cash_disbursment_detail.receiving_no"]["edit"] = array("table" => "cash_disbursment_detail", "field" => "receiving_no", "page" => "edit");
	$lookupTableLinks["bal_cashreceipt"]["cash_receipt_detail.Reference"]["edit"] = array("table" => "cash_receipt_detail", "field" => "Reference", "page" => "edit");
	$lookupTableLinks["projects_view"]["cash_receipt_detail.project_no"]["edit"] = array("table" => "cash_receipt_detail", "field" => "project_no", "page" => "edit");
	$lookupTableLinks["sales_order"]["cash_receipt_detail.so_no"]["edit"] = array("table" => "cash_receipt_detail", "field" => "so_no", "page" => "edit");
	$lookupTableLinks["serial_no"]["cash_receipt_detail.serial_number"]["edit"] = array("table" => "cash_receipt_detail", "field" => "serial_number", "page" => "edit");
	$lookupTableLinks["lot"]["cash_receipt_detail.lot_no"]["edit"] = array("table" => "cash_receipt_detail", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["item"]["cash_receipt_detail2.Item"]["edit"] = array("table" => "cash_receipt_detail2", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["cash_receipt_detail2.Account"]["edit"] = array("table" => "cash_receipt_detail2", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["cash_receipt_detail2.Description"]["edit"] = array("table" => "cash_receipt_detail2", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["cash_receipt_detail2.VAT_Type"]["edit"] = array("table" => "cash_receipt_detail2", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["cash_receipt_detail2.Subsidiary"]["edit"] = array("table" => "cash_receipt_detail2", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["cash_receipt_detail2.Cost_Center"]["edit"] = array("table" => "cash_receipt_detail2", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["projects_view"]["cash_receipt_detail2.lot_no"]["edit"] = array("table" => "cash_receipt_detail2", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["uom"]["cash_receipt_detail2.um"]["edit"] = array("table" => "cash_receipt_detail2", "field" => "um", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["general_journal_detail.Account"]["edit"] = array("table" => "general_journal_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["general_journal_detail.Item"]["edit"] = array("table" => "general_journal_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["general_journal_detail.Description"]["edit"] = array("table" => "general_journal_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["business_partner"]["general_journal_detail.Subsidiary"]["edit"] = array("table" => "general_journal_detail", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["general_journal_detail.Cost_Center"]["edit"] = array("table" => "general_journal_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["projects_view"]["general_journal_detail.lot_no"]["edit"] = array("table" => "general_journal_detail", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["uom"]["general_journal_detail.um"]["edit"] = array("table" => "general_journal_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["general_journal_detail"]["general_journal_detail.copy"]["edit"] = array("table" => "general_journal_detail", "field" => "copy", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["general_journal_detail.account_no"]["edit"] = array("table" => "general_journal_detail", "field" => "account_no", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["employee_list.Default  Account"]["edit"] = array("table" => "employee_list", "field" => "Default  Account", "page" => "edit");
	$lookupTableLinks["business_partner"]["petty_cash.Business_Partner"]["edit"] = array("table" => "petty_cash", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["petty_cash.Payable_Account"]["edit"] = array("table" => "petty_cash", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["petty_cash.Discount_Account"]["edit"] = array("table" => "petty_cash", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["petty_cash.VAT_Account"]["edit"] = array("table" => "petty_cash", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["petty_cash.EWT_Account"]["edit"] = array("table" => "petty_cash", "field" => "EWT_Account", "page" => "edit");
	$lookupTableLinks["location"]["petty_cash.location"]["edit"] = array("table" => "petty_cash", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["petty_cash.discount_type"]["edit"] = array("table" => "petty_cash", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects_view"]["petty_cash.project"]["edit"] = array("table" => "petty_cash", "field" => "project", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["petty_cash.currecy"]["edit"] = array("table" => "petty_cash", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["petty_cash.phase"]["edit"] = array("table" => "petty_cash", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["petty_cash.approved_by"]["edit"] = array("table" => "petty_cash", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["petty_cash.checked_by"]["edit"] = array("table" => "petty_cash", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["petty_cash.prepared_by"]["edit"] = array("table" => "petty_cash", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["petty_cash.modified_by"]["edit"] = array("table" => "petty_cash", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["petty_cash.Account No"]["edit"] = array("table" => "petty_cash", "field" => "Account No", "page" => "edit");
	$lookupTableLinks["company"]["petty_cash.company"]["edit"] = array("table" => "petty_cash", "field" => "company", "page" => "edit");
	$lookupTableLinks["bank"]["petty_cash.bank"]["edit"] = array("table" => "petty_cash", "field" => "bank", "page" => "edit");
	$lookupTableLinks["item"]["petty_cash_detail.Item"]["edit"] = array("table" => "petty_cash_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["petty_cash_detail.Account"]["edit"] = array("table" => "petty_cash_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["petty_cash_detail.Description"]["edit"] = array("table" => "petty_cash_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["petty_cash_detail.VAT_Type"]["edit"] = array("table" => "petty_cash_detail", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["ewt"]["petty_cash_detail.EWT_ATC"]["edit"] = array("table" => "petty_cash_detail", "field" => "EWT_ATC", "page" => "edit");
	$lookupTableLinks["business_partner"]["petty_cash_detail.Subsidiary"]["edit"] = array("table" => "petty_cash_detail", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["petty_cash_detail.Cost_Center"]["edit"] = array("table" => "petty_cash_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["serial_no"]["petty_cash_detail.serial_number"]["edit"] = array("table" => "petty_cash_detail", "field" => "serial_number", "page" => "edit");
	$lookupTableLinks["projects_view"]["petty_cash_detail.lot_no"]["edit"] = array("table" => "petty_cash_detail", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["uom"]["petty_cash_detail.um"]["edit"] = array("table" => "petty_cash_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["petty_cash_detail.account_no"]["edit"] = array("table" => "petty_cash_detail", "field" => "account_no", "page" => "edit");
	$lookupTableLinks["petty_cash_detail"]["petty_cash_detail.copy"]["edit"] = array("table" => "petty_cash_detail", "field" => "copy", "page" => "edit");
	$lookupTableLinks["Suppliers"]["center_replenishment.Business_Partner"]["edit"] = array("table" => "center_replenishment", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["center_replenishment.Payable_Account"]["edit"] = array("table" => "center_replenishment", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["center_replenishment.Cost_Center"]["edit"] = array("table" => "center_replenishment", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["center_replenishment.Discount_Account"]["edit"] = array("table" => "center_replenishment", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["center_replenishment.VAT_Account"]["edit"] = array("table" => "center_replenishment", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["center_replenishment.EWT_Account"]["edit"] = array("table" => "center_replenishment", "field" => "EWT_Account", "page" => "edit");
	$lookupTableLinks["ewt"]["center_replenishment.atc"]["edit"] = array("table" => "center_replenishment", "field" => "atc", "page" => "edit");
	$lookupTableLinks["location"]["center_replenishment.location"]["edit"] = array("table" => "center_replenishment", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["center_replenishment.discount_type"]["edit"] = array("table" => "center_replenishment", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["center_replenishment.project"]["edit"] = array("table" => "center_replenishment", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["center_replenishment.phase"]["edit"] = array("table" => "center_replenishment", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["center_replenishment.approved_by"]["edit"] = array("table" => "center_replenishment", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["center_replenishment.checked_by"]["edit"] = array("table" => "center_replenishment", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["center_replenishment.prepared_by"]["edit"] = array("table" => "center_replenishment", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["center_replenishment.modified_by"]["edit"] = array("table" => "center_replenishment", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["company"]["center_replenishment.company"]["edit"] = array("table" => "center_replenishment", "field" => "company", "page" => "edit");
	$lookupTableLinks["item"]["center_replenishment_detail.Item"]["edit"] = array("table" => "center_replenishment_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["center_replenishment_detail.Account"]["edit"] = array("table" => "center_replenishment_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["center_replenishment_detail.Description"]["edit"] = array("table" => "center_replenishment_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["center_replenishment_detail.VAT_Type"]["edit"] = array("table" => "center_replenishment_detail", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["center_replenishment_detail.Subsidiary"]["edit"] = array("table" => "center_replenishment_detail", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["center_replenishment_detail.Cost_Center"]["edit"] = array("table" => "center_replenishment_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["serial_no"]["center_replenishment_detail.serial_number"]["edit"] = array("table" => "center_replenishment_detail", "field" => "serial_number", "page" => "edit");
	$lookupTableLinks["lot"]["center_replenishment_detail.lot_no"]["edit"] = array("table" => "center_replenishment_detail", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["uom"]["center_replenishment_detail.um"]["edit"] = array("table" => "center_replenishment_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["Customers"]["credit_memo.Business_Partner"]["edit"] = array("table" => "credit_memo", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["credit_memo.Receivable_Account"]["edit"] = array("table" => "credit_memo", "field" => "Receivable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["credit_memo.Cost_Center"]["edit"] = array("table" => "credit_memo", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["credit_memo.Discount_Account"]["edit"] = array("table" => "credit_memo", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["credit_memo.VAT_Account"]["edit"] = array("table" => "credit_memo", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["open_backload"]["credit_memo.ref_no"]["edit"] = array("table" => "credit_memo", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["credit_memo.location"]["edit"] = array("table" => "credit_memo", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["credit_memo.discount_type"]["edit"] = array("table" => "credit_memo", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["credit_memo.project"]["edit"] = array("table" => "credit_memo", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["credit_memo.phase"]["edit"] = array("table" => "credit_memo", "field" => "phase", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["credit_memo.sales_rep"]["edit"] = array("table" => "credit_memo", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["credit_memo.currency"]["edit"] = array("table" => "credit_memo", "field" => "currency", "page" => "edit");
	$lookupTableLinks["system_user"]["credit_memo.prepared_by"]["edit"] = array("table" => "credit_memo", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["credit_memo.checked_by"]["edit"] = array("table" => "credit_memo", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["credit_memo.approved_by"]["edit"] = array("table" => "credit_memo", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["credit_memo.modified_by"]["edit"] = array("table" => "credit_memo", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["backload_detail"]["credit_memo_detail.ref_id"]["edit"] = array("table" => "credit_memo_detail", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["credit_memo_detail.Item"]["edit"] = array("table" => "credit_memo_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["credit_memo_detail.Account"]["edit"] = array("table" => "credit_memo_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["credit_memo_detail.Description"]["edit"] = array("table" => "credit_memo_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["credit_memo_detail.VAT_Type"]["edit"] = array("table" => "credit_memo_detail", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["credit_memo_detail.Subsidiary"]["edit"] = array("table" => "credit_memo_detail", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["credit_memo_detail.Cost_Center"]["edit"] = array("table" => "credit_memo_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["lot"]["credit_memo_detail.lot_no"]["edit"] = array("table" => "credit_memo_detail", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["uom"]["credit_memo_detail.um"]["edit"] = array("table" => "credit_memo_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["serial_no"]["credit_memo_detail.serial_number"]["edit"] = array("table" => "credit_memo_detail", "field" => "serial_number", "page" => "edit");
	$lookupTableLinks["Suppliers"]["debit_memo.Business_Partner"]["edit"] = array("table" => "debit_memo", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["debit_memo.Payable_Account"]["edit"] = array("table" => "debit_memo", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["debit_memo.Cost_Center"]["edit"] = array("table" => "debit_memo", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["debit_memo.Discount_Account"]["edit"] = array("table" => "debit_memo", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["debit_memo.VAT_Account"]["edit"] = array("table" => "debit_memo", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["purchase_order_receiving"]["debit_memo.ref_no"]["edit"] = array("table" => "debit_memo", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["debit_memo.location"]["edit"] = array("table" => "debit_memo", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["debit_memo.discount_type"]["edit"] = array("table" => "debit_memo", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["debit_memo.project"]["edit"] = array("table" => "debit_memo", "field" => "project", "page" => "edit");
	$lookupTableLinks["currency"]["debit_memo.currecy"]["edit"] = array("table" => "debit_memo", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["debit_memo.phase"]["edit"] = array("table" => "debit_memo", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["debit_memo.approved_by"]["edit"] = array("table" => "debit_memo", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["debit_memo.checked_by"]["edit"] = array("table" => "debit_memo", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["debit_memo.prepared_by"]["edit"] = array("table" => "debit_memo", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["debit_memo.modified_by"]["edit"] = array("table" => "debit_memo", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["sales_order"]["debit_memo.so_no"]["edit"] = array("table" => "debit_memo", "field" => "so_no", "page" => "edit");
	$lookupTableLinks["purchase_order_receiving_detail"]["debit_memo_detail.ref_id"]["edit"] = array("table" => "debit_memo_detail", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["debit_memo_detail.Item"]["edit"] = array("table" => "debit_memo_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["debit_memo_detail.Account"]["edit"] = array("table" => "debit_memo_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["debit_memo_detail.Description"]["edit"] = array("table" => "debit_memo_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["debit_memo_detail.VAT_Type"]["edit"] = array("table" => "debit_memo_detail", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["debit_memo_detail.Subsidiary"]["edit"] = array("table" => "debit_memo_detail", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["debit_memo_detail.Cost_Center"]["edit"] = array("table" => "debit_memo_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["serial_no"]["debit_memo_detail.serial_number"]["edit"] = array("table" => "debit_memo_detail", "field" => "serial_number", "page" => "edit");
	$lookupTableLinks["lot"]["debit_memo_detail.lot_no"]["edit"] = array("table" => "debit_memo_detail", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["uom"]["debit_memo_detail.um"]["edit"] = array("table" => "debit_memo_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["project_replenishment.Business_Partner"]["edit"] = array("table" => "project_replenishment", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["project_replenishment.Payable_Account"]["edit"] = array("table" => "project_replenishment", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["project_replenishment.Cost_Center"]["edit"] = array("table" => "project_replenishment", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["project_replenishment.Discount_Account"]["edit"] = array("table" => "project_replenishment", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["project_replenishment.VAT_Account"]["edit"] = array("table" => "project_replenishment", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["ewt"]["project_replenishment.atc"]["edit"] = array("table" => "project_replenishment", "field" => "atc", "page" => "edit");
	$lookupTableLinks["location"]["project_replenishment.location"]["edit"] = array("table" => "project_replenishment", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["project_replenishment.discount_type"]["edit"] = array("table" => "project_replenishment", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["reimbursement"]["project_replenishment.project"]["edit"] = array("table" => "project_replenishment", "field" => "project", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["project_replenishment.sales_rep"]["edit"] = array("table" => "project_replenishment", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["phase"]["project_replenishment.phase"]["edit"] = array("table" => "project_replenishment", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["project_replenishment.approved_by"]["edit"] = array("table" => "project_replenishment", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["project_replenishment.checked_by"]["edit"] = array("table" => "project_replenishment", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["project_replenishment.prepared_by"]["edit"] = array("table" => "project_replenishment", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["project_replenishment.modified_by"]["edit"] = array("table" => "project_replenishment", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["company"]["project_replenishment.company"]["edit"] = array("table" => "project_replenishment", "field" => "company", "page" => "edit");
	$lookupTableLinks["bank"]["project_replenishment.bank"]["edit"] = array("table" => "project_replenishment", "field" => "bank", "page" => "edit");
	$lookupTableLinks["bank"]["project_replenishment.deposit_bank"]["edit"] = array("table" => "project_replenishment", "field" => "deposit_bank", "page" => "edit");
	$lookupTableLinks["projects_view"]["project_replenishment.project_no"]["edit"] = array("table" => "project_replenishment", "field" => "project_no", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["project_replenishment.account_no"]["edit"] = array("table" => "project_replenishment", "field" => "account_no", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["project_replenishment.account"]["edit"] = array("table" => "project_replenishment", "field" => "account", "page" => "edit");
	$lookupTableLinks["reimbursement"]["project_replenishment.invoice_no2"]["edit"] = array("table" => "project_replenishment", "field" => "invoice_no2", "page" => "edit");
	$lookupTableLinks["vat_type"]["project_replenishment.vat_type2"]["edit"] = array("table" => "project_replenishment", "field" => "vat_type2", "page" => "edit");
	$lookupTableLinks["item"]["project_replenishment_detail.Item"]["edit"] = array("table" => "project_replenishment_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["project_replenishment_detail.Account"]["edit"] = array("table" => "project_replenishment_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["project_replenishment_detail.Description"]["edit"] = array("table" => "project_replenishment_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["project_replenishment_detail.VAT_Type"]["edit"] = array("table" => "project_replenishment_detail", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["project_replenishment_detail.Subsidiary"]["edit"] = array("table" => "project_replenishment_detail", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["project_replenishment_detail.Cost_Center"]["edit"] = array("table" => "project_replenishment_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["projects_view"]["project_replenishment_detail.lot_no"]["edit"] = array("table" => "project_replenishment_detail", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["uom"]["project_replenishment_detail.um"]["edit"] = array("table" => "project_replenishment_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["project_replenishment_detail.account_no"]["edit"] = array("table" => "project_replenishment_detail", "field" => "account_no", "page" => "edit");
	$lookupTableLinks["project_replenishment_detail"]["project_replenishment_detail.copy"]["edit"] = array("table" => "project_replenishment_detail", "field" => "copy", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Sales_Representatives.Default  Account"]["edit"] = array("table" => "Sales_Representatives", "field" => "Default  Account", "page" => "edit");
	$lookupTableLinks["area"]["Sales_Representatives.area"]["edit"] = array("table" => "Sales_Representatives", "field" => "area", "page" => "edit");
	$lookupTableLinks["business_partner"]["sales.Business_Partner"]["edit"] = array("table" => "sales", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sales.Receivable_Account"]["edit"] = array("table" => "sales", "field" => "Receivable_Account", "page" => "edit");
	$lookupTableLinks["credit_terms"]["sales.Terms"]["edit"] = array("table" => "sales", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["sales.Cost_Center"]["edit"] = array("table" => "sales", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["sales.Shipping_Terms"]["edit"] = array("table" => "sales", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sales.Discount_Account"]["edit"] = array("table" => "sales", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sales.VAT_Account"]["edit"] = array("table" => "sales", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["ewt"]["sales.EWT_Account"]["edit"] = array("table" => "sales", "field" => "EWT_Account", "page" => "edit");
	$lookupTableLinks["open_so_for_invoice"]["sales.ref_no"]["edit"] = array("table" => "sales", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["sales.location"]["edit"] = array("table" => "sales", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["sales.discount_type"]["edit"] = array("table" => "sales", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects_view"]["sales.project"]["edit"] = array("table" => "sales", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["sales.phase"]["edit"] = array("table" => "sales", "field" => "phase", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["sales.sales_rep"]["edit"] = array("table" => "sales", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["sales.currency"]["edit"] = array("table" => "sales", "field" => "currency", "page" => "edit");
	$lookupTableLinks["system_user"]["sales.prepared_by"]["edit"] = array("table" => "sales", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["sales.checked_by"]["edit"] = array("table" => "sales", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["sales.approved_by"]["edit"] = array("table" => "sales", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["sales.modified_by"]["edit"] = array("table" => "sales", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sales.deferred_output_vat_account"]["edit"] = array("table" => "sales", "field" => "deferred_output_vat_account", "page" => "edit");
	$lookupTableLinks["quotation"]["sales.quotation_no"]["edit"] = array("table" => "sales", "field" => "quotation_no", "page" => "edit");
	$lookupTableLinks["cost_center"]["sales.center2"]["edit"] = array("table" => "sales", "field" => "center2", "page" => "edit");
	$lookupTableLinks["item"]["sales.charges2"]["edit"] = array("table" => "sales", "field" => "charges2", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sales.accountno2"]["edit"] = array("table" => "sales", "field" => "accountno2", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sales.account2"]["edit"] = array("table" => "sales", "field" => "account2", "page" => "edit");
	$lookupTableLinks["uom"]["sales.um2"]["edit"] = array("table" => "sales", "field" => "um2", "page" => "edit");
	$lookupTableLinks["item"]["sales.description2"]["edit"] = array("table" => "sales", "field" => "description2", "page" => "edit");
	$lookupTableLinks["vat_type"]["sales.vattype2"]["edit"] = array("table" => "sales", "field" => "vattype2", "page" => "edit");
	$lookupTableLinks["ewt"]["sales.ewtatc2"]["edit"] = array("table" => "sales", "field" => "ewtatc2", "page" => "edit");
	$lookupTableLinks["sales_order_detail"]["sales_detail.ref_id"]["edit"] = array("table" => "sales_detail", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["sales_detail.Item"]["edit"] = array("table" => "sales_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sales_detail.Account"]["edit"] = array("table" => "sales_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["sales_detail.Description"]["edit"] = array("table" => "sales_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["sales_detail.VAT_Type"]["edit"] = array("table" => "sales_detail", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["ewt"]["sales_detail.EWT_ATC"]["edit"] = array("table" => "sales_detail", "field" => "EWT_ATC", "page" => "edit");
	$lookupTableLinks["business_partner"]["sales_detail.Subsidiary"]["edit"] = array("table" => "sales_detail", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["sales_detail.Cost_Center"]["edit"] = array("table" => "sales_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["projects"]["sales_detail.lot_no"]["edit"] = array("table" => "sales_detail", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["uom"]["sales_detail.um"]["edit"] = array("table" => "sales_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["serial_no"]["sales_detail.serial_number"]["edit"] = array("table" => "sales_detail", "field" => "serial_number", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sales_detail.account_no"]["edit"] = array("table" => "sales_detail", "field" => "account_no", "page" => "edit");
	$lookupTableLinks["sales_detail"]["sales_detail.copy"]["edit"] = array("table" => "sales_detail", "field" => "copy", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Payroll_Company_Setup.default_salary_payable"]["edit"] = array("table" => "Payroll_Company_Setup", "field" => "default_salary_payable", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Payroll_Company_Setup.salary_expense"]["edit"] = array("table" => "Payroll_Company_Setup", "field" => "salary_expense", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Payroll_Company_Setup.sss_expense"]["edit"] = array("table" => "Payroll_Company_Setup", "field" => "sss_expense", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Payroll_Company_Setup.philhealth_expense"]["edit"] = array("table" => "Payroll_Company_Setup", "field" => "philhealth_expense", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Payroll_Company_Setup.pagibig_expense"]["edit"] = array("table" => "Payroll_Company_Setup", "field" => "pagibig_expense", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Payroll_Company_Setup.sss_payable"]["edit"] = array("table" => "Payroll_Company_Setup", "field" => "sss_payable", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Payroll_Company_Setup.philhealth_payable"]["edit"] = array("table" => "Payroll_Company_Setup", "field" => "philhealth_payable", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Payroll_Company_Setup.pagibig_payable"]["edit"] = array("table" => "Payroll_Company_Setup", "field" => "pagibig_payable", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Payroll_Company_Setup.witholding_tax_payable"]["edit"] = array("table" => "Payroll_Company_Setup", "field" => "witholding_tax_payable", "page" => "edit");
	$lookupTableLinks["item"]["item_bill_of_materials.item"]["edit"] = array("table" => "item_bill_of_materials", "field" => "item", "page" => "edit");
	$lookupTableLinks["item"]["item_bill_of_materials.material_item"]["edit"] = array("table" => "item_bill_of_materials", "field" => "material_item", "page" => "edit");
	$lookupTableLinks["uom"]["item_bill_of_materials.um"]["edit"] = array("table" => "item_bill_of_materials", "field" => "um", "page" => "edit");
	$lookupTableLinks["item"]["item_bill_of_materials.item_id"]["edit"] = array("table" => "item_bill_of_materials", "field" => "item_id", "page" => "edit");
	$lookupTableLinks["uom"]["item_uom_conversion.uom"]["edit"] = array("table" => "item_uom_conversion", "field" => "uom", "page" => "edit");
	$lookupTableLinks["cash_receipt"]["deposit_detail.receipt_no"]["edit"] = array("table" => "deposit_detail", "field" => "receipt_no", "page" => "edit");
	$lookupTableLinks["bank"]["deposit_detail.bank"]["edit"] = array("table" => "deposit_detail", "field" => "bank", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["deposit_detail.account"]["edit"] = array("table" => "deposit_detail", "field" => "account", "page" => "edit");
	$lookupTableLinks["company"]["deposit_detail.company"]["edit"] = array("table" => "deposit_detail", "field" => "company", "page" => "edit");
	$lookupTableLinks["cost_center"]["deposit_detail.cost_center"]["edit"] = array("table" => "deposit_detail", "field" => "cost_center", "page" => "edit");
	$lookupTableLinks["deposit_detail"]["deposit_detail.copy"]["edit"] = array("table" => "deposit_detail", "field" => "copy", "page" => "edit");
	$lookupTableLinks["item"]["purchase_detail.Item"]["edit"] = array("table" => "purchase_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase_detail.Account"]["edit"] = array("table" => "purchase_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["purchase_detail.VAT_Type"]["edit"] = array("table" => "purchase_detail", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["ewt"]["purchase_detail.EWT_ATC"]["edit"] = array("table" => "purchase_detail", "field" => "EWT_ATC", "page" => "edit");
	$lookupTableLinks["business_partner"]["purchase_detail.Subsidiary"]["edit"] = array("table" => "purchase_detail", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["purchase_detail.Cost_Center"]["edit"] = array("table" => "purchase_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["serial_no"]["purchase_detail.serial_number"]["edit"] = array("table" => "purchase_detail", "field" => "serial_number", "page" => "edit");
	$lookupTableLinks["projects_view"]["purchase_detail.lot_no"]["edit"] = array("table" => "purchase_detail", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["uom"]["purchase_detail.um"]["edit"] = array("table" => "purchase_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["purchase_order_receiving_detail"]["purchase_detail.ref_id"]["edit"] = array("table" => "purchase_detail", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["bal_sales_detail"]["dr_detail.ref_id"]["edit"] = array("table" => "dr_detail", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["dr_detail.Item"]["edit"] = array("table" => "dr_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["dr_detail.Account"]["edit"] = array("table" => "dr_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["dr_detail.Description"]["edit"] = array("table" => "dr_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["dr_detail.VAT_Type"]["edit"] = array("table" => "dr_detail", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["dr_detail.Subsidiary"]["edit"] = array("table" => "dr_detail", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["dr_detail.Cost_Center"]["edit"] = array("table" => "dr_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["lot"]["dr_detail.lot_no"]["edit"] = array("table" => "dr_detail", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["uom"]["dr_detail.um"]["edit"] = array("table" => "dr_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["serial_no"]["dr_detail.serial_number"]["edit"] = array("table" => "dr_detail", "field" => "serial_number", "page" => "edit");
	$lookupTableLinks["item"]["purchase_order_detail.Item"]["edit"] = array("table" => "purchase_order_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase_order_detail.Account"]["edit"] = array("table" => "purchase_order_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["purchase_order_detail.Description"]["edit"] = array("table" => "purchase_order_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["purchase_order_detail.VAT_Type"]["edit"] = array("table" => "purchase_order_detail", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["purchase_order_detail.Subsidiary"]["edit"] = array("table" => "purchase_order_detail", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["purchase_order_detail.Cost_Center"]["edit"] = array("table" => "purchase_order_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["purchase_order_detail.um"]["edit"] = array("table" => "purchase_order_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["purchase_request_detail"]["purchase_order_detail.ref_id"]["edit"] = array("table" => "purchase_order_detail", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["business_partner"]["Sales_Order_for_checking.Business_Partner"]["edit"] = array("table" => "Sales_Order_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Sales_Order_for_checking.Receivable_Account"]["edit"] = array("table" => "Sales_Order_for_checking", "field" => "Receivable_Account", "page" => "edit");
	$lookupTableLinks["credit_terms"]["Sales_Order_for_checking.Terms"]["edit"] = array("table" => "Sales_Order_for_checking", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["Sales_Order_for_checking.Cost_Center"]["edit"] = array("table" => "Sales_Order_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Sales_Order_for_checking.Shipping_Terms"]["edit"] = array("table" => "Sales_Order_for_checking", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Sales_Order_for_checking.Discount_Account"]["edit"] = array("table" => "Sales_Order_for_checking", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Sales_Order_for_checking.VAT_Account"]["edit"] = array("table" => "Sales_Order_for_checking", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["quotation"]["Sales_Order_for_checking.ref_no"]["edit"] = array("table" => "Sales_Order_for_checking", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["Sales_Order_for_checking.location"]["edit"] = array("table" => "Sales_Order_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Sales_Order_for_checking.discount_type"]["edit"] = array("table" => "Sales_Order_for_checking", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Sales_Order_for_checking.project"]["edit"] = array("table" => "Sales_Order_for_checking", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["Sales_Order_for_checking.phase"]["edit"] = array("table" => "Sales_Order_for_checking", "field" => "phase", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Sales_Order_for_checking.sales_rep"]["edit"] = array("table" => "Sales_Order_for_checking", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["Sales_Order_for_checking.currency"]["edit"] = array("table" => "Sales_Order_for_checking", "field" => "currency", "page" => "edit");
	$lookupTableLinks["system_user"]["Sales_Order_for_checking.prepared_by"]["edit"] = array("table" => "Sales_Order_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Sales_Order_for_checking.checked_by"]["edit"] = array("table" => "Sales_Order_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Sales_Order_for_checking.approved_by"]["edit"] = array("table" => "Sales_Order_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["campaign"]["Sales_Order_for_checking.campaign"]["edit"] = array("table" => "Sales_Order_for_checking", "field" => "campaign", "page" => "edit");
	$lookupTableLinks["system_user"]["Sales_Order_for_checking.modified_by"]["edit"] = array("table" => "Sales_Order_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["quotation_detail"]["sales_order_detail_for_checking.ref_id"]["edit"] = array("table" => "sales_order_detail_for_checking", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["sales_order_detail_for_checking.Item"]["edit"] = array("table" => "sales_order_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sales_order_detail_for_checking.Account"]["edit"] = array("table" => "sales_order_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["sales_order_detail_for_checking.VAT_Type"]["edit"] = array("table" => "sales_order_detail_for_checking", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["sales_order_detail_for_checking.Subsidiary"]["edit"] = array("table" => "sales_order_detail_for_checking", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["sales_order_detail_for_checking.Cost_Center"]["edit"] = array("table" => "sales_order_detail_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["sales_order_detail_for_checking.um"]["edit"] = array("table" => "sales_order_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["Sales_Order_for_approval.Business_Partner"]["edit"] = array("table" => "Sales_Order_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Sales_Order_for_approval.Receivable_Account"]["edit"] = array("table" => "Sales_Order_for_approval", "field" => "Receivable_Account", "page" => "edit");
	$lookupTableLinks["credit_terms"]["Sales_Order_for_approval.Terms"]["edit"] = array("table" => "Sales_Order_for_approval", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["Sales_Order_for_approval.Cost_Center"]["edit"] = array("table" => "Sales_Order_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Sales_Order_for_approval.Shipping_Terms"]["edit"] = array("table" => "Sales_Order_for_approval", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Sales_Order_for_approval.Discount_Account"]["edit"] = array("table" => "Sales_Order_for_approval", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Sales_Order_for_approval.VAT_Account"]["edit"] = array("table" => "Sales_Order_for_approval", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["quotation"]["Sales_Order_for_approval.ref_no"]["edit"] = array("table" => "Sales_Order_for_approval", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["Sales_Order_for_approval.location"]["edit"] = array("table" => "Sales_Order_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Sales_Order_for_approval.discount_type"]["edit"] = array("table" => "Sales_Order_for_approval", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Sales_Order_for_approval.project"]["edit"] = array("table" => "Sales_Order_for_approval", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["Sales_Order_for_approval.phase"]["edit"] = array("table" => "Sales_Order_for_approval", "field" => "phase", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Sales_Order_for_approval.sales_rep"]["edit"] = array("table" => "Sales_Order_for_approval", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["Sales_Order_for_approval.currency"]["edit"] = array("table" => "Sales_Order_for_approval", "field" => "currency", "page" => "edit");
	$lookupTableLinks["system_user"]["Sales_Order_for_approval.prepared_by"]["edit"] = array("table" => "Sales_Order_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Sales_Order_for_approval.checked_by"]["edit"] = array("table" => "Sales_Order_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Sales_Order_for_approval.approved_by"]["edit"] = array("table" => "Sales_Order_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["campaign"]["Sales_Order_for_approval.campaign"]["edit"] = array("table" => "Sales_Order_for_approval", "field" => "campaign", "page" => "edit");
	$lookupTableLinks["system_user"]["Sales_Order_for_approval.modified_by"]["edit"] = array("table" => "Sales_Order_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["quotation_detail"]["sales_order_detail_for_approval.ref_id"]["edit"] = array("table" => "sales_order_detail_for_approval", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["sales_order_detail_for_approval.Item"]["edit"] = array("table" => "sales_order_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sales_order_detail_for_approval.Account"]["edit"] = array("table" => "sales_order_detail_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["sales_order_detail_for_approval.VAT_Type"]["edit"] = array("table" => "sales_order_detail_for_approval", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["sales_order_detail_for_approval.Subsidiary"]["edit"] = array("table" => "sales_order_detail_for_approval", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["sales_order_detail_for_approval.Cost_Center"]["edit"] = array("table" => "sales_order_detail_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["sales_order_detail_for_approval.um"]["edit"] = array("table" => "sales_order_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["Quotation_for_approval.Business_Partner"]["edit"] = array("table" => "Quotation_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Quotation_for_approval.Discount_Account"]["edit"] = array("table" => "Quotation_for_approval", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Quotation_for_approval.VAT_Account"]["edit"] = array("table" => "Quotation_for_approval", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["Quotation_for_approval.location"]["edit"] = array("table" => "Quotation_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Quotation_for_approval.sales_rep"]["edit"] = array("table" => "Quotation_for_approval", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["Quotation_for_approval.currecy"]["edit"] = array("table" => "Quotation_for_approval", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["system_user"]["Quotation_for_approval.prepared_by"]["edit"] = array("table" => "Quotation_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Quotation_for_approval.checked_by"]["edit"] = array("table" => "Quotation_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Quotation_for_approval.approved_by"]["edit"] = array("table" => "Quotation_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["discounts"]["Quotation_for_approval.discount_type"]["edit"] = array("table" => "Quotation_for_approval", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["cost_center"]["Quotation_for_approval.Cost_Center"]["edit"] = array("table" => "Quotation_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["system_user"]["Quotation_for_approval.modified_by"]["edit"] = array("table" => "Quotation_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["business_partner"]["Quotation_for_checking.Business_Partner"]["edit"] = array("table" => "Quotation_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Quotation_for_checking.Discount_Account"]["edit"] = array("table" => "Quotation_for_checking", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Quotation_for_checking.VAT_Account"]["edit"] = array("table" => "Quotation_for_checking", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["Quotation_for_checking.location"]["edit"] = array("table" => "Quotation_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Quotation_for_checking.sales_rep"]["edit"] = array("table" => "Quotation_for_checking", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["Quotation_for_checking.currecy"]["edit"] = array("table" => "Quotation_for_checking", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["system_user"]["Quotation_for_checking.prepared_by"]["edit"] = array("table" => "Quotation_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Quotation_for_checking.checked_by"]["edit"] = array("table" => "Quotation_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Quotation_for_checking.approved_by"]["edit"] = array("table" => "Quotation_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["discounts"]["Quotation_for_checking.discount_type"]["edit"] = array("table" => "Quotation_for_checking", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["cost_center"]["Quotation_for_checking.Cost_Center"]["edit"] = array("table" => "Quotation_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["system_user"]["Quotation_for_checking.modified_by"]["edit"] = array("table" => "Quotation_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["quotation_detail_for_checking.Item"]["edit"] = array("table" => "quotation_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["quotation_detail_for_checking.Account"]["edit"] = array("table" => "quotation_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["quotation_detail_for_checking.VAT_Type"]["edit"] = array("table" => "quotation_detail_for_checking", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["uom"]["quotation_detail_for_checking.um"]["edit"] = array("table" => "quotation_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["item"]["quotation_detail_for_approval.Item"]["edit"] = array("table" => "quotation_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["quotation_detail_for_approval.Account"]["edit"] = array("table" => "quotation_detail_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["quotation_detail_for_approval.VAT_Type"]["edit"] = array("table" => "quotation_detail_for_approval", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["uom"]["quotation_detail_for_approval.um"]["edit"] = array("table" => "quotation_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Reimbursement_for_checking.Business_Partner"]["edit"] = array("table" => "Reimbursement_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Reimbursement_for_checking.Payable_Account"]["edit"] = array("table" => "Reimbursement_for_checking", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Reimbursement_for_checking.Cost_Center"]["edit"] = array("table" => "Reimbursement_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Reimbursement_for_checking.Discount_Account"]["edit"] = array("table" => "Reimbursement_for_checking", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Reimbursement_for_checking.VAT_Account"]["edit"] = array("table" => "Reimbursement_for_checking", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["Reimbursement_for_checking.location"]["edit"] = array("table" => "Reimbursement_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["system_user"]["Reimbursement_for_checking.prepared_by"]["edit"] = array("table" => "Reimbursement_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Reimbursement_for_checking.checked_by"]["edit"] = array("table" => "Reimbursement_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Reimbursement_for_checking.approved_by"]["edit"] = array("table" => "Reimbursement_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Reimbursement_for_checking.modified_by"]["edit"] = array("table" => "Reimbursement_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["reimbursement_detail_for_checking.Item"]["edit"] = array("table" => "reimbursement_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["reimbursement_detail_for_checking.Account"]["edit"] = array("table" => "reimbursement_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["reimbursement_detail_for_checking.VAT_Type"]["edit"] = array("table" => "reimbursement_detail_for_checking", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["reimbursement_detail_for_checking.Subsidiary"]["edit"] = array("table" => "reimbursement_detail_for_checking", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["reimbursement_detail_for_checking.Cost_Center"]["edit"] = array("table" => "reimbursement_detail_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["reimbursement_detail_for_checking.um"]["edit"] = array("table" => "reimbursement_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Reimbursement_for_approval.Business_Partner"]["edit"] = array("table" => "Reimbursement_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Reimbursement_for_approval.Payable_Account"]["edit"] = array("table" => "Reimbursement_for_approval", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Reimbursement_for_approval.Cost_Center"]["edit"] = array("table" => "Reimbursement_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Reimbursement_for_approval.Discount_Account"]["edit"] = array("table" => "Reimbursement_for_approval", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Reimbursement_for_approval.VAT_Account"]["edit"] = array("table" => "Reimbursement_for_approval", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["Reimbursement_for_approval.location"]["edit"] = array("table" => "Reimbursement_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["system_user"]["Reimbursement_for_approval.prepared_by"]["edit"] = array("table" => "Reimbursement_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Reimbursement_for_approval.checked_by"]["edit"] = array("table" => "Reimbursement_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Reimbursement_for_approval.approved_by"]["edit"] = array("table" => "Reimbursement_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Reimbursement_for_approval.modified_by"]["edit"] = array("table" => "Reimbursement_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["reimbursement_detail_for_approval.Item"]["edit"] = array("table" => "reimbursement_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["reimbursement_detail_for_approval.Account"]["edit"] = array("table" => "reimbursement_detail_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["reimbursement_detail_for_approval.VAT_Type"]["edit"] = array("table" => "reimbursement_detail_for_approval", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["reimbursement_detail_for_approval.Subsidiary"]["edit"] = array("table" => "reimbursement_detail_for_approval", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["reimbursement_detail_for_approval.Cost_Center"]["edit"] = array("table" => "reimbursement_detail_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["reimbursement_detail_for_approval.um"]["edit"] = array("table" => "reimbursement_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["Project_Replenishment_for_checking.Business_Partner"]["edit"] = array("table" => "Project_Replenishment_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Project_Replenishment_for_checking.Payable_Account"]["edit"] = array("table" => "Project_Replenishment_for_checking", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Project_Replenishment_for_checking.Cost_Center"]["edit"] = array("table" => "Project_Replenishment_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Project_Replenishment_for_checking.Discount_Account"]["edit"] = array("table" => "Project_Replenishment_for_checking", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Project_Replenishment_for_checking.VAT_Account"]["edit"] = array("table" => "Project_Replenishment_for_checking", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["Project_Replenishment_for_checking.location"]["edit"] = array("table" => "Project_Replenishment_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Project_Replenishment_for_checking.discount_type"]["edit"] = array("table" => "Project_Replenishment_for_checking", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Project_Replenishment_for_checking.project"]["edit"] = array("table" => "Project_Replenishment_for_checking", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["Project_Replenishment_for_checking.phase"]["edit"] = array("table" => "Project_Replenishment_for_checking", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["Project_Replenishment_for_checking.approved_by"]["edit"] = array("table" => "Project_Replenishment_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Project_Replenishment_for_checking.checked_by"]["edit"] = array("table" => "Project_Replenishment_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Project_Replenishment_for_checking.prepared_by"]["edit"] = array("table" => "Project_Replenishment_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Project_Replenishment_for_checking.modified_by"]["edit"] = array("table" => "Project_Replenishment_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["project_replenishment_detail_for_checking.Item"]["edit"] = array("table" => "project_replenishment_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["project_replenishment_detail_for_checking.Account"]["edit"] = array("table" => "project_replenishment_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["project_replenishment_detail_for_checking.VAT_Type"]["edit"] = array("table" => "project_replenishment_detail_for_checking", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["project_replenishment_detail_for_checking.Subsidiary"]["edit"] = array("table" => "project_replenishment_detail_for_checking", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["project_replenishment_detail_for_checking.Cost_Center"]["edit"] = array("table" => "project_replenishment_detail_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["project_replenishment_detail_for_checking.um"]["edit"] = array("table" => "project_replenishment_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["Project_Replenishment_for_approval.Business_Partner"]["edit"] = array("table" => "Project_Replenishment_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Project_Replenishment_for_approval.Payable_Account"]["edit"] = array("table" => "Project_Replenishment_for_approval", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Project_Replenishment_for_approval.Cost_Center"]["edit"] = array("table" => "Project_Replenishment_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Project_Replenishment_for_approval.Discount_Account"]["edit"] = array("table" => "Project_Replenishment_for_approval", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Project_Replenishment_for_approval.VAT_Account"]["edit"] = array("table" => "Project_Replenishment_for_approval", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["Project_Replenishment_for_approval.location"]["edit"] = array("table" => "Project_Replenishment_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Project_Replenishment_for_approval.discount_type"]["edit"] = array("table" => "Project_Replenishment_for_approval", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Project_Replenishment_for_approval.project"]["edit"] = array("table" => "Project_Replenishment_for_approval", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["Project_Replenishment_for_approval.phase"]["edit"] = array("table" => "Project_Replenishment_for_approval", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["Project_Replenishment_for_approval.approved_by"]["edit"] = array("table" => "Project_Replenishment_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Project_Replenishment_for_approval.checked_by"]["edit"] = array("table" => "Project_Replenishment_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Project_Replenishment_for_approval.prepared_by"]["edit"] = array("table" => "Project_Replenishment_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Project_Replenishment_for_approval.modified_by"]["edit"] = array("table" => "Project_Replenishment_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["project_replenishment_detail_for_approval.Item"]["edit"] = array("table" => "project_replenishment_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["project_replenishment_detail_for_approval.Account"]["edit"] = array("table" => "project_replenishment_detail_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["project_replenishment_detail_for_approval.VAT_Type"]["edit"] = array("table" => "project_replenishment_detail_for_approval", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["project_replenishment_detail_for_approval.Subsidiary"]["edit"] = array("table" => "project_replenishment_detail_for_approval", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["project_replenishment_detail_for_approval.Cost_Center"]["edit"] = array("table" => "project_replenishment_detail_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["project_replenishment_detail_for_approval.um"]["edit"] = array("table" => "project_replenishment_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["item"]["center_replenishment_detail_for_checking.Item"]["edit"] = array("table" => "center_replenishment_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["center_replenishment_detail_for_checking.Account"]["edit"] = array("table" => "center_replenishment_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["center_replenishment_detail_for_checking.VAT_Type"]["edit"] = array("table" => "center_replenishment_detail_for_checking", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["center_replenishment_detail_for_checking.Subsidiary"]["edit"] = array("table" => "center_replenishment_detail_for_checking", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["center_replenishment_detail_for_checking.Cost_Center"]["edit"] = array("table" => "center_replenishment_detail_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["center_replenishment_detail_for_checking.um"]["edit"] = array("table" => "center_replenishment_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["item"]["center_replenishment_detail_for_approval.Item"]["edit"] = array("table" => "center_replenishment_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["center_replenishment_detail_for_approval.Account"]["edit"] = array("table" => "center_replenishment_detail_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["center_replenishment_detail_for_approval.VAT_Type"]["edit"] = array("table" => "center_replenishment_detail_for_approval", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["center_replenishment_detail_for_approval.Subsidiary"]["edit"] = array("table" => "center_replenishment_detail_for_approval", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["center_replenishment_detail_for_approval.Cost_Center"]["edit"] = array("table" => "center_replenishment_detail_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["center_replenishment_detail_for_approval.um"]["edit"] = array("table" => "center_replenishment_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["Purchases_Order_for_checking2.Business_Partner"]["edit"] = array("table" => "Purchases_Order_for_checking2", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["credit_terms"]["Purchases_Order_for_checking2.Terms"]["edit"] = array("table" => "Purchases_Order_for_checking2", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["Purchases_Order_for_checking2.Cost_Center"]["edit"] = array("table" => "Purchases_Order_for_checking2", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Purchases_Order_for_checking2.Shipping_Terms"]["edit"] = array("table" => "Purchases_Order_for_checking2", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Purchases_Order_for_checking2.Discount_Account"]["edit"] = array("table" => "Purchases_Order_for_checking2", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Purchases_Order_for_checking2.VAT_Account"]["edit"] = array("table" => "Purchases_Order_for_checking2", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["Purchases_Order_for_checking2.location"]["edit"] = array("table" => "Purchases_Order_for_checking2", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Purchases_Order_for_checking2.discount_type"]["edit"] = array("table" => "Purchases_Order_for_checking2", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Purchases_Order_for_checking2.project"]["edit"] = array("table" => "Purchases_Order_for_checking2", "field" => "project", "page" => "edit");
	$lookupTableLinks["currency"]["Purchases_Order_for_checking2.currecy"]["edit"] = array("table" => "Purchases_Order_for_checking2", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["Purchases_Order_for_checking2.phase"]["edit"] = array("table" => "Purchases_Order_for_checking2", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["Purchases_Order_for_checking2.approved_by"]["edit"] = array("table" => "Purchases_Order_for_checking2", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Purchases_Order_for_checking2.checked_by"]["edit"] = array("table" => "Purchases_Order_for_checking2", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Purchases_Order_for_checking2.prepared_by"]["edit"] = array("table" => "Purchases_Order_for_checking2", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Purchases_Order_for_checking2.modified_by"]["edit"] = array("table" => "Purchases_Order_for_checking2", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["purchase_order_detail_for_checking.Item"]["edit"] = array("table" => "purchase_order_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase_order_detail_for_checking.Account"]["edit"] = array("table" => "purchase_order_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["purchase_order_detail_for_checking.VAT_Type"]["edit"] = array("table" => "purchase_order_detail_for_checking", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["purchase_order_detail_for_checking.Subsidiary"]["edit"] = array("table" => "purchase_order_detail_for_checking", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["purchase_order_detail_for_checking.Cost_Center"]["edit"] = array("table" => "purchase_order_detail_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["purchase_order_detail_for_checking.um"]["edit"] = array("table" => "purchase_order_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["Purchases_Order_for_approval2.Business_Partner"]["edit"] = array("table" => "Purchases_Order_for_approval2", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["credit_terms"]["Purchases_Order_for_approval2.Terms"]["edit"] = array("table" => "Purchases_Order_for_approval2", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["Purchases_Order_for_approval2.Cost_Center"]["edit"] = array("table" => "Purchases_Order_for_approval2", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Purchases_Order_for_approval2.Shipping_Terms"]["edit"] = array("table" => "Purchases_Order_for_approval2", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Purchases_Order_for_approval2.Discount_Account"]["edit"] = array("table" => "Purchases_Order_for_approval2", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Purchases_Order_for_approval2.VAT_Account"]["edit"] = array("table" => "Purchases_Order_for_approval2", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["Purchases_Order_for_approval2.location"]["edit"] = array("table" => "Purchases_Order_for_approval2", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Purchases_Order_for_approval2.discount_type"]["edit"] = array("table" => "Purchases_Order_for_approval2", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Purchases_Order_for_approval2.project"]["edit"] = array("table" => "Purchases_Order_for_approval2", "field" => "project", "page" => "edit");
	$lookupTableLinks["currency"]["Purchases_Order_for_approval2.currecy"]["edit"] = array("table" => "Purchases_Order_for_approval2", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["Purchases_Order_for_approval2.phase"]["edit"] = array("table" => "Purchases_Order_for_approval2", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["Purchases_Order_for_approval2.approved_by"]["edit"] = array("table" => "Purchases_Order_for_approval2", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Purchases_Order_for_approval2.checked_by"]["edit"] = array("table" => "Purchases_Order_for_approval2", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Purchases_Order_for_approval2.prepared_by"]["edit"] = array("table" => "Purchases_Order_for_approval2", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Purchases_Order_for_approval2.modified_by"]["edit"] = array("table" => "Purchases_Order_for_approval2", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["purchase_order_detail_for_approval.Item"]["edit"] = array("table" => "purchase_order_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase_order_detail_for_approval.Account"]["edit"] = array("table" => "purchase_order_detail_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["purchase_order_detail_for_approval.VAT_Type"]["edit"] = array("table" => "purchase_order_detail_for_approval", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["purchase_order_detail_for_approval.Subsidiary"]["edit"] = array("table" => "purchase_order_detail_for_approval", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["purchase_order_detail_for_approval.Cost_Center"]["edit"] = array("table" => "purchase_order_detail_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["purchase_order_detail_for_approval.um"]["edit"] = array("table" => "purchase_order_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["Receiving_for_checking2.Business_Partner"]["edit"] = array("table" => "Receiving_for_checking2", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Receiving_for_checking2.Payable_Account"]["edit"] = array("table" => "Receiving_for_checking2", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["credit_terms"]["Receiving_for_checking2.Terms"]["edit"] = array("table" => "Receiving_for_checking2", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["Receiving_for_checking2.Cost_Center"]["edit"] = array("table" => "Receiving_for_checking2", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Receiving_for_checking2.Shipping_Terms"]["edit"] = array("table" => "Receiving_for_checking2", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Receiving_for_checking2.Discount_Account"]["edit"] = array("table" => "Receiving_for_checking2", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Receiving_for_checking2.VAT_Account"]["edit"] = array("table" => "Receiving_for_checking2", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["purchase_order"]["Receiving_for_checking2.ref_no"]["edit"] = array("table" => "Receiving_for_checking2", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["Receiving_for_checking2.location"]["edit"] = array("table" => "Receiving_for_checking2", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Receiving_for_checking2.discount_type"]["edit"] = array("table" => "Receiving_for_checking2", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Receiving_for_checking2.project"]["edit"] = array("table" => "Receiving_for_checking2", "field" => "project", "page" => "edit");
	$lookupTableLinks["currency"]["Receiving_for_checking2.currecy"]["edit"] = array("table" => "Receiving_for_checking2", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["Receiving_for_checking2.phase"]["edit"] = array("table" => "Receiving_for_checking2", "field" => "phase", "page" => "edit");
	$lookupTableLinks["system_user"]["Receiving_for_checking2.prepared_by"]["edit"] = array("table" => "Receiving_for_checking2", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Receiving_for_checking2.modified_by"]["edit"] = array("table" => "Receiving_for_checking2", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["purchase_order_detail"]["purchase_order_receiving_detail_for_checking.ref_id"]["edit"] = array("table" => "purchase_order_receiving_detail_for_checking", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["purchase_order_receiving_detail_for_checking.Item"]["edit"] = array("table" => "purchase_order_receiving_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase_order_receiving_detail_for_checking.Account"]["edit"] = array("table" => "purchase_order_receiving_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["purchase_order_receiving_detail_for_checking.VAT_Type"]["edit"] = array("table" => "purchase_order_receiving_detail_for_checking", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["purchase_order_receiving_detail_for_checking.Subsidiary"]["edit"] = array("table" => "purchase_order_receiving_detail_for_checking", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["purchase_order_receiving_detail_for_checking.Cost_Center"]["edit"] = array("table" => "purchase_order_receiving_detail_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["purchase_order_receiving_detail_for_checking.um"]["edit"] = array("table" => "purchase_order_receiving_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["Receiving_for_approval2.Business_Partner"]["edit"] = array("table" => "Receiving_for_approval2", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Receiving_for_approval2.Payable_Account"]["edit"] = array("table" => "Receiving_for_approval2", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["credit_terms"]["Receiving_for_approval2.Terms"]["edit"] = array("table" => "Receiving_for_approval2", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["Receiving_for_approval2.Cost_Center"]["edit"] = array("table" => "Receiving_for_approval2", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Receiving_for_approval2.Shipping_Terms"]["edit"] = array("table" => "Receiving_for_approval2", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Receiving_for_approval2.Discount_Account"]["edit"] = array("table" => "Receiving_for_approval2", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Receiving_for_approval2.VAT_Account"]["edit"] = array("table" => "Receiving_for_approval2", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["purchase_order"]["Receiving_for_approval2.ref_no"]["edit"] = array("table" => "Receiving_for_approval2", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["Receiving_for_approval2.location"]["edit"] = array("table" => "Receiving_for_approval2", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Receiving_for_approval2.discount_type"]["edit"] = array("table" => "Receiving_for_approval2", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Receiving_for_approval2.project"]["edit"] = array("table" => "Receiving_for_approval2", "field" => "project", "page" => "edit");
	$lookupTableLinks["currency"]["Receiving_for_approval2.currecy"]["edit"] = array("table" => "Receiving_for_approval2", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["Receiving_for_approval2.phase"]["edit"] = array("table" => "Receiving_for_approval2", "field" => "phase", "page" => "edit");
	$lookupTableLinks["system_user"]["Receiving_for_approval2.prepared_by"]["edit"] = array("table" => "Receiving_for_approval2", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Receiving_for_approval2.modified_by"]["edit"] = array("table" => "Receiving_for_approval2", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["purchase_order_detail"]["purchase_order_receiving_detail_for_approval.ref_id"]["edit"] = array("table" => "purchase_order_receiving_detail_for_approval", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["purchase_order_receiving_detail_for_approval.Item"]["edit"] = array("table" => "purchase_order_receiving_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase_order_receiving_detail_for_approval.Account"]["edit"] = array("table" => "purchase_order_receiving_detail_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["purchase_order_receiving_detail_for_approval.VAT_Type"]["edit"] = array("table" => "purchase_order_receiving_detail_for_approval", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["purchase_order_receiving_detail_for_approval.Subsidiary"]["edit"] = array("table" => "purchase_order_receiving_detail_for_approval", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["purchase_order_receiving_detail_for_approval.Cost_Center"]["edit"] = array("table" => "purchase_order_receiving_detail_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["purchase_order_receiving_detail_for_approval.um"]["edit"] = array("table" => "purchase_order_receiving_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["Delivery_Receipt_for_checking.Business_Partner"]["edit"] = array("table" => "Delivery_Receipt_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Delivery_Receipt_for_checking.Receivable_Account"]["edit"] = array("table" => "Delivery_Receipt_for_checking", "field" => "Receivable_Account", "page" => "edit");
	$lookupTableLinks["credit_terms"]["Delivery_Receipt_for_checking.Terms"]["edit"] = array("table" => "Delivery_Receipt_for_checking", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["Delivery_Receipt_for_checking.Cost_Center"]["edit"] = array("table" => "Delivery_Receipt_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Delivery_Receipt_for_checking.Shipping_Terms"]["edit"] = array("table" => "Delivery_Receipt_for_checking", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Delivery_Receipt_for_checking.Discount_Account"]["edit"] = array("table" => "Delivery_Receipt_for_checking", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Delivery_Receipt_for_checking.VAT_Account"]["edit"] = array("table" => "Delivery_Receipt_for_checking", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["sales"]["Delivery_Receipt_for_checking.ref_no"]["edit"] = array("table" => "Delivery_Receipt_for_checking", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["Delivery_Receipt_for_checking.location"]["edit"] = array("table" => "Delivery_Receipt_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["cash_receipt"]["Delivery_Receipt_for_checking.cash_sale"]["edit"] = array("table" => "Delivery_Receipt_for_checking", "field" => "cash_sale", "page" => "edit");
	$lookupTableLinks["approver_list"]["Delivery_Receipt_for_checking.checked_by"]["edit"] = array("table" => "Delivery_Receipt_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Delivery_Receipt_for_checking.approved_by"]["edit"] = array("table" => "Delivery_Receipt_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Delivery_Receipt_for_checking.sales_rep"]["edit"] = array("table" => "Delivery_Receipt_for_checking", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["discounts"]["Delivery_Receipt_for_checking.discount_type"]["edit"] = array("table" => "Delivery_Receipt_for_checking", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["sales_detail"]["dr_detail_for_checking.ref_id"]["edit"] = array("table" => "dr_detail_for_checking", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["dr_detail_for_checking.Item"]["edit"] = array("table" => "dr_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["dr_detail_for_checking.Account"]["edit"] = array("table" => "dr_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["dr_detail_for_checking.VAT_Type"]["edit"] = array("table" => "dr_detail_for_checking", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["dr_detail_for_checking.Subsidiary"]["edit"] = array("table" => "dr_detail_for_checking", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["dr_detail_for_checking.Cost_Center"]["edit"] = array("table" => "dr_detail_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["dr_detail_for_checking.um"]["edit"] = array("table" => "dr_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["Delivery_Receipt_for_approval.Business_Partner"]["edit"] = array("table" => "Delivery_Receipt_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Delivery_Receipt_for_approval.Receivable_Account"]["edit"] = array("table" => "Delivery_Receipt_for_approval", "field" => "Receivable_Account", "page" => "edit");
	$lookupTableLinks["credit_terms"]["Delivery_Receipt_for_approval.Terms"]["edit"] = array("table" => "Delivery_Receipt_for_approval", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["Delivery_Receipt_for_approval.Cost_Center"]["edit"] = array("table" => "Delivery_Receipt_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Delivery_Receipt_for_approval.Shipping_Terms"]["edit"] = array("table" => "Delivery_Receipt_for_approval", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Delivery_Receipt_for_approval.Discount_Account"]["edit"] = array("table" => "Delivery_Receipt_for_approval", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Delivery_Receipt_for_approval.VAT_Account"]["edit"] = array("table" => "Delivery_Receipt_for_approval", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["sales"]["Delivery_Receipt_for_approval.ref_no"]["edit"] = array("table" => "Delivery_Receipt_for_approval", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["Delivery_Receipt_for_approval.location"]["edit"] = array("table" => "Delivery_Receipt_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["cash_receipt"]["Delivery_Receipt_for_approval.cash_sale"]["edit"] = array("table" => "Delivery_Receipt_for_approval", "field" => "cash_sale", "page" => "edit");
	$lookupTableLinks["approver_list"]["Delivery_Receipt_for_approval.checked_by"]["edit"] = array("table" => "Delivery_Receipt_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Delivery_Receipt_for_approval.approved_by"]["edit"] = array("table" => "Delivery_Receipt_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Delivery_Receipt_for_approval.prepared_by"]["edit"] = array("table" => "Delivery_Receipt_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Delivery_Receipt_for_approval.sales_rep"]["edit"] = array("table" => "Delivery_Receipt_for_approval", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["discounts"]["Delivery_Receipt_for_approval.discount_type"]["edit"] = array("table" => "Delivery_Receipt_for_approval", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["system_user"]["Delivery_Receipt_for_approval.modified_by"]["edit"] = array("table" => "Delivery_Receipt_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["sales_detail"]["dr_detail_for_approval.ref_id"]["edit"] = array("table" => "dr_detail_for_approval", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["dr_detail_for_approval.Item"]["edit"] = array("table" => "dr_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["dr_detail_for_approval.Account"]["edit"] = array("table" => "dr_detail_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["dr_detail_for_approval.VAT_Type"]["edit"] = array("table" => "dr_detail_for_approval", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["dr_detail_for_approval.Subsidiary"]["edit"] = array("table" => "dr_detail_for_approval", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["dr_detail_for_approval.Cost_Center"]["edit"] = array("table" => "dr_detail_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["dr_detail_for_approval.um"]["edit"] = array("table" => "dr_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["Production_for_checking.Business_Partner"]["edit"] = array("table" => "Production_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["cost_center"]["Production_for_checking.Cost_Center"]["edit"] = array("table" => "Production_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["Production_for_checking.location"]["edit"] = array("table" => "Production_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["approver_list"]["Production_for_checking.approved_by"]["edit"] = array("table" => "Production_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Production_for_checking.checked_by"]["edit"] = array("table" => "Production_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Production_for_checking.prepared_by"]["edit"] = array("table" => "Production_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Production_for_checking.modified_by"]["edit"] = array("table" => "Production_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["production_detail_for_checking.Item"]["edit"] = array("table" => "production_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["business_partner"]["Production_for_approval.Business_Partner"]["edit"] = array("table" => "Production_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["cost_center"]["Production_for_approval.Cost_Center"]["edit"] = array("table" => "Production_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["Production_for_approval.location"]["edit"] = array("table" => "Production_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["approver_list"]["Production_for_approval.approved_by"]["edit"] = array("table" => "Production_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Production_for_approval.checked_by"]["edit"] = array("table" => "Production_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Production_for_approval.prepared_by"]["edit"] = array("table" => "Production_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Production_for_approval.modified_by"]["edit"] = array("table" => "Production_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["production_detail_for_approval.Item"]["edit"] = array("table" => "production_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["employee_list"]["Issue_for_checking.Business_Partner"]["edit"] = array("table" => "Issue_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["cost_center"]["Issue_for_checking.Cost_Center"]["edit"] = array("table" => "Issue_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["Issue_for_checking.location"]["edit"] = array("table" => "Issue_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["approver_list"]["Issue_for_checking.approved_by"]["edit"] = array("table" => "Issue_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Issue_for_checking.checked_by"]["edit"] = array("table" => "Issue_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Issue_for_checking.prepared_by"]["edit"] = array("table" => "Issue_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Issue_for_checking.modified_by"]["edit"] = array("table" => "Issue_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["supply_issue_detail_for_checking.Item"]["edit"] = array("table" => "supply_issue_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["uom"]["supply_issue_detail_for_checking.um"]["edit"] = array("table" => "supply_issue_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["employee_list"]["Issue_for_approval.Business_Partner"]["edit"] = array("table" => "Issue_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["cost_center"]["Issue_for_approval.Cost_Center"]["edit"] = array("table" => "Issue_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["Issue_for_approval.location"]["edit"] = array("table" => "Issue_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["approver_list"]["Issue_for_approval.approved_by"]["edit"] = array("table" => "Issue_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Issue_for_approval.checked_by"]["edit"] = array("table" => "Issue_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Issue_for_approval.prepared_by"]["edit"] = array("table" => "Issue_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Issue_for_approval.modified_by"]["edit"] = array("table" => "Issue_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["supply_issue_detail_for_approval.Item"]["edit"] = array("table" => "supply_issue_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["uom"]["supply_issue_detail_for_approval.um"]["edit"] = array("table" => "supply_issue_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["Return_for_checking.Business_Partner"]["edit"] = array("table" => "Return_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["approver_list"]["Return_for_checking.approved_by"]["edit"] = array("table" => "Return_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Return_for_checking.checked_by"]["edit"] = array("table" => "Return_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Return_for_checking.prepared_by"]["edit"] = array("table" => "Return_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Return_for_checking.modified_by"]["edit"] = array("table" => "Return_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["supply_return_detail_for_checking.Item"]["edit"] = array("table" => "supply_return_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["uom"]["supply_return_detail_for_checking.um"]["edit"] = array("table" => "supply_return_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["Return_for_approval.Business_Partner"]["edit"] = array("table" => "Return_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["approver_list"]["Return_for_approval.approved_by"]["edit"] = array("table" => "Return_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Return_for_approval.checked_by"]["edit"] = array("table" => "Return_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Return_for_approval.prepared_by"]["edit"] = array("table" => "Return_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Return_for_approval.modified_by"]["edit"] = array("table" => "Return_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["supply_return_detail_approval.Item"]["edit"] = array("table" => "supply_return_detail_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["uom"]["supply_return_detail_approval.um"]["edit"] = array("table" => "supply_return_detail_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["item"]["supply_disposed_detail_for_checking.Item"]["edit"] = array("table" => "supply_disposed_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["uom"]["supply_disposed_detail_for_checking.um"]["edit"] = array("table" => "supply_disposed_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["system_user"]["Disposal_for_approval.prepared_by"]["edit"] = array("table" => "Disposal_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Disposal_for_approval.modified_by"]["edit"] = array("table" => "Disposal_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["supply_disposed_detail_for_approval.Item"]["edit"] = array("table" => "supply_disposed_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["uom"]["supply_disposed_detail_for_approval.um"]["edit"] = array("table" => "supply_disposed_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["employee_list"]["Fixed_Asset_Issue_for_checking.Business_Partner"]["edit"] = array("table" => "Fixed_Asset_Issue_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["cost_center"]["Fixed_Asset_Issue_for_checking.Cost_Center"]["edit"] = array("table" => "Fixed_Asset_Issue_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["Fixed_Asset_Issue_for_checking.location"]["edit"] = array("table" => "Fixed_Asset_Issue_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["system_user"]["Fixed_Asset_Issue_for_checking.prepared_by"]["edit"] = array("table" => "Fixed_Asset_Issue_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Fixed_Asset_Issue_for_checking.modified_by"]["edit"] = array("table" => "Fixed_Asset_Issue_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["employee_list"]["Fixed_Asset_Issue_for_approval.Business_Partner"]["edit"] = array("table" => "Fixed_Asset_Issue_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["cost_center"]["Fixed_Asset_Issue_for_approval.Cost_Center"]["edit"] = array("table" => "Fixed_Asset_Issue_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["Fixed_Asset_Issue_for_approval.location"]["edit"] = array("table" => "Fixed_Asset_Issue_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["system_user"]["Fixed_Asset_Issue_for_approval.prepared_by"]["edit"] = array("table" => "Fixed_Asset_Issue_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Fixed_Asset_Issue_for_approval.modified_by"]["edit"] = array("table" => "Fixed_Asset_Issue_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["ppe_list"]["fixed_asset_issue_detail_for_approval.Item"]["edit"] = array("table" => "fixed_asset_issue_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["ppe_list"]["fixed_asset_issue_detail_for_checking.Item"]["edit"] = array("table" => "fixed_asset_issue_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["employee_list"]["Fixed_Asset_Return_for_checking.Business_Partner"]["edit"] = array("table" => "Fixed_Asset_Return_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["cost_center"]["Fixed_Asset_Return_for_checking.Cost_Center"]["edit"] = array("table" => "Fixed_Asset_Return_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["Fixed_Asset_Return_for_checking.location"]["edit"] = array("table" => "Fixed_Asset_Return_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["system_user"]["Fixed_Asset_Return_for_checking.prepared_by"]["edit"] = array("table" => "Fixed_Asset_Return_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Fixed_Asset_Return_for_checking.modified_by"]["edit"] = array("table" => "Fixed_Asset_Return_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["ppe_list"]["fixed_asset_return_detail_for_checking.Item"]["edit"] = array("table" => "fixed_asset_return_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["employee_list"]["Fixed_Asset_Return_for_approval1.Business_Partner"]["edit"] = array("table" => "Fixed_Asset_Return_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["cost_center"]["Fixed_Asset_Return_for_approval1.Cost_Center"]["edit"] = array("table" => "Fixed_Asset_Return_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["Fixed_Asset_Return_for_approval1.location"]["edit"] = array("table" => "Fixed_Asset_Return_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["system_user"]["Fixed_Asset_Return_for_approval1.prepared_by"]["edit"] = array("table" => "Fixed_Asset_Return_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Fixed_Asset_Return_for_approval1.modified_by"]["edit"] = array("table" => "Fixed_Asset_Return_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["ppe_list"]["fixed_asset_return_detail_for_approval.Item"]["edit"] = array("table" => "fixed_asset_return_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["business_partner"]["Petty_Cash_for_checking.Business_Partner"]["edit"] = array("table" => "Petty_Cash_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Petty_Cash_for_checking.Payable_Account"]["edit"] = array("table" => "Petty_Cash_for_checking", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Petty_Cash_for_checking.Cost_Center"]["edit"] = array("table" => "Petty_Cash_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Petty_Cash_for_checking.Discount_Account"]["edit"] = array("table" => "Petty_Cash_for_checking", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Petty_Cash_for_checking.VAT_Account"]["edit"] = array("table" => "Petty_Cash_for_checking", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["Petty_Cash_for_checking.location"]["edit"] = array("table" => "Petty_Cash_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Petty_Cash_for_checking.discount_type"]["edit"] = array("table" => "Petty_Cash_for_checking", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Petty_Cash_for_checking.project"]["edit"] = array("table" => "Petty_Cash_for_checking", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["Petty_Cash_for_checking.phase"]["edit"] = array("table" => "Petty_Cash_for_checking", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["Petty_Cash_for_checking.approved_by"]["edit"] = array("table" => "Petty_Cash_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Petty_Cash_for_checking.checked_by"]["edit"] = array("table" => "Petty_Cash_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Petty_Cash_for_checking.prepared_by"]["edit"] = array("table" => "Petty_Cash_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Petty_Cash_for_checking.modified_by"]["edit"] = array("table" => "Petty_Cash_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["petty_cash_detail_for_checking.Item"]["edit"] = array("table" => "petty_cash_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["petty_cash_detail_for_checking.Account"]["edit"] = array("table" => "petty_cash_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["petty_cash_detail_for_checking.VAT_Type"]["edit"] = array("table" => "petty_cash_detail_for_checking", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["petty_cash_detail_for_checking.Subsidiary"]["edit"] = array("table" => "petty_cash_detail_for_checking", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["petty_cash_detail_for_checking.Cost_Center"]["edit"] = array("table" => "petty_cash_detail_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["petty_cash_detail_for_checking.um"]["edit"] = array("table" => "petty_cash_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["Petty_Cash_for_approval.Business_Partner"]["edit"] = array("table" => "Petty_Cash_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Petty_Cash_for_approval.Payable_Account"]["edit"] = array("table" => "Petty_Cash_for_approval", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Petty_Cash_for_approval.Cost_Center"]["edit"] = array("table" => "Petty_Cash_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Petty_Cash_for_approval.Discount_Account"]["edit"] = array("table" => "Petty_Cash_for_approval", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Petty_Cash_for_approval.VAT_Account"]["edit"] = array("table" => "Petty_Cash_for_approval", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["Petty_Cash_for_approval.location"]["edit"] = array("table" => "Petty_Cash_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Petty_Cash_for_approval.discount_type"]["edit"] = array("table" => "Petty_Cash_for_approval", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Petty_Cash_for_approval.project"]["edit"] = array("table" => "Petty_Cash_for_approval", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["Petty_Cash_for_approval.phase"]["edit"] = array("table" => "Petty_Cash_for_approval", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["Petty_Cash_for_approval.approved_by"]["edit"] = array("table" => "Petty_Cash_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Petty_Cash_for_approval.checked_by"]["edit"] = array("table" => "Petty_Cash_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Petty_Cash_for_approval.prepared_by"]["edit"] = array("table" => "Petty_Cash_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Petty_Cash_for_approval.modified_by"]["edit"] = array("table" => "Petty_Cash_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["petty_cash_detail_for_approval.Item"]["edit"] = array("table" => "petty_cash_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["petty_cash_detail_for_approval.Account"]["edit"] = array("table" => "petty_cash_detail_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["petty_cash_detail_for_approval.VAT_Type"]["edit"] = array("table" => "petty_cash_detail_for_approval", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["petty_cash_detail_for_approval.Subsidiary"]["edit"] = array("table" => "petty_cash_detail_for_approval", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["petty_cash_detail_for_approval.Cost_Center"]["edit"] = array("table" => "petty_cash_detail_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["petty_cash_detail_for_approval.um"]["edit"] = array("table" => "petty_cash_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["bank"]["Deposit_for_checking.bank"]["edit"] = array("table" => "Deposit_for_checking", "field" => "bank", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Deposit_for_checking.cash_account"]["edit"] = array("table" => "Deposit_for_checking", "field" => "cash_account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Deposit_for_checking.center"]["edit"] = array("table" => "Deposit_for_checking", "field" => "center", "page" => "edit");
	$lookupTableLinks["system_user"]["Deposit_for_checking.prepared_by"]["edit"] = array("table" => "Deposit_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Deposit_for_checking.modified_by"]["edit"] = array("table" => "Deposit_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["cash_receipt"]["deposit_detail_for_checking.receipt_no"]["edit"] = array("table" => "deposit_detail_for_checking", "field" => "receipt_no", "page" => "edit");
	$lookupTableLinks["bank"]["deposit_detail_for_checking.bank"]["edit"] = array("table" => "deposit_detail_for_checking", "field" => "bank", "page" => "edit");
	$lookupTableLinks["bank"]["Deposit_for_approval.bank"]["edit"] = array("table" => "Deposit_for_approval", "field" => "bank", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Deposit_for_approval.cash_account"]["edit"] = array("table" => "Deposit_for_approval", "field" => "cash_account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Deposit_for_approval.center"]["edit"] = array("table" => "Deposit_for_approval", "field" => "center", "page" => "edit");
	$lookupTableLinks["system_user"]["Deposit_for_approval.prepared_by"]["edit"] = array("table" => "Deposit_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Deposit_for_approval.modified_by"]["edit"] = array("table" => "Deposit_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["cash_receipt"]["deposit_detail_for_approval.receipt_no"]["edit"] = array("table" => "deposit_detail_for_approval", "field" => "receipt_no", "page" => "edit");
	$lookupTableLinks["bank"]["deposit_detail_for_approval.bank"]["edit"] = array("table" => "deposit_detail_for_approval", "field" => "bank", "page" => "edit");
	$lookupTableLinks["business_partner"]["Credit_Memo_for_checking.Business_Partner"]["edit"] = array("table" => "Credit_Memo_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Credit_Memo_for_checking.Receivable_Account"]["edit"] = array("table" => "Credit_Memo_for_checking", "field" => "Receivable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Credit_Memo_for_checking.Cost_Center"]["edit"] = array("table" => "Credit_Memo_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Credit_Memo_for_checking.Discount_Account"]["edit"] = array("table" => "Credit_Memo_for_checking", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Credit_Memo_for_checking.VAT_Account"]["edit"] = array("table" => "Credit_Memo_for_checking", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["backload"]["Credit_Memo_for_checking.ref_no"]["edit"] = array("table" => "Credit_Memo_for_checking", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["Credit_Memo_for_checking.location"]["edit"] = array("table" => "Credit_Memo_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Credit_Memo_for_checking.discount_type"]["edit"] = array("table" => "Credit_Memo_for_checking", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Credit_Memo_for_checking.project"]["edit"] = array("table" => "Credit_Memo_for_checking", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["Credit_Memo_for_checking.phase"]["edit"] = array("table" => "Credit_Memo_for_checking", "field" => "phase", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Credit_Memo_for_checking.sales_rep"]["edit"] = array("table" => "Credit_Memo_for_checking", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["Credit_Memo_for_checking.currency"]["edit"] = array("table" => "Credit_Memo_for_checking", "field" => "currency", "page" => "edit");
	$lookupTableLinks["approver_list"]["Credit_Memo_for_checking.checked_by"]["edit"] = array("table" => "Credit_Memo_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Credit_Memo_for_checking.approved_by"]["edit"] = array("table" => "Credit_Memo_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Credit_Memo_for_checking.prepared_by"]["edit"] = array("table" => "Credit_Memo_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Credit_Memo_for_checking.modified_by"]["edit"] = array("table" => "Credit_Memo_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["backload_detail"]["credit_memo_detail_for_checking.ref_id"]["edit"] = array("table" => "credit_memo_detail_for_checking", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["credit_memo_detail_for_checking.Item"]["edit"] = array("table" => "credit_memo_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["credit_memo_detail_for_checking.Account"]["edit"] = array("table" => "credit_memo_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["credit_memo_detail_for_checking.VAT_Type"]["edit"] = array("table" => "credit_memo_detail_for_checking", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["credit_memo_detail_for_checking.Subsidiary"]["edit"] = array("table" => "credit_memo_detail_for_checking", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["credit_memo_detail_for_checking.Cost_Center"]["edit"] = array("table" => "credit_memo_detail_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["credit_memo_detail_for_checking.um"]["edit"] = array("table" => "credit_memo_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["Credit_Memo_for_approval.Business_Partner"]["edit"] = array("table" => "Credit_Memo_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Credit_Memo_for_approval.Receivable_Account"]["edit"] = array("table" => "Credit_Memo_for_approval", "field" => "Receivable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Credit_Memo_for_approval.Cost_Center"]["edit"] = array("table" => "Credit_Memo_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Credit_Memo_for_approval.Discount_Account"]["edit"] = array("table" => "Credit_Memo_for_approval", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Credit_Memo_for_approval.VAT_Account"]["edit"] = array("table" => "Credit_Memo_for_approval", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["backload"]["Credit_Memo_for_approval.ref_no"]["edit"] = array("table" => "Credit_Memo_for_approval", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["Credit_Memo_for_approval.location"]["edit"] = array("table" => "Credit_Memo_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Credit_Memo_for_approval.discount_type"]["edit"] = array("table" => "Credit_Memo_for_approval", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Credit_Memo_for_approval.project"]["edit"] = array("table" => "Credit_Memo_for_approval", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["Credit_Memo_for_approval.phase"]["edit"] = array("table" => "Credit_Memo_for_approval", "field" => "phase", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Credit_Memo_for_approval.sales_rep"]["edit"] = array("table" => "Credit_Memo_for_approval", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["Credit_Memo_for_approval.currency"]["edit"] = array("table" => "Credit_Memo_for_approval", "field" => "currency", "page" => "edit");
	$lookupTableLinks["system_user"]["Credit_Memo_for_approval.prepared_by"]["edit"] = array("table" => "Credit_Memo_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Credit_Memo_for_approval.checked_by"]["edit"] = array("table" => "Credit_Memo_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Credit_Memo_for_approval.approved_by"]["edit"] = array("table" => "Credit_Memo_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Credit_Memo_for_approval.modified_by"]["edit"] = array("table" => "Credit_Memo_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["backload_detail"]["credit_memo_detail_for_approval.ref_id"]["edit"] = array("table" => "credit_memo_detail_for_approval", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["credit_memo_detail_for_approval.Item"]["edit"] = array("table" => "credit_memo_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["credit_memo_detail_for_approval.Account"]["edit"] = array("table" => "credit_memo_detail_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["credit_memo_detail_for_approval.VAT_Type"]["edit"] = array("table" => "credit_memo_detail_for_approval", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["credit_memo_detail_for_approval.Subsidiary"]["edit"] = array("table" => "credit_memo_detail_for_approval", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["credit_memo_detail_for_approval.Cost_Center"]["edit"] = array("table" => "credit_memo_detail_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["credit_memo_detail_for_approval.um"]["edit"] = array("table" => "credit_memo_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["Debit_Memo_for_checking.Business_Partner"]["edit"] = array("table" => "Debit_Memo_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Debit_Memo_for_checking.Payable_Account"]["edit"] = array("table" => "Debit_Memo_for_checking", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Debit_Memo_for_checking.Cost_Center"]["edit"] = array("table" => "Debit_Memo_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Debit_Memo_for_checking.Discount_Account"]["edit"] = array("table" => "Debit_Memo_for_checking", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Debit_Memo_for_checking.VAT_Account"]["edit"] = array("table" => "Debit_Memo_for_checking", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["purchase_order_receiving"]["Debit_Memo_for_checking.ref_no"]["edit"] = array("table" => "Debit_Memo_for_checking", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["Debit_Memo_for_checking.location"]["edit"] = array("table" => "Debit_Memo_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Debit_Memo_for_checking.discount_type"]["edit"] = array("table" => "Debit_Memo_for_checking", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Debit_Memo_for_checking.project"]["edit"] = array("table" => "Debit_Memo_for_checking", "field" => "project", "page" => "edit");
	$lookupTableLinks["currency"]["Debit_Memo_for_checking.currecy"]["edit"] = array("table" => "Debit_Memo_for_checking", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["Debit_Memo_for_checking.phase"]["edit"] = array("table" => "Debit_Memo_for_checking", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["Debit_Memo_for_checking.approved_by"]["edit"] = array("table" => "Debit_Memo_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Debit_Memo_for_checking.checked_by"]["edit"] = array("table" => "Debit_Memo_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Debit_Memo_for_checking.prepared_by"]["edit"] = array("table" => "Debit_Memo_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Debit_Memo_for_checking.modified_by"]["edit"] = array("table" => "Debit_Memo_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["purchase_detail"]["debit_memo_detail_for_checking.ref_id"]["edit"] = array("table" => "debit_memo_detail_for_checking", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["debit_memo_detail_for_checking.Item"]["edit"] = array("table" => "debit_memo_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["debit_memo_detail_for_checking.Account"]["edit"] = array("table" => "debit_memo_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["debit_memo_detail_for_checking.VAT_Type"]["edit"] = array("table" => "debit_memo_detail_for_checking", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["debit_memo_detail_for_checking.Subsidiary"]["edit"] = array("table" => "debit_memo_detail_for_checking", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["debit_memo_detail_for_checking.Cost_Center"]["edit"] = array("table" => "debit_memo_detail_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["debit_memo_detail_for_checking.um"]["edit"] = array("table" => "debit_memo_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["debit_memo_for_approval.Business_Partner"]["edit"] = array("table" => "debit_memo_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["debit_memo_for_approval.Payable_Account"]["edit"] = array("table" => "debit_memo_for_approval", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["debit_memo_for_approval.Cost_Center"]["edit"] = array("table" => "debit_memo_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["debit_memo_for_approval.Discount_Account"]["edit"] = array("table" => "debit_memo_for_approval", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["debit_memo_for_approval.VAT_Account"]["edit"] = array("table" => "debit_memo_for_approval", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["purchase_order_receiving"]["debit_memo_for_approval.ref_no"]["edit"] = array("table" => "debit_memo_for_approval", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["debit_memo_for_approval.location"]["edit"] = array("table" => "debit_memo_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["debit_memo_for_approval.discount_type"]["edit"] = array("table" => "debit_memo_for_approval", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["debit_memo_for_approval.project"]["edit"] = array("table" => "debit_memo_for_approval", "field" => "project", "page" => "edit");
	$lookupTableLinks["currency"]["debit_memo_for_approval.currecy"]["edit"] = array("table" => "debit_memo_for_approval", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["debit_memo_for_approval.phase"]["edit"] = array("table" => "debit_memo_for_approval", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["debit_memo_for_approval.approved_by"]["edit"] = array("table" => "debit_memo_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["debit_memo_for_approval.checked_by"]["edit"] = array("table" => "debit_memo_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["debit_memo_for_approval.prepared_by"]["edit"] = array("table" => "debit_memo_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["debit_memo_for_approval.modified_by"]["edit"] = array("table" => "debit_memo_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["purchase_detail"]["debit_memo_detail_for_approval.ref_id"]["edit"] = array("table" => "debit_memo_detail_for_approval", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["debit_memo_detail_for_approval.Item"]["edit"] = array("table" => "debit_memo_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["debit_memo_detail_for_approval.Account"]["edit"] = array("table" => "debit_memo_detail_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["debit_memo_detail_for_approval.VAT_Type"]["edit"] = array("table" => "debit_memo_detail_for_approval", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["debit_memo_detail_for_approval.Subsidiary"]["edit"] = array("table" => "debit_memo_detail_for_approval", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["debit_memo_detail_for_approval.Cost_Center"]["edit"] = array("table" => "debit_memo_detail_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["debit_memo_detail_for_approval.um"]["edit"] = array("table" => "debit_memo_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["Purchases_for_checking.Business_Partner"]["edit"] = array("table" => "Purchases_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Purchases_for_checking.Payable_Account"]["edit"] = array("table" => "Purchases_for_checking", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["credit_terms"]["Purchases_for_checking.Terms"]["edit"] = array("table" => "Purchases_for_checking", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["Purchases_for_checking.Cost_Center"]["edit"] = array("table" => "Purchases_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Purchases_for_checking.Shipping_Terms"]["edit"] = array("table" => "Purchases_for_checking", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Purchases_for_checking.Discount_Account"]["edit"] = array("table" => "Purchases_for_checking", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Purchases_for_checking.VAT_Account"]["edit"] = array("table" => "Purchases_for_checking", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Purchases_for_checking.EWT_Account"]["edit"] = array("table" => "Purchases_for_checking", "field" => "EWT_Account", "page" => "edit");
	$lookupTableLinks["ewt"]["Purchases_for_checking.atc"]["edit"] = array("table" => "Purchases_for_checking", "field" => "atc", "page" => "edit");
	$lookupTableLinks["purchase_order_receiving"]["Purchases_for_checking.ref_no"]["edit"] = array("table" => "Purchases_for_checking", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["Purchases_for_checking.location"]["edit"] = array("table" => "Purchases_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Purchases_for_checking.discount_type"]["edit"] = array("table" => "Purchases_for_checking", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Purchases_for_checking.project"]["edit"] = array("table" => "Purchases_for_checking", "field" => "project", "page" => "edit");
	$lookupTableLinks["currency"]["Purchases_for_checking.currecy"]["edit"] = array("table" => "Purchases_for_checking", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["Purchases_for_checking.phase"]["edit"] = array("table" => "Purchases_for_checking", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["Purchases_for_checking.approved_by"]["edit"] = array("table" => "Purchases_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Purchases_for_checking.checked_by"]["edit"] = array("table" => "Purchases_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Purchases_for_checking.prepared_by"]["edit"] = array("table" => "Purchases_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Purchases_for_checking.modified_by"]["edit"] = array("table" => "Purchases_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["credit_purchase_detail_for_checking.Item"]["edit"] = array("table" => "credit_purchase_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["credit_purchase_detail_for_checking.Account"]["edit"] = array("table" => "credit_purchase_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["credit_purchase_detail_for_checking.VAT_Type"]["edit"] = array("table" => "credit_purchase_detail_for_checking", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["credit_purchase_detail_for_checking.Subsidiary"]["edit"] = array("table" => "credit_purchase_detail_for_checking", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["credit_purchase_detail_for_checking.Cost_Center"]["edit"] = array("table" => "credit_purchase_detail_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["credit_purchase_detail_for_checking.um"]["edit"] = array("table" => "credit_purchase_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["purchase_order_receiving_detail1"]["credit_purchase_detail_for_checking.ref_id"]["edit"] = array("table" => "credit_purchase_detail_for_checking", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["business_partner"]["Purchases_for_approval.Business_Partner"]["edit"] = array("table" => "Purchases_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Purchases_for_approval.Payable_Account"]["edit"] = array("table" => "Purchases_for_approval", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["credit_terms"]["Purchases_for_approval.Terms"]["edit"] = array("table" => "Purchases_for_approval", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["Purchases_for_approval.Cost_Center"]["edit"] = array("table" => "Purchases_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Purchases_for_approval.Shipping_Terms"]["edit"] = array("table" => "Purchases_for_approval", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Purchases_for_approval.Discount_Account"]["edit"] = array("table" => "Purchases_for_approval", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Purchases_for_approval.VAT_Account"]["edit"] = array("table" => "Purchases_for_approval", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Purchases_for_approval.EWT_Account"]["edit"] = array("table" => "Purchases_for_approval", "field" => "EWT_Account", "page" => "edit");
	$lookupTableLinks["ewt"]["Purchases_for_approval.atc"]["edit"] = array("table" => "Purchases_for_approval", "field" => "atc", "page" => "edit");
	$lookupTableLinks["purchase_order_receiving"]["Purchases_for_approval.ref_no"]["edit"] = array("table" => "Purchases_for_approval", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["Purchases_for_approval.location"]["edit"] = array("table" => "Purchases_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Purchases_for_approval.discount_type"]["edit"] = array("table" => "Purchases_for_approval", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Purchases_for_approval.project"]["edit"] = array("table" => "Purchases_for_approval", "field" => "project", "page" => "edit");
	$lookupTableLinks["currency"]["Purchases_for_approval.currecy"]["edit"] = array("table" => "Purchases_for_approval", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["Purchases_for_approval.phase"]["edit"] = array("table" => "Purchases_for_approval", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["Purchases_for_approval.approved_by"]["edit"] = array("table" => "Purchases_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Purchases_for_approval.checked_by"]["edit"] = array("table" => "Purchases_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Purchases_for_approval.prepared_by"]["edit"] = array("table" => "Purchases_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Purchases_for_approval.modified_by"]["edit"] = array("table" => "Purchases_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["credit_purchase_detail_for_approval.Item"]["edit"] = array("table" => "credit_purchase_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["credit_purchase_detail_for_approval.Account"]["edit"] = array("table" => "credit_purchase_detail_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["credit_purchase_detail_for_approval.VAT_Type"]["edit"] = array("table" => "credit_purchase_detail_for_approval", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["credit_purchase_detail_for_approval.Subsidiary"]["edit"] = array("table" => "credit_purchase_detail_for_approval", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["credit_purchase_detail_for_approval.Cost_Center"]["edit"] = array("table" => "credit_purchase_detail_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["credit_purchase_detail_for_approval.um"]["edit"] = array("table" => "credit_purchase_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["purchase_order_receiving_detail1"]["credit_purchase_detail_for_approval.ref_id"]["edit"] = array("table" => "credit_purchase_detail_for_approval", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["business_partner"]["Sales_for_checking.Business_Partner"]["edit"] = array("table" => "Sales_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Sales_for_checking.Receivable_Account"]["edit"] = array("table" => "Sales_for_checking", "field" => "Receivable_Account", "page" => "edit");
	$lookupTableLinks["credit_terms"]["Sales_for_checking.Terms"]["edit"] = array("table" => "Sales_for_checking", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["Sales_for_checking.Cost_Center"]["edit"] = array("table" => "Sales_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Sales_for_checking.Shipping_Terms"]["edit"] = array("table" => "Sales_for_checking", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Sales_for_checking.Discount_Account"]["edit"] = array("table" => "Sales_for_checking", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Sales_for_checking.VAT_Account"]["edit"] = array("table" => "Sales_for_checking", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["sales_order"]["Sales_for_checking.ref_no"]["edit"] = array("table" => "Sales_for_checking", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["Sales_for_checking.location"]["edit"] = array("table" => "Sales_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Sales_for_checking.discount_type"]["edit"] = array("table" => "Sales_for_checking", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Sales_for_checking.project"]["edit"] = array("table" => "Sales_for_checking", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["Sales_for_checking.phase"]["edit"] = array("table" => "Sales_for_checking", "field" => "phase", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Sales_for_checking.sales_rep"]["edit"] = array("table" => "Sales_for_checking", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["Sales_for_checking.currency"]["edit"] = array("table" => "Sales_for_checking", "field" => "currency", "page" => "edit");
	$lookupTableLinks["system_user"]["Sales_for_checking.prepared_by"]["edit"] = array("table" => "Sales_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Sales_for_checking.checked_by"]["edit"] = array("table" => "Sales_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Sales_for_checking.approved_by"]["edit"] = array("table" => "Sales_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Sales_for_checking.modified_by"]["edit"] = array("table" => "Sales_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["business_partner"]["Sales_for_approval.Business_Partner"]["edit"] = array("table" => "Sales_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Sales_for_approval.Receivable_Account"]["edit"] = array("table" => "Sales_for_approval", "field" => "Receivable_Account", "page" => "edit");
	$lookupTableLinks["credit_terms"]["Sales_for_approval.Terms"]["edit"] = array("table" => "Sales_for_approval", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["Sales_for_approval.Cost_Center"]["edit"] = array("table" => "Sales_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Sales_for_approval.Shipping_Terms"]["edit"] = array("table" => "Sales_for_approval", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Sales_for_approval.Discount_Account"]["edit"] = array("table" => "Sales_for_approval", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Sales_for_approval.VAT_Account"]["edit"] = array("table" => "Sales_for_approval", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["sales_order"]["Sales_for_approval.ref_no"]["edit"] = array("table" => "Sales_for_approval", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["Sales_for_approval.location"]["edit"] = array("table" => "Sales_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Sales_for_approval.discount_type"]["edit"] = array("table" => "Sales_for_approval", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Sales_for_approval.project"]["edit"] = array("table" => "Sales_for_approval", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["Sales_for_approval.phase"]["edit"] = array("table" => "Sales_for_approval", "field" => "phase", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Sales_for_approval.sales_rep"]["edit"] = array("table" => "Sales_for_approval", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["Sales_for_approval.currency"]["edit"] = array("table" => "Sales_for_approval", "field" => "currency", "page" => "edit");
	$lookupTableLinks["system_user"]["Sales_for_approval.prepared_by"]["edit"] = array("table" => "Sales_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Sales_for_approval.checked_by"]["edit"] = array("table" => "Sales_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Sales_for_approval.approved_by"]["edit"] = array("table" => "Sales_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Sales_for_approval.modified_by"]["edit"] = array("table" => "Sales_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["sales_order_detail"]["credit_sales_detail_for_checking.ref_id"]["edit"] = array("table" => "credit_sales_detail_for_checking", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["credit_sales_detail_for_checking.Item"]["edit"] = array("table" => "credit_sales_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["credit_sales_detail_for_checking.Account"]["edit"] = array("table" => "credit_sales_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["credit_sales_detail_for_checking.VAT_Type"]["edit"] = array("table" => "credit_sales_detail_for_checking", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["credit_sales_detail_for_checking.Subsidiary"]["edit"] = array("table" => "credit_sales_detail_for_checking", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["credit_sales_detail_for_checking.Cost_Center"]["edit"] = array("table" => "credit_sales_detail_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["credit_sales_detail_for_checking.um"]["edit"] = array("table" => "credit_sales_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["sales_order_detail"]["credit_sales_detail_for_approval.ref_id"]["edit"] = array("table" => "credit_sales_detail_for_approval", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["credit_sales_detail_for_approval.Item"]["edit"] = array("table" => "credit_sales_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["credit_sales_detail_for_approval.Account"]["edit"] = array("table" => "credit_sales_detail_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["credit_sales_detail_for_approval.VAT_Type"]["edit"] = array("table" => "credit_sales_detail_for_approval", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["credit_sales_detail_for_approval.Subsidiary"]["edit"] = array("table" => "credit_sales_detail_for_approval", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["credit_sales_detail_for_approval.Cost_Center"]["edit"] = array("table" => "credit_sales_detail_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["credit_sales_detail_for_approval.um"]["edit"] = array("table" => "credit_sales_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["Cash_Disbursement_for_checking.Business_Partner"]["edit"] = array("table" => "Cash_Disbursement_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Cash_Disbursement_for_checking.Cash_Account"]["edit"] = array("table" => "Cash_Disbursement_for_checking", "field" => "Cash_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Cash_Disbursement_for_checking.Cost_Center"]["edit"] = array("table" => "Cash_Disbursement_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Cash_Disbursement_for_checking.Shipping_Terms"]["edit"] = array("table" => "Cash_Disbursement_for_checking", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Cash_Disbursement_for_checking.Discount_Account"]["edit"] = array("table" => "Cash_Disbursement_for_checking", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Cash_Disbursement_for_checking.VAT_Account"]["edit"] = array("table" => "Cash_Disbursement_for_checking", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Cash_Disbursement_for_checking.EWT_Account"]["edit"] = array("table" => "Cash_Disbursement_for_checking", "field" => "EWT_Account", "page" => "edit");
	$lookupTableLinks["ewt"]["Cash_Disbursement_for_checking.atc"]["edit"] = array("table" => "Cash_Disbursement_for_checking", "field" => "atc", "page" => "edit");
	$lookupTableLinks["bank"]["Cash_Disbursement_for_checking.bank"]["edit"] = array("table" => "Cash_Disbursement_for_checking", "field" => "bank", "page" => "edit");
	$lookupTableLinks["location"]["Cash_Disbursement_for_checking.location"]["edit"] = array("table" => "Cash_Disbursement_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Cash_Disbursement_for_checking.discount_type"]["edit"] = array("table" => "Cash_Disbursement_for_checking", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["currency"]["Cash_Disbursement_for_checking.currecy"]["edit"] = array("table" => "Cash_Disbursement_for_checking", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["projects"]["Cash_Disbursement_for_checking.project"]["edit"] = array("table" => "Cash_Disbursement_for_checking", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["Cash_Disbursement_for_checking.phase"]["edit"] = array("table" => "Cash_Disbursement_for_checking", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["Cash_Disbursement_for_checking.checked_by"]["edit"] = array("table" => "Cash_Disbursement_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Cash_Disbursement_for_checking.approved_by"]["edit"] = array("table" => "Cash_Disbursement_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Cash_Disbursement_for_checking.prepared_by"]["edit"] = array("table" => "Cash_Disbursement_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["debit_memo"]["Cash_Disbursement_for_checking.debit_memo_refs"]["edit"] = array("table" => "Cash_Disbursement_for_checking", "field" => "debit_memo_refs", "page" => "edit");
	$lookupTableLinks["system_user"]["Cash_Disbursement_for_checking.modified_by"]["edit"] = array("table" => "Cash_Disbursement_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["check_voucher_detail2_for_checking.Item"]["edit"] = array("table" => "check_voucher_detail2_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["check_voucher_detail2_for_checking.Account"]["edit"] = array("table" => "check_voucher_detail2_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["check_voucher_detail2_for_checking.VAT_Type"]["edit"] = array("table" => "check_voucher_detail2_for_checking", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["check_voucher_detail2_for_checking.Subsidiary"]["edit"] = array("table" => "check_voucher_detail2_for_checking", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["check_voucher_detail2_for_checking.Cost_Center"]["edit"] = array("table" => "check_voucher_detail2_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["check_voucher_detail2_for_checking.um"]["edit"] = array("table" => "check_voucher_detail2_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["Cash_Disbursement_for_approval.Business_Partner"]["edit"] = array("table" => "Cash_Disbursement_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Cash_Disbursement_for_approval.Cash_Account"]["edit"] = array("table" => "Cash_Disbursement_for_approval", "field" => "Cash_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Cash_Disbursement_for_approval.Cost_Center"]["edit"] = array("table" => "Cash_Disbursement_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Cash_Disbursement_for_approval.Shipping_Terms"]["edit"] = array("table" => "Cash_Disbursement_for_approval", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Cash_Disbursement_for_approval.Discount_Account"]["edit"] = array("table" => "Cash_Disbursement_for_approval", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Cash_Disbursement_for_approval.VAT_Account"]["edit"] = array("table" => "Cash_Disbursement_for_approval", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Cash_Disbursement_for_approval.EWT_Account"]["edit"] = array("table" => "Cash_Disbursement_for_approval", "field" => "EWT_Account", "page" => "edit");
	$lookupTableLinks["ewt"]["Cash_Disbursement_for_approval.atc"]["edit"] = array("table" => "Cash_Disbursement_for_approval", "field" => "atc", "page" => "edit");
	$lookupTableLinks["bank"]["Cash_Disbursement_for_approval.bank"]["edit"] = array("table" => "Cash_Disbursement_for_approval", "field" => "bank", "page" => "edit");
	$lookupTableLinks["location"]["Cash_Disbursement_for_approval.location"]["edit"] = array("table" => "Cash_Disbursement_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Cash_Disbursement_for_approval.discount_type"]["edit"] = array("table" => "Cash_Disbursement_for_approval", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["currency"]["Cash_Disbursement_for_approval.currecy"]["edit"] = array("table" => "Cash_Disbursement_for_approval", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["projects"]["Cash_Disbursement_for_approval.project"]["edit"] = array("table" => "Cash_Disbursement_for_approval", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["Cash_Disbursement_for_approval.phase"]["edit"] = array("table" => "Cash_Disbursement_for_approval", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["Cash_Disbursement_for_approval.checked_by"]["edit"] = array("table" => "Cash_Disbursement_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Cash_Disbursement_for_approval.approved_by"]["edit"] = array("table" => "Cash_Disbursement_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Cash_Disbursement_for_approval.prepared_by"]["edit"] = array("table" => "Cash_Disbursement_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["debit_memo"]["Cash_Disbursement_for_approval.debit_memo_refs"]["edit"] = array("table" => "Cash_Disbursement_for_approval", "field" => "debit_memo_refs", "page" => "edit");
	$lookupTableLinks["system_user"]["Cash_Disbursement_for_approval.modified_by"]["edit"] = array("table" => "Cash_Disbursement_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["check_voucher_detail2_for_approval.Item"]["edit"] = array("table" => "check_voucher_detail2_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["check_voucher_detail2_for_approval.Account"]["edit"] = array("table" => "check_voucher_detail2_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["check_voucher_detail2_for_approval.VAT_Type"]["edit"] = array("table" => "check_voucher_detail2_for_approval", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["check_voucher_detail2_for_approval.Subsidiary"]["edit"] = array("table" => "check_voucher_detail2_for_approval", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["check_voucher_detail2_for_approval.Cost_Center"]["edit"] = array("table" => "check_voucher_detail2_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["check_voucher_detail2_for_approval.um"]["edit"] = array("table" => "check_voucher_detail2_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["system_user"]["General_Journal_for_checking.prepared_by"]["edit"] = array("table" => "General_Journal_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["General_Journal_for_checking.modified_by"]["edit"] = array("table" => "General_Journal_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["general_journal_detail_for_checking.Account"]["edit"] = array("table" => "general_journal_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["general_journal_detail_for_checking.Item"]["edit"] = array("table" => "general_journal_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["business_partner"]["general_journal_detail_for_checking.Subsidiary"]["edit"] = array("table" => "general_journal_detail_for_checking", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["general_journal_detail_for_checking.Cost_Center"]["edit"] = array("table" => "general_journal_detail_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["general_journal_detail_for_checking.um"]["edit"] = array("table" => "general_journal_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["system_user"]["General_Journal_for_approval.prepared_by"]["edit"] = array("table" => "General_Journal_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["General_Journal_for_approval.modified_by"]["edit"] = array("table" => "General_Journal_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["general_journal_detail_for_approval.Account"]["edit"] = array("table" => "general_journal_detail_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["general_journal_detail_for_approval.Item"]["edit"] = array("table" => "general_journal_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["business_partner"]["general_journal_detail_for_approval.Subsidiary"]["edit"] = array("table" => "general_journal_detail_for_approval", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["general_journal_detail_for_approval.Cost_Center"]["edit"] = array("table" => "general_journal_detail_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["general_journal_detail_for_approval.um"]["edit"] = array("table" => "general_journal_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["years"]["for_submissions.year"]["edit"] = array("table" => "for_submissions", "field" => "year", "page" => "edit");
	$lookupTableLinks["document_type"]["for_submissions.doc_type"]["edit"] = array("table" => "for_submissions", "field" => "doc_type", "page" => "edit");
	$lookupTableLinks["Customers"]["estimate.Business_Partner"]["edit"] = array("table" => "estimate", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["cost_center"]["estimate.Cost_Center"]["edit"] = array("table" => "estimate", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["estimate.Discount_Account"]["edit"] = array("table" => "estimate", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["estimate.VAT_Account"]["edit"] = array("table" => "estimate", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["estimate.location"]["edit"] = array("table" => "estimate", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["estimate.discount_type"]["edit"] = array("table" => "estimate", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["estimate.sales_rep"]["edit"] = array("table" => "estimate", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["estimate.currecy"]["edit"] = array("table" => "estimate", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["system_user"]["estimate.prepared_by"]["edit"] = array("table" => "estimate", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["estimate.checked_by"]["edit"] = array("table" => "estimate", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["estimate.approved_by"]["edit"] = array("table" => "estimate", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["estimate.modified_by"]["edit"] = array("table" => "estimate", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["estimate_detail.Item"]["edit"] = array("table" => "estimate_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["estimate_detail.Account"]["edit"] = array("table" => "estimate_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["estimate_detail.Description"]["edit"] = array("table" => "estimate_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["estimate_detail.VAT_Type"]["edit"] = array("table" => "estimate_detail", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["uom"]["estimate_detail.um"]["edit"] = array("table" => "estimate_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["employee_list"]["purchase_request.Business_Partner"]["edit"] = array("table" => "purchase_request", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["credit_terms"]["purchase_request.Terms"]["edit"] = array("table" => "purchase_request", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["purchase_request.Cost_Center"]["edit"] = array("table" => "purchase_request", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["purchase_request.Shipping_Terms"]["edit"] = array("table" => "purchase_request", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase_request.Discount_Account"]["edit"] = array("table" => "purchase_request", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase_request.VAT_Account"]["edit"] = array("table" => "purchase_request", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["purchase_request.location"]["edit"] = array("table" => "purchase_request", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["purchase_request.discount_type"]["edit"] = array("table" => "purchase_request", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["purchase_request.project"]["edit"] = array("table" => "purchase_request", "field" => "project", "page" => "edit");
	$lookupTableLinks["currency"]["purchase_request.currecy"]["edit"] = array("table" => "purchase_request", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["purchase_request.phase"]["edit"] = array("table" => "purchase_request", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["purchase_request.approved_by"]["edit"] = array("table" => "purchase_request", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["purchase_request.checked_by"]["edit"] = array("table" => "purchase_request", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["purchase_request.prepared_by"]["edit"] = array("table" => "purchase_request", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["purchase_request.modified_by"]["edit"] = array("table" => "purchase_request", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["sales_order"]["purchase_request.so_no"]["edit"] = array("table" => "purchase_request", "field" => "so_no", "page" => "edit");
	$lookupTableLinks["item"]["purchase_request_detail.Item"]["edit"] = array("table" => "purchase_request_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase_request_detail.Account"]["edit"] = array("table" => "purchase_request_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["purchase_request_detail.Description"]["edit"] = array("table" => "purchase_request_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["purchase_request_detail.VAT_Type"]["edit"] = array("table" => "purchase_request_detail", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["purchase_request_detail.Subsidiary"]["edit"] = array("table" => "purchase_request_detail", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["purchase_request_detail.Cost_Center"]["edit"] = array("table" => "purchase_request_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["purchase_request_detail.um"]["edit"] = array("table" => "purchase_request_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["Suppliers"]["purchase_request_detail.supplier1"]["edit"] = array("table" => "purchase_request_detail", "field" => "supplier1", "page" => "edit");
	$lookupTableLinks["Suppliers"]["purchase_request_detail.supplier2"]["edit"] = array("table" => "purchase_request_detail", "field" => "supplier2", "page" => "edit");
	$lookupTableLinks["Suppliers"]["purchase_request_detail.supplier3"]["edit"] = array("table" => "purchase_request_detail", "field" => "supplier3", "page" => "edit");
	$lookupTableLinks["Suppliers"]["purchase_request_detail.approved_supplier"]["edit"] = array("table" => "purchase_request_detail", "field" => "approved_supplier", "page" => "edit");
	$lookupTableLinks["item"]["inv_adj_detail.Item"]["edit"] = array("table" => "inv_adj_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["inv_adj_detail.Account"]["edit"] = array("table" => "inv_adj_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["inv_adj_detail.Description"]["edit"] = array("table" => "inv_adj_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["business_partner"]["inv_adj_detail.Subsidiary"]["edit"] = array("table" => "inv_adj_detail", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["inv_adj_detail.Cost_Center"]["edit"] = array("table" => "inv_adj_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["inv_adj_detail.location"]["edit"] = array("table" => "inv_adj_detail", "field" => "location", "page" => "edit");
	$lookupTableLinks["uom"]["inv_adj_detail.um"]["edit"] = array("table" => "inv_adj_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["lot"]["inv_adj_detail.lot_no"]["edit"] = array("table" => "inv_adj_detail", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["serial_no"]["inv_adj_detail.serial_number"]["edit"] = array("table" => "inv_adj_detail", "field" => "serial_number", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["inventory_adj.gl_adjustment_account"]["edit"] = array("table" => "inventory_adj", "field" => "gl_adjustment_account", "page" => "edit");
	$lookupTableLinks["cost_center"]["inventory_adj.cost_center"]["edit"] = array("table" => "inventory_adj", "field" => "cost_center", "page" => "edit");
	$lookupTableLinks["approver_list"]["inventory_adj.checked_by"]["edit"] = array("table" => "inventory_adj", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["inventory_adj.approved_by"]["edit"] = array("table" => "inventory_adj", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["inventory_adj.prepared_by"]["edit"] = array("table" => "inventory_adj", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["inventory_adj.modified_by"]["edit"] = array("table" => "inventory_adj", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["cost_center"]["inventory_tranfer.Cost_Center"]["edit"] = array("table" => "inventory_tranfer", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["inventory_tranfer.Shipping_Terms"]["edit"] = array("table" => "inventory_tranfer", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["projects"]["inventory_tranfer.project"]["edit"] = array("table" => "inventory_tranfer", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["inventory_tranfer.phase"]["edit"] = array("table" => "inventory_tranfer", "field" => "phase", "page" => "edit");
	$lookupTableLinks["system_user"]["inventory_tranfer.prepared_by"]["edit"] = array("table" => "inventory_tranfer", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["inventory_tranfer.approved_by"]["edit"] = array("table" => "inventory_tranfer", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["inventory_tranfer.checked_by"]["edit"] = array("table" => "inventory_tranfer", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["location"]["inventory_tranfer.location"]["edit"] = array("table" => "inventory_tranfer", "field" => "location", "page" => "edit");
	$lookupTableLinks["cost_center"]["inventory_tranfer.destination_cost_center"]["edit"] = array("table" => "inventory_tranfer", "field" => "destination_cost_center", "page" => "edit");
	$lookupTableLinks["location"]["inventory_tranfer.destination_location"]["edit"] = array("table" => "inventory_tranfer", "field" => "destination_location", "page" => "edit");
	$lookupTableLinks["vehicle"]["inventory_tranfer.vehicle"]["edit"] = array("table" => "inventory_tranfer", "field" => "vehicle", "page" => "edit");
	$lookupTableLinks["system_user"]["inventory_tranfer.modified_by"]["edit"] = array("table" => "inventory_tranfer", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["inventory_transfer_detail.Item"]["edit"] = array("table" => "inventory_transfer_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["inventory_transfer_detail.Description"]["edit"] = array("table" => "inventory_transfer_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["lot"]["inventory_transfer_detail.lot_no"]["edit"] = array("table" => "inventory_transfer_detail", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["uom"]["inventory_transfer_detail.um"]["edit"] = array("table" => "inventory_transfer_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["serial_no"]["inventory_transfer_detail.serial_number"]["edit"] = array("table" => "inventory_transfer_detail", "field" => "serial_number", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Customers.Default  Account"]["edit"] = array("table" => "Customers", "field" => "Default  Account", "page" => "edit");
	$lookupTableLinks["area"]["Customers.area"]["edit"] = array("table" => "Customers", "field" => "area", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Customers.assigned_to"]["edit"] = array("table" => "Customers", "field" => "assigned_to", "page" => "edit");
	$lookupTableLinks["business_partner_group"]["Customers.group"]["edit"] = array("table" => "Customers", "field" => "group", "page" => "edit");
	$lookupTableLinks["credit_terms"]["Customers.default_terms"]["edit"] = array("table" => "Customers", "field" => "default_terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["Customers.cost_center"]["edit"] = array("table" => "Customers", "field" => "cost_center", "page" => "edit");
	$lookupTableLinks["campaign"]["Customers.campaign"]["edit"] = array("table" => "Customers", "field" => "campaign", "page" => "edit");
	$lookupTableLinks["ewt"]["Customers.default_ewt"]["edit"] = array("table" => "Customers", "field" => "default_ewt", "page" => "edit");
	$lookupTableLinks["discounts"]["Customers.default_discount"]["edit"] = array("table" => "Customers", "field" => "default_discount", "page" => "edit");
	$lookupTableLinks["Customers"]["Customers.parent_company"]["edit"] = array("table" => "Customers", "field" => "parent_company", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Suppliers.Default  Account"]["edit"] = array("table" => "Suppliers", "field" => "Default  Account", "page" => "edit");
	$lookupTableLinks["area"]["Suppliers.area"]["edit"] = array("table" => "Suppliers", "field" => "area", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Suppliers.assigned_to"]["edit"] = array("table" => "Suppliers", "field" => "assigned_to", "page" => "edit");
	$lookupTableLinks["business_partner_group"]["Suppliers.group"]["edit"] = array("table" => "Suppliers", "field" => "group", "page" => "edit");
	$lookupTableLinks["credit_terms"]["Suppliers.default_terms"]["edit"] = array("table" => "Suppliers", "field" => "default_terms", "page" => "edit");
	$lookupTableLinks["ewt"]["Suppliers.default_ewt"]["edit"] = array("table" => "Suppliers", "field" => "default_ewt", "page" => "edit");
	$lookupTableLinks["discounts"]["Suppliers.default_discount"]["edit"] = array("table" => "Suppliers", "field" => "default_discount", "page" => "edit");
	$lookupTableLinks["tax_person_status"]["Suppliers.taxation_status"]["edit"] = array("table" => "Suppliers", "field" => "taxation_status", "page" => "edit");
	$lookupTableLinks["cost_center"]["Suppliers.cost_center"]["edit"] = array("table" => "Suppliers", "field" => "cost_center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Statement_of_Account.Default  Account"]["edit"] = array("table" => "Statement_of_Account", "field" => "Default  Account", "page" => "edit");
	$lookupTableLinks["area"]["Statement_of_Account.area"]["edit"] = array("table" => "Statement_of_Account", "field" => "area", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Statement_of_Account.assigned_to"]["edit"] = array("table" => "Statement_of_Account", "field" => "assigned_to", "page" => "edit");
	$lookupTableLinks["business_partner_group"]["Statement_of_Account.group"]["edit"] = array("table" => "Statement_of_Account", "field" => "group", "page" => "edit");
	$lookupTableLinks["201"]["Change_Time_Schedule_for_approval.employee"]["edit"] = array("table" => "Change_Time_Schedule_for_approval", "field" => "employee", "page" => "edit");
	$lookupTableLinks["approver_list"]["Change_Time_Schedule_for_approval.approved_by"]["edit"] = array("table" => "Change_Time_Schedule_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Change_Time_Schedule_for_approval.prepared_by"]["edit"] = array("table" => "Change_Time_Schedule_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Change_Time_Schedule_for_approval.modified_by"]["edit"] = array("table" => "Change_Time_Schedule_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["201"]["Change_Time_Schedule_for_checking.employee"]["edit"] = array("table" => "Change_Time_Schedule_for_checking", "field" => "employee", "page" => "edit");
	$lookupTableLinks["approver_list"]["Change_Time_Schedule_for_checking.approved_by"]["edit"] = array("table" => "Change_Time_Schedule_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Change_Time_Schedule_for_checking.prepared_by"]["edit"] = array("table" => "Change_Time_Schedule_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Change_Time_Schedule_for_checking.modified_by"]["edit"] = array("table" => "Change_Time_Schedule_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Inventory_Adjustment_for_checking.gl_adjustment_account"]["edit"] = array("table" => "Inventory_Adjustment_for_checking", "field" => "gl_adjustment_account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Inventory_Adjustment_for_checking.cost_center"]["edit"] = array("table" => "Inventory_Adjustment_for_checking", "field" => "cost_center", "page" => "edit");
	$lookupTableLinks["approver_list"]["Inventory_Adjustment_for_checking.checked_by"]["edit"] = array("table" => "Inventory_Adjustment_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Inventory_Adjustment_for_checking.approved_by"]["edit"] = array("table" => "Inventory_Adjustment_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Inventory_Adjustment_for_checking.prepared_by"]["edit"] = array("table" => "Inventory_Adjustment_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Inventory_Adjustment_for_checking.modified_by"]["edit"] = array("table" => "Inventory_Adjustment_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["inv_adj_detail_for_checking.Item"]["edit"] = array("table" => "inv_adj_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["inv_adj_detail_for_checking.Account"]["edit"] = array("table" => "inv_adj_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["inv_adj_detail_for_checking.Description"]["edit"] = array("table" => "inv_adj_detail_for_checking", "field" => "Description", "page" => "edit");
	$lookupTableLinks["business_partner"]["inv_adj_detail_for_checking.Subsidiary"]["edit"] = array("table" => "inv_adj_detail_for_checking", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["inv_adj_detail_for_checking.Cost_Center"]["edit"] = array("table" => "inv_adj_detail_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["inv_adj_detail_for_checking.location"]["edit"] = array("table" => "inv_adj_detail_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["uom"]["inv_adj_detail_for_checking.um"]["edit"] = array("table" => "inv_adj_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Inventory_Adjustment_for_approval.gl_adjustment_account"]["edit"] = array("table" => "Inventory_Adjustment_for_approval", "field" => "gl_adjustment_account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Inventory_Adjustment_for_approval.cost_center"]["edit"] = array("table" => "Inventory_Adjustment_for_approval", "field" => "cost_center", "page" => "edit");
	$lookupTableLinks["approver_list"]["Inventory_Adjustment_for_approval.checked_by"]["edit"] = array("table" => "Inventory_Adjustment_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Inventory_Adjustment_for_approval.approved_by"]["edit"] = array("table" => "Inventory_Adjustment_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Inventory_Adjustment_for_approval.prepared_by"]["edit"] = array("table" => "Inventory_Adjustment_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Inventory_Adjustment_for_approval.modified_by"]["edit"] = array("table" => "Inventory_Adjustment_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["inv_adj_detail_for_approval.Item"]["edit"] = array("table" => "inv_adj_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["inv_adj_detail_for_approval.Account"]["edit"] = array("table" => "inv_adj_detail_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["inv_adj_detail_for_approval.Description"]["edit"] = array("table" => "inv_adj_detail_for_approval", "field" => "Description", "page" => "edit");
	$lookupTableLinks["business_partner"]["inv_adj_detail_for_approval.Subsidiary"]["edit"] = array("table" => "inv_adj_detail_for_approval", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["inv_adj_detail_for_approval.Cost_Center"]["edit"] = array("table" => "inv_adj_detail_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["inv_adj_detail_for_approval.location"]["edit"] = array("table" => "inv_adj_detail_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["uom"]["inv_adj_detail_for_approval.um"]["edit"] = array("table" => "inv_adj_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["system_user"]["for_checking.checked_by"]["edit"] = array("table" => "for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["for_approval.approved_by"]["edit"] = array("table" => "for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["business_partner"]["Estimate_for_approval.Business_Partner"]["edit"] = array("table" => "Estimate_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["cost_center"]["Estimate_for_approval.Cost_Center"]["edit"] = array("table" => "Estimate_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Estimate_for_approval.Discount_Account"]["edit"] = array("table" => "Estimate_for_approval", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Estimate_for_approval.VAT_Account"]["edit"] = array("table" => "Estimate_for_approval", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["Estimate_for_approval.location"]["edit"] = array("table" => "Estimate_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Estimate_for_approval.discount_type"]["edit"] = array("table" => "Estimate_for_approval", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Estimate_for_approval.sales_rep"]["edit"] = array("table" => "Estimate_for_approval", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["Estimate_for_approval.currecy"]["edit"] = array("table" => "Estimate_for_approval", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["system_user"]["Estimate_for_approval.prepared_by"]["edit"] = array("table" => "Estimate_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Estimate_for_approval.checked_by"]["edit"] = array("table" => "Estimate_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Estimate_for_approval.approved_by"]["edit"] = array("table" => "Estimate_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Estimate_for_approval.modified_by"]["edit"] = array("table" => "Estimate_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["business_partner"]["Estimate_for_checking.Business_Partner"]["edit"] = array("table" => "Estimate_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["cost_center"]["Estimate_for_checking.Cost_Center"]["edit"] = array("table" => "Estimate_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Estimate_for_checking.Discount_Account"]["edit"] = array("table" => "Estimate_for_checking", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Estimate_for_checking.VAT_Account"]["edit"] = array("table" => "Estimate_for_checking", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["Estimate_for_checking.location"]["edit"] = array("table" => "Estimate_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Estimate_for_checking.discount_type"]["edit"] = array("table" => "Estimate_for_checking", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Estimate_for_checking.sales_rep"]["edit"] = array("table" => "Estimate_for_checking", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["Estimate_for_checking.currecy"]["edit"] = array("table" => "Estimate_for_checking", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["system_user"]["Estimate_for_checking.prepared_by"]["edit"] = array("table" => "Estimate_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Estimate_for_checking.checked_by"]["edit"] = array("table" => "Estimate_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Estimate_for_checking.approved_by"]["edit"] = array("table" => "Estimate_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Estimate_for_checking.modified_by"]["edit"] = array("table" => "Estimate_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["estimate_detail_for_checking.Item"]["edit"] = array("table" => "estimate_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["estimate_detail_for_checking.Account"]["edit"] = array("table" => "estimate_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["estimate_detail_for_checking.Description"]["edit"] = array("table" => "estimate_detail_for_checking", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["estimate_detail_for_checking.VAT_Type"]["edit"] = array("table" => "estimate_detail_for_checking", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["uom"]["estimate_detail_for_checking.um"]["edit"] = array("table" => "estimate_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["item"]["estimate_detail_for_approval.Item"]["edit"] = array("table" => "estimate_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["estimate_detail_for_approval.Account"]["edit"] = array("table" => "estimate_detail_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["estimate_detail_for_approval.Description"]["edit"] = array("table" => "estimate_detail_for_approval", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["estimate_detail_for_approval.VAT_Type"]["edit"] = array("table" => "estimate_detail_for_approval", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["uom"]["estimate_detail_for_approval.um"]["edit"] = array("table" => "estimate_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Follow_up.Default  Account"]["edit"] = array("table" => "Follow_up", "field" => "Default  Account", "page" => "edit");
	$lookupTableLinks["area"]["Follow_up.area"]["edit"] = array("table" => "Follow_up", "field" => "area", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Follow_up.assigned_to"]["edit"] = array("table" => "Follow_up", "field" => "assigned_to", "page" => "edit");
	$lookupTableLinks["business_partner_group"]["Follow_up.group"]["edit"] = array("table" => "Follow_up", "field" => "group", "page" => "edit");
	$lookupTableLinks["credit_terms"]["Follow_up.default_terms"]["edit"] = array("table" => "Follow_up", "field" => "default_terms", "page" => "edit");
	$lookupTableLinks["business_partner"]["coming_meetings.account"]["edit"] = array("table" => "coming_meetings", "field" => "account", "page" => "edit");
	$lookupTableLinks["business_partner"]["coming_meetings.assigned_to"]["edit"] = array("table" => "coming_meetings", "field" => "assigned_to", "page" => "edit");
	$lookupTableLinks["employee_list"]["tasks.AssignedTo"]["edit"] = array("table" => "tasks", "field" => "AssignedTo", "page" => "edit");
	$lookupTableLinks["tasks"]["tasks.DependentOn"]["edit"] = array("table" => "tasks", "field" => "DependentOn", "page" => "edit");
	$lookupTableLinks["employee_list"]["Project_phases.AssignedTo"]["edit"] = array("table" => "Project_phases", "field" => "AssignedTo", "page" => "edit");
	$lookupTableLinks["origin_fa"]["origin_fa.Item"]["edit"] = array("table" => "origin_fa", "field" => "Item", "page" => "edit");
	$lookupTableLinks["position"]["2301.position"]["edit"] = array("table" => "2301", "field" => "position", "page" => "edit");
	$lookupTableLinks["department"]["2301.department"]["edit"] = array("table" => "2301", "field" => "department", "page" => "edit");
	$lookupTableLinks["recuring_benefits"]["2301.benefits"]["edit"] = array("table" => "2301", "field" => "benefits", "page" => "edit");
	$lookupTableLinks["tax_status"]["2301.tax_status"]["edit"] = array("table" => "2301", "field" => "tax_status", "page" => "edit");
	$lookupTableLinks["schedule"]["2301.schedule_code"]["edit"] = array("table" => "2301", "field" => "schedule_code", "page" => "edit");
	$lookupTableLinks["bank"]["2301.bank"]["edit"] = array("table" => "2301", "field" => "bank", "page" => "edit");
	$lookupTableLinks["system_user"]["2301.approver"]["edit"] = array("table" => "2301", "field" => "approver", "page" => "edit");
	$lookupTableLinks["system_user"]["2301.checker"]["edit"] = array("table" => "2301", "field" => "checker", "page" => "edit");
	$lookupTableLinks["recuring_deductions"]["2301.deductions"]["edit"] = array("table" => "2301", "field" => "deductions", "page" => "edit");
	$lookupTableLinks["area"]["Prospect_customers_to_Customer.area"]["edit"] = array("table" => "Prospect_customers_to_Customer", "field" => "area", "page" => "edit");
	$lookupTableLinks["campaign"]["Prospect_customers_to_Customer.campaign"]["edit"] = array("table" => "Prospect_customers_to_Customer", "field" => "campaign", "page" => "edit");
	$lookupTableLinks["Customers"]["lyl_estimate.Business_Partner"]["edit"] = array("table" => "lyl_estimate", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["lyl_estimate.Discount_Account"]["edit"] = array("table" => "lyl_estimate", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["lyl_estimate.VAT_Account"]["edit"] = array("table" => "lyl_estimate", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["lyl_estimate.EWT_Account"]["edit"] = array("table" => "lyl_estimate", "field" => "EWT_Account", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["lyl_estimate.sales_rep"]["edit"] = array("table" => "lyl_estimate", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["approver_list"]["lyl_estimate.checked_by"]["edit"] = array("table" => "lyl_estimate", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["lyl_estimate.approved_by"]["edit"] = array("table" => "lyl_estimate", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["projects"]["lyl_estimate.project"]["edit"] = array("table" => "lyl_estimate", "field" => "project", "page" => "edit");
	$lookupTableLinks["lyl_estimate"]["lyl_estimate_detail.TXNID"]["edit"] = array("table" => "lyl_estimate_detail", "field" => "TXNID", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail.Item"]["edit"] = array("table" => "lyl_estimate_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["lyl_estimate_detail.Account"]["edit"] = array("table" => "lyl_estimate_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail.Description"]["edit"] = array("table" => "lyl_estimate_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_accessories.Item"]["edit"] = array("table" => "lyl_estimate_detail_accessories", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_accessories.Description"]["edit"] = array("table" => "lyl_estimate_detail_accessories", "field" => "Description", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_aluminum.Item"]["edit"] = array("table" => "lyl_estimate_detail_aluminum", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_aluminum.Description"]["edit"] = array("table" => "lyl_estimate_detail_aluminum", "field" => "Description", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_e_accessories.Item"]["edit"] = array("table" => "lyl_estimate_detail_e_accessories", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_e_accessories.Description"]["edit"] = array("table" => "lyl_estimate_detail_e_accessories", "field" => "Description", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_glass.Item"]["edit"] = array("table" => "lyl_estimate_detail_glass", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_glass.Description"]["edit"] = array("table" => "lyl_estimate_detail_glass", "field" => "Description", "page" => "edit");
	$lookupTableLinks["Other_Incentives"]["recurring_benefits_detail.payroll_item"]["edit"] = array("table" => "recurring_benefits_detail", "field" => "payroll_item", "page" => "edit");
	$lookupTableLinks["Other_Deductions"]["recurring_deductions_detail.payroll_item"]["edit"] = array("table" => "recurring_deductions_detail", "field" => "payroll_item", "page" => "edit");
	$lookupTableLinks["cost_center"]["production_request.Cost_Center"]["edit"] = array("table" => "production_request", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["approver_list"]["production_request.approved_by"]["edit"] = array("table" => "production_request", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["production_request.checked_by"]["edit"] = array("table" => "production_request", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["production_request.prepared_by"]["edit"] = array("table" => "production_request", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["production_request.modified_by"]["edit"] = array("table" => "production_request", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["production_request_detail.Item"]["edit"] = array("table" => "production_request_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["production_request_detail.Description"]["edit"] = array("table" => "production_request_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["uom"]["production_request_detail.um"]["edit"] = array("table" => "production_request_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks[""]["attendance_summary.employee"]["edit"] = array("table" => "attendance_summary", "field" => "employee", "page" => "edit");
	$lookupTableLinks["cost_center"]["journal_entry_cash_disbursement.Cost_Center_ID"]["edit"] = array("table" => "journal_entry_cash_disbursement", "field" => "Cost_Center_ID", "page" => "edit");
	$lookupTableLinks["company"]["journal_entry_cash_disbursement.company"]["edit"] = array("table" => "journal_entry_cash_disbursement", "field" => "company", "page" => "edit");
	$lookupTableLinks["cost_center"]["journal_entry_cash_receipt.Cost_Center_ID"]["edit"] = array("table" => "journal_entry_cash_receipt", "field" => "Cost_Center_ID", "page" => "edit");
	$lookupTableLinks["cost_center"]["journal_entry_center_replenishment.Cost_Center_ID"]["edit"] = array("table" => "journal_entry_center_replenishment", "field" => "Cost_Center_ID", "page" => "edit");
	$lookupTableLinks["cost_center"]["journal_entry_center_replenishment.ledger_cost_center_id"]["edit"] = array("table" => "journal_entry_center_replenishment", "field" => "ledger_cost_center_id", "page" => "edit");
	$lookupTableLinks["cost_center"]["journal_entry_depreciation.Cost_Center_ID"]["edit"] = array("table" => "journal_entry_depreciation", "field" => "Cost_Center_ID", "page" => "edit");
	$lookupTableLinks["cost_center"]["journal_entry_general_journal.Cost_Center_ID"]["edit"] = array("table" => "journal_entry_general_journal", "field" => "Cost_Center_ID", "page" => "edit");
	$lookupTableLinks["cost_center"]["journal_entry_petty_cash.Cost_Center_ID"]["edit"] = array("table" => "journal_entry_petty_cash", "field" => "Cost_Center_ID", "page" => "edit");
	$lookupTableLinks["cost_center"]["journal_entry_project_replenishment.Cost_Center_ID"]["edit"] = array("table" => "journal_entry_project_replenishment", "field" => "Cost_Center_ID", "page" => "edit");
	$lookupTableLinks["cost_center"]["journal_entry_replenishment.Cost_Center_ID"]["edit"] = array("table" => "journal_entry_replenishment", "field" => "Cost_Center_ID", "page" => "edit");
	$lookupTableLinks["Customers"]["Credit_Card_monitoring.Business_Partner"]["edit"] = array("table" => "Credit_Card_monitoring", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Credit_Card_monitoring.Cash_Account"]["edit"] = array("table" => "Credit_Card_monitoring", "field" => "Cash_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Credit_Card_monitoring.Cost_Center"]["edit"] = array("table" => "Credit_Card_monitoring", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Credit_Card_monitoring.Shipping_Terms"]["edit"] = array("table" => "Credit_Card_monitoring", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Credit_Card_monitoring.Discount_Account"]["edit"] = array("table" => "Credit_Card_monitoring", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Credit_Card_monitoring.VAT_Account"]["edit"] = array("table" => "Credit_Card_monitoring", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Credit_Card_monitoring.EWT_Account"]["edit"] = array("table" => "Credit_Card_monitoring", "field" => "EWT_Account", "page" => "edit");
	$lookupTableLinks["ewt"]["Credit_Card_monitoring.atc"]["edit"] = array("table" => "Credit_Card_monitoring", "field" => "atc", "page" => "edit");
	$lookupTableLinks["bank"]["Credit_Card_monitoring.bank"]["edit"] = array("table" => "Credit_Card_monitoring", "field" => "bank", "page" => "edit");
	$lookupTableLinks["discounts"]["Credit_Card_monitoring.discount_type"]["edit"] = array("table" => "Credit_Card_monitoring", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Credit_Card_monitoring.project"]["edit"] = array("table" => "Credit_Card_monitoring", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["Credit_Card_monitoring.phase"]["edit"] = array("table" => "Credit_Card_monitoring", "field" => "phase", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Credit_Card_monitoring.sales_rep"]["edit"] = array("table" => "Credit_Card_monitoring", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["Credit_Card_monitoring.currecy"]["edit"] = array("table" => "Credit_Card_monitoring", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["approver_list"]["Credit_Card_monitoring.checked_by"]["edit"] = array("table" => "Credit_Card_monitoring", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Credit_Card_monitoring.approved_by"]["edit"] = array("table" => "Credit_Card_monitoring", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["location"]["Credit_Card_monitoring.location"]["edit"] = array("table" => "Credit_Card_monitoring", "field" => "location", "page" => "edit");
	$lookupTableLinks["Types_of_leaves"]["Leave_for_approval.leave_type"]["edit"] = array("table" => "Leave_for_approval", "field" => "leave_type", "page" => "edit");
	$lookupTableLinks["system_user"]["Leave_for_approval.approved_by"]["edit"] = array("table" => "Leave_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Leave_for_approval.checked_by"]["edit"] = array("table" => "Leave_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["201"]["Leave_for_approval.Employee"]["edit"] = array("table" => "Leave_for_approval", "field" => "Employee", "page" => "edit");
	$lookupTableLinks["system_user"]["Leave_for_approval.prepared_by"]["edit"] = array("table" => "Leave_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Leave_for_approval.modified_by"]["edit"] = array("table" => "Leave_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["Types_of_Loan"]["loan_for_approval.loan_type"]["edit"] = array("table" => "loan_for_approval", "field" => "loan_type", "page" => "edit");
	$lookupTableLinks["approver_list"]["loan_for_approval.checked_by"]["edit"] = array("table" => "loan_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["loan_for_approval.approved_by"]["edit"] = array("table" => "loan_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["201"]["loan_for_approval.employee"]["edit"] = array("table" => "loan_for_approval", "field" => "employee", "page" => "edit");
	$lookupTableLinks["system_user"]["loan_for_approval.prepared_by"]["edit"] = array("table" => "loan_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["loan_for_approval.modified_by"]["edit"] = array("table" => "loan_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["201"]["Overtime_for_approval.employee"]["edit"] = array("table" => "Overtime_for_approval", "field" => "employee", "page" => "edit");
	$lookupTableLinks["approver_list"]["Overtime_for_approval.approved_by"]["edit"] = array("table" => "Overtime_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["Types_of_Overtime"]["Overtime_for_approval.overtime_type"]["edit"] = array("table" => "Overtime_for_approval", "field" => "overtime_type", "page" => "edit");
	$lookupTableLinks["approver_list"]["Overtime_for_approval.checked_by"]["edit"] = array("table" => "Overtime_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Overtime_for_approval.prepared_by"]["edit"] = array("table" => "Overtime_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Overtime_for_approval.modified_by"]["edit"] = array("table" => "Overtime_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["employee_list"]["Purchase_Request_for_approval.Business_Partner"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["credit_terms"]["Purchase_Request_for_approval.Terms"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["Purchase_Request_for_approval.Cost_Center"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Purchase_Request_for_approval.Shipping_Terms"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Purchase_Request_for_approval.Discount_Account"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Purchase_Request_for_approval.VAT_Account"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["Purchase_Request_for_approval.location"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Purchase_Request_for_approval.discount_type"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Purchase_Request_for_approval.project"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "project", "page" => "edit");
	$lookupTableLinks["currency"]["Purchase_Request_for_approval.currecy"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["Purchase_Request_for_approval.phase"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["Purchase_Request_for_approval.approved_by"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Purchase_Request_for_approval.checked_by"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Purchase_Request_for_approval.prepared_by"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Purchase_Request_for_approval.modified_by"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["purchase_request_detail_approval.Item"]["edit"] = array("table" => "purchase_request_detail_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase_request_detail_approval.Account"]["edit"] = array("table" => "purchase_request_detail_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["purchase_request_detail_approval.Description"]["edit"] = array("table" => "purchase_request_detail_approval", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["purchase_request_detail_approval.VAT_Type"]["edit"] = array("table" => "purchase_request_detail_approval", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["purchase_request_detail_approval.Subsidiary"]["edit"] = array("table" => "purchase_request_detail_approval", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["purchase_request_detail_approval.Cost_Center"]["edit"] = array("table" => "purchase_request_detail_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["purchase_request_detail_approval.um"]["edit"] = array("table" => "purchase_request_detail_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["cost_center"]["Production_Request_for_approval.Cost_Center"]["edit"] = array("table" => "Production_Request_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["approver_list"]["Production_Request_for_approval.approved_by"]["edit"] = array("table" => "Production_Request_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Production_Request_for_approval.checked_by"]["edit"] = array("table" => "Production_Request_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Production_Request_for_approval.modified_by"]["edit"] = array("table" => "Production_Request_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["production_request_detail_for_approval.Item"]["edit"] = array("table" => "production_request_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["production_request_detail_for_approval.Description"]["edit"] = array("table" => "production_request_detail_for_approval", "field" => "Description", "page" => "edit");
	$lookupTableLinks["uom"]["production_request_detail_for_approval.um"]["edit"] = array("table" => "production_request_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["cost_center"]["Inventory_Transfer_for_approval.Cost_Center"]["edit"] = array("table" => "Inventory_Transfer_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Inventory_Transfer_for_approval.Shipping_Terms"]["edit"] = array("table" => "Inventory_Transfer_for_approval", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["projects"]["Inventory_Transfer_for_approval.project"]["edit"] = array("table" => "Inventory_Transfer_for_approval", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["Inventory_Transfer_for_approval.phase"]["edit"] = array("table" => "Inventory_Transfer_for_approval", "field" => "phase", "page" => "edit");
	$lookupTableLinks["system_user"]["Inventory_Transfer_for_approval.prepared_by"]["edit"] = array("table" => "Inventory_Transfer_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Inventory_Transfer_for_approval.approved_by"]["edit"] = array("table" => "Inventory_Transfer_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Inventory_Transfer_for_approval.checked_by"]["edit"] = array("table" => "Inventory_Transfer_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["location"]["Inventory_Transfer_for_approval.location"]["edit"] = array("table" => "Inventory_Transfer_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["cost_center"]["Inventory_Transfer_for_approval.destination_cost_center"]["edit"] = array("table" => "Inventory_Transfer_for_approval", "field" => "destination_cost_center", "page" => "edit");
	$lookupTableLinks["location"]["Inventory_Transfer_for_approval.destination_location"]["edit"] = array("table" => "Inventory_Transfer_for_approval", "field" => "destination_location", "page" => "edit");
	$lookupTableLinks["system_user"]["Inventory_Transfer_for_approval.modified_by"]["edit"] = array("table" => "Inventory_Transfer_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["inventory_transfer_detail_for_approval.Item"]["edit"] = array("table" => "inventory_transfer_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["inventory_transfer_detail_for_approval.Description"]["edit"] = array("table" => "inventory_transfer_detail_for_approval", "field" => "Description", "page" => "edit");
	$lookupTableLinks["uom"]["inventory_transfer_detail_for_approval.um"]["edit"] = array("table" => "inventory_transfer_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["Types_of_leaves"]["Leave_for_checking.leave_type"]["edit"] = array("table" => "Leave_for_checking", "field" => "leave_type", "page" => "edit");
	$lookupTableLinks["system_user"]["Leave_for_checking.approved_by"]["edit"] = array("table" => "Leave_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Leave_for_checking.checked_by"]["edit"] = array("table" => "Leave_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["201"]["Leave_for_checking.Employee"]["edit"] = array("table" => "Leave_for_checking", "field" => "Employee", "page" => "edit");
	$lookupTableLinks["system_user"]["Leave_for_checking.prepared_by"]["edit"] = array("table" => "Leave_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Leave_for_checking.modified_by"]["edit"] = array("table" => "Leave_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["Types_of_Loan"]["Loan_for_checking.loan_type"]["edit"] = array("table" => "Loan_for_checking", "field" => "loan_type", "page" => "edit");
	$lookupTableLinks["approver_list"]["Loan_for_checking.checked_by"]["edit"] = array("table" => "Loan_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Loan_for_checking.approved_by"]["edit"] = array("table" => "Loan_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["201"]["Loan_for_checking.employee"]["edit"] = array("table" => "Loan_for_checking", "field" => "employee", "page" => "edit");
	$lookupTableLinks["system_user"]["Loan_for_checking.prepared_by"]["edit"] = array("table" => "Loan_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Loan_for_checking.modified_by"]["edit"] = array("table" => "Loan_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["201"]["Overtime_for_checking.employee"]["edit"] = array("table" => "Overtime_for_checking", "field" => "employee", "page" => "edit");
	$lookupTableLinks["approver_list"]["Overtime_for_checking.approved_by"]["edit"] = array("table" => "Overtime_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["Types_of_Overtime"]["Overtime_for_checking.overtime_type"]["edit"] = array("table" => "Overtime_for_checking", "field" => "overtime_type", "page" => "edit");
	$lookupTableLinks["approver_list"]["Overtime_for_checking.checked_by"]["edit"] = array("table" => "Overtime_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Overtime_for_checking.prepared_by"]["edit"] = array("table" => "Overtime_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Overtime_for_checking.modified_by"]["edit"] = array("table" => "Overtime_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["employee_list"]["Purchase_Request_for_checking.Business_Partner"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["credit_terms"]["Purchase_Request_for_checking.Terms"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["Purchase_Request_for_checking.Cost_Center"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Purchase_Request_for_checking.Shipping_Terms"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Purchase_Request_for_checking.Discount_Account"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Purchase_Request_for_checking.VAT_Account"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["Purchase_Request_for_checking.location"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Purchase_Request_for_checking.discount_type"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Purchase_Request_for_checking.project"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "project", "page" => "edit");
	$lookupTableLinks["currency"]["Purchase_Request_for_checking.currecy"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["Purchase_Request_for_checking.phase"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["Purchase_Request_for_checking.approved_by"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Purchase_Request_for_checking.checked_by"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Purchase_Request_for_checking.prepared_by"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Purchase_Request_for_checking.modified_by"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["cost_center"]["Production_Request_for_checking.Cost_Center"]["edit"] = array("table" => "Production_Request_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["approver_list"]["Production_Request_for_checking.approved_by"]["edit"] = array("table" => "Production_Request_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Production_Request_for_checking.checked_by"]["edit"] = array("table" => "Production_Request_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Production_Request_for_checking.prepared_by"]["edit"] = array("table" => "Production_Request_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Production_Request_for_checking.modified_by"]["edit"] = array("table" => "Production_Request_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["cost_center"]["Inventory_Transfer_for_checking.Cost_Center"]["edit"] = array("table" => "Inventory_Transfer_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Inventory_Transfer_for_checking.Shipping_Terms"]["edit"] = array("table" => "Inventory_Transfer_for_checking", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["projects"]["Inventory_Transfer_for_checking.project"]["edit"] = array("table" => "Inventory_Transfer_for_checking", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["Inventory_Transfer_for_checking.phase"]["edit"] = array("table" => "Inventory_Transfer_for_checking", "field" => "phase", "page" => "edit");
	$lookupTableLinks["system_user"]["Inventory_Transfer_for_checking.prepared_by"]["edit"] = array("table" => "Inventory_Transfer_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Inventory_Transfer_for_checking.approved_by"]["edit"] = array("table" => "Inventory_Transfer_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Inventory_Transfer_for_checking.checked_by"]["edit"] = array("table" => "Inventory_Transfer_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["location"]["Inventory_Transfer_for_checking.location"]["edit"] = array("table" => "Inventory_Transfer_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["cost_center"]["Inventory_Transfer_for_checking.destination_cost_center"]["edit"] = array("table" => "Inventory_Transfer_for_checking", "field" => "destination_cost_center", "page" => "edit");
	$lookupTableLinks["location"]["Inventory_Transfer_for_checking.destination_location"]["edit"] = array("table" => "Inventory_Transfer_for_checking", "field" => "destination_location", "page" => "edit");
	$lookupTableLinks["system_user"]["Inventory_Transfer_for_checking.modified_by"]["edit"] = array("table" => "Inventory_Transfer_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["inventory_transfer_detail_for_checking.Item"]["edit"] = array("table" => "inventory_transfer_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["inventory_transfer_detail_for_checking.Description"]["edit"] = array("table" => "inventory_transfer_detail_for_checking", "field" => "Description", "page" => "edit");
	$lookupTableLinks["uom"]["inventory_transfer_detail_for_checking.um"]["edit"] = array("table" => "inventory_transfer_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["Backload_for_approval.Business_Partner"]["edit"] = array("table" => "Backload_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Backload_for_approval.Receivable_Account"]["edit"] = array("table" => "Backload_for_approval", "field" => "Receivable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Backload_for_approval.Cost_Center"]["edit"] = array("table" => "Backload_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Backload_for_approval.Shipping_Terms"]["edit"] = array("table" => "Backload_for_approval", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Backload_for_approval.Discount_Account"]["edit"] = array("table" => "Backload_for_approval", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Backload_for_approval.VAT_Account"]["edit"] = array("table" => "Backload_for_approval", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["dr"]["Backload_for_approval.ref_no"]["edit"] = array("table" => "Backload_for_approval", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["discounts"]["Backload_for_approval.discount_type"]["edit"] = array("table" => "Backload_for_approval", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Backload_for_approval.project"]["edit"] = array("table" => "Backload_for_approval", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["Backload_for_approval.phase"]["edit"] = array("table" => "Backload_for_approval", "field" => "phase", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Backload_for_approval.sales_rep"]["edit"] = array("table" => "Backload_for_approval", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["location"]["Backload_for_approval.location"]["edit"] = array("table" => "Backload_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["system_user"]["Backload_for_approval.approved_by"]["edit"] = array("table" => "Backload_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Backload_for_approval.prepared_by"]["edit"] = array("table" => "Backload_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Backload_for_approval.checked_by"]["edit"] = array("table" => "Backload_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Backload_for_approval.modified_by"]["edit"] = array("table" => "Backload_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["dr_detail"]["backload_detail_for_approval.ref_id"]["edit"] = array("table" => "backload_detail_for_approval", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["backload_detail_for_approval.Item"]["edit"] = array("table" => "backload_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["backload_detail_for_approval.Account"]["edit"] = array("table" => "backload_detail_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["backload_detail_for_approval.Description"]["edit"] = array("table" => "backload_detail_for_approval", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["backload_detail_for_approval.VAT_Type"]["edit"] = array("table" => "backload_detail_for_approval", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["backload_detail_for_approval.Subsidiary"]["edit"] = array("table" => "backload_detail_for_approval", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["backload_detail_for_approval.Cost_Center"]["edit"] = array("table" => "backload_detail_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["backload_detail_for_approval.um"]["edit"] = array("table" => "backload_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["business_partner"]["Backload_for_checking.Business_Partner"]["edit"] = array("table" => "Backload_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Backload_for_checking.Receivable_Account"]["edit"] = array("table" => "Backload_for_checking", "field" => "Receivable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Backload_for_checking.Cost_Center"]["edit"] = array("table" => "Backload_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Backload_for_checking.Shipping_Terms"]["edit"] = array("table" => "Backload_for_checking", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Backload_for_checking.Discount_Account"]["edit"] = array("table" => "Backload_for_checking", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Backload_for_checking.VAT_Account"]["edit"] = array("table" => "Backload_for_checking", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["dr"]["Backload_for_checking.ref_no"]["edit"] = array("table" => "Backload_for_checking", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["system_user"]["Backload_for_checking.approved_by"]["edit"] = array("table" => "Backload_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["discounts"]["Backload_for_checking.discount_type"]["edit"] = array("table" => "Backload_for_checking", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Backload_for_checking.project"]["edit"] = array("table" => "Backload_for_checking", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["Backload_for_checking.phase"]["edit"] = array("table" => "Backload_for_checking", "field" => "phase", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Backload_for_checking.sales_rep"]["edit"] = array("table" => "Backload_for_checking", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["location"]["Backload_for_checking.location"]["edit"] = array("table" => "Backload_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["system_user"]["Backload_for_checking.prepared_by"]["edit"] = array("table" => "Backload_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Backload_for_checking.checked_by"]["edit"] = array("table" => "Backload_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Backload_for_checking.modified_by"]["edit"] = array("table" => "Backload_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["dr_detail"]["backload_detail_for_checking.ref_id"]["edit"] = array("table" => "backload_detail_for_checking", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["backload_detail_for_checking.Item"]["edit"] = array("table" => "backload_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["backload_detail_for_checking.Account"]["edit"] = array("table" => "backload_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["backload_detail_for_checking.Description"]["edit"] = array("table" => "backload_detail_for_checking", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["backload_detail_for_checking.VAT_Type"]["edit"] = array("table" => "backload_detail_for_checking", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["backload_detail_for_checking.Subsidiary"]["edit"] = array("table" => "backload_detail_for_checking", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["backload_detail_for_checking.Cost_Center"]["edit"] = array("table" => "backload_detail_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["backload_detail_for_checking.um"]["edit"] = array("table" => "backload_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["Customers"]["Cash_Receipt_for_approval.Business_Partner"]["edit"] = array("table" => "Cash_Receipt_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Cash_Receipt_for_approval.Cash_Account"]["edit"] = array("table" => "Cash_Receipt_for_approval", "field" => "Cash_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Cash_Receipt_for_approval.Cost_Center"]["edit"] = array("table" => "Cash_Receipt_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Cash_Receipt_for_approval.Shipping_Terms"]["edit"] = array("table" => "Cash_Receipt_for_approval", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Cash_Receipt_for_approval.Discount_Account"]["edit"] = array("table" => "Cash_Receipt_for_approval", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Cash_Receipt_for_approval.VAT_Account"]["edit"] = array("table" => "Cash_Receipt_for_approval", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Cash_Receipt_for_approval.EWT_Account"]["edit"] = array("table" => "Cash_Receipt_for_approval", "field" => "EWT_Account", "page" => "edit");
	$lookupTableLinks["ewt"]["Cash_Receipt_for_approval.atc"]["edit"] = array("table" => "Cash_Receipt_for_approval", "field" => "atc", "page" => "edit");
	$lookupTableLinks["bank"]["Cash_Receipt_for_approval.bank"]["edit"] = array("table" => "Cash_Receipt_for_approval", "field" => "bank", "page" => "edit");
	$lookupTableLinks["discounts"]["Cash_Receipt_for_approval.discount_type"]["edit"] = array("table" => "Cash_Receipt_for_approval", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Cash_Receipt_for_approval.project"]["edit"] = array("table" => "Cash_Receipt_for_approval", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["Cash_Receipt_for_approval.phase"]["edit"] = array("table" => "Cash_Receipt_for_approval", "field" => "phase", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Cash_Receipt_for_approval.sales_rep"]["edit"] = array("table" => "Cash_Receipt_for_approval", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["Cash_Receipt_for_approval.currecy"]["edit"] = array("table" => "Cash_Receipt_for_approval", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["system_user"]["Cash_Receipt_for_approval.checked_by"]["edit"] = array("table" => "Cash_Receipt_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Cash_Receipt_for_approval.approved_by"]["edit"] = array("table" => "Cash_Receipt_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["location"]["Cash_Receipt_for_approval.location"]["edit"] = array("table" => "Cash_Receipt_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["system_user"]["Cash_Receipt_for_approval.prepared_by"]["edit"] = array("table" => "Cash_Receipt_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Cash_Receipt_for_approval.modified_by"]["edit"] = array("table" => "Cash_Receipt_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["Customers"]["Cash_Receipt_for_checking.Business_Partner"]["edit"] = array("table" => "Cash_Receipt_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Cash_Receipt_for_checking.Cash_Account"]["edit"] = array("table" => "Cash_Receipt_for_checking", "field" => "Cash_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Cash_Receipt_for_checking.Cost_Center"]["edit"] = array("table" => "Cash_Receipt_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Cash_Receipt_for_checking.Shipping_Terms"]["edit"] = array("table" => "Cash_Receipt_for_checking", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Cash_Receipt_for_checking.Discount_Account"]["edit"] = array("table" => "Cash_Receipt_for_checking", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Cash_Receipt_for_checking.VAT_Account"]["edit"] = array("table" => "Cash_Receipt_for_checking", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Cash_Receipt_for_checking.EWT_Account"]["edit"] = array("table" => "Cash_Receipt_for_checking", "field" => "EWT_Account", "page" => "edit");
	$lookupTableLinks["ewt"]["Cash_Receipt_for_checking.atc"]["edit"] = array("table" => "Cash_Receipt_for_checking", "field" => "atc", "page" => "edit");
	$lookupTableLinks["bank"]["Cash_Receipt_for_checking.bank"]["edit"] = array("table" => "Cash_Receipt_for_checking", "field" => "bank", "page" => "edit");
	$lookupTableLinks["discounts"]["Cash_Receipt_for_checking.discount_type"]["edit"] = array("table" => "Cash_Receipt_for_checking", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Cash_Receipt_for_checking.project"]["edit"] = array("table" => "Cash_Receipt_for_checking", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["Cash_Receipt_for_checking.phase"]["edit"] = array("table" => "Cash_Receipt_for_checking", "field" => "phase", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Cash_Receipt_for_checking.sales_rep"]["edit"] = array("table" => "Cash_Receipt_for_checking", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["Cash_Receipt_for_checking.currecy"]["edit"] = array("table" => "Cash_Receipt_for_checking", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["system_user"]["Cash_Receipt_for_checking.checked_by"]["edit"] = array("table" => "Cash_Receipt_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Cash_Receipt_for_checking.approved_by"]["edit"] = array("table" => "Cash_Receipt_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["location"]["Cash_Receipt_for_checking.location"]["edit"] = array("table" => "Cash_Receipt_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["system_user"]["Cash_Receipt_for_checking.prepared_by"]["edit"] = array("table" => "Cash_Receipt_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Cash_Receipt_for_checking.modified_by"]["edit"] = array("table" => "Cash_Receipt_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["bal_cashreceipt"]["cash_receipt_detail_for_checking.Reference"]["edit"] = array("table" => "cash_receipt_detail_for_checking", "field" => "Reference", "page" => "edit");
	$lookupTableLinks["bal_cashreceipt"]["cash_receipt_detail_for_approval.Reference"]["edit"] = array("table" => "cash_receipt_detail_for_approval", "field" => "Reference", "page" => "edit");
	$lookupTableLinks["system_user"]["Payroll_Entry_for_approval.checked_by"]["edit"] = array("table" => "Payroll_Entry_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Payroll_Entry_for_approval.approved_by"]["edit"] = array("table" => "Payroll_Entry_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Payroll_Entry_for_approval.prepared_by"]["edit"] = array("table" => "Payroll_Entry_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Payroll_Entry_for_approval.modified_by"]["edit"] = array("table" => "Payroll_Entry_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Payroll_Entry_for_checking.checked_by"]["edit"] = array("table" => "Payroll_Entry_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Payroll_Entry_for_checking.approved_by"]["edit"] = array("table" => "Payroll_Entry_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Payroll_Entry_for_checking.prepared_by"]["edit"] = array("table" => "Payroll_Entry_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Payroll_Entry_for_checking.modified_by"]["edit"] = array("table" => "Payroll_Entry_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["employee_list"]["payroll_entry_detail_for_approval.employee"]["edit"] = array("table" => "payroll_entry_detail_for_approval", "field" => "employee", "page" => "edit");
	$lookupTableLinks["payroll_item"]["payroll_entry_detail_for_approval.payroll_item"]["edit"] = array("table" => "payroll_entry_detail_for_approval", "field" => "payroll_item", "page" => "edit");
	$lookupTableLinks["payroll_item"]["payroll_entry_detail_for_approval.item"]["edit"] = array("table" => "payroll_entry_detail_for_approval", "field" => "item", "page" => "edit");
	$lookupTableLinks["employee_list"]["payroll_entry_detail_for_checking.employee"]["edit"] = array("table" => "payroll_entry_detail_for_checking", "field" => "employee", "page" => "edit");
	$lookupTableLinks["payroll_item"]["payroll_entry_detail_for_checking.payroll_item"]["edit"] = array("table" => "payroll_entry_detail_for_checking", "field" => "payroll_item", "page" => "edit");
	$lookupTableLinks["payroll_item"]["payroll_entry_detail_for_checking.item"]["edit"] = array("table" => "payroll_entry_detail_for_checking", "field" => "item", "page" => "edit");
	$lookupTableLinks["system_user"]["Process_Payroll_for_approval.approved_by"]["edit"] = array("table" => "Process_Payroll_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Process_Payroll_for_approval.checked_by"]["edit"] = array("table" => "Process_Payroll_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Process_Payroll_for_approval.prepared_by"]["edit"] = array("table" => "Process_Payroll_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Process_Payroll_for_approval.modified_by"]["edit"] = array("table" => "Process_Payroll_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Process_Payroll_for_checking.approved_by"]["edit"] = array("table" => "Process_Payroll_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Process_Payroll_for_checking.checked_by"]["edit"] = array("table" => "Process_Payroll_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Process_Payroll_for_checking.prepared_by"]["edit"] = array("table" => "Process_Payroll_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Process_Payroll_for_checking.modified_by"]["edit"] = array("table" => "Process_Payroll_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["employee_list"]["process_payroll_detail_for_approval.employee"]["edit"] = array("table" => "process_payroll_detail_for_approval", "field" => "employee", "page" => "edit");
	$lookupTableLinks["payroll_item"]["process_payroll_detail_for_approval.payroll_item"]["edit"] = array("table" => "process_payroll_detail_for_approval", "field" => "payroll_item", "page" => "edit");
	$lookupTableLinks["employee_list"]["process_payroll_detail_for_checking.employee"]["edit"] = array("table" => "process_payroll_detail_for_checking", "field" => "employee", "page" => "edit");
	$lookupTableLinks["payroll_item"]["process_payroll_detail_for_checking.payroll_item"]["edit"] = array("table" => "process_payroll_detail_for_checking", "field" => "payroll_item", "page" => "edit");
	$lookupTableLinks["service_center"]["Service_Report_for_approval.service_center"]["edit"] = array("table" => "Service_Report_for_approval", "field" => "service_center", "page" => "edit");
	$lookupTableLinks["system_user"]["Service_Report_for_approval.checked_by"]["edit"] = array("table" => "Service_Report_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["case"]["Service_Report_for_approval.Case"]["edit"] = array("table" => "Service_Report_for_approval", "field" => "Case", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Service_Report_for_approval.cash_account"]["edit"] = array("table" => "Service_Report_for_approval", "field" => "cash_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Service_Report_for_approval.discount_account"]["edit"] = array("table" => "Service_Report_for_approval", "field" => "discount_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Service_Report_for_approval.vat_account"]["edit"] = array("table" => "Service_Report_for_approval", "field" => "vat_account", "page" => "edit");
	$lookupTableLinks["system_user"]["Service_Report_for_approval.approved_by"]["edit"] = array("table" => "Service_Report_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["discounts"]["Service_Report_for_approval.discount_type"]["edit"] = array("table" => "Service_Report_for_approval", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["system_user"]["Service_Report_for_approval.modified_by"]["edit"] = array("table" => "Service_Report_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Service_Report_for_approval.prepared_by"]["edit"] = array("table" => "Service_Report_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["service_center"]["Service_Report_for_checking.service_center"]["edit"] = array("table" => "Service_Report_for_checking", "field" => "service_center", "page" => "edit");
	$lookupTableLinks["system_user"]["Service_Report_for_checking.checked_by"]["edit"] = array("table" => "Service_Report_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["case"]["Service_Report_for_checking.Case"]["edit"] = array("table" => "Service_Report_for_checking", "field" => "Case", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Service_Report_for_checking.cash_account"]["edit"] = array("table" => "Service_Report_for_checking", "field" => "cash_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Service_Report_for_checking.discount_account"]["edit"] = array("table" => "Service_Report_for_checking", "field" => "discount_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Service_Report_for_checking.vat_account"]["edit"] = array("table" => "Service_Report_for_checking", "field" => "vat_account", "page" => "edit");
	$lookupTableLinks["system_user"]["Service_Report_for_checking.approved_by"]["edit"] = array("table" => "Service_Report_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["discounts"]["Service_Report_for_checking.discount_type"]["edit"] = array("table" => "Service_Report_for_checking", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["system_user"]["Service_Report_for_checking.prepared_by"]["edit"] = array("table" => "Service_Report_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Service_Report_for_checking.modified_by"]["edit"] = array("table" => "Service_Report_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["service_report_detail_for_approval.Item"]["edit"] = array("table" => "service_report_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["service_report_detail_for_approval.Account"]["edit"] = array("table" => "service_report_detail_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["service_report_detail_for_approval.Description"]["edit"] = array("table" => "service_report_detail_for_approval", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["service_report_detail_for_approval.VAT_Type"]["edit"] = array("table" => "service_report_detail_for_approval", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["service_report_detail_for_approval.Subsidiary"]["edit"] = array("table" => "service_report_detail_for_approval", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["service_report_detail_for_approval.Cost_Center"]["edit"] = array("table" => "service_report_detail_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["item"]["service_report_detail_for_checking.Item"]["edit"] = array("table" => "service_report_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["service_report_detail_for_checking.Account"]["edit"] = array("table" => "service_report_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["service_report_detail_for_checking.Description"]["edit"] = array("table" => "service_report_detail_for_checking", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["service_report_detail_for_checking.VAT_Type"]["edit"] = array("table" => "service_report_detail_for_checking", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["service_report_detail_for_checking.Subsidiary"]["edit"] = array("table" => "service_report_detail_for_checking", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["service_report_detail_for_checking.Cost_Center"]["edit"] = array("table" => "service_report_detail_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["item"]["production_request_bom.Item"]["edit"] = array("table" => "production_request_bom", "field" => "Item", "page" => "edit");
	$lookupTableLinks["uom"]["production_request_bom.um"]["edit"] = array("table" => "production_request_bom", "field" => "um", "page" => "edit");
	$lookupTableLinks["item"]["production_bom.Item"]["edit"] = array("table" => "production_bom", "field" => "Item", "page" => "edit");
	$lookupTableLinks["uom"]["production_bom.um"]["edit"] = array("table" => "production_bom", "field" => "um", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["company_info.final_vat_rate_account"]["edit"] = array("table" => "company_info", "field" => "final_vat_rate_account", "page" => "edit");
	$lookupTableLinks["business_partner"]["return.Business_Partner"]["edit"] = array("table" => "return", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["cost_center"]["return.Cost_Center"]["edit"] = array("table" => "return", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["return.location"]["edit"] = array("table" => "return", "field" => "location", "page" => "edit");
	$lookupTableLinks["approver_list"]["return.approved_by"]["edit"] = array("table" => "return", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["return.checked_by"]["edit"] = array("table" => "return", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["return.prepared_by"]["edit"] = array("table" => "return", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["return.modified_by"]["edit"] = array("table" => "return", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["return_detail.Item"]["edit"] = array("table" => "return_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["return_detail.Description"]["edit"] = array("table" => "return_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["uom"]["return_detail.um"]["edit"] = array("table" => "return_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["employee_list"]["return_detail.origin_assignee"]["edit"] = array("table" => "return_detail", "field" => "origin_assignee", "page" => "edit");
	$lookupTableLinks["location"]["return_detail.origin_location"]["edit"] = array("table" => "return_detail", "field" => "origin_location", "page" => "edit");
	$lookupTableLinks["cost_center"]["return_detail.origin_cost_center"]["edit"] = array("table" => "return_detail", "field" => "origin_cost_center", "page" => "edit");
	$lookupTableLinks["serial_no"]["return_detail.serial_number"]["edit"] = array("table" => "return_detail", "field" => "serial_number", "page" => "edit");
	$lookupTableLinks["lot"]["return_detail.lot_no"]["edit"] = array("table" => "return_detail", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["employee_list"]["fixed_asset_issue.Business_Partner"]["edit"] = array("table" => "fixed_asset_issue", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["cost_center"]["fixed_asset_issue.Cost_Center"]["edit"] = array("table" => "fixed_asset_issue", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["fixed_asset_issue.location"]["edit"] = array("table" => "fixed_asset_issue", "field" => "location", "page" => "edit");
	$lookupTableLinks["approver_list"]["fixed_asset_issue.approved_by"]["edit"] = array("table" => "fixed_asset_issue", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["fixed_asset_issue.checked_by"]["edit"] = array("table" => "fixed_asset_issue", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["fixed_asset_issue.prepared_by"]["edit"] = array("table" => "fixed_asset_issue", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["fixed_asset_issue.modified_by"]["edit"] = array("table" => "fixed_asset_issue", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["fixed_asset_issue_detail.Item"]["edit"] = array("table" => "fixed_asset_issue_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["fixed_asset_issue_detail.Description"]["edit"] = array("table" => "fixed_asset_issue_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["item"]["production_request_detail_for_checking.Item"]["edit"] = array("table" => "production_request_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["production_request_detail_for_checking.Description"]["edit"] = array("table" => "production_request_detail_for_checking", "field" => "Description", "page" => "edit");
	$lookupTableLinks["uom"]["production_request_detail_for_checking.um"]["edit"] = array("table" => "production_request_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["bal_cashpayment"]["cash_disbursment_detail_for_approval.Reference"]["edit"] = array("table" => "cash_disbursment_detail_for_approval", "field" => "Reference", "page" => "edit");
	$lookupTableLinks["bal_cashpayment"]["cash_disbursment_detail_for_checking.Reference"]["edit"] = array("table" => "cash_disbursment_detail_for_checking", "field" => "Reference", "page" => "edit");
	$lookupTableLinks["item"]["purchase_request_detail_for_checking.Item"]["edit"] = array("table" => "purchase_request_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase_request_detail_for_checking.Account"]["edit"] = array("table" => "purchase_request_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["purchase_request_detail_for_checking.Description"]["edit"] = array("table" => "purchase_request_detail_for_checking", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["purchase_request_detail_for_checking.VAT_Type"]["edit"] = array("table" => "purchase_request_detail_for_checking", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["purchase_request_detail_for_checking.Subsidiary"]["edit"] = array("table" => "purchase_request_detail_for_checking", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["purchase_request_detail_for_checking.Cost_Center"]["edit"] = array("table" => "purchase_request_detail_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["purchase_request_detail_for_checking.um"]["edit"] = array("table" => "purchase_request_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["Suppliers"]["purchase_request_detail_for_checking.supplier1"]["edit"] = array("table" => "purchase_request_detail_for_checking", "field" => "supplier1", "page" => "edit");
	$lookupTableLinks["Suppliers"]["purchase_request_detail_for_checking.supplier2"]["edit"] = array("table" => "purchase_request_detail_for_checking", "field" => "supplier2", "page" => "edit");
	$lookupTableLinks["Suppliers"]["purchase_request_detail_for_checking.supplier3"]["edit"] = array("table" => "purchase_request_detail_for_checking", "field" => "supplier3", "page" => "edit");
	$lookupTableLinks["vehicle"]["trip_ticket_for_approval.vehicle_no"]["edit"] = array("table" => "trip_ticket_for_approval", "field" => "vehicle_no", "page" => "edit");
	$lookupTableLinks["business_partner"]["trip_ticket_for_approval.business_partner"]["edit"] = array("table" => "trip_ticket_for_approval", "field" => "business_partner", "page" => "edit");
	$lookupTableLinks["approver_list"]["trip_ticket_for_approval.approved_by"]["edit"] = array("table" => "trip_ticket_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["trip_ticket_for_approval.checked_by"]["edit"] = array("table" => "trip_ticket_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["trip_ticket_for_approval.prepared_by"]["edit"] = array("table" => "trip_ticket_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["trip_ticket_for_approval.modified_by"]["edit"] = array("table" => "trip_ticket_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["vehicle"]["trip_ticket_for_checking.vehicle_no"]["edit"] = array("table" => "trip_ticket_for_checking", "field" => "vehicle_no", "page" => "edit");
	$lookupTableLinks["business_partner"]["trip_ticket_for_checking.business_partner"]["edit"] = array("table" => "trip_ticket_for_checking", "field" => "business_partner", "page" => "edit");
	$lookupTableLinks["approver_list"]["trip_ticket_for_checking.approved_by"]["edit"] = array("table" => "trip_ticket_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["trip_ticket_for_checking.checked_by"]["edit"] = array("table" => "trip_ticket_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["trip_ticket_for_checking.prepared_by"]["edit"] = array("table" => "trip_ticket_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["trip_ticket_for_checking.modified_by"]["edit"] = array("table" => "trip_ticket_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["Customers"]["sales_report1.Business_Partner"]["search"] = array("table" => "sales_report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["sales_report1.Terms"]["search"] = array("table" => "sales_report", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["sales_report1.Cost_Center"]["search"] = array("table" => "sales_report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["sales_report1.Shipping_Terms"]["search"] = array("table" => "sales_report", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["sales_report1.sales_rep"]["search"] = array("table" => "sales_report", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["uom"]["sales_report1.um"]["search"] = array("table" => "sales_report", "field" => "um", "page" => "search");
	$lookupTableLinks["Customers"]["Collection_Report_per_Customer.Business_Partner"]["search"] = array("table" => "Collection_Report_per_Customer", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["bank"]["Collection_Report_per_Customer.bank"]["search"] = array("table" => "Collection_Report_per_Customer", "field" => "bank", "page" => "search");
	$lookupTableLinks["business_partner"]["Payment_per_Supplier_Report.Business_Partner"]["search"] = array("table" => "Payment_per_Supplier_Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["bank"]["Payment_per_Supplier_Report.bank"]["search"] = array("table" => "Payment_per_Supplier_Report", "field" => "bank", "page" => "search");
	$lookupTableLinks["cost_center"]["Inventory_Balance_Report.Cost_Center"]["search"] = array("table" => "Inventory_Balance_Report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["item"]["Inventory_Balance_Report.item_description"]["search"] = array("table" => "Inventory_Balance_Report", "field" => "item_description", "page" => "search");
	$lookupTableLinks["cost_center"]["Inventory_Valuation_Report.Cost_Center"]["search"] = array("table" => "Inventory_Valuation_Report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["cost_center"]["Inventory_Below_Reorder_Point_Report.Cost_Center"]["search"] = array("table" => "Inventory_Below_Reorder_Point_Report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["item"]["Inventory_Below_Reorder_Point_Report.Item"]["search"] = array("table" => "Inventory_Below_Reorder_Point_Report", "field" => "Item", "page" => "search");
	$lookupTableLinks["Customers"]["Sales_Report_per_BP.Business_Partner"]["search"] = array("table" => "Sales_Report_per_BP", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Sales_Report_per_BP.Terms"]["search"] = array("table" => "Sales_Report_per_BP", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Sales_Report_per_BP.Cost_Center"]["search"] = array("table" => "Sales_Report_per_BP", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Sales_Report_per_BP.Shipping_Terms"]["search"] = array("table" => "Sales_Report_per_BP", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Sales_Report_per_BP.sales_rep"]["search"] = array("table" => "Sales_Report_per_BP", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Sales_Report_per_BP.Vat_Amount"]["search"] = array("table" => "Sales_Report_per_BP", "field" => "Vat_Amount", "page" => "search");
	$lookupTableLinks["credit_terms"]["Sales_Report_per_Item.Terms"]["search"] = array("table" => "Sales_Report_per_Item", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Sales_Report_per_Item.Cost_Center"]["search"] = array("table" => "Sales_Report_per_Item", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Sales_Report_per_Item.Shipping_Terms"]["search"] = array("table" => "Sales_Report_per_Item", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Sales_Report_per_Item.sales_rep"]["search"] = array("table" => "Sales_Report_per_Item", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["Customers"]["Sales_Report_per_Item.Business_Partner"]["search"] = array("table" => "Sales_Report_per_Item", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Sales_Report_per_Cost_Center.Terms"]["search"] = array("table" => "Sales_Report_per_Cost_Center", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Sales_Report_per_Cost_Center.Cost_Center"]["search"] = array("table" => "Sales_Report_per_Cost_Center", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Sales_Report_per_Cost_Center.Shipping_Terms"]["search"] = array("table" => "Sales_Report_per_Cost_Center", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Sales_Report_per_Cost_Center.sales_rep"]["search"] = array("table" => "Sales_Report_per_Cost_Center", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["Customers"]["Sales_Report_per_Cost_Center.Business_Partner"]["search"] = array("table" => "Sales_Report_per_Cost_Center", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["Customers"]["Sales_Report_per_BP_detail.Business_Partner"]["search"] = array("table" => "Sales_Report_per_BP_detail", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Sales_Report_per_BP_detail.Terms"]["search"] = array("table" => "Sales_Report_per_BP_detail", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Sales_Report_per_BP_detail.Cost_Center"]["search"] = array("table" => "Sales_Report_per_BP_detail", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Sales_Report_per_BP_detail.Shipping_Terms"]["search"] = array("table" => "Sales_Report_per_BP_detail", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Sales_Report_per_BP_detail.sales_rep"]["search"] = array("table" => "Sales_Report_per_BP_detail", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["Customers"]["Sales_Report_per_Item_detail.Business_Partner"]["search"] = array("table" => "Sales_Report_per_Item_detail", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Sales_Report_per_Item_detail.Terms"]["search"] = array("table" => "Sales_Report_per_Item_detail", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Sales_Report_per_Item_detail.Cost_Center"]["search"] = array("table" => "Sales_Report_per_Item_detail", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Sales_Report_per_Item_detail.Shipping_Terms"]["search"] = array("table" => "Sales_Report_per_Item_detail", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Sales_Report_per_Item_detail.sales_rep"]["search"] = array("table" => "Sales_Report_per_Item_detail", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["Customers"]["Sales_Report_per_Cost_Center_detail.Business_Partner"]["search"] = array("table" => "Sales_Report_per_Cost_Center_detail", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Sales_Report_per_Cost_Center_detail.Terms"]["search"] = array("table" => "Sales_Report_per_Cost_Center_detail", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Sales_Report_per_Cost_Center_detail.Cost_Center"]["search"] = array("table" => "Sales_Report_per_Cost_Center_detail", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Sales_Report_per_Cost_Center_detail.Shipping_Terms"]["search"] = array("table" => "Sales_Report_per_Cost_Center_detail", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Sales_Report_per_Cost_Center_detail.sales_rep"]["search"] = array("table" => "Sales_Report_per_Cost_Center_detail", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["business_partner"]["Purchase_Report.Business_Partner"]["search"] = array("table" => "Purchase_Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Purchase_Report.Terms"]["search"] = array("table" => "Purchase_Report", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Purchase_Report.Cost_Center"]["search"] = array("table" => "Purchase_Report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Purchase_Report.Shipping_Terms"]["search"] = array("table" => "Purchase_Report", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["business_partner"]["Purchase_Report_per_BP.Business_Partner"]["search"] = array("table" => "Purchase_Report_per_BP", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Purchase_Report_per_BP.Terms"]["search"] = array("table" => "Purchase_Report_per_BP", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Purchase_Report_per_BP.Cost_Center"]["search"] = array("table" => "Purchase_Report_per_BP", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Purchase_Report_per_BP.Shipping_Terms"]["search"] = array("table" => "Purchase_Report_per_BP", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["business_partner"]["Purchase_Report_per_Item.Business_Partner"]["search"] = array("table" => "Purchase_Report_per_Item", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Purchase_Report_per_Item.Terms"]["search"] = array("table" => "Purchase_Report_per_Item", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Purchase_Report_per_Item.Cost_Center"]["search"] = array("table" => "Purchase_Report_per_Item", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Purchase_Report_per_Item.Shipping_Terms"]["search"] = array("table" => "Purchase_Report_per_Item", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["business_partner"]["Purchase_Report_per_Cost_Center.Business_Partner"]["search"] = array("table" => "Purchase_Report_per_Cost_Center", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Purchase_Report_per_Cost_Center.Terms"]["search"] = array("table" => "Purchase_Report_per_Cost_Center", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Purchase_Report_per_Cost_Center.Cost_Center"]["search"] = array("table" => "Purchase_Report_per_Cost_Center", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Purchase_Report_per_Cost_Center.Shipping_Terms"]["search"] = array("table" => "Purchase_Report_per_Cost_Center", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["business_partner"]["Purchase_Report_per_BP_detail.Business_Partner"]["search"] = array("table" => "Purchase_Report_per_BP_detail", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Purchase_Report_per_BP_detail.Terms"]["search"] = array("table" => "Purchase_Report_per_BP_detail", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Purchase_Report_per_BP_detail.Cost_Center"]["search"] = array("table" => "Purchase_Report_per_BP_detail", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Purchase_Report_per_BP_detail.Shipping_Terms"]["search"] = array("table" => "Purchase_Report_per_BP_detail", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["business_partner"]["Purchase_Report_per_Item_detail.Business_Partner"]["search"] = array("table" => "Purchase_Report_per_Item_detail", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Purchase_Report_per_Item_detail.Terms"]["search"] = array("table" => "Purchase_Report_per_Item_detail", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Purchase_Report_per_Item_detail.Cost_Center"]["search"] = array("table" => "Purchase_Report_per_Item_detail", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Purchase_Report_per_Item_detail.Shipping_Terms"]["search"] = array("table" => "Purchase_Report_per_Item_detail", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["business_partner"]["Purchase_Report_per_Cost_Center_detail.Business_Partner"]["search"] = array("table" => "Purchase_Report_per_Cost_Center_detail", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Purchase_Report_per_Cost_Center_detail.Terms"]["search"] = array("table" => "Purchase_Report_per_Cost_Center_detail", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Purchase_Report_per_Cost_Center_detail.Cost_Center"]["search"] = array("table" => "Purchase_Report_per_Cost_Center_detail", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Purchase_Report_per_Cost_Center_detail.Shipping_Terms"]["search"] = array("table" => "Purchase_Report_per_Cost_Center_detail", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Transaction_Registry.Cost_Center_ID"]["search"] = array("table" => "Transaction Registry", "field" => "Cost_Center_ID", "page" => "search");
	$lookupTableLinks["credit_terms"]["Sales_Report_per_sales_rep.Terms"]["search"] = array("table" => "Sales_Report_per_sales_rep", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Sales_Report_per_sales_rep.Cost_Center"]["search"] = array("table" => "Sales_Report_per_sales_rep", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Sales_Report_per_sales_rep.Shipping_Terms"]["search"] = array("table" => "Sales_Report_per_sales_rep", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Sales_Report_per_sales_rep.sales_rep"]["search"] = array("table" => "Sales_Report_per_sales_rep", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["Customers"]["Sales_Report_per_sales_rep.Business_Partner"]["search"] = array("table" => "Sales_Report_per_sales_rep", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["business_partner"]["Trip_Ticket_Report.business_partner"]["search"] = array("table" => "Trip_Ticket_Report", "field" => "business_partner", "page" => "search");
	$lookupTableLinks["employee_list"]["Purchase_Request_Report.Business_Partner"]["search"] = array("table" => "Purchase_Request_Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Purchase_Request_Report.Terms"]["search"] = array("table" => "Purchase_Request_Report", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Purchase_Request_Report.Cost_Center"]["search"] = array("table" => "Purchase_Request_Report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Purchase_Request_Report.Shipping_Terms"]["search"] = array("table" => "Purchase_Request_Report", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["Suppliers"]["Purchase_Import_Costing.Business_Partner"]["search"] = array("table" => "Purchase_Import_Costing", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["cost_center"]["Purchase_Import_Costing.Cost_Center"]["search"] = array("table" => "Purchase_Import_Costing", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["credit_terms"]["Purchase_Import_Costing.Terms"]["search"] = array("table" => "Purchase_Import_Costing", "field" => "Terms", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Purchase_Import_Costing.Shipping_Terms"]["search"] = array("table" => "Purchase_Import_Costing", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["item"]["Purchase_Import_Costing.Item"]["search"] = array("table" => "Purchase_Import_Costing", "field" => "Item", "page" => "search");
	$lookupTableLinks["business_partner"]["Production_Costing_Report.Business_Partner"]["search"] = array("table" => "Production_Costing_Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["cost_center"]["Production_Costing_Report.Cost_Center"]["search"] = array("table" => "Production_Costing_Report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["production_request"]["Production_Costing_Report.ref_no"]["search"] = array("table" => "Production_Costing_Report", "field" => "ref_no", "page" => "search");
	$lookupTableLinks["location"]["Production_Costing_Report.location"]["search"] = array("table" => "Production_Costing_Report", "field" => "location", "page" => "search");
	$lookupTableLinks["approver_list"]["Production_Costing_Report.approved_by"]["search"] = array("table" => "Production_Costing_Report", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Production_Costing_Report.checked_by"]["search"] = array("table" => "Production_Costing_Report", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Production_Costing_Report.prepared_by"]["search"] = array("table" => "Production_Costing_Report", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Production_Costing_Report.modified_by"]["search"] = array("table" => "Production_Costing_Report", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["business_partner"]["Production_Report.Business_Partner"]["search"] = array("table" => "Production_Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["item"]["Production_Report.Item"]["search"] = array("table" => "Production_Report", "field" => "Item", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Closed_Opportunities.assigned_to"]["search"] = array("table" => "Closed_Opportunities", "field" => "assigned_to", "page" => "search");
	$lookupTableLinks["item"]["Cases_with_Sotutions.item"]["search"] = array("table" => "Cases_with_Sotutions", "field" => "item", "page" => "search");
	$lookupTableLinks["sales"]["Cases_with_Sotutions.invoice_no"]["search"] = array("table" => "Cases_with_Sotutions", "field" => "invoice_no", "page" => "search");
	$lookupTableLinks["area"]["Cases_with_Sotutions.area"]["search"] = array("table" => "Cases_with_Sotutions", "field" => "area", "page" => "search");
	$lookupTableLinks["service_center"]["Cases_with_Sotutions.service_center"]["search"] = array("table" => "Cases_with_Sotutions", "field" => "service_center", "page" => "search");
	$lookupTableLinks["business_partner"]["Cases_with_Sotutions.client"]["search"] = array("table" => "Cases_with_Sotutions", "field" => "client", "page" => "search");
	$lookupTableLinks["item"]["Totals_Cases_Created.item"]["search"] = array("table" => "Totals_Cases_Created", "field" => "item", "page" => "search");
	$lookupTableLinks["sales"]["Totals_Cases_Created.invoice_no"]["search"] = array("table" => "Totals_Cases_Created", "field" => "invoice_no", "page" => "search");
	$lookupTableLinks["area"]["Totals_Cases_Created.area"]["search"] = array("table" => "Totals_Cases_Created", "field" => "area", "page" => "search");
	$lookupTableLinks["service_center"]["Totals_Cases_Created.service_center"]["search"] = array("table" => "Totals_Cases_Created", "field" => "service_center", "page" => "search");
	$lookupTableLinks["business_partner"]["Totals_Cases_Created.client"]["search"] = array("table" => "Totals_Cases_Created", "field" => "client", "page" => "search");
	$lookupTableLinks["item"]["Totals_Open_Cases_by_Agent.item"]["search"] = array("table" => "Totals_Open_Cases_by_Agent", "field" => "item", "page" => "search");
	$lookupTableLinks["sales"]["Totals_Open_Cases_by_Agent.invoice_no"]["search"] = array("table" => "Totals_Open_Cases_by_Agent", "field" => "invoice_no", "page" => "search");
	$lookupTableLinks["area"]["Totals_Open_Cases_by_Agent.area"]["search"] = array("table" => "Totals_Open_Cases_by_Agent", "field" => "area", "page" => "search");
	$lookupTableLinks["service_center"]["Totals_Open_Cases_by_Agent.service_center"]["search"] = array("table" => "Totals_Open_Cases_by_Agent", "field" => "service_center", "page" => "search");
	$lookupTableLinks["business_partner"]["Totals_Open_Cases_by_Agent.client"]["search"] = array("table" => "Totals_Open_Cases_by_Agent", "field" => "client", "page" => "search");
	$lookupTableLinks["campaign_type"]["Campaign_leads.type"]["search"] = array("table" => "Campaign_leads", "field" => "type", "page" => "search");
	$lookupTableLinks["system_user"]["Campaign_leads.created_by"]["search"] = array("table" => "Campaign_leads", "field" => "created_by", "page" => "search");
	$lookupTableLinks["system_user"]["Campaign_leads.modified_by"]["search"] = array("table" => "Campaign_leads", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["Customers"]["Opportunity_Schedule.Business_Partner"]["search"] = array("table" => "Opportunity_Schedule", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Opportunity_Schedule.Terms"]["search"] = array("table" => "Opportunity_Schedule", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Opportunity_Schedule.Cost_Center"]["search"] = array("table" => "Opportunity_Schedule", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Opportunity_Schedule.Shipping_Terms"]["search"] = array("table" => "Opportunity_Schedule", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Opportunity_Schedule.sales_rep"]["search"] = array("table" => "Opportunity_Schedule", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["Customers"]["Sales_by_Account.Business_Partner"]["search"] = array("table" => "Sales_by_Account", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Sales_by_Account.Terms"]["search"] = array("table" => "Sales_by_Account", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Sales_by_Account.Cost_Center"]["search"] = array("table" => "Sales_by_Account", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Sales_by_Account.Shipping_Terms"]["search"] = array("table" => "Sales_by_Account", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Sales_by_Account.sales_rep"]["search"] = array("table" => "Sales_by_Account", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["Customers"]["Sales_by_Lead_Source.Business_Partner"]["search"] = array("table" => "Sales_by_Lead_Source", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Sales_by_Lead_Source.Terms"]["search"] = array("table" => "Sales_by_Lead_Source", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Sales_by_Lead_Source.Cost_Center"]["search"] = array("table" => "Sales_by_Lead_Source", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Sales_by_Lead_Source.Shipping_Terms"]["search"] = array("table" => "Sales_by_Lead_Source", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Sales_by_Lead_Source.sales_rep"]["search"] = array("table" => "Sales_by_Lead_Source", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["Customers"]["Sales_by_Partner.Business_Partner"]["search"] = array("table" => "Sales_by_Partner", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Sales_by_Partner.Terms"]["search"] = array("table" => "Sales_by_Partner", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Sales_by_Partner.Cost_Center"]["search"] = array("table" => "Sales_by_Partner", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Sales_by_Partner.Shipping_Terms"]["search"] = array("table" => "Sales_by_Partner", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Sales_by_Partner.sales_rep"]["search"] = array("table" => "Sales_by_Partner", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["Customers"]["Sales_by_Rep.Business_Partner"]["search"] = array("table" => "Sales_by_Rep", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Sales_by_Rep.Terms"]["search"] = array("table" => "Sales_by_Rep", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Sales_by_Rep.Cost_Center"]["search"] = array("table" => "Sales_by_Rep", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Sales_by_Rep.Shipping_Terms"]["search"] = array("table" => "Sales_by_Rep", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Sales_by_Rep.sales_rep"]["search"] = array("table" => "Sales_by_Rep", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["employee_list"]["Leave_Ledger_Report.Employee"]["search"] = array("table" => "Leave_Ledger_Report", "field" => "Employee", "page" => "search");
	$lookupTableLinks["Types_of_leaves"]["Leave_Ledger_Report.leave_type"]["search"] = array("table" => "Leave_Ledger_Report", "field" => "leave_type", "page" => "search");
	$lookupTableLinks["employee_list"]["Leave_Summary.Employee"]["search"] = array("table" => "Leave_Summary", "field" => "Employee", "page" => "search");
	$lookupTableLinks["Types_of_leaves"]["Leave_Summary.leave_type"]["search"] = array("table" => "Leave_Summary", "field" => "leave_type", "page" => "search");
	$lookupTableLinks["system_user"]["Payroll_Register.approved_by"]["search"] = array("table" => "Payroll_Register", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["system_user"]["Payroll_Register.checked_by"]["search"] = array("table" => "Payroll_Register", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Payroll_Register.prepared_by"]["search"] = array("table" => "Payroll_Register", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Payroll_Register.modified_by"]["search"] = array("table" => "Payroll_Register", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["employee_list"]["Employee_Leave_History.Employee"]["search"] = array("table" => "Employee_Leave_History", "field" => "Employee", "page" => "search");
	$lookupTableLinks["Types_of_leaves"]["Employee_Leave_History.leave_type"]["search"] = array("table" => "Employee_Leave_History", "field" => "leave_type", "page" => "search");
	$lookupTableLinks["business_partner"]["DR_Reports.Business_Partner"]["search"] = array("table" => "DR_Reports", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["DR_Reports.Terms"]["search"] = array("table" => "DR_Reports", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["DR_Reports.Cost_Center"]["search"] = array("table" => "DR_Reports", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["DR_Reports.Shipping_Terms"]["search"] = array("table" => "DR_Reports", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["DR_Reports.sales_rep"]["search"] = array("table" => "DR_Reports", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["Customers"]["Sales_Order_Report.Business_Partner"]["search"] = array("table" => "Sales_Order_Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Sales_Order_Report.Terms"]["search"] = array("table" => "Sales_Order_Report", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Sales_Order_Report.Cost_Center"]["search"] = array("table" => "Sales_Order_Report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Sales_Order_Report.Shipping_Terms"]["search"] = array("table" => "Sales_Order_Report", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Sales_Order_Report.sales_rep"]["search"] = array("table" => "Sales_Order_Report", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["item"]["Case_History.item"]["search"] = array("table" => "Case_History", "field" => "item", "page" => "search");
	$lookupTableLinks["sales"]["Case_History.invoice_no"]["search"] = array("table" => "Case_History", "field" => "invoice_no", "page" => "search");
	$lookupTableLinks["area"]["Case_History.area"]["search"] = array("table" => "Case_History", "field" => "area", "page" => "search");
	$lookupTableLinks["service_center"]["Case_History.service_center"]["search"] = array("table" => "Case_History", "field" => "service_center", "page" => "search");
	$lookupTableLinks["business_partner"]["Case_History.client"]["search"] = array("table" => "Case_History", "field" => "client", "page" => "search");
	$lookupTableLinks["approver_list"]["quality_control.checked_by"]["edit"] = array("table" => "quality_control", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["quality_control.approved_by"]["edit"] = array("table" => "quality_control", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["quality_control.modified_by"]["edit"] = array("table" => "quality_control", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["system_user"]["quality_control.prepared_by"]["edit"] = array("table" => "quality_control", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["item"]["quality_control_detail.item_id"]["edit"] = array("table" => "quality_control_detail", "field" => "item_id", "page" => "edit");
	$lookupTableLinks["item"]["quality_control_detail.description"]["edit"] = array("table" => "quality_control_detail", "field" => "description", "page" => "edit");
	$lookupTableLinks["approver_list"]["budget.checked_by"]["edit"] = array("table" => "budget", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["budget.approved_by"]["edit"] = array("table" => "budget", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["budget_detail.account"]["edit"] = array("table" => "budget_detail", "field" => "account", "page" => "edit");
	$lookupTableLinks["ppe_list"]["repairs_and_maintenance.asset_no"]["edit"] = array("table" => "repairs_and_maintenance", "field" => "asset_no", "page" => "edit");
	$lookupTableLinks["item_group"]["repairs_and_maintenance.asset_group"]["edit"] = array("table" => "repairs_and_maintenance", "field" => "asset_group", "page" => "edit");
	$lookupTableLinks["Suppliers"]["repairs_and_maintenance.supplier"]["edit"] = array("table" => "repairs_and_maintenance", "field" => "supplier", "page" => "edit");
	$lookupTableLinks["vehicle"]["repairs_and_maintenance.model"]["edit"] = array("table" => "repairs_and_maintenance", "field" => "model", "page" => "edit");
	$lookupTableLinks["company_info"]["rfp.Company_name"]["edit"] = array("table" => "rfp", "field" => "Company_name", "page" => "edit");
	$lookupTableLinks["Customers"]["rfp.Payee_Name"]["edit"] = array("table" => "rfp", "field" => "Payee_Name", "page" => "edit");
	$lookupTableLinks["system_user"]["rfp.Request_by"]["edit"] = array("table" => "rfp", "field" => "Request_by", "page" => "edit");
	$lookupTableLinks["system_user"]["rfp.Recommended_by"]["edit"] = array("table" => "rfp", "field" => "Recommended_by", "page" => "edit");
	$lookupTableLinks["system_user"]["rfp.Audited_by"]["edit"] = array("table" => "rfp", "field" => "Audited_by", "page" => "edit");
	$lookupTableLinks["system_user"]["rfp.Approved_by"]["edit"] = array("table" => "rfp", "field" => "Approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["rfp.Approver_for_Payment"]["edit"] = array("table" => "rfp", "field" => "Approver_for_Payment", "page" => "edit");
	$lookupTableLinks["bank"]["telex.Account_name"]["edit"] = array("table" => "telex", "field" => "Account_name", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["telex.Account_No."]["edit"] = array("table" => "telex", "field" => "Account_No.", "page" => "edit");
	$lookupTableLinks["bank"]["telex.Intermediary_Bank"]["edit"] = array("table" => "telex", "field" => "Intermediary_Bank", "page" => "edit");
	$lookupTableLinks["Customers"]["marketing_colateral.client"]["edit"] = array("table" => "marketing_colateral", "field" => "client", "page" => "edit");
	$lookupTableLinks["business_partner"]["email.account"]["edit"] = array("table" => "email", "field" => "account", "page" => "edit");
	$lookupTableLinks["opportunity"]["email.opportunity"]["edit"] = array("table" => "email", "field" => "opportunity", "page" => "edit");
	$lookupTableLinks["item"]["sales_order_materials_detail.Item"]["edit"] = array("table" => "sales_order_materials_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sales_order_materials_detail.Account"]["edit"] = array("table" => "sales_order_materials_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["sales_order_materials_detail.Description"]["edit"] = array("table" => "sales_order_materials_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["Suppliers"]["sub_contract.Business_Partner"]["edit"] = array("table" => "sub_contract", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sub_contract.Receivable_Account"]["edit"] = array("table" => "sub_contract", "field" => "Receivable_Account", "page" => "edit");
	$lookupTableLinks["credit_terms"]["sub_contract.Terms"]["edit"] = array("table" => "sub_contract", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["sub_contract.Cost_Center"]["edit"] = array("table" => "sub_contract", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sub_contract.Discount_Account"]["edit"] = array("table" => "sub_contract", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sub_contract.VAT_Account"]["edit"] = array("table" => "sub_contract", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["sub_contract.location"]["edit"] = array("table" => "sub_contract", "field" => "location", "page" => "edit");
	$lookupTableLinks["projects"]["sub_contract.project"]["edit"] = array("table" => "sub_contract", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["sub_contract.phase"]["edit"] = array("table" => "sub_contract", "field" => "phase", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["sub_contract.sales_rep"]["edit"] = array("table" => "sub_contract", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["sub_contract.currency"]["edit"] = array("table" => "sub_contract", "field" => "currency", "page" => "edit");
	$lookupTableLinks["system_user"]["sub_contract.prepared_by"]["edit"] = array("table" => "sub_contract", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["sub_contract.checked_by"]["edit"] = array("table" => "sub_contract", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["sub_contract.approved_by"]["edit"] = array("table" => "sub_contract", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["sub_contract.modified_by"]["edit"] = array("table" => "sub_contract", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["sub_contract_detail.Item"]["edit"] = array("table" => "sub_contract_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sub_contract_detail.Account"]["edit"] = array("table" => "sub_contract_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["sub_contract_detail.Description"]["edit"] = array("table" => "sub_contract_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["approver_list"]["Monthly_Pag_ibig_Summary_Report.approved_by"]["search"] = array("table" => "Monthly_Pag-ibig_Summary_Report", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Monthly_Pag_ibig_Summary_Report.checked_by"]["search"] = array("table" => "Monthly_Pag-ibig_Summary_Report", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Monthly_Pag_ibig_Summary_Report.prepared_by"]["search"] = array("table" => "Monthly_Pag-ibig_Summary_Report", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Monthly_Pag_ibig_Summary_Report.modified_by"]["search"] = array("table" => "Monthly_Pag-ibig_Summary_Report", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Monthly_Philhealth_Report.approved_by"]["search"] = array("table" => "Monthly_Philhealth_Report", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Monthly_Philhealth_Report.checked_by"]["search"] = array("table" => "Monthly_Philhealth_Report", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Monthly_Philhealth_Report.prepared_by"]["search"] = array("table" => "Monthly_Philhealth_Report", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Monthly_Philhealth_Report.modified_by"]["search"] = array("table" => "Monthly_Philhealth_Report", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Monthly_Philhealth_Summary_Report.approved_by"]["search"] = array("table" => "Monthly_Philhealth_Summary_Report", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Monthly_Philhealth_Summary_Report.checked_by"]["search"] = array("table" => "Monthly_Philhealth_Summary_Report", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Monthly_Philhealth_Summary_Report.prepared_by"]["search"] = array("table" => "Monthly_Philhealth_Summary_Report", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Monthly_Philhealth_Summary_Report.modified_by"]["search"] = array("table" => "Monthly_Philhealth_Summary_Report", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Monthly_SSS_Report.approved_by"]["search"] = array("table" => "Monthly_SSS_Report", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Monthly_SSS_Report.checked_by"]["search"] = array("table" => "Monthly_SSS_Report", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Monthly_SSS_Report.prepared_by"]["search"] = array("table" => "Monthly_SSS_Report", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Monthly_SSS_Report.modified_by"]["search"] = array("table" => "Monthly_SSS_Report", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Monthly_SSS_Report_by_Department_Report.approved_by"]["search"] = array("table" => "Monthly_SSS_Report_by_Department_Report", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Monthly_SSS_Report_by_Department_Report.checked_by"]["search"] = array("table" => "Monthly_SSS_Report_by_Department_Report", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Monthly_SSS_Report_by_Department_Report.prepared_by"]["search"] = array("table" => "Monthly_SSS_Report_by_Department_Report", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Monthly_SSS_Report_by_Department_Report.modified_by"]["search"] = array("table" => "Monthly_SSS_Report_by_Department_Report", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Monthly_Withholding_Tax_Prooflist_Report.approved_by"]["search"] = array("table" => "Monthly_Withholding_Tax_Prooflist_Report", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Monthly_Withholding_Tax_Prooflist_Report.checked_by"]["search"] = array("table" => "Monthly_Withholding_Tax_Prooflist_Report", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Monthly_Withholding_Tax_Prooflist_Report.prepared_by"]["search"] = array("table" => "Monthly_Withholding_Tax_Prooflist_Report", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Monthly_Withholding_Tax_Prooflist_Report.modified_by"]["search"] = array("table" => "Monthly_Withholding_Tax_Prooflist_Report", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Monthly_Witholding_Tax_Collection_List_by_Department_Report.approved_by"]["search"] = array("table" => "Monthly_Witholding_Tax_Collection_List_by_Department_Report", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Monthly_Witholding_Tax_Collection_List_by_Department_Report.checked_by"]["search"] = array("table" => "Monthly_Witholding_Tax_Collection_List_by_Department_Report", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Monthly_Witholding_Tax_Collection_List_by_Department_Report.prepared_by"]["search"] = array("table" => "Monthly_Witholding_Tax_Collection_List_by_Department_Report", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Monthly_Witholding_Tax_Collection_List_by_Department_Report.modified_by"]["search"] = array("table" => "Monthly_Witholding_Tax_Collection_List_by_Department_Report", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Monthly_Pag_ibig_Report.approved_by"]["search"] = array("table" => "Monthly_Pag-ibig_Report", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Monthly_Pag_ibig_Report.checked_by"]["search"] = array("table" => "Monthly_Pag-ibig_Report", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Monthly_Pag_ibig_Report.prepared_by"]["search"] = array("table" => "Monthly_Pag-ibig_Report", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Monthly_Pag_ibig_Report.modified_by"]["search"] = array("table" => "Monthly_Pag-ibig_Report", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["Customers"]["sales_order.Business_Partner"]["edit"] = array("table" => "sales_order", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sales_order.Receivable_Account"]["edit"] = array("table" => "sales_order", "field" => "Receivable_Account", "page" => "edit");
	$lookupTableLinks["credit_terms"]["sales_order.Terms"]["edit"] = array("table" => "sales_order", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["sales_order.Cost_Center"]["edit"] = array("table" => "sales_order", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["sales_order.Shipping_Terms"]["edit"] = array("table" => "sales_order", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sales_order.Discount_Account"]["edit"] = array("table" => "sales_order", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sales_order.VAT_Account"]["edit"] = array("table" => "sales_order", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["open_quote"]["sales_order.ref_no"]["edit"] = array("table" => "sales_order", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["sales_order.location"]["edit"] = array("table" => "sales_order", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["sales_order.discount_type"]["edit"] = array("table" => "sales_order", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["sales_order.project"]["edit"] = array("table" => "sales_order", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["sales_order.phase"]["edit"] = array("table" => "sales_order", "field" => "phase", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["sales_order.sales_rep"]["edit"] = array("table" => "sales_order", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["sales_order.currency"]["edit"] = array("table" => "sales_order", "field" => "currency", "page" => "edit");
	$lookupTableLinks["system_user"]["sales_order.prepared_by"]["edit"] = array("table" => "sales_order", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["sales_order.checked_by"]["edit"] = array("table" => "sales_order", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["sales_order.approved_by"]["edit"] = array("table" => "sales_order", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["campaign"]["sales_order.campaign"]["edit"] = array("table" => "sales_order", "field" => "campaign", "page" => "edit");
	$lookupTableLinks["system_user"]["sales_order.modified_by"]["edit"] = array("table" => "sales_order", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["quotation_detail"]["sales_order_detail.ref_id"]["edit"] = array("table" => "sales_order_detail", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["sales_order_detail.Item"]["edit"] = array("table" => "sales_order_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sales_order_detail.Account"]["edit"] = array("table" => "sales_order_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["sales_order_detail.Description"]["edit"] = array("table" => "sales_order_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["sales_order_detail.VAT_Type"]["edit"] = array("table" => "sales_order_detail", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["uom"]["sales_order_detail.um"]["edit"] = array("table" => "sales_order_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["vat_relief_importation"]["vat_relief_importation.Vat_period"]["edit"] = array("table" => "vat_relief_importation", "field" => "Vat_period", "page" => "edit");
	$lookupTableLinks["vat_relief_purchases"]["vat_relief_purchases.Vat_period"]["edit"] = array("table" => "vat_relief_purchases", "field" => "Vat_period", "page" => "edit");
	$lookupTableLinks["vat_relief_sales"]["vat_relief_sales.Vat_period"]["edit"] = array("table" => "vat_relief_sales", "field" => "Vat_period", "page" => "edit");
	$lookupTableLinks["item"]["credit_memo_detail_cgs.Item"]["edit"] = array("table" => "credit_memo_detail_cgs", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["credit_memo_detail_cgs.Account"]["edit"] = array("table" => "credit_memo_detail_cgs", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["credit_memo_detail_cgs.Description"]["edit"] = array("table" => "credit_memo_detail_cgs", "field" => "Description", "page" => "edit");
	$lookupTableLinks["cost_center"]["credit_memo_detail_cgs.Cost_Center"]["edit"] = array("table" => "credit_memo_detail_cgs", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["department"]["marketing_request_form.department"]["edit"] = array("table" => "marketing_request_form", "field" => "department", "page" => "edit");
	$lookupTableLinks["approver_list"]["marketing_request_form.approved_by"]["edit"] = array("table" => "marketing_request_form", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["marketing_request_form.check_by"]["edit"] = array("table" => "marketing_request_form", "field" => "check_by", "page" => "edit");
	$lookupTableLinks["system_user"]["marketing_request_form.prepared_by"]["edit"] = array("table" => "marketing_request_form", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["marketing_request_form.modified_by"]["edit"] = array("table" => "marketing_request_form", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["cost_center"]["marketing_request_form.cost_center"]["edit"] = array("table" => "marketing_request_form", "field" => "cost_center", "page" => "edit");
	$lookupTableLinks["business_partner"]["Quotation_Dashboard_Customer.Business_Partner"]["search"] = array("table" => "Quotation_Dashboard_Customer", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["cost_center"]["Quotation_Dashboard_Customer.Cost_Center"]["search"] = array("table" => "Quotation_Dashboard_Customer", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Quotation_Dashboard_Customer.Discount_Account"]["search"] = array("table" => "Quotation_Dashboard_Customer", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Quotation_Dashboard_Customer.VAT_Account"]["search"] = array("table" => "Quotation_Dashboard_Customer", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["location"]["Quotation_Dashboard_Customer.location"]["search"] = array("table" => "Quotation_Dashboard_Customer", "field" => "location", "page" => "search");
	$lookupTableLinks["discounts"]["Quotation_Dashboard_Customer.discount_type"]["search"] = array("table" => "Quotation_Dashboard_Customer", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Quotation_Dashboard_Customer.sales_rep"]["search"] = array("table" => "Quotation_Dashboard_Customer", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["currency"]["Quotation_Dashboard_Customer.currecy"]["search"] = array("table" => "Quotation_Dashboard_Customer", "field" => "currecy", "page" => "search");
	$lookupTableLinks["system_user"]["Quotation_Dashboard_Customer.prepared_by"]["search"] = array("table" => "Quotation_Dashboard_Customer", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Quotation_Dashboard_Customer.checked_by"]["search"] = array("table" => "Quotation_Dashboard_Customer", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Quotation_Dashboard_Customer.approved_by"]["search"] = array("table" => "Quotation_Dashboard_Customer", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["system_user"]["Quotation_Dashboard_Customer.modified_by"]["search"] = array("table" => "Quotation_Dashboard_Customer", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["Customers"]["Sales_Order_Dashboard_Customer.Business_Partner"]["search"] = array("table" => "Sales_Order_Dashboard_Customer", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Sales_Order_Dashboard_Customer.Receivable_Account"]["search"] = array("table" => "Sales_Order_Dashboard_Customer", "field" => "Receivable_Account", "page" => "search");
	$lookupTableLinks["credit_terms"]["Sales_Order_Dashboard_Customer.Terms"]["search"] = array("table" => "Sales_Order_Dashboard_Customer", "field" => "Terms", "page" => "search");
	$lookupTableLinks["quotation"]["Sales_Order_Dashboard_Customer.ref_no"]["search"] = array("table" => "Sales_Order_Dashboard_Customer", "field" => "ref_no", "page" => "search");
	$lookupTableLinks["discounts"]["Sales_Order_Dashboard_Customer.discount_type"]["search"] = array("table" => "Sales_Order_Dashboard_Customer", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["system_user"]["Sales_Order_Dashboard_Customer.prepared_by"]["search"] = array("table" => "Sales_Order_Dashboard_Customer", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Sales_Order_Dashboard_Customer.checked_by"]["search"] = array("table" => "Sales_Order_Dashboard_Customer", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Sales_Order_Dashboard_Customer.approved_by"]["search"] = array("table" => "Sales_Order_Dashboard_Customer", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["system_user"]["Sales_Order_Dashboard_Customer.modified_by"]["search"] = array("table" => "Sales_Order_Dashboard_Customer", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["business_partner"]["Delivery_Receipt_Dashboard_Customer.Business_Partner"]["search"] = array("table" => "Delivery_Receipt_Dashboard_Customer", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Delivery_Receipt_Dashboard_Customer.Receivable_Account"]["search"] = array("table" => "Delivery_Receipt_Dashboard_Customer", "field" => "Receivable_Account", "page" => "search");
	$lookupTableLinks["credit_terms"]["Delivery_Receipt_Dashboard_Customer.Terms"]["search"] = array("table" => "Delivery_Receipt_Dashboard_Customer", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Delivery_Receipt_Dashboard_Customer.Cost_Center"]["search"] = array("table" => "Delivery_Receipt_Dashboard_Customer", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Delivery_Receipt_Dashboard_Customer.Shipping_Terms"]["search"] = array("table" => "Delivery_Receipt_Dashboard_Customer", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Delivery_Receipt_Dashboard_Customer.Discount_Account"]["search"] = array("table" => "Delivery_Receipt_Dashboard_Customer", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Delivery_Receipt_Dashboard_Customer.VAT_Account"]["search"] = array("table" => "Delivery_Receipt_Dashboard_Customer", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["sales_order"]["Delivery_Receipt_Dashboard_Customer.ref_no"]["search"] = array("table" => "Delivery_Receipt_Dashboard_Customer", "field" => "ref_no", "page" => "search");
	$lookupTableLinks["discounts"]["Delivery_Receipt_Dashboard_Customer.discount_type"]["search"] = array("table" => "Delivery_Receipt_Dashboard_Customer", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["projects"]["Delivery_Receipt_Dashboard_Customer.project"]["search"] = array("table" => "Delivery_Receipt_Dashboard_Customer", "field" => "project", "page" => "search");
	$lookupTableLinks["phase"]["Delivery_Receipt_Dashboard_Customer.phase"]["search"] = array("table" => "Delivery_Receipt_Dashboard_Customer", "field" => "phase", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Delivery_Receipt_Dashboard_Customer.sales_rep"]["search"] = array("table" => "Delivery_Receipt_Dashboard_Customer", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["system_user"]["Delivery_Receipt_Dashboard_Customer.prepared_by"]["search"] = array("table" => "Delivery_Receipt_Dashboard_Customer", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Delivery_Receipt_Dashboard_Customer.approved_by"]["search"] = array("table" => "Delivery_Receipt_Dashboard_Customer", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Delivery_Receipt_Dashboard_Customer.checked_by"]["search"] = array("table" => "Delivery_Receipt_Dashboard_Customer", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["cash_receipt"]["Delivery_Receipt_Dashboard_Customer.cash_sale"]["search"] = array("table" => "Delivery_Receipt_Dashboard_Customer", "field" => "cash_sale", "page" => "search");
	$lookupTableLinks["location"]["Delivery_Receipt_Dashboard_Customer.location"]["search"] = array("table" => "Delivery_Receipt_Dashboard_Customer", "field" => "location", "page" => "search");
	$lookupTableLinks["business_partner"]["Delivery_Receipt_Dashboard_Customer.driver"]["search"] = array("table" => "Delivery_Receipt_Dashboard_Customer", "field" => "driver", "page" => "search");
	$lookupTableLinks["vehicle"]["Delivery_Receipt_Dashboard_Customer.vehicle"]["search"] = array("table" => "Delivery_Receipt_Dashboard_Customer", "field" => "vehicle", "page" => "search");
	$lookupTableLinks["system_user"]["Delivery_Receipt_Dashboard_Customer.modified_by"]["search"] = array("table" => "Delivery_Receipt_Dashboard_Customer", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["Customers"]["Sales_Dashboard_Customer.Business_Partner"]["search"] = array("table" => "Sales_Dashboard_Customer", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Sales_Dashboard_Customer.Receivable_Account"]["search"] = array("table" => "Sales_Dashboard_Customer", "field" => "Receivable_Account", "page" => "search");
	$lookupTableLinks["credit_terms"]["Sales_Dashboard_Customer.Terms"]["search"] = array("table" => "Sales_Dashboard_Customer", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Sales_Dashboard_Customer.Cost_Center"]["search"] = array("table" => "Sales_Dashboard_Customer", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Sales_Dashboard_Customer.Shipping_Terms"]["search"] = array("table" => "Sales_Dashboard_Customer", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Sales_Dashboard_Customer.Discount_Account"]["search"] = array("table" => "Sales_Dashboard_Customer", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Sales_Dashboard_Customer.VAT_Account"]["search"] = array("table" => "Sales_Dashboard_Customer", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["sales_order"]["Sales_Dashboard_Customer.ref_no"]["search"] = array("table" => "Sales_Dashboard_Customer", "field" => "ref_no", "page" => "search");
	$lookupTableLinks["location"]["Sales_Dashboard_Customer.location"]["search"] = array("table" => "Sales_Dashboard_Customer", "field" => "location", "page" => "search");
	$lookupTableLinks["discounts"]["Sales_Dashboard_Customer.discount_type"]["search"] = array("table" => "Sales_Dashboard_Customer", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["projects"]["Sales_Dashboard_Customer.project"]["search"] = array("table" => "Sales_Dashboard_Customer", "field" => "project", "page" => "search");
	$lookupTableLinks["phase"]["Sales_Dashboard_Customer.phase"]["search"] = array("table" => "Sales_Dashboard_Customer", "field" => "phase", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Sales_Dashboard_Customer.sales_rep"]["search"] = array("table" => "Sales_Dashboard_Customer", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["currency"]["Sales_Dashboard_Customer.currency"]["search"] = array("table" => "Sales_Dashboard_Customer", "field" => "currency", "page" => "search");
	$lookupTableLinks["system_user"]["Sales_Dashboard_Customer.prepared_by"]["search"] = array("table" => "Sales_Dashboard_Customer", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Sales_Dashboard_Customer.checked_by"]["search"] = array("table" => "Sales_Dashboard_Customer", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Sales_Dashboard_Customer.approved_by"]["search"] = array("table" => "Sales_Dashboard_Customer", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["system_user"]["Sales_Dashboard_Customer.modified_by"]["search"] = array("table" => "Sales_Dashboard_Customer", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["business_partner"]["Backload_Dashboard_Customer.Business_Partner"]["search"] = array("table" => "Backload_Dashboard_Customer", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Backload_Dashboard_Customer.Receivable_Account"]["search"] = array("table" => "Backload_Dashboard_Customer", "field" => "Receivable_Account", "page" => "search");
	$lookupTableLinks["cost_center"]["Backload_Dashboard_Customer.Cost_Center"]["search"] = array("table" => "Backload_Dashboard_Customer", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Backload_Dashboard_Customer.Shipping_Terms"]["search"] = array("table" => "Backload_Dashboard_Customer", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Backload_Dashboard_Customer.Discount_Account"]["search"] = array("table" => "Backload_Dashboard_Customer", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Backload_Dashboard_Customer.VAT_Account"]["search"] = array("table" => "Backload_Dashboard_Customer", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["dr"]["Backload_Dashboard_Customer.ref_no"]["search"] = array("table" => "Backload_Dashboard_Customer", "field" => "ref_no", "page" => "search");
	$lookupTableLinks["system_user"]["Backload_Dashboard_Customer.prepared_by"]["search"] = array("table" => "Backload_Dashboard_Customer", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Backload_Dashboard_Customer.approved_by"]["search"] = array("table" => "Backload_Dashboard_Customer", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Backload_Dashboard_Customer.checked_by"]["search"] = array("table" => "Backload_Dashboard_Customer", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["discounts"]["Backload_Dashboard_Customer.discount_type"]["search"] = array("table" => "Backload_Dashboard_Customer", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["projects"]["Backload_Dashboard_Customer.project"]["search"] = array("table" => "Backload_Dashboard_Customer", "field" => "project", "page" => "search");
	$lookupTableLinks["phase"]["Backload_Dashboard_Customer.phase"]["search"] = array("table" => "Backload_Dashboard_Customer", "field" => "phase", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Backload_Dashboard_Customer.sales_rep"]["search"] = array("table" => "Backload_Dashboard_Customer", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["location"]["Backload_Dashboard_Customer.location"]["search"] = array("table" => "Backload_Dashboard_Customer", "field" => "location", "page" => "search");
	$lookupTableLinks["system_user"]["Backload_Dashboard_Customer.modified_by"]["search"] = array("table" => "Backload_Dashboard_Customer", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["employee_list"]["Purchase_Request_Dashboard_Supplier.Business_Partner"]["search"] = array("table" => "Purchase_Request_Dashboard_Supplier", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Purchase_Request_Dashboard_Supplier.Terms"]["search"] = array("table" => "Purchase_Request_Dashboard_Supplier", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Purchase_Request_Dashboard_Supplier.Cost_Center"]["search"] = array("table" => "Purchase_Request_Dashboard_Supplier", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Purchase_Request_Dashboard_Supplier.Shipping_Terms"]["search"] = array("table" => "Purchase_Request_Dashboard_Supplier", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Purchase_Request_Dashboard_Supplier.Discount_Account"]["search"] = array("table" => "Purchase_Request_Dashboard_Supplier", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Purchase_Request_Dashboard_Supplier.VAT_Account"]["search"] = array("table" => "Purchase_Request_Dashboard_Supplier", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["location"]["Purchase_Request_Dashboard_Supplier.location"]["search"] = array("table" => "Purchase_Request_Dashboard_Supplier", "field" => "location", "page" => "search");
	$lookupTableLinks["discounts"]["Purchase_Request_Dashboard_Supplier.discount_type"]["search"] = array("table" => "Purchase_Request_Dashboard_Supplier", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["projects"]["Purchase_Request_Dashboard_Supplier.project"]["search"] = array("table" => "Purchase_Request_Dashboard_Supplier", "field" => "project", "page" => "search");
	$lookupTableLinks["currency"]["Purchase_Request_Dashboard_Supplier.currecy"]["search"] = array("table" => "Purchase_Request_Dashboard_Supplier", "field" => "currecy", "page" => "search");
	$lookupTableLinks["phase"]["Purchase_Request_Dashboard_Supplier.phase"]["search"] = array("table" => "Purchase_Request_Dashboard_Supplier", "field" => "phase", "page" => "search");
	$lookupTableLinks["approver_list"]["Purchase_Request_Dashboard_Supplier.approved_by"]["search"] = array("table" => "Purchase_Request_Dashboard_Supplier", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Purchase_Request_Dashboard_Supplier.checked_by"]["search"] = array("table" => "Purchase_Request_Dashboard_Supplier", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Purchase_Request_Dashboard_Supplier.prepared_by"]["search"] = array("table" => "Purchase_Request_Dashboard_Supplier", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Purchase_Request_Dashboard_Supplier.modified_by"]["search"] = array("table" => "Purchase_Request_Dashboard_Supplier", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["Suppliers"]["Purchase_Order_Dashboard_Supplier.Business_Partner"]["search"] = array("table" => "Purchase_Order_Dashboard_Supplier", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Purchase_Order_Dashboard_Supplier.Terms"]["search"] = array("table" => "Purchase_Order_Dashboard_Supplier", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Purchase_Order_Dashboard_Supplier.Cost_Center"]["search"] = array("table" => "Purchase_Order_Dashboard_Supplier", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Purchase_Order_Dashboard_Supplier.Shipping_Terms"]["search"] = array("table" => "Purchase_Order_Dashboard_Supplier", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Purchase_Order_Dashboard_Supplier.Discount_Account"]["search"] = array("table" => "Purchase_Order_Dashboard_Supplier", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Purchase_Order_Dashboard_Supplier.VAT_Account"]["search"] = array("table" => "Purchase_Order_Dashboard_Supplier", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["purchase_request"]["Purchase_Order_Dashboard_Supplier.ref_no"]["search"] = array("table" => "Purchase_Order_Dashboard_Supplier", "field" => "ref_no", "page" => "search");
	$lookupTableLinks["location"]["Purchase_Order_Dashboard_Supplier.location"]["search"] = array("table" => "Purchase_Order_Dashboard_Supplier", "field" => "location", "page" => "search");
	$lookupTableLinks["discounts"]["Purchase_Order_Dashboard_Supplier.discount_type"]["search"] = array("table" => "Purchase_Order_Dashboard_Supplier", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["projects"]["Purchase_Order_Dashboard_Supplier.project"]["search"] = array("table" => "Purchase_Order_Dashboard_Supplier", "field" => "project", "page" => "search");
	$lookupTableLinks["currency"]["Purchase_Order_Dashboard_Supplier.currecy"]["search"] = array("table" => "Purchase_Order_Dashboard_Supplier", "field" => "currecy", "page" => "search");
	$lookupTableLinks["phase"]["Purchase_Order_Dashboard_Supplier.phase"]["search"] = array("table" => "Purchase_Order_Dashboard_Supplier", "field" => "phase", "page" => "search");
	$lookupTableLinks["approver_list"]["Purchase_Order_Dashboard_Supplier.approved_by"]["search"] = array("table" => "Purchase_Order_Dashboard_Supplier", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Purchase_Order_Dashboard_Supplier.checked_by"]["search"] = array("table" => "Purchase_Order_Dashboard_Supplier", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Purchase_Order_Dashboard_Supplier.prepared_by"]["search"] = array("table" => "Purchase_Order_Dashboard_Supplier", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Purchase_Order_Dashboard_Supplier.modified_by"]["search"] = array("table" => "Purchase_Order_Dashboard_Supplier", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["business_partner"]["Purchase_Dashboard_Supplier.Business_Partner"]["search"] = array("table" => "Purchase_Dashboard_Supplier", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Purchase_Dashboard_Supplier.Payable_Account"]["search"] = array("table" => "Purchase_Dashboard_Supplier", "field" => "Payable_Account", "page" => "search");
	$lookupTableLinks["credit_terms"]["Purchase_Dashboard_Supplier.Terms"]["search"] = array("table" => "Purchase_Dashboard_Supplier", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Purchase_Dashboard_Supplier.Cost_Center"]["search"] = array("table" => "Purchase_Dashboard_Supplier", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Purchase_Dashboard_Supplier.Shipping_Terms"]["search"] = array("table" => "Purchase_Dashboard_Supplier", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Purchase_Dashboard_Supplier.Discount_Account"]["search"] = array("table" => "Purchase_Dashboard_Supplier", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Purchase_Dashboard_Supplier.VAT_Account"]["search"] = array("table" => "Purchase_Dashboard_Supplier", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Purchase_Dashboard_Supplier.EWT_Account"]["search"] = array("table" => "Purchase_Dashboard_Supplier", "field" => "EWT_Account", "page" => "search");
	$lookupTableLinks["ewt"]["Purchase_Dashboard_Supplier.atc"]["search"] = array("table" => "Purchase_Dashboard_Supplier", "field" => "atc", "page" => "search");
	$lookupTableLinks["purchase_order_receiving_import"]["Purchase_Dashboard_Supplier.ref_no"]["search"] = array("table" => "Purchase_Dashboard_Supplier", "field" => "ref_no", "page" => "search");
	$lookupTableLinks["location"]["Purchase_Dashboard_Supplier.location"]["search"] = array("table" => "Purchase_Dashboard_Supplier", "field" => "location", "page" => "search");
	$lookupTableLinks["discounts"]["Purchase_Dashboard_Supplier.discount_type"]["search"] = array("table" => "Purchase_Dashboard_Supplier", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["projects"]["Purchase_Dashboard_Supplier.project"]["search"] = array("table" => "Purchase_Dashboard_Supplier", "field" => "project", "page" => "search");
	$lookupTableLinks["currency"]["Purchase_Dashboard_Supplier.currecy"]["search"] = array("table" => "Purchase_Dashboard_Supplier", "field" => "currecy", "page" => "search");
	$lookupTableLinks["phase"]["Purchase_Dashboard_Supplier.phase"]["search"] = array("table" => "Purchase_Dashboard_Supplier", "field" => "phase", "page" => "search");
	$lookupTableLinks["approver_list"]["Purchase_Dashboard_Supplier.approved_by"]["search"] = array("table" => "Purchase_Dashboard_Supplier", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Purchase_Dashboard_Supplier.checked_by"]["search"] = array("table" => "Purchase_Dashboard_Supplier", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Purchase_Dashboard_Supplier.prepared_by"]["search"] = array("table" => "Purchase_Dashboard_Supplier", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Purchase_Dashboard_Supplier.modified_by"]["search"] = array("table" => "Purchase_Dashboard_Supplier", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["business_partner"]["Cash_Disbursement_Dashboard_Supplier.Business_Partner"]["search"] = array("table" => "Cash_Disbursement_Dashboard_Supplier", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Cash_Disbursement_Dashboard_Supplier.Cash_Account"]["search"] = array("table" => "Cash_Disbursement_Dashboard_Supplier", "field" => "Cash_Account", "page" => "search");
	$lookupTableLinks["cost_center"]["Cash_Disbursement_Dashboard_Supplier.Cost_Center"]["search"] = array("table" => "Cash_Disbursement_Dashboard_Supplier", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Cash_Disbursement_Dashboard_Supplier.Shipping_Terms"]["search"] = array("table" => "Cash_Disbursement_Dashboard_Supplier", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Cash_Disbursement_Dashboard_Supplier.Discount_Account"]["search"] = array("table" => "Cash_Disbursement_Dashboard_Supplier", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Cash_Disbursement_Dashboard_Supplier.VAT_Account"]["search"] = array("table" => "Cash_Disbursement_Dashboard_Supplier", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Cash_Disbursement_Dashboard_Supplier.EWT_Account"]["search"] = array("table" => "Cash_Disbursement_Dashboard_Supplier", "field" => "EWT_Account", "page" => "search");
	$lookupTableLinks["ewt"]["Cash_Disbursement_Dashboard_Supplier.atc"]["search"] = array("table" => "Cash_Disbursement_Dashboard_Supplier", "field" => "atc", "page" => "search");
	$lookupTableLinks["bank"]["Cash_Disbursement_Dashboard_Supplier.bank"]["search"] = array("table" => "Cash_Disbursement_Dashboard_Supplier", "field" => "bank", "page" => "search");
	$lookupTableLinks["location"]["Cash_Disbursement_Dashboard_Supplier.location"]["search"] = array("table" => "Cash_Disbursement_Dashboard_Supplier", "field" => "location", "page" => "search");
	$lookupTableLinks["discounts"]["Cash_Disbursement_Dashboard_Supplier.discount_type"]["search"] = array("table" => "Cash_Disbursement_Dashboard_Supplier", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["projects"]["Cash_Disbursement_Dashboard_Supplier.project"]["search"] = array("table" => "Cash_Disbursement_Dashboard_Supplier", "field" => "project", "page" => "search");
	$lookupTableLinks["currency"]["Cash_Disbursement_Dashboard_Supplier.currecy"]["search"] = array("table" => "Cash_Disbursement_Dashboard_Supplier", "field" => "currecy", "page" => "search");
	$lookupTableLinks["phase"]["Cash_Disbursement_Dashboard_Supplier.phase"]["search"] = array("table" => "Cash_Disbursement_Dashboard_Supplier", "field" => "phase", "page" => "search");
	$lookupTableLinks["approver_list"]["Cash_Disbursement_Dashboard_Supplier.checked_by"]["search"] = array("table" => "Cash_Disbursement_Dashboard_Supplier", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Cash_Disbursement_Dashboard_Supplier.approved_by"]["search"] = array("table" => "Cash_Disbursement_Dashboard_Supplier", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["system_user"]["Cash_Disbursement_Dashboard_Supplier.prepared_by"]["search"] = array("table" => "Cash_Disbursement_Dashboard_Supplier", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["debit_memo"]["Cash_Disbursement_Dashboard_Supplier.debit_memo_refs"]["search"] = array("table" => "Cash_Disbursement_Dashboard_Supplier", "field" => "debit_memo_refs", "page" => "search");
	$lookupTableLinks["system_user"]["Cash_Disbursement_Dashboard_Supplier.modified_by"]["search"] = array("table" => "Cash_Disbursement_Dashboard_Supplier", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["payment_method"]["Cash_Disbursement_Dashboard_Supplier.payment_method"]["search"] = array("table" => "Cash_Disbursement_Dashboard_Supplier", "field" => "payment_method", "page" => "search");
	$lookupTableLinks["business_partner"]["Debit_Memo_Dashboard_Supplier.Business_Partner"]["search"] = array("table" => "Debit_Memo_Dashboard_Supplier", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Debit_Memo_Dashboard_Supplier.Payable_Account"]["search"] = array("table" => "Debit_Memo_Dashboard_Supplier", "field" => "Payable_Account", "page" => "search");
	$lookupTableLinks["cost_center"]["Debit_Memo_Dashboard_Supplier.Cost_Center"]["search"] = array("table" => "Debit_Memo_Dashboard_Supplier", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Debit_Memo_Dashboard_Supplier.Discount_Account"]["search"] = array("table" => "Debit_Memo_Dashboard_Supplier", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Debit_Memo_Dashboard_Supplier.VAT_Account"]["search"] = array("table" => "Debit_Memo_Dashboard_Supplier", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["purchase_order_receiving"]["Debit_Memo_Dashboard_Supplier.ref_no"]["search"] = array("table" => "Debit_Memo_Dashboard_Supplier", "field" => "ref_no", "page" => "search");
	$lookupTableLinks["location"]["Debit_Memo_Dashboard_Supplier.location"]["search"] = array("table" => "Debit_Memo_Dashboard_Supplier", "field" => "location", "page" => "search");
	$lookupTableLinks["discounts"]["Debit_Memo_Dashboard_Supplier.discount_type"]["search"] = array("table" => "Debit_Memo_Dashboard_Supplier", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["projects"]["Debit_Memo_Dashboard_Supplier.project"]["search"] = array("table" => "Debit_Memo_Dashboard_Supplier", "field" => "project", "page" => "search");
	$lookupTableLinks["currency"]["Debit_Memo_Dashboard_Supplier.currecy"]["search"] = array("table" => "Debit_Memo_Dashboard_Supplier", "field" => "currecy", "page" => "search");
	$lookupTableLinks["phase"]["Debit_Memo_Dashboard_Supplier.phase"]["search"] = array("table" => "Debit_Memo_Dashboard_Supplier", "field" => "phase", "page" => "search");
	$lookupTableLinks["approver_list"]["Debit_Memo_Dashboard_Supplier.approved_by"]["search"] = array("table" => "Debit_Memo_Dashboard_Supplier", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Debit_Memo_Dashboard_Supplier.checked_by"]["search"] = array("table" => "Debit_Memo_Dashboard_Supplier", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Debit_Memo_Dashboard_Supplier.prepared_by"]["search"] = array("table" => "Debit_Memo_Dashboard_Supplier", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Debit_Memo_Dashboard_Supplier.modified_by"]["search"] = array("table" => "Debit_Memo_Dashboard_Supplier", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["employee_list"]["Purchase_Request_Dashboard_Item1.Business_Partner"]["search"] = array("table" => "Purchase_Request_Dashboard_Item", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Purchase_Request_Dashboard_Item1.Terms"]["search"] = array("table" => "Purchase_Request_Dashboard_Item", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Purchase_Request_Dashboard_Item1.Cost_Center"]["search"] = array("table" => "Purchase_Request_Dashboard_Item", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Purchase_Request_Dashboard_Item1.Shipping_Terms"]["search"] = array("table" => "Purchase_Request_Dashboard_Item", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Purchase_Request_Dashboard_Item1.Discount_Account"]["search"] = array("table" => "Purchase_Request_Dashboard_Item", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Purchase_Request_Dashboard_Item1.VAT_Account"]["search"] = array("table" => "Purchase_Request_Dashboard_Item", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["location"]["Purchase_Request_Dashboard_Item1.location"]["search"] = array("table" => "Purchase_Request_Dashboard_Item", "field" => "location", "page" => "search");
	$lookupTableLinks["discounts"]["Purchase_Request_Dashboard_Item1.discount_type"]["search"] = array("table" => "Purchase_Request_Dashboard_Item", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["projects"]["Purchase_Request_Dashboard_Item1.project"]["search"] = array("table" => "Purchase_Request_Dashboard_Item", "field" => "project", "page" => "search");
	$lookupTableLinks["currency"]["Purchase_Request_Dashboard_Item1.currecy"]["search"] = array("table" => "Purchase_Request_Dashboard_Item", "field" => "currecy", "page" => "search");
	$lookupTableLinks["phase"]["Purchase_Request_Dashboard_Item1.phase"]["search"] = array("table" => "Purchase_Request_Dashboard_Item", "field" => "phase", "page" => "search");
	$lookupTableLinks["approver_list"]["Purchase_Request_Dashboard_Item1.approved_by"]["search"] = array("table" => "Purchase_Request_Dashboard_Item", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Purchase_Request_Dashboard_Item1.checked_by"]["search"] = array("table" => "Purchase_Request_Dashboard_Item", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Purchase_Request_Dashboard_Item1.prepared_by"]["search"] = array("table" => "Purchase_Request_Dashboard_Item", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Purchase_Request_Dashboard_Item1.modified_by"]["search"] = array("table" => "Purchase_Request_Dashboard_Item", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["Suppliers"]["Purchase_Order_Dashboard_Item.Business_Partner"]["search"] = array("table" => "Purchase_Order_Dashboard_Item", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Purchase_Order_Dashboard_Item.Terms"]["search"] = array("table" => "Purchase_Order_Dashboard_Item", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Purchase_Order_Dashboard_Item.Cost_Center"]["search"] = array("table" => "Purchase_Order_Dashboard_Item", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Purchase_Order_Dashboard_Item.Shipping_Terms"]["search"] = array("table" => "Purchase_Order_Dashboard_Item", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Purchase_Order_Dashboard_Item.Discount_Account"]["search"] = array("table" => "Purchase_Order_Dashboard_Item", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Purchase_Order_Dashboard_Item.VAT_Account"]["search"] = array("table" => "Purchase_Order_Dashboard_Item", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["purchase_request"]["Purchase_Order_Dashboard_Item.ref_no"]["search"] = array("table" => "Purchase_Order_Dashboard_Item", "field" => "ref_no", "page" => "search");
	$lookupTableLinks["location"]["Purchase_Order_Dashboard_Item.location"]["search"] = array("table" => "Purchase_Order_Dashboard_Item", "field" => "location", "page" => "search");
	$lookupTableLinks["discounts"]["Purchase_Order_Dashboard_Item.discount_type"]["search"] = array("table" => "Purchase_Order_Dashboard_Item", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["projects"]["Purchase_Order_Dashboard_Item.project"]["search"] = array("table" => "Purchase_Order_Dashboard_Item", "field" => "project", "page" => "search");
	$lookupTableLinks["currency"]["Purchase_Order_Dashboard_Item.currecy"]["search"] = array("table" => "Purchase_Order_Dashboard_Item", "field" => "currecy", "page" => "search");
	$lookupTableLinks["phase"]["Purchase_Order_Dashboard_Item.phase"]["search"] = array("table" => "Purchase_Order_Dashboard_Item", "field" => "phase", "page" => "search");
	$lookupTableLinks["approver_list"]["Purchase_Order_Dashboard_Item.approved_by"]["search"] = array("table" => "Purchase_Order_Dashboard_Item", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Purchase_Order_Dashboard_Item.checked_by"]["search"] = array("table" => "Purchase_Order_Dashboard_Item", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Purchase_Order_Dashboard_Item.prepared_by"]["search"] = array("table" => "Purchase_Order_Dashboard_Item", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Purchase_Order_Dashboard_Item.modified_by"]["search"] = array("table" => "Purchase_Order_Dashboard_Item", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["business_partner"]["Purchase_Order_Receiving_Dashboard_Item.Business_Partner"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Item", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Purchase_Order_Receiving_Dashboard_Item.Payable_Account"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Item", "field" => "Payable_Account", "page" => "search");
	$lookupTableLinks["credit_terms"]["Purchase_Order_Receiving_Dashboard_Item.Terms"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Item", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Purchase_Order_Receiving_Dashboard_Item.Cost_Center"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Item", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Purchase_Order_Receiving_Dashboard_Item.Shipping_Terms"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Item", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Purchase_Order_Receiving_Dashboard_Item.Discount_Account"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Item", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Purchase_Order_Receiving_Dashboard_Item.VAT_Account"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Item", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["purchase_order_import"]["Purchase_Order_Receiving_Dashboard_Item.ref_no"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Item", "field" => "ref_no", "page" => "search");
	$lookupTableLinks["location"]["Purchase_Order_Receiving_Dashboard_Item.location"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Item", "field" => "location", "page" => "search");
	$lookupTableLinks["discounts"]["Purchase_Order_Receiving_Dashboard_Item.discount_type"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Item", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["projects"]["Purchase_Order_Receiving_Dashboard_Item.project"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Item", "field" => "project", "page" => "search");
	$lookupTableLinks["currency"]["Purchase_Order_Receiving_Dashboard_Item.currecy"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Item", "field" => "currecy", "page" => "search");
	$lookupTableLinks["phase"]["Purchase_Order_Receiving_Dashboard_Item.phase"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Item", "field" => "phase", "page" => "search");
	$lookupTableLinks["approver_list"]["Purchase_Order_Receiving_Dashboard_Item.approved_by"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Item", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Purchase_Order_Receiving_Dashboard_Item.checked_by"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Item", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Purchase_Order_Receiving_Dashboard_Item.prepared_by"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Item", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Purchase_Order_Receiving_Dashboard_Item.modified_by"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Item", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["business_partner"]["Production_Dashboard_Item.Business_Partner"]["search"] = array("table" => "Production_Dashboard_Item", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["cost_center"]["Production_Dashboard_Item.Cost_Center"]["search"] = array("table" => "Production_Dashboard_Item", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["production_request"]["Production_Dashboard_Item.ref_no"]["search"] = array("table" => "Production_Dashboard_Item", "field" => "ref_no", "page" => "search");
	$lookupTableLinks["location"]["Production_Dashboard_Item.location"]["search"] = array("table" => "Production_Dashboard_Item", "field" => "location", "page" => "search");
	$lookupTableLinks["approver_list"]["Production_Dashboard_Item.approved_by"]["search"] = array("table" => "Production_Dashboard_Item", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Production_Dashboard_Item.checked_by"]["search"] = array("table" => "Production_Dashboard_Item", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Production_Dashboard_Item.prepared_by"]["search"] = array("table" => "Production_Dashboard_Item", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Production_Dashboard_Item.modified_by"]["search"] = array("table" => "Production_Dashboard_Item", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["Customers"]["sub_contract_for_approval.Business_Partner"]["edit"] = array("table" => "sub_contract_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sub_contract_for_approval.Receivable_Account"]["edit"] = array("table" => "sub_contract_for_approval", "field" => "Receivable_Account", "page" => "edit");
	$lookupTableLinks["credit_terms"]["sub_contract_for_approval.Terms"]["edit"] = array("table" => "sub_contract_for_approval", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["sub_contract_for_approval.sales_rep"]["edit"] = array("table" => "sub_contract_for_approval", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["sub_contract_for_approval.currency"]["edit"] = array("table" => "sub_contract_for_approval", "field" => "currency", "page" => "edit");
	$lookupTableLinks["system_user"]["sub_contract_for_approval.prepared_by"]["edit"] = array("table" => "sub_contract_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["sub_contract_for_approval.checked_by"]["edit"] = array("table" => "sub_contract_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["sub_contract_for_approval.approved_by"]["edit"] = array("table" => "sub_contract_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["sub_contract_for_approval.modified_by"]["edit"] = array("table" => "sub_contract_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["Customers"]["sub_contract_for_checking.Business_Partner"]["edit"] = array("table" => "sub_contract_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sub_contract_for_checking.Receivable_Account"]["edit"] = array("table" => "sub_contract_for_checking", "field" => "Receivable_Account", "page" => "edit");
	$lookupTableLinks["credit_terms"]["sub_contract_for_checking.Terms"]["edit"] = array("table" => "sub_contract_for_checking", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["sub_contract_for_checking.sales_rep"]["edit"] = array("table" => "sub_contract_for_checking", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["sub_contract_for_checking.currency"]["edit"] = array("table" => "sub_contract_for_checking", "field" => "currency", "page" => "edit");
	$lookupTableLinks["system_user"]["sub_contract_for_checking.prepared_by"]["edit"] = array("table" => "sub_contract_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["sub_contract_for_checking.checked_by"]["edit"] = array("table" => "sub_contract_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["sub_contract_for_checking.approved_by"]["edit"] = array("table" => "sub_contract_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["sub_contract_for_checking.modified_by"]["edit"] = array("table" => "sub_contract_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["sub_contract_detail_for_approval.Item"]["edit"] = array("table" => "sub_contract_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["sub_contract_detail_for_checking.Item"]["edit"] = array("table" => "sub_contract_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["system_user"]["budget_for_approval.checked_by"]["edit"] = array("table" => "budget_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["budget_for_approval.approved_by"]["edit"] = array("table" => "budget_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["budget_for_checking.checked_by"]["edit"] = array("table" => "budget_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["budget_for_checking.approved_by"]["edit"] = array("table" => "budget_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["budget_detail_for_checking.account"]["edit"] = array("table" => "budget_detail_for_checking", "field" => "account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["budget_detail_for_approval.account"]["edit"] = array("table" => "budget_detail_for_approval", "field" => "account", "page" => "edit");
	$lookupTableLinks["201"]["undertime_for_approval.employee"]["edit"] = array("table" => "undertime_for_approval", "field" => "employee", "page" => "edit");
	$lookupTableLinks["approver_list"]["undertime_for_approval.approved_by"]["edit"] = array("table" => "undertime_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["undertime_for_approval.checked_by"]["edit"] = array("table" => "undertime_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["201"]["undertime_for_checking.employee"]["edit"] = array("table" => "undertime_for_checking", "field" => "employee", "page" => "edit");
	$lookupTableLinks["approver_list"]["undertime_for_checking.approved_by"]["edit"] = array("table" => "undertime_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["undertime_for_checking.checked_by"]["edit"] = array("table" => "undertime_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["business_partner"]["request_for_payment_for_approval.Business_Partner"]["edit"] = array("table" => "request_for_payment_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["cost_center"]["request_for_payment_for_approval.Cost_Center"]["edit"] = array("table" => "request_for_payment_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["request_for_payment_for_approval.location"]["edit"] = array("table" => "request_for_payment_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["projects"]["request_for_payment_for_approval.project"]["edit"] = array("table" => "request_for_payment_for_approval", "field" => "project", "page" => "edit");
	$lookupTableLinks["currency"]["request_for_payment_for_approval.currecy"]["edit"] = array("table" => "request_for_payment_for_approval", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["request_for_payment_for_approval.phase"]["edit"] = array("table" => "request_for_payment_for_approval", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["request_for_payment_for_approval.approved_by"]["edit"] = array("table" => "request_for_payment_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["request_for_payment_for_approval.checked_by"]["edit"] = array("table" => "request_for_payment_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["business_partner"]["request_for_payment_for_checking.Business_Partner"]["edit"] = array("table" => "request_for_payment_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["cost_center"]["request_for_payment_for_checking.Cost_Center"]["edit"] = array("table" => "request_for_payment_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["request_for_payment_for_checking.location"]["edit"] = array("table" => "request_for_payment_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["projects"]["request_for_payment_for_checking.project"]["edit"] = array("table" => "request_for_payment_for_checking", "field" => "project", "page" => "edit");
	$lookupTableLinks["currency"]["request_for_payment_for_checking.currecy"]["edit"] = array("table" => "request_for_payment_for_checking", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["request_for_payment_for_checking.phase"]["edit"] = array("table" => "request_for_payment_for_checking", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["request_for_payment_for_checking.approved_by"]["edit"] = array("table" => "request_for_payment_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["request_for_payment_for_checking.checked_by"]["edit"] = array("table" => "request_for_payment_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["item"]["request_for_payment_detail_for_approval.Item"]["edit"] = array("table" => "request_for_payment_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["request_for_payment_detail_for_approval.Account"]["edit"] = array("table" => "request_for_payment_detail_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["request_for_payment_detail_for_approval.Description"]["edit"] = array("table" => "request_for_payment_detail_for_approval", "field" => "Description", "page" => "edit");
	$lookupTableLinks["uom"]["request_for_payment_detail_for_approval.um"]["edit"] = array("table" => "request_for_payment_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["Suppliers"]["request_for_payment_detail_for_approval.supplier1"]["edit"] = array("table" => "request_for_payment_detail_for_approval", "field" => "supplier1", "page" => "edit");
	$lookupTableLinks["Suppliers"]["request_for_payment_detail_for_approval.supplier2"]["edit"] = array("table" => "request_for_payment_detail_for_approval", "field" => "supplier2", "page" => "edit");
	$lookupTableLinks["Suppliers"]["request_for_payment_detail_for_approval.supplier3"]["edit"] = array("table" => "request_for_payment_detail_for_approval", "field" => "supplier3", "page" => "edit");
	$lookupTableLinks["item"]["request_for_payment_detail_for_checking.Item"]["edit"] = array("table" => "request_for_payment_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["request_for_payment_detail_for_checking.Account"]["edit"] = array("table" => "request_for_payment_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["request_for_payment_detail_for_checking.Description"]["edit"] = array("table" => "request_for_payment_detail_for_checking", "field" => "Description", "page" => "edit");
	$lookupTableLinks["uom"]["request_for_payment_detail_for_checking.um"]["edit"] = array("table" => "request_for_payment_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["Suppliers"]["request_for_payment_detail_for_checking.supplier1"]["edit"] = array("table" => "request_for_payment_detail_for_checking", "field" => "supplier1", "page" => "edit");
	$lookupTableLinks["Suppliers"]["request_for_payment_detail_for_checking.supplier2"]["edit"] = array("table" => "request_for_payment_detail_for_checking", "field" => "supplier2", "page" => "edit");
	$lookupTableLinks["Suppliers"]["request_for_payment_detail_for_checking.supplier3"]["edit"] = array("table" => "request_for_payment_detail_for_checking", "field" => "supplier3", "page" => "edit");
	$lookupTableLinks["ppe_list"]["repairs_and_maintenance_for_approval.asset_no"]["edit"] = array("table" => "repairs_and_maintenance_for_approval", "field" => "asset_no", "page" => "edit");
	$lookupTableLinks["vehicle"]["repairs_and_maintenance_for_approval.model"]["edit"] = array("table" => "repairs_and_maintenance_for_approval", "field" => "model", "page" => "edit");
	$lookupTableLinks["ppe_list"]["repairs_and_maintenance_for_checking.asset_no"]["edit"] = array("table" => "repairs_and_maintenance_for_checking", "field" => "asset_no", "page" => "edit");
	$lookupTableLinks["vehicle"]["repairs_and_maintenance_for_checking.model"]["edit"] = array("table" => "repairs_and_maintenance_for_checking", "field" => "model", "page" => "edit");
	$lookupTableLinks["system_user"]["Disposal_for_checking.prepared_by"]["edit"] = array("table" => "Disposal_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Disposal_for_checking.modified_by"]["edit"] = array("table" => "Disposal_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["campaign_type"]["Active_campaign_report.type"]["search"] = array("table" => "Active_campaign_report", "field" => "type", "page" => "search");
	$lookupTableLinks["system_user"]["Active_campaign_report.created_by"]["search"] = array("table" => "Active_campaign_report", "field" => "created_by", "page" => "search");
	$lookupTableLinks["system_user"]["Active_campaign_report.modified_by"]["search"] = array("table" => "Active_campaign_report", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["Customers"]["For_Billing_report.Business_Partner"]["search"] = array("table" => "For_Billing_report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["For_Billing_report.Terms"]["search"] = array("table" => "For_Billing_report", "field" => "Terms", "page" => "search");
	$lookupTableLinks["Customers"]["sales_order_for_project_mngmt.Business_Partner"]["search"] = array("table" => "sales_order_for_project_mngmt", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["sales_order_for_project_mngmt.Terms"]["search"] = array("table" => "sales_order_for_project_mngmt", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["sales_order_for_project_mngmt.Cost_Center"]["search"] = array("table" => "sales_order_for_project_mngmt", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["sales_order_for_project_mngmt.sales_rep"]["search"] = array("table" => "sales_order_for_project_mngmt", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["item"]["inventory_transfer_cost_detail.Item"]["edit"] = array("table" => "inventory_transfer_cost_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["inventory_transfer_cost_detail.Account"]["edit"] = array("table" => "inventory_transfer_cost_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["inventory_transfer_cost_detail.Description"]["edit"] = array("table" => "inventory_transfer_cost_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["cost_center"]["inventory_transfer_cost_detail.Cost_Center"]["edit"] = array("table" => "inventory_transfer_cost_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["item"]["Inventory_per_Cost_center_Report.Item"]["search"] = array("table" => "Inventory_per_Cost_center_Report", "field" => "Item", "page" => "search");
	$lookupTableLinks["cost_center"]["Inventory_per_Cost_center_Report.Cost_Center"]["search"] = array("table" => "Inventory_per_Cost_center_Report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["bank"]["Deposit_Report.bank"]["search"] = array("table" => "Deposit_Report", "field" => "bank", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Deposit_Report.cash_account"]["search"] = array("table" => "Deposit_Report", "field" => "cash_account", "page" => "search");
	$lookupTableLinks["cost_center"]["Deposit_Report.center"]["search"] = array("table" => "Deposit_Report", "field" => "center", "page" => "search");
	$lookupTableLinks["approver_list"]["Deposit_Report.checked_by"]["search"] = array("table" => "Deposit_Report", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Deposit_Report.approved_by"]["search"] = array("table" => "Deposit_Report", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["system_user"]["Deposit_Report.modified_by"]["search"] = array("table" => "Deposit_Report", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["system_user"]["Deposit_Report.prepared_by"]["search"] = array("table" => "Deposit_Report", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["Customers"]["SO_for_Billing_Report.Business_Partner"]["search"] = array("table" => "SO_for_Billing_Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["SO_for_Billing_Report.Terms"]["search"] = array("table" => "SO_for_Billing_Report", "field" => "Terms", "page" => "search");
	$lookupTableLinks["Customers"]["Billing_due_dates_Report.Business_Partner"]["search"] = array("table" => "Billing_due_dates_Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["credit_terms"]["Billing_due_dates_Report.Terms"]["search"] = array("table" => "Billing_due_dates_Report", "field" => "Terms", "page" => "search");
	$lookupTableLinks["accessories"]["Packing_List_Report.accessories"]["search"] = array("table" => "Packing_List_Report", "field" => "accessories", "page" => "search");
	$lookupTableLinks["vehicle"]["Open_Trip_Ticket_Report.vehicle_no"]["search"] = array("table" => "Open_Trip_Ticket_Report", "field" => "vehicle_no", "page" => "search");
	$lookupTableLinks["business_partner"]["Open_Trip_Ticket_Report.business_partner"]["search"] = array("table" => "Open_Trip_Ticket_Report", "field" => "business_partner", "page" => "search");
	$lookupTableLinks["approver_list"]["Open_Trip_Ticket_Report.approved_by"]["search"] = array("table" => "Open_Trip_Ticket_Report", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Open_Trip_Ticket_Report.checked_by"]["search"] = array("table" => "Open_Trip_Ticket_Report", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Open_Trip_Ticket_Report.prepared_by"]["search"] = array("table" => "Open_Trip_Ticket_Report", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Open_Trip_Ticket_Report.modified_by"]["search"] = array("table" => "Open_Trip_Ticket_Report", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["cost_center"]["Transfer_Report.Cost_Center"]["search"] = array("table" => "Transfer_Report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["cost_center"]["Transfer_Report.destination_cost_center"]["search"] = array("table" => "Transfer_Report", "field" => "destination_cost_center", "page" => "search");
	$lookupTableLinks["item"]["Open_Case_Report_s.item"]["search"] = array("table" => "Open_Case_Report_s", "field" => "item", "page" => "search");
	$lookupTableLinks["sales"]["Open_Case_Report_s.invoice_no"]["search"] = array("table" => "Open_Case_Report_s", "field" => "invoice_no", "page" => "search");
	$lookupTableLinks["area"]["Open_Case_Report_s.area"]["search"] = array("table" => "Open_Case_Report_s", "field" => "area", "page" => "search");
	$lookupTableLinks["service_center"]["Open_Case_Report_s.service_center"]["search"] = array("table" => "Open_Case_Report_s", "field" => "service_center", "page" => "search");
	$lookupTableLinks["business_partner"]["Open_Case_Report_s.client"]["search"] = array("table" => "Open_Case_Report_s", "field" => "client", "page" => "search");
	$lookupTableLinks["Customers"]["Sales_Order_per_Campaign_Report_marketing.Business_Partner"]["search"] = array("table" => "Sales_Order_per_Campaign_Report_marketing", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["Customers"]["Sales_per_campaign_Report_marketing.Business_Partner"]["search"] = array("table" => "Sales_per_campaign_Report_marketing", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Sales_per_campaign_Report_marketing.sales_rep"]["search"] = array("table" => "Sales_per_campaign_Report_marketing", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["bank"]["Deposit_in_transit_Report.bank"]["search"] = array("table" => "Deposit_in_transit_Report", "field" => "bank", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Deposit_in_transit_Report.cash_account"]["search"] = array("table" => "Deposit_in_transit_Report", "field" => "cash_account", "page" => "search");
	$lookupTableLinks["cost_center"]["Deposit_in_transit_Report.center"]["search"] = array("table" => "Deposit_in_transit_Report", "field" => "center", "page" => "search");
	$lookupTableLinks["approver_list"]["Deposit_in_transit_Report.checked_by"]["search"] = array("table" => "Deposit_in_transit_Report", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Deposit_in_transit_Report.approved_by"]["search"] = array("table" => "Deposit_in_transit_Report", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["system_user"]["Deposit_in_transit_Report.modified_by"]["search"] = array("table" => "Deposit_in_transit_Report", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["system_user"]["Deposit_in_transit_Report.prepared_by"]["search"] = array("table" => "Deposit_in_transit_Report", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["business_partner"]["Outstanding_Checks_Report.Business_Partner"]["search"] = array("table" => "Outstanding_Checks_Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Outstanding_Checks_Report.Cash_Account"]["search"] = array("table" => "Outstanding_Checks_Report", "field" => "Cash_Account", "page" => "search");
	$lookupTableLinks["cost_center"]["Outstanding_Checks_Report.Cost_Center"]["search"] = array("table" => "Outstanding_Checks_Report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Outstanding_Checks_Report.Shipping_Terms"]["search"] = array("table" => "Outstanding_Checks_Report", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Outstanding_Checks_Report.Discount_Account"]["search"] = array("table" => "Outstanding_Checks_Report", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Outstanding_Checks_Report.VAT_Account"]["search"] = array("table" => "Outstanding_Checks_Report", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Outstanding_Checks_Report.EWT_Account"]["search"] = array("table" => "Outstanding_Checks_Report", "field" => "EWT_Account", "page" => "search");
	$lookupTableLinks["ewt"]["Outstanding_Checks_Report.atc"]["search"] = array("table" => "Outstanding_Checks_Report", "field" => "atc", "page" => "search");
	$lookupTableLinks["bank"]["Outstanding_Checks_Report.bank"]["search"] = array("table" => "Outstanding_Checks_Report", "field" => "bank", "page" => "search");
	$lookupTableLinks["location"]["Outstanding_Checks_Report.location"]["search"] = array("table" => "Outstanding_Checks_Report", "field" => "location", "page" => "search");
	$lookupTableLinks["discounts"]["Outstanding_Checks_Report.discount_type"]["search"] = array("table" => "Outstanding_Checks_Report", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["projects"]["Outstanding_Checks_Report.project"]["search"] = array("table" => "Outstanding_Checks_Report", "field" => "project", "page" => "search");
	$lookupTableLinks["currency"]["Outstanding_Checks_Report.currecy"]["search"] = array("table" => "Outstanding_Checks_Report", "field" => "currecy", "page" => "search");
	$lookupTableLinks["phase"]["Outstanding_Checks_Report.phase"]["search"] = array("table" => "Outstanding_Checks_Report", "field" => "phase", "page" => "search");
	$lookupTableLinks["approver_list"]["Outstanding_Checks_Report.checked_by"]["search"] = array("table" => "Outstanding_Checks_Report", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Outstanding_Checks_Report.approved_by"]["search"] = array("table" => "Outstanding_Checks_Report", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["system_user"]["Outstanding_Checks_Report.prepared_by"]["search"] = array("table" => "Outstanding_Checks_Report", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["debit_memo"]["Outstanding_Checks_Report.debit_memo_refs"]["search"] = array("table" => "Outstanding_Checks_Report", "field" => "debit_memo_refs", "page" => "search");
	$lookupTableLinks["system_user"]["Outstanding_Checks_Report.modified_by"]["search"] = array("table" => "Outstanding_Checks_Report", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["payment_method"]["Outstanding_Checks_Report.payment_method"]["search"] = array("table" => "Outstanding_Checks_Report", "field" => "payment_method", "page" => "search");
	$lookupTableLinks["department"]["Attendance_Report.department"]["search"] = array("table" => "Attendance_Report", "field" => "department", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Followup_Report.Default  Account"]["search"] = array("table" => "Followup_Report", "field" => "Default  Account", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Followup_Report.assigned_to"]["search"] = array("table" => "Followup_Report", "field" => "assigned_to", "page" => "search");
	$lookupTableLinks["area"]["Followup_Report.area"]["search"] = array("table" => "Followup_Report", "field" => "area", "page" => "search");
	$lookupTableLinks["campaign"]["Followup_Report.campaign"]["search"] = array("table" => "Followup_Report", "field" => "campaign", "page" => "search");
	$lookupTableLinks["business_partner_group"]["Followup_Report.group"]["search"] = array("table" => "Followup_Report", "field" => "group", "page" => "search");
	$lookupTableLinks["credit_terms"]["Followup_Report.default_terms"]["search"] = array("table" => "Followup_Report", "field" => "default_terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Followup_Report.cost_center"]["search"] = array("table" => "Followup_Report", "field" => "cost_center", "page" => "search");
	$lookupTableLinks["business_partner"]["Coming_Meeting_Report.account"]["search"] = array("table" => "Coming_Meeting_Report", "field" => "account", "page" => "search");
	$lookupTableLinks["business_partner"]["Coming_Meeting_Report.assigned_to"]["search"] = array("table" => "Coming_Meeting_Report", "field" => "assigned_to", "page" => "search");
	$lookupTableLinks["business_partner"]["Meeting_Report.account"]["search"] = array("table" => "Meeting_Report", "field" => "account", "page" => "search");
	$lookupTableLinks["business_partner"]["Meeting_Report.assigned_to"]["search"] = array("table" => "Meeting_Report", "field" => "assigned_to", "page" => "search");
	$lookupTableLinks["area"]["Next_Action_Report.area"]["search"] = array("table" => "Next_Action_Report", "field" => "area", "page" => "search");
	$lookupTableLinks["campaign"]["Next_Action_Report.campaign"]["search"] = array("table" => "Next_Action_Report", "field" => "campaign", "page" => "search");
	$lookupTableLinks["business_partner"]["Calls_Report.account"]["search"] = array("table" => "Calls_Report", "field" => "account", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Calls_Report.assigned_to"]["search"] = array("table" => "Calls_Report", "field" => "assigned_to", "page" => "search");
	$lookupTableLinks["Customers"]["sales_per_sales_rep_Report.Business_Partner"]["search"] = array("table" => "sales_per_sales_rep_Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["sales_per_sales_rep_Report.Receivable_Account"]["search"] = array("table" => "sales_per_sales_rep_Report", "field" => "Receivable_Account", "page" => "search");
	$lookupTableLinks["credit_terms"]["sales_per_sales_rep_Report.Terms"]["search"] = array("table" => "sales_per_sales_rep_Report", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["sales_per_sales_rep_Report.Cost_Center"]["search"] = array("table" => "sales_per_sales_rep_Report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["sales_per_sales_rep_Report.Shipping_Terms"]["search"] = array("table" => "sales_per_sales_rep_Report", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["sales_per_sales_rep_Report.Discount_Account"]["search"] = array("table" => "sales_per_sales_rep_Report", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["sales_per_sales_rep_Report.VAT_Account"]["search"] = array("table" => "sales_per_sales_rep_Report", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["sales_order"]["sales_per_sales_rep_Report.ref_no"]["search"] = array("table" => "sales_per_sales_rep_Report", "field" => "ref_no", "page" => "search");
	$lookupTableLinks["location"]["sales_per_sales_rep_Report.location"]["search"] = array("table" => "sales_per_sales_rep_Report", "field" => "location", "page" => "search");
	$lookupTableLinks["discounts"]["sales_per_sales_rep_Report.discount_type"]["search"] = array("table" => "sales_per_sales_rep_Report", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["projects"]["sales_per_sales_rep_Report.project"]["search"] = array("table" => "sales_per_sales_rep_Report", "field" => "project", "page" => "search");
	$lookupTableLinks["phase"]["sales_per_sales_rep_Report.phase"]["search"] = array("table" => "sales_per_sales_rep_Report", "field" => "phase", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["sales_per_sales_rep_Report.sales_rep"]["search"] = array("table" => "sales_per_sales_rep_Report", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["currency"]["sales_per_sales_rep_Report.currency"]["search"] = array("table" => "sales_per_sales_rep_Report", "field" => "currency", "page" => "search");
	$lookupTableLinks["system_user"]["sales_per_sales_rep_Report.prepared_by"]["search"] = array("table" => "sales_per_sales_rep_Report", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["approver_list"]["sales_per_sales_rep_Report.checked_by"]["search"] = array("table" => "sales_per_sales_rep_Report", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["approver_list"]["sales_per_sales_rep_Report.approved_by"]["search"] = array("table" => "sales_per_sales_rep_Report", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["system_user"]["sales_per_sales_rep_Report.modified_by"]["search"] = array("table" => "sales_per_sales_rep_Report", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["system_user"]["Withholding_Tax_Collection_List_per_Month_Report.approved_by"]["search"] = array("table" => "Withholding_Tax_Collection_List_per_Month_Report", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["system_user"]["Withholding_Tax_Collection_List_per_Month_Report.checked_by"]["search"] = array("table" => "Withholding_Tax_Collection_List_per_Month_Report", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Withholding_Tax_Collection_List_per_Month_Report.prepared_by"]["search"] = array("table" => "Withholding_Tax_Collection_List_per_Month_Report", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Withholding_Tax_Collection_List_per_Month_Report.modified_by"]["search"] = array("table" => "Withholding_Tax_Collection_List_per_Month_Report", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["item"]["sale_cost_detail.Item"]["edit"] = array("table" => "sale_cost_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sale_cost_detail.Account"]["edit"] = array("table" => "sale_cost_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["sale_cost_detail.Cost_Center"]["edit"] = array("table" => "sale_cost_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["currency"]["currency_exchange_rate.currency"]["edit"] = array("table" => "currency_exchange_rate", "field" => "currency", "page" => "edit");
	$lookupTableLinks["item"]["cash_receipt_cost_detail.Item"]["edit"] = array("table" => "cash_receipt_cost_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["cash_receipt_cost_detail.Account"]["edit"] = array("table" => "cash_receipt_cost_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["cash_receipt_cost_detail.Description"]["edit"] = array("table" => "cash_receipt_cost_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["cost_center"]["cash_receipt_cost_detail.Cost_Center"]["edit"] = array("table" => "cash_receipt_cost_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["item"]["production_cost_detail.Item"]["edit"] = array("table" => "production_cost_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["production_cost_detail.Account"]["edit"] = array("table" => "production_cost_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["production_cost_detail.Cost_Center"]["edit"] = array("table" => "production_cost_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["production_cost_detail.um"]["edit"] = array("table" => "production_cost_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["Customers"]["Quotation_Dashboard.Business_Partner"]["search"] = array("table" => "Quotation_Dashboard", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["cost_center"]["Quotation_Dashboard.Cost_Center"]["search"] = array("table" => "Quotation_Dashboard", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Quotation_Dashboard.Discount_Account"]["search"] = array("table" => "Quotation_Dashboard", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Quotation_Dashboard.VAT_Account"]["search"] = array("table" => "Quotation_Dashboard", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["location"]["Quotation_Dashboard.location"]["search"] = array("table" => "Quotation_Dashboard", "field" => "location", "page" => "search");
	$lookupTableLinks["discounts"]["Quotation_Dashboard.discount_type"]["search"] = array("table" => "Quotation_Dashboard", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Quotation_Dashboard.sales_rep"]["search"] = array("table" => "Quotation_Dashboard", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["currency"]["Quotation_Dashboard.currecy"]["search"] = array("table" => "Quotation_Dashboard", "field" => "currecy", "page" => "search");
	$lookupTableLinks["system_user"]["Quotation_Dashboard.prepared_by"]["search"] = array("table" => "Quotation_Dashboard", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Quotation_Dashboard.checked_by"]["search"] = array("table" => "Quotation_Dashboard", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Quotation_Dashboard.approved_by"]["search"] = array("table" => "Quotation_Dashboard", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["system_user"]["Quotation_Dashboard.modified_by"]["search"] = array("table" => "Quotation_Dashboard", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["Customers"]["Sales_Order_Dashboard.Business_Partner"]["search"] = array("table" => "Sales_Order_Dashboard", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Sales_Order_Dashboard.Receivable_Account"]["search"] = array("table" => "Sales_Order_Dashboard", "field" => "Receivable_Account", "page" => "search");
	$lookupTableLinks["credit_terms"]["Sales_Order_Dashboard.Terms"]["search"] = array("table" => "Sales_Order_Dashboard", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Sales_Order_Dashboard.Cost_Center"]["search"] = array("table" => "Sales_Order_Dashboard", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Sales_Order_Dashboard.Shipping_Terms"]["search"] = array("table" => "Sales_Order_Dashboard", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Sales_Order_Dashboard.Discount_Account"]["search"] = array("table" => "Sales_Order_Dashboard", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Sales_Order_Dashboard.VAT_Account"]["search"] = array("table" => "Sales_Order_Dashboard", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["sales_order"]["Sales_Order_Dashboard.ref_no"]["search"] = array("table" => "Sales_Order_Dashboard", "field" => "ref_no", "page" => "search");
	$lookupTableLinks["location"]["Sales_Order_Dashboard.location"]["search"] = array("table" => "Sales_Order_Dashboard", "field" => "location", "page" => "search");
	$lookupTableLinks["discounts"]["Sales_Order_Dashboard.discount_type"]["search"] = array("table" => "Sales_Order_Dashboard", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["projects"]["Sales_Order_Dashboard.project"]["search"] = array("table" => "Sales_Order_Dashboard", "field" => "project", "page" => "search");
	$lookupTableLinks["phase"]["Sales_Order_Dashboard.phase"]["search"] = array("table" => "Sales_Order_Dashboard", "field" => "phase", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Sales_Order_Dashboard.sales_rep"]["search"] = array("table" => "Sales_Order_Dashboard", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["currency"]["Sales_Order_Dashboard.currency"]["search"] = array("table" => "Sales_Order_Dashboard", "field" => "currency", "page" => "search");
	$lookupTableLinks["system_user"]["Sales_Order_Dashboard.prepared_by"]["search"] = array("table" => "Sales_Order_Dashboard", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Sales_Order_Dashboard.checked_by"]["search"] = array("table" => "Sales_Order_Dashboard", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Sales_Order_Dashboard.approved_by"]["search"] = array("table" => "Sales_Order_Dashboard", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["system_user"]["Sales_Order_Dashboard.modified_by"]["search"] = array("table" => "Sales_Order_Dashboard", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Reimbursement_Dashboard.Business_Partner"]["search"] = array("table" => "Reimbursement_Dashboard", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Reimbursement_Dashboard.Payable_Account"]["search"] = array("table" => "Reimbursement_Dashboard", "field" => "Payable_Account", "page" => "search");
	$lookupTableLinks["cost_center"]["Reimbursement_Dashboard.Cost_Center"]["search"] = array("table" => "Reimbursement_Dashboard", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Reimbursement_Dashboard.Discount_Account"]["search"] = array("table" => "Reimbursement_Dashboard", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Reimbursement_Dashboard.VAT_Account"]["search"] = array("table" => "Reimbursement_Dashboard", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["location"]["Reimbursement_Dashboard.location"]["search"] = array("table" => "Reimbursement_Dashboard", "field" => "location", "page" => "search");
	$lookupTableLinks["system_user"]["Reimbursement_Dashboard.prepared_by"]["search"] = array("table" => "Reimbursement_Dashboard", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Reimbursement_Dashboard.checked_by"]["search"] = array("table" => "Reimbursement_Dashboard", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Reimbursement_Dashboard.approved_by"]["search"] = array("table" => "Reimbursement_Dashboard", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["system_user"]["Reimbursement_Dashboard.modified_by"]["search"] = array("table" => "Reimbursement_Dashboard", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["employee_list"]["Loan_Dashboard.employee"]["search"] = array("table" => "Loan_Dashboard", "field" => "employee", "page" => "search");
	$lookupTableLinks["Types_of_Loan"]["Loan_Dashboard.loan_type"]["search"] = array("table" => "Loan_Dashboard", "field" => "loan_type", "page" => "search");
	$lookupTableLinks["approver_list"]["Loan_Dashboard.checked_by"]["search"] = array("table" => "Loan_Dashboard", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Loan_Dashboard.approved_by"]["search"] = array("table" => "Loan_Dashboard", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["system_user"]["Loan_Dashboard.prepared_by"]["search"] = array("table" => "Loan_Dashboard", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Loan_Dashboard.modified_by"]["search"] = array("table" => "Loan_Dashboard", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["Types_of_leaves"]["Leave_Dashboard.leave_type"]["search"] = array("table" => "Leave_Dashboard", "field" => "leave_type", "page" => "search");
	$lookupTableLinks["approver_list"]["Leave_Dashboard.approved_by"]["search"] = array("table" => "Leave_Dashboard", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["employee_list"]["Over_Time_Dashboard.employee"]["search"] = array("table" => "Over_Time_Dashboard", "field" => "employee", "page" => "search");
	$lookupTableLinks["approver_list"]["Undertime_Dashboard.approved_by"]["search"] = array("table" => "Undertime_Dashboard", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Undertime_Dashboard.checked_by"]["search"] = array("table" => "Undertime_Dashboard", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Undertime_Dashboard.prepared_by"]["search"] = array("table" => "Undertime_Dashboard", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["employee_list"]["Change_Time_Dashboard.employee"]["search"] = array("table" => "Change_Time_Dashboard", "field" => "employee", "page" => "search");
	$lookupTableLinks["approver_list"]["Change_Time_Dashboard.approved_by"]["search"] = array("table" => "Change_Time_Dashboard", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Change_Time_Dashboard.checked_by"]["search"] = array("table" => "Change_Time_Dashboard", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Change_Time_Dashboard.prepared_by"]["search"] = array("table" => "Change_Time_Dashboard", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Change_Time_Dashboard.modified_by"]["search"] = array("table" => "Change_Time_Dashboard", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["Customers"]["lyl_estimate_dr.Business_Partner"]["edit"] = array("table" => "lyl_estimate_dr", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["lyl_estimate_dr.Discount_Account"]["edit"] = array("table" => "lyl_estimate_dr", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["lyl_estimate_dr.VAT_Account"]["edit"] = array("table" => "lyl_estimate_dr", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["lyl_estimate"]["lyl_estimate_dr.ref_no"]["edit"] = array("table" => "lyl_estimate_dr", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["approver_list"]["lyl_estimate_dr.checked_by"]["edit"] = array("table" => "lyl_estimate_dr", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["lyl_estimate_dr.approved_by"]["edit"] = array("table" => "lyl_estimate_dr", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["projects"]["lyl_estimate_dr.project"]["edit"] = array("table" => "lyl_estimate_dr", "field" => "project", "page" => "edit");
	$lookupTableLinks["lyl_estimate_dr"]["lyl_estimate_dr_detail.TXNID"]["edit"] = array("table" => "lyl_estimate_dr_detail", "field" => "TXNID", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail.Item"]["edit"] = array("table" => "lyl_estimate_dr_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["lyl_estimate_dr_detail.Account"]["edit"] = array("table" => "lyl_estimate_dr_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail.Description"]["edit"] = array("table" => "lyl_estimate_dr_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["lyl_estimate_detail"]["lyl_estimate_dr_detail.estimate_detail_id"]["edit"] = array("table" => "lyl_estimate_dr_detail", "field" => "estimate_detail_id", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_accessories.Item"]["edit"] = array("table" => "lyl_estimate_dr_detail_accessories", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_accessories.Description"]["edit"] = array("table" => "lyl_estimate_dr_detail_accessories", "field" => "Description", "page" => "edit");
	$lookupTableLinks["bal_lyl_acc"]["lyl_estimate_dr_detail_accessories.ref_id"]["edit"] = array("table" => "lyl_estimate_dr_detail_accessories", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_aluminum.Item"]["edit"] = array("table" => "lyl_estimate_dr_detail_aluminum", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_aluminum.Description"]["edit"] = array("table" => "lyl_estimate_dr_detail_aluminum", "field" => "Description", "page" => "edit");
	$lookupTableLinks["bal_lyl_allum"]["lyl_estimate_dr_detail_aluminum.ref_id"]["edit"] = array("table" => "lyl_estimate_dr_detail_aluminum", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_e_accessories.Item"]["edit"] = array("table" => "lyl_estimate_dr_detail_e_accessories", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_e_accessories.Description"]["edit"] = array("table" => "lyl_estimate_dr_detail_e_accessories", "field" => "Description", "page" => "edit");
	$lookupTableLinks["bal_lyl_eacc"]["lyl_estimate_dr_detail_e_accessories.ref_id"]["edit"] = array("table" => "lyl_estimate_dr_detail_e_accessories", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_glass.Item"]["edit"] = array("table" => "lyl_estimate_dr_detail_glass", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_glass.Description"]["edit"] = array("table" => "lyl_estimate_dr_detail_glass", "field" => "Description", "page" => "edit");
	$lookupTableLinks["bal_lyl_glass"]["lyl_estimate_dr_detail_glass.ref_id"]["edit"] = array("table" => "lyl_estimate_dr_detail_glass", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["bank"]["check_book_registry.bank"]["edit"] = array("table" => "check_book_registry", "field" => "bank", "page" => "edit");
	$lookupTableLinks["bank"]["check_book_registry_detail.bank"]["edit"] = array("table" => "check_book_registry_detail", "field" => "bank", "page" => "edit");
	$lookupTableLinks["item"]["quotation_detail.Item"]["edit"] = array("table" => "quotation_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["quotation_detail.Account"]["edit"] = array("table" => "quotation_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["quotation_detail.Description"]["edit"] = array("table" => "quotation_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["quotation_detail.VAT_Type"]["edit"] = array("table" => "quotation_detail", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["cost_center"]["quotation_detail.Cost_Center"]["edit"] = array("table" => "quotation_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["projects"]["quotation_detail.lot_no"]["edit"] = array("table" => "quotation_detail", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["uom"]["quotation_detail.um"]["edit"] = array("table" => "quotation_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["Suppliers"]["petty_cash_for_liquidation.Business_Partner"]["search"] = array("table" => "petty_cash_for_liquidation", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["employee_list"]["issue_components.Business_Partner"]["edit"] = array("table" => "issue_components", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["cost_center"]["issue_components.Cost_Center"]["edit"] = array("table" => "issue_components", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["issue_components.location"]["edit"] = array("table" => "issue_components", "field" => "location", "page" => "edit");
	$lookupTableLinks["approver_list"]["issue_components.approved_by"]["edit"] = array("table" => "issue_components", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["issue_components.checked_by"]["edit"] = array("table" => "issue_components", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["issue_components.prepared_by"]["edit"] = array("table" => "issue_components", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["issue_components.modified_by"]["edit"] = array("table" => "issue_components", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["production"]["issue_components.production"]["edit"] = array("table" => "issue_components", "field" => "production", "page" => "edit");
	$lookupTableLinks["projects"]["issue_components.project"]["edit"] = array("table" => "issue_components", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["issue_components.phase"]["edit"] = array("table" => "issue_components", "field" => "phase", "page" => "edit");
	$lookupTableLinks["item"]["issue_components_detail.Item"]["edit"] = array("table" => "issue_components_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["issue_components_detail.Description"]["edit"] = array("table" => "issue_components_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["uom"]["issue_components_detail.um"]["edit"] = array("table" => "issue_components_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["cost_center"]["unbuild_assemblies.Cost_Center"]["edit"] = array("table" => "unbuild_assemblies", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["unbuild_assemblies.location"]["edit"] = array("table" => "unbuild_assemblies", "field" => "location", "page" => "edit");
	$lookupTableLinks["approver_list"]["unbuild_assemblies.approved_by"]["edit"] = array("table" => "unbuild_assemblies", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["unbuild_assemblies.checked_by"]["edit"] = array("table" => "unbuild_assemblies", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["unbuild_assemblies.prepared_by"]["edit"] = array("table" => "unbuild_assemblies", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["unbuild_assemblies.modified_by"]["edit"] = array("table" => "unbuild_assemblies", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["unbuild_assemblies_detail.Item"]["edit"] = array("table" => "unbuild_assemblies_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["unbuild_assemblies_detail.Description"]["edit"] = array("table" => "unbuild_assemblies_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["uom"]["unbuild_assemblies_detail.um"]["edit"] = array("table" => "unbuild_assemblies_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["item"]["demand_plan.item"]["edit"] = array("table" => "demand_plan", "field" => "item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["input_vat_allocation.close_vat_gov_account"]["edit"] = array("table" => "input_vat_allocation", "field" => "close_vat_gov_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["input_vat_allocation.close_exempt_account"]["edit"] = array("table" => "input_vat_allocation", "field" => "close_exempt_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["input_vat_allocation.input_vat_account"]["edit"] = array("table" => "input_vat_allocation", "field" => "input_vat_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["input_vat_allocation.closed_input_sale_to_gov_account"]["edit"] = array("table" => "input_vat_allocation", "field" => "closed_input_sale_to_gov_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["input_vat_allocation.closed_exempt_sale_account"]["edit"] = array("table" => "input_vat_allocation", "field" => "closed_exempt_sale_account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["input_vat_allocation.closed_zero_rated_account"]["edit"] = array("table" => "input_vat_allocation", "field" => "closed_zero_rated_account", "page" => "edit");
	$lookupTableLinks["accessories"]["packing_list_for_checking.accessories"]["edit"] = array("table" => "packing_list_for_checking", "field" => "accessories", "page" => "edit");
	$lookupTableLinks["quality_control"]["packing_list_for_checking.ref_id"]["edit"] = array("table" => "packing_list_for_checking", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["accessories"]["packing_list_for_approval.accessories"]["edit"] = array("table" => "packing_list_for_approval", "field" => "accessories", "page" => "edit");
	$lookupTableLinks["quality_control"]["packing_list_for_approval.ref_id"]["edit"] = array("table" => "packing_list_for_approval", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["packing_list_detail_for_checking.model"]["edit"] = array("table" => "packing_list_detail_for_checking", "field" => "model", "page" => "edit");
	$lookupTableLinks["accessories"]["packing_list_detail_for_checking.accessories"]["edit"] = array("table" => "packing_list_detail_for_checking", "field" => "accessories", "page" => "edit");
	$lookupTableLinks["item"]["packing_list_detail_for_approval.model"]["edit"] = array("table" => "packing_list_detail_for_approval", "field" => "model", "page" => "edit");
	$lookupTableLinks["accessories"]["packing_list_detail_for_approval.accessories"]["edit"] = array("table" => "packing_list_detail_for_approval", "field" => "accessories", "page" => "edit");
	$lookupTableLinks["item"]["disposed_inv_detail.Item"]["edit"] = array("table" => "disposed_inv_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["disposed_inv_detail.Description"]["edit"] = array("table" => "disposed_inv_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["uom"]["disposed_inv_detail.um"]["edit"] = array("table" => "disposed_inv_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["cost_center"]["disposed_inv.Cost_Center"]["edit"] = array("table" => "disposed_inv", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["disposed_inv.location"]["edit"] = array("table" => "disposed_inv", "field" => "location", "page" => "edit");
	$lookupTableLinks["approver_list"]["disposed_inv.approved_by"]["edit"] = array("table" => "disposed_inv", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["disposed_inv.checked_by"]["edit"] = array("table" => "disposed_inv", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["disposed_inv.prepared_by"]["edit"] = array("table" => "disposed_inv", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["disposed_inv.modified_by"]["edit"] = array("table" => "disposed_inv", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["system_user"]["For_Approval_Dashboard.approved_by"]["search"] = array("table" => "For_Approval_Dashboard", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["system_user"]["For_Checking_Dashboard.checked_by"]["search"] = array("table" => "For_Checking_Dashboard", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["area"]["Customer_For_Approval.area"]["search"] = array("table" => "Customer_For_Approval", "field" => "area", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Customer_For_Approval.assigned_to"]["search"] = array("table" => "Customer_For_Approval", "field" => "assigned_to", "page" => "search");
	$lookupTableLinks["campaign"]["Customer_For_Approval.campaign"]["search"] = array("table" => "Customer_For_Approval", "field" => "campaign", "page" => "search");
	$lookupTableLinks["business_partner"]["request_for_payment_report.Business_Partner"]["search"] = array("table" => "request_for_payment_report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["item"]["request_for_payment_report.Item"]["search"] = array("table" => "request_for_payment_report", "field" => "Item", "page" => "search");
	$lookupTableLinks["Customers"]["credit_memo_report.Business_Partner"]["search"] = array("table" => "credit_memo_report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["cost_center"]["credit_memo_report.Cost_Center"]["search"] = array("table" => "credit_memo_report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["Suppliers"]["debit_memo_report.Business_Partner"]["search"] = array("table" => "debit_memo_report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["cost_center"]["debit_memo_report.Cost_Center"]["search"] = array("table" => "debit_memo_report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["cost_center"]["production_request_report.Cost_Center"]["search"] = array("table" => "production_request_report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["approver_list"]["production_request_report.approved_by"]["search"] = array("table" => "production_request_report", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["production_request_report.checked_by"]["search"] = array("table" => "production_request_report", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["production_request_report.prepared_by"]["search"] = array("table" => "production_request_report", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["production_request_report.modified_by"]["search"] = array("table" => "production_request_report", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["Customers"]["approved_sales_order.Business_Partner"]["search"] = array("table" => "approved_sales_order", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["approved_sales_order.Receivable_Account"]["search"] = array("table" => "approved_sales_order", "field" => "Receivable_Account", "page" => "search");
	$lookupTableLinks["credit_terms"]["approved_sales_order.Terms"]["search"] = array("table" => "approved_sales_order", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["approved_sales_order.Cost_Center"]["search"] = array("table" => "approved_sales_order", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["approved_sales_order.Discount_Account"]["search"] = array("table" => "approved_sales_order", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["approved_sales_order.VAT_Account"]["search"] = array("table" => "approved_sales_order", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["quotation"]["approved_sales_order.ref_no"]["search"] = array("table" => "approved_sales_order", "field" => "ref_no", "page" => "search");
	$lookupTableLinks["location"]["approved_sales_order.location"]["search"] = array("table" => "approved_sales_order", "field" => "location", "page" => "search");
	$lookupTableLinks["discounts"]["approved_sales_order.discount_type"]["search"] = array("table" => "approved_sales_order", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["projects"]["approved_sales_order.project"]["search"] = array("table" => "approved_sales_order", "field" => "project", "page" => "search");
	$lookupTableLinks["phase"]["approved_sales_order.phase"]["search"] = array("table" => "approved_sales_order", "field" => "phase", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["approved_sales_order.sales_rep"]["search"] = array("table" => "approved_sales_order", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["currency"]["approved_sales_order.currency"]["search"] = array("table" => "approved_sales_order", "field" => "currency", "page" => "search");
	$lookupTableLinks["system_user"]["approved_sales_order.prepared_by"]["search"] = array("table" => "approved_sales_order", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["approver_list"]["approved_sales_order.checked_by"]["search"] = array("table" => "approved_sales_order", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["approver_list"]["approved_sales_order.approved_by"]["search"] = array("table" => "approved_sales_order", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["system_user"]["approved_sales_order.modified_by"]["search"] = array("table" => "approved_sales_order", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["Suppliers"]["purchase_order_for_receiving.Business_Partner"]["search"] = array("table" => "purchase_order_for_receiving", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["purchase_order_for_receiving.Payable_Account"]["search"] = array("table" => "purchase_order_for_receiving", "field" => "Payable_Account", "page" => "search");
	$lookupTableLinks["credit_terms"]["purchase_order_for_receiving.Terms"]["search"] = array("table" => "purchase_order_for_receiving", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["purchase_order_for_receiving.Cost_Center"]["search"] = array("table" => "purchase_order_for_receiving", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["purchase_order_for_receiving.Shipping_Terms"]["search"] = array("table" => "purchase_order_for_receiving", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["purchase_order_for_receiving.Discount_Account"]["search"] = array("table" => "purchase_order_for_receiving", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["purchase_order_for_receiving.VAT_Account"]["search"] = array("table" => "purchase_order_for_receiving", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["purchase_order"]["purchase_order_for_receiving.ref_no"]["search"] = array("table" => "purchase_order_for_receiving", "field" => "ref_no", "page" => "search");
	$lookupTableLinks["location"]["purchase_order_for_receiving.location"]["search"] = array("table" => "purchase_order_for_receiving", "field" => "location", "page" => "search");
	$lookupTableLinks["discounts"]["purchase_order_for_receiving.discount_type"]["search"] = array("table" => "purchase_order_for_receiving", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["projects"]["purchase_order_for_receiving.project"]["search"] = array("table" => "purchase_order_for_receiving", "field" => "project", "page" => "search");
	$lookupTableLinks["currency"]["purchase_order_for_receiving.currecy"]["search"] = array("table" => "purchase_order_for_receiving", "field" => "currecy", "page" => "search");
	$lookupTableLinks["phase"]["purchase_order_for_receiving.phase"]["search"] = array("table" => "purchase_order_for_receiving", "field" => "phase", "page" => "search");
	$lookupTableLinks["approver_list"]["purchase_order_for_receiving.approved_by"]["search"] = array("table" => "purchase_order_for_receiving", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["purchase_order_for_receiving.checked_by"]["search"] = array("table" => "purchase_order_for_receiving", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["purchase_order_for_receiving.prepared_by"]["search"] = array("table" => "purchase_order_for_receiving", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["purchase_order_for_receiving.modified_by"]["search"] = array("table" => "purchase_order_for_receiving", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["sales_order"]["purchase_order_for_receiving.so_no"]["search"] = array("table" => "purchase_order_for_receiving", "field" => "so_no", "page" => "search");
	$lookupTableLinks["open_qc"]["packing_list.ref_id"]["edit"] = array("table" => "packing_list", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["open_qc"]["packing_list.quality_control"]["edit"] = array("table" => "packing_list", "field" => "quality_control", "page" => "edit");
	$lookupTableLinks["system_user"]["packing_list.prepared_by"]["edit"] = array("table" => "packing_list", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["packing_list.checked_by"]["edit"] = array("table" => "packing_list", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["packing_list.approved_by"]["edit"] = array("table" => "packing_list", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["packing_list.modified_by"]["edit"] = array("table" => "packing_list", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["packing_list_detail.model"]["edit"] = array("table" => "packing_list_detail", "field" => "model", "page" => "edit");
	$lookupTableLinks["accessories"]["packing_list_detail.accessories"]["edit"] = array("table" => "packing_list_detail", "field" => "accessories", "page" => "edit");
	$lookupTableLinks["quality_control_detail"]["packing_list_detail.ref_id"]["edit"] = array("table" => "packing_list_detail", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["packing_list_detail.item_id"]["edit"] = array("table" => "packing_list_detail", "field" => "item_id", "page" => "edit");
	$lookupTableLinks["item"]["packing_list_detail.description"]["edit"] = array("table" => "packing_list_detail", "field" => "description", "page" => "edit");
	$lookupTableLinks["business_partner"]["open_quote.Business_Partner"]["edit"] = array("table" => "open_quote", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["system_user"]["open_quote.prepared_by"]["edit"] = array("table" => "open_quote", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["open_quote.modified_by"]["edit"] = array("table" => "open_quote", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["business_partner"]["open_po.Business_Partner"]["edit"] = array("table" => "open_po", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["system_user"]["open_po.prepared_by"]["edit"] = array("table" => "open_po", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["open_po.modified_by"]["edit"] = array("table" => "open_po", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["business_partner"]["open_pr.Business_Partner"]["edit"] = array("table" => "open_pr", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["system_user"]["open_pr.prepared_by"]["edit"] = array("table" => "open_pr", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["open_pr.modified_by"]["edit"] = array("table" => "open_pr", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["system_user"]["open_production_request.prepared_by"]["edit"] = array("table" => "open_production_request", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["open_production_request.modified_by"]["edit"] = array("table" => "open_production_request", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["business_partner"]["open_receiving.Business_Partner"]["edit"] = array("table" => "open_receiving", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["system_user"]["open_receiving.prepared_by"]["edit"] = array("table" => "open_receiving", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["open_receiving.modified_by"]["edit"] = array("table" => "open_receiving", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["business_partner"]["open_so.Business_Partner"]["edit"] = array("table" => "open_so", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["system_user"]["open_so.prepared_by"]["edit"] = array("table" => "open_so", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["open_so.modified_by"]["edit"] = array("table" => "open_so", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["business_partner"]["open_so_for_invoice.Business_Partner"]["edit"] = array("table" => "open_so_for_invoice", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["system_user"]["open_so_for_invoice.prepared_by"]["edit"] = array("table" => "open_so_for_invoice", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["open_so_for_invoice.modified_by"]["edit"] = array("table" => "open_so_for_invoice", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["bal_purchase_order_detail"]["purchase_order_receiving_detail.ref_id"]["edit"] = array("table" => "purchase_order_receiving_detail", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["purchase_order_receiving_detail.Item"]["edit"] = array("table" => "purchase_order_receiving_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["purchase_order_receiving_detail.Account"]["edit"] = array("table" => "purchase_order_receiving_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["purchase_order_receiving_detail.Description"]["edit"] = array("table" => "purchase_order_receiving_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["purchase_order_receiving_detail.VAT_Type"]["edit"] = array("table" => "purchase_order_receiving_detail", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["serial_no"]["purchase_order_receiving_detail.serial_number"]["edit"] = array("table" => "purchase_order_receiving_detail", "field" => "serial_number", "page" => "edit");
	$lookupTableLinks["lot"]["purchase_order_receiving_detail.lot_no"]["edit"] = array("table" => "purchase_order_receiving_detail", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["uom"]["purchase_order_receiving_detail.um"]["edit"] = array("table" => "purchase_order_receiving_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["Suppliers"]["Purchase_Order_Receiving_Dashboard_Supplier1.Business_Partner"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Supplier", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Purchase_Order_Receiving_Dashboard_Supplier1.Payable_Account"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Supplier", "field" => "Payable_Account", "page" => "search");
	$lookupTableLinks["credit_terms"]["Purchase_Order_Receiving_Dashboard_Supplier1.Terms"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Supplier", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Purchase_Order_Receiving_Dashboard_Supplier1.Cost_Center"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Supplier", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Purchase_Order_Receiving_Dashboard_Supplier1.Shipping_Terms"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Supplier", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Purchase_Order_Receiving_Dashboard_Supplier1.Discount_Account"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Supplier", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Purchase_Order_Receiving_Dashboard_Supplier1.VAT_Account"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Supplier", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["open_po"]["Purchase_Order_Receiving_Dashboard_Supplier1.ref_no"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Supplier", "field" => "ref_no", "page" => "search");
	$lookupTableLinks["location"]["Purchase_Order_Receiving_Dashboard_Supplier1.location"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Supplier", "field" => "location", "page" => "search");
	$lookupTableLinks["discounts"]["Purchase_Order_Receiving_Dashboard_Supplier1.discount_type"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Supplier", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["projects"]["Purchase_Order_Receiving_Dashboard_Supplier1.project"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Supplier", "field" => "project", "page" => "search");
	$lookupTableLinks["currency"]["Purchase_Order_Receiving_Dashboard_Supplier1.currecy"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Supplier", "field" => "currecy", "page" => "search");
	$lookupTableLinks["phase"]["Purchase_Order_Receiving_Dashboard_Supplier1.phase"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Supplier", "field" => "phase", "page" => "search");
	$lookupTableLinks["approver_list"]["Purchase_Order_Receiving_Dashboard_Supplier1.approved_by"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Supplier", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["Purchase_Order_Receiving_Dashboard_Supplier1.checked_by"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Supplier", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["Purchase_Order_Receiving_Dashboard_Supplier1.prepared_by"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Supplier", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["Purchase_Order_Receiving_Dashboard_Supplier1.modified_by"]["search"] = array("table" => "Purchase_Order_Receiving_Dashboard_Supplier", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["business_partner"]["open_backload_Report.Business_Partner"]["search"] = array("table" => "open_backload_Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["business_partner"]["open_estimates_Report.Business_Partner"]["search"] = array("table" => "open_estimates_Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["business_partner"]["open_po_Report.Business_Partner"]["search"] = array("table" => "open_po_Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["business_partner"]["open_pr_Report.Business_Partner"]["search"] = array("table" => "open_pr_Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["business_partner"]["open_production_request_Report.Business_Partner"]["search"] = array("table" => "open_production_request_Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["business_partner"]["open_qc_Report.Business_Partner"]["search"] = array("table" => "open_qc_Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["business_partner"]["open_so_for_project_management_Report.Business_Partner"]["search"] = array("table" => "open_so_for_project_management_Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["business_partner"]["open_so_for_invoice_Report.Business_Partner"]["search"] = array("table" => "open_so_for_invoice_Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["business_partner"]["open_so_Report.Business_Partner"]["search"] = array("table" => "open_so_Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["business_partner"]["open_receiving_Report.Business_Partner"]["search"] = array("table" => "open_receiving_Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["item"]["monthly_consuption_for_production_Report.Item"]["search"] = array("table" => "monthly_consuption_for_production_Report", "field" => "Item", "page" => "search");
	$lookupTableLinks["item"]["monthly_consuption_for_production_Report.Item1"]["search"] = array("table" => "monthly_consuption_for_production_Report", "field" => "Item1", "page" => "search");
	$lookupTableLinks["employee_list"]["issue_components_for_approval.Business_Partner"]["edit"] = array("table" => "issue_components_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["cost_center"]["issue_components_for_approval.Cost_Center"]["edit"] = array("table" => "issue_components_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["issue_components_for_approval.location"]["edit"] = array("table" => "issue_components_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["approver_list"]["issue_components_for_approval.approved_by"]["edit"] = array("table" => "issue_components_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["issue_components_for_approval.checked_by"]["edit"] = array("table" => "issue_components_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["issue_components_for_approval.prepared_by"]["edit"] = array("table" => "issue_components_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["issue_components_for_approval.modified_by"]["edit"] = array("table" => "issue_components_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["production"]["issue_components_for_approval.production"]["edit"] = array("table" => "issue_components_for_approval", "field" => "production", "page" => "edit");
	$lookupTableLinks["projects"]["issue_components_for_approval.project"]["edit"] = array("table" => "issue_components_for_approval", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["issue_components_for_approval.phase"]["edit"] = array("table" => "issue_components_for_approval", "field" => "phase", "page" => "edit");
	$lookupTableLinks["employee_list"]["issue_components_for_checking.Business_Partner"]["edit"] = array("table" => "issue_components_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["cost_center"]["issue_components_for_checking.Cost_Center"]["edit"] = array("table" => "issue_components_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["issue_components_for_checking.location"]["edit"] = array("table" => "issue_components_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["approver_list"]["issue_components_for_checking.approved_by"]["edit"] = array("table" => "issue_components_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["issue_components_for_checking.checked_by"]["edit"] = array("table" => "issue_components_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["issue_components_for_checking.prepared_by"]["edit"] = array("table" => "issue_components_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["issue_components_for_checking.modified_by"]["edit"] = array("table" => "issue_components_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["production"]["issue_components_for_checking.production"]["edit"] = array("table" => "issue_components_for_checking", "field" => "production", "page" => "edit");
	$lookupTableLinks["projects"]["issue_components_for_checking.project"]["edit"] = array("table" => "issue_components_for_checking", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["issue_components_for_checking.phase"]["edit"] = array("table" => "issue_components_for_checking", "field" => "phase", "page" => "edit");
	$lookupTableLinks["item"]["issue_components_detail_for_checking.Item"]["edit"] = array("table" => "issue_components_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["issue_components_detail_for_checking.Description"]["edit"] = array("table" => "issue_components_detail_for_checking", "field" => "Description", "page" => "edit");
	$lookupTableLinks["uom"]["issue_components_detail_for_checking.um"]["edit"] = array("table" => "issue_components_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["item"]["issue_components_detail_for_approval.Item"]["edit"] = array("table" => "issue_components_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["issue_components_detail_for_approval.Description"]["edit"] = array("table" => "issue_components_detail_for_approval", "field" => "Description", "page" => "edit");
	$lookupTableLinks["uom"]["issue_components_detail_for_approval.um"]["edit"] = array("table" => "issue_components_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["approver_list"]["fieldwork_for_approval.approved_by"]["edit"] = array("table" => "fieldwork_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["fieldwork_for_approval.checked_by"]["edit"] = array("table" => "fieldwork_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["fieldwork_for_checking.approved_by"]["edit"] = array("table" => "fieldwork_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["fieldwork_for_checking.checked_by"]["edit"] = array("table" => "fieldwork_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["business_partner"]["Purchases_Order_for_checking.Business_Partner"]["edit"] = array("table" => "Purchases_Order_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["credit_terms"]["Purchases_Order_for_checking.Terms"]["edit"] = array("table" => "Purchases_Order_for_checking", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["Purchases_Order_for_checking.Cost_Center"]["edit"] = array("table" => "Purchases_Order_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Purchases_Order_for_checking.Shipping_Terms"]["edit"] = array("table" => "Purchases_Order_for_checking", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Purchases_Order_for_checking.Discount_Account"]["edit"] = array("table" => "Purchases_Order_for_checking", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Purchases_Order_for_checking.VAT_Account"]["edit"] = array("table" => "Purchases_Order_for_checking", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["Purchases_Order_for_checking.location"]["edit"] = array("table" => "Purchases_Order_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Purchases_Order_for_checking.discount_type"]["edit"] = array("table" => "Purchases_Order_for_checking", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Purchases_Order_for_checking.project"]["edit"] = array("table" => "Purchases_Order_for_checking", "field" => "project", "page" => "edit");
	$lookupTableLinks["currency"]["Purchases_Order_for_checking.currecy"]["edit"] = array("table" => "Purchases_Order_for_checking", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["Purchases_Order_for_checking.phase"]["edit"] = array("table" => "Purchases_Order_for_checking", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["Purchases_Order_for_checking.approved_by"]["edit"] = array("table" => "Purchases_Order_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Purchases_Order_for_checking.checked_by"]["edit"] = array("table" => "Purchases_Order_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Purchases_Order_for_checking.prepared_by"]["edit"] = array("table" => "Purchases_Order_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Purchases_Order_for_checking.modified_by"]["edit"] = array("table" => "Purchases_Order_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["business_partner"]["Purchases_Order_for_approval.Business_Partner"]["edit"] = array("table" => "Purchases_Order_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["credit_terms"]["Purchases_Order_for_approval.Terms"]["edit"] = array("table" => "Purchases_Order_for_approval", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["Purchases_Order_for_approval.Cost_Center"]["edit"] = array("table" => "Purchases_Order_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Purchases_Order_for_approval.Shipping_Terms"]["edit"] = array("table" => "Purchases_Order_for_approval", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Purchases_Order_for_approval.Discount_Account"]["edit"] = array("table" => "Purchases_Order_for_approval", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Purchases_Order_for_approval.VAT_Account"]["edit"] = array("table" => "Purchases_Order_for_approval", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["Purchases_Order_for_approval.location"]["edit"] = array("table" => "Purchases_Order_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Purchases_Order_for_approval.discount_type"]["edit"] = array("table" => "Purchases_Order_for_approval", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Purchases_Order_for_approval.project"]["edit"] = array("table" => "Purchases_Order_for_approval", "field" => "project", "page" => "edit");
	$lookupTableLinks["currency"]["Purchases_Order_for_approval.currecy"]["edit"] = array("table" => "Purchases_Order_for_approval", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["Purchases_Order_for_approval.phase"]["edit"] = array("table" => "Purchases_Order_for_approval", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["Purchases_Order_for_approval.approved_by"]["edit"] = array("table" => "Purchases_Order_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Purchases_Order_for_approval.checked_by"]["edit"] = array("table" => "Purchases_Order_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Purchases_Order_for_approval.prepared_by"]["edit"] = array("table" => "Purchases_Order_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Purchases_Order_for_approval.modified_by"]["edit"] = array("table" => "Purchases_Order_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["business_partner"]["Receiving_for_checking.Business_Partner"]["edit"] = array("table" => "Receiving_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Receiving_for_checking.Payable_Account"]["edit"] = array("table" => "Receiving_for_checking", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["credit_terms"]["Receiving_for_checking.Terms"]["edit"] = array("table" => "Receiving_for_checking", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["Receiving_for_checking.Cost_Center"]["edit"] = array("table" => "Receiving_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Receiving_for_checking.Shipping_Terms"]["edit"] = array("table" => "Receiving_for_checking", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Receiving_for_checking.Discount_Account"]["edit"] = array("table" => "Receiving_for_checking", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Receiving_for_checking.VAT_Account"]["edit"] = array("table" => "Receiving_for_checking", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["purchase_order"]["Receiving_for_checking.ref_no"]["edit"] = array("table" => "Receiving_for_checking", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["Receiving_for_checking.location"]["edit"] = array("table" => "Receiving_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Receiving_for_checking.discount_type"]["edit"] = array("table" => "Receiving_for_checking", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Receiving_for_checking.project"]["edit"] = array("table" => "Receiving_for_checking", "field" => "project", "page" => "edit");
	$lookupTableLinks["currency"]["Receiving_for_checking.currecy"]["edit"] = array("table" => "Receiving_for_checking", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["Receiving_for_checking.phase"]["edit"] = array("table" => "Receiving_for_checking", "field" => "phase", "page" => "edit");
	$lookupTableLinks["system_user"]["Receiving_for_checking.prepared_by"]["edit"] = array("table" => "Receiving_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Receiving_for_checking.modified_by"]["edit"] = array("table" => "Receiving_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["business_partner"]["Receiving_for_approval.Business_Partner"]["edit"] = array("table" => "Receiving_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Receiving_for_approval.Payable_Account"]["edit"] = array("table" => "Receiving_for_approval", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["credit_terms"]["Receiving_for_approval.Terms"]["edit"] = array("table" => "Receiving_for_approval", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["Receiving_for_approval.Cost_Center"]["edit"] = array("table" => "Receiving_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["Receiving_for_approval.Shipping_Terms"]["edit"] = array("table" => "Receiving_for_approval", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Receiving_for_approval.Discount_Account"]["edit"] = array("table" => "Receiving_for_approval", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Receiving_for_approval.VAT_Account"]["edit"] = array("table" => "Receiving_for_approval", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["purchase_order"]["Receiving_for_approval.ref_no"]["edit"] = array("table" => "Receiving_for_approval", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["Receiving_for_approval.location"]["edit"] = array("table" => "Receiving_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Receiving_for_approval.discount_type"]["edit"] = array("table" => "Receiving_for_approval", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Receiving_for_approval.project"]["edit"] = array("table" => "Receiving_for_approval", "field" => "project", "page" => "edit");
	$lookupTableLinks["currency"]["Receiving_for_approval.currecy"]["edit"] = array("table" => "Receiving_for_approval", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["Receiving_for_approval.phase"]["edit"] = array("table" => "Receiving_for_approval", "field" => "phase", "page" => "edit");
	$lookupTableLinks["system_user"]["Receiving_for_approval.prepared_by"]["edit"] = array("table" => "Receiving_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Receiving_for_approval.modified_by"]["edit"] = array("table" => "Receiving_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["cost_center"]["inventory_tranfer_Report.Cost_Center"]["search"] = array("table" => "inventory_tranfer_Report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["location"]["inventory_tranfer_Report.location"]["search"] = array("table" => "inventory_tranfer_Report", "field" => "location", "page" => "search");
	$lookupTableLinks["cost_center"]["inventory_tranfer_Report.destination_cost_center"]["search"] = array("table" => "inventory_tranfer_Report", "field" => "destination_cost_center", "page" => "search");
	$lookupTableLinks["location"]["inventory_tranfer_Report.destination_location"]["search"] = array("table" => "inventory_tranfer_Report", "field" => "destination_location", "page" => "search");
	$lookupTableLinks["item"]["inventory_tranfer_Report.Item"]["search"] = array("table" => "inventory_tranfer_Report", "field" => "Item", "page" => "search");
	$lookupTableLinks["item"]["Purchase_vs_Production_Report.Item"]["search"] = array("table" => "Purchase_vs_Production_Report", "field" => "Item", "page" => "search");
	$lookupTableLinks["Customers"]["cash_sales_Report.Business_Partner"]["search"] = array("table" => "cash_sales_Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["cash_sales_Report.Cash_Account"]["search"] = array("table" => "cash_sales_Report", "field" => "Cash_Account", "page" => "search");
	$lookupTableLinks["cost_center"]["cash_sales_Report.Cost_Center"]["search"] = array("table" => "cash_sales_Report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["cash_sales_Report.Shipping_Terms"]["search"] = array("table" => "cash_sales_Report", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["cash_sales_Report.Discount_Account"]["search"] = array("table" => "cash_sales_Report", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["cash_sales_Report.VAT_Account"]["search"] = array("table" => "cash_sales_Report", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["cash_sales_Report.EWT_Account"]["search"] = array("table" => "cash_sales_Report", "field" => "EWT_Account", "page" => "search");
	$lookupTableLinks["ewt"]["cash_sales_Report.atc"]["search"] = array("table" => "cash_sales_Report", "field" => "atc", "page" => "search");
	$lookupTableLinks["bank"]["cash_sales_Report.bank"]["search"] = array("table" => "cash_sales_Report", "field" => "bank", "page" => "search");
	$lookupTableLinks["sales_order"]["cash_sales_Report.ref_no"]["search"] = array("table" => "cash_sales_Report", "field" => "ref_no", "page" => "search");
	$lookupTableLinks["location"]["cash_sales_Report.location"]["search"] = array("table" => "cash_sales_Report", "field" => "location", "page" => "search");
	$lookupTableLinks["discounts"]["cash_sales_Report.discount_type"]["search"] = array("table" => "cash_sales_Report", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["projects"]["cash_sales_Report.project"]["search"] = array("table" => "cash_sales_Report", "field" => "project", "page" => "search");
	$lookupTableLinks["phase"]["cash_sales_Report.phase"]["search"] = array("table" => "cash_sales_Report", "field" => "phase", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["cash_sales_Report.sales_rep"]["search"] = array("table" => "cash_sales_Report", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["currency"]["cash_sales_Report.currecy"]["search"] = array("table" => "cash_sales_Report", "field" => "currecy", "page" => "search");
	$lookupTableLinks["approver_list"]["cash_sales_Report.checked_by"]["search"] = array("table" => "cash_sales_Report", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["approver_list"]["cash_sales_Report.approved_by"]["search"] = array("table" => "cash_sales_Report", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["system_user"]["cash_sales_Report.modified_by"]["search"] = array("table" => "cash_sales_Report", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["system_user"]["cash_sales_Report.prepared_by"]["search"] = array("table" => "cash_sales_Report", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["cash_sales_Report.final_vat_rate_account"]["search"] = array("table" => "cash_sales_Report", "field" => "final_vat_rate_account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["cash_sales_Report.deferred_output_vat_account"]["search"] = array("table" => "cash_sales_Report", "field" => "deferred_output_vat_account", "page" => "search");
	$lookupTableLinks["item"]["cash_sales_Report.Item"]["search"] = array("table" => "cash_sales_Report", "field" => "Item", "page" => "search");
	$lookupTableLinks["business_partner"]["Center_Replenishment_for_approval.Business_Partner"]["edit"] = array("table" => "Center_Replenishment_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Center_Replenishment_for_approval.Payable_Account"]["edit"] = array("table" => "Center_Replenishment_for_approval", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Center_Replenishment_for_approval.Cost_Center"]["edit"] = array("table" => "Center_Replenishment_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Center_Replenishment_for_approval.Discount_Account"]["edit"] = array("table" => "Center_Replenishment_for_approval", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Center_Replenishment_for_approval.VAT_Account"]["edit"] = array("table" => "Center_Replenishment_for_approval", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["Center_Replenishment_for_approval.location"]["edit"] = array("table" => "Center_Replenishment_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Center_Replenishment_for_approval.discount_type"]["edit"] = array("table" => "Center_Replenishment_for_approval", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Center_Replenishment_for_approval.project"]["edit"] = array("table" => "Center_Replenishment_for_approval", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["Center_Replenishment_for_approval.phase"]["edit"] = array("table" => "Center_Replenishment_for_approval", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["Center_Replenishment_for_approval.approved_by"]["edit"] = array("table" => "Center_Replenishment_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Center_Replenishment_for_approval.checked_by"]["edit"] = array("table" => "Center_Replenishment_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Center_Replenishment_for_approval.prepared_by"]["edit"] = array("table" => "Center_Replenishment_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Center_Replenishment_for_approval.modified_by"]["edit"] = array("table" => "Center_Replenishment_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["business_partner"]["Center_Replenishment_for_checking.Business_Partner"]["edit"] = array("table" => "Center_Replenishment_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Center_Replenishment_for_checking.Payable_Account"]["edit"] = array("table" => "Center_Replenishment_for_checking", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Center_Replenishment_for_checking.Cost_Center"]["edit"] = array("table" => "Center_Replenishment_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Center_Replenishment_for_checking.Discount_Account"]["edit"] = array("table" => "Center_Replenishment_for_checking", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Center_Replenishment_for_checking.VAT_Account"]["edit"] = array("table" => "Center_Replenishment_for_checking", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["Center_Replenishment_for_checking.location"]["edit"] = array("table" => "Center_Replenishment_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Center_Replenishment_for_checking.discount_type"]["edit"] = array("table" => "Center_Replenishment_for_checking", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["Center_Replenishment_for_checking.project"]["edit"] = array("table" => "Center_Replenishment_for_checking", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["Center_Replenishment_for_checking.phase"]["edit"] = array("table" => "Center_Replenishment_for_checking", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["Center_Replenishment_for_checking.approved_by"]["edit"] = array("table" => "Center_Replenishment_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Center_Replenishment_for_checking.checked_by"]["edit"] = array("table" => "Center_Replenishment_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Center_Replenishment_for_checking.prepared_by"]["edit"] = array("table" => "Center_Replenishment_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Center_Replenishment_for_checking.modified_by"]["edit"] = array("table" => "Center_Replenishment_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["Production_Summary.Item"]["search"] = array("table" => "Production_Summary", "field" => "Item", "page" => "search");
	$lookupTableLinks["cost_center"]["unbuild_assemblies_for_checking.Cost_Center"]["edit"] = array("table" => "unbuild_assemblies_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["unbuild_assemblies_for_checking.location"]["edit"] = array("table" => "unbuild_assemblies_for_checking", "field" => "location", "page" => "edit");
	$lookupTableLinks["approver_list"]["unbuild_assemblies_for_checking.approved_by"]["edit"] = array("table" => "unbuild_assemblies_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["unbuild_assemblies_for_checking.checked_by"]["edit"] = array("table" => "unbuild_assemblies_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["unbuild_assemblies_for_checking.prepared_by"]["edit"] = array("table" => "unbuild_assemblies_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["unbuild_assemblies_for_checking.modified_by"]["edit"] = array("table" => "unbuild_assemblies_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["cost_center"]["unbuild_assemblies_for_approval.Cost_Center"]["edit"] = array("table" => "unbuild_assemblies_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["location"]["unbuild_assemblies_for_approval.location"]["edit"] = array("table" => "unbuild_assemblies_for_approval", "field" => "location", "page" => "edit");
	$lookupTableLinks["approver_list"]["unbuild_assemblies_for_approval.approved_by"]["edit"] = array("table" => "unbuild_assemblies_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["unbuild_assemblies_for_approval.checked_by"]["edit"] = array("table" => "unbuild_assemblies_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["unbuild_assemblies_for_approval.prepared_by"]["edit"] = array("table" => "unbuild_assemblies_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["unbuild_assemblies_for_approval.modified_by"]["edit"] = array("table" => "unbuild_assemblies_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["unbuild_assemblies_detail_for_checking.Item"]["edit"] = array("table" => "unbuild_assemblies_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["uom"]["unbuild_assemblies_detail_for_checking.um"]["edit"] = array("table" => "unbuild_assemblies_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["system_user"]["quality_control_for_approval.prepared_by"]["edit"] = array("table" => "quality_control_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["quality_control_for_approval.modified_by"]["edit"] = array("table" => "quality_control_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["system_user"]["quality_control_for_checking.prepared_by"]["edit"] = array("table" => "quality_control_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["quality_control_for_checking.checked_by"]["edit"] = array("table" => "quality_control_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["item"]["quality_control_detail_for_approval.item_id"]["edit"] = array("table" => "quality_control_detail_for_approval", "field" => "item_id", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["opportunity.assigned_to"]["edit"] = array("table" => "opportunity", "field" => "assigned_to", "page" => "edit");
	$lookupTableLinks["area"]["Current_Accounts.area"]["edit"] = array("table" => "Current_Accounts", "field" => "area", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Current_Accounts.assigned_to"]["edit"] = array("table" => "Current_Accounts", "field" => "assigned_to", "page" => "edit");
	$lookupTableLinks["campaign"]["Current_Accounts.campaign"]["edit"] = array("table" => "Current_Accounts", "field" => "campaign", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["opportunity_details.assigned_to"]["edit"] = array("table" => "opportunity_details", "field" => "assigned_to", "page" => "edit");
	$lookupTableLinks["Customers"]["Collection_Report_per_Sales_Rep.Business_Partner"]["search"] = array("table" => "Collection_Report_per_Sales_Rep", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["bank"]["Collection_Report_per_Sales_Rep.bank"]["search"] = array("table" => "Collection_Report_per_Sales_Rep", "field" => "bank", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Collection_Report_per_Sales_Rep.sales_rep"]["search"] = array("table" => "Collection_Report_per_Sales_Rep", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["department"]["marketing_request_form_for_checking.department"]["edit"] = array("table" => "marketing_request_form_for_checking", "field" => "department", "page" => "edit");
	$lookupTableLinks["approver_list"]["marketing_request_form_for_checking.approved_by"]["edit"] = array("table" => "marketing_request_form_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["marketing_request_form_for_checking.check_by"]["edit"] = array("table" => "marketing_request_form_for_checking", "field" => "check_by", "page" => "edit");
	$lookupTableLinks["department"]["marketing_request_form_for_approval.department"]["edit"] = array("table" => "marketing_request_form_for_approval", "field" => "department", "page" => "edit");
	$lookupTableLinks["approver_list"]["marketing_request_form_for_approval.approved_by"]["edit"] = array("table" => "marketing_request_form_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["marketing_request_form_for_approval.check_by"]["edit"] = array("table" => "marketing_request_form_for_approval", "field" => "check_by", "page" => "edit");
	$lookupTableLinks["position"]["201.position"]["edit"] = array("table" => "201", "field" => "position", "page" => "edit");
	$lookupTableLinks["department"]["201.department"]["edit"] = array("table" => "201", "field" => "department", "page" => "edit");
	$lookupTableLinks["recuring_benefits"]["201.benefits"]["edit"] = array("table" => "201", "field" => "benefits", "page" => "edit");
	$lookupTableLinks["tax_status"]["201.tax_status"]["edit"] = array("table" => "201", "field" => "tax_status", "page" => "edit");
	$lookupTableLinks["schedule"]["201.schedule_code"]["edit"] = array("table" => "201", "field" => "schedule_code", "page" => "edit");
	$lookupTableLinks["bank"]["201.bank"]["edit"] = array("table" => "201", "field" => "bank", "page" => "edit");
	$lookupTableLinks["system_user"]["201.approver"]["edit"] = array("table" => "201", "field" => "approver", "page" => "edit");
	$lookupTableLinks["system_user"]["201.checker"]["edit"] = array("table" => "201", "field" => "checker", "page" => "edit");
	$lookupTableLinks["recuring_deductions"]["201.deductions"]["edit"] = array("table" => "201", "field" => "deductions", "page" => "edit");
	$lookupTableLinks["payroll_item"]["201.addtnl_non_taxable_allowance_item"]["edit"] = array("table" => "201", "field" => "addtnl_non_taxable_allowance_item", "page" => "edit");
	$lookupTableLinks["payroll_item"]["201.addtnl_taxable_allowance_item"]["edit"] = array("table" => "201", "field" => "addtnl_taxable_allowance_item", "page" => "edit");
	$lookupTableLinks["cost_center"]["201.center"]["edit"] = array("table" => "201", "field" => "center", "page" => "edit");
	$lookupTableLinks["credit_terms"]["Business_Owner_Sales_Report.Terms"]["search"] = array("table" => "Business_Owner_Sales_Report", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Business_Owner_Sales_Report.Cost_Center"]["search"] = array("table" => "Business_Owner_Sales_Report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Business_Owner_Sales_Report.Shipping_Terms"]["search"] = array("table" => "Business_Owner_Sales_Report", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Business_Owner_Sales_Report.sales_rep"]["search"] = array("table" => "Business_Owner_Sales_Report", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["credit_terms"]["Business_Owner_Purchase_Report.Terms"]["search"] = array("table" => "Business_Owner_Purchase_Report", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["Business_Owner_Purchase_Report.Cost_Center"]["search"] = array("table" => "Business_Owner_Purchase_Report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["Business_Owner_Purchase_Report.Shipping_Terms"]["search"] = array("table" => "Business_Owner_Purchase_Report", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["business_partner"]["Finance_approved_request_for_payment.Business_Partner"]["search"] = array("table" => "Finance_approved_request_for_payment", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["business_partner"]["Finance_Cash_flow_forcast.Business_Partner"]["search"] = array("table" => "Finance_Cash_flow_forcast", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["business_partner"]["Finance_Cash_flow_forcast.bpname"]["search"] = array("table" => "Finance_Cash_flow_forcast", "field" => "bpname", "page" => "search");
	$lookupTableLinks["employee_list"]["Finance_Approved_Employee_Loan.employee"]["search"] = array("table" => "Finance_Approved_Employee_Loan", "field" => "employee", "page" => "search");
	$lookupTableLinks["Types_of_Loan"]["Finance_Approved_Employee_Loan.loan_type"]["search"] = array("table" => "Finance_Approved_Employee_Loan", "field" => "loan_type", "page" => "search");
	$lookupTableLinks["business_partner"]["production_per_item.Business_Partner"]["search"] = array("table" => "production_per_item", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["cost_center"]["production_per_item.Cost_Center"]["search"] = array("table" => "production_per_item", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["open_production_request"]["production_per_item.ref_no"]["search"] = array("table" => "production_per_item", "field" => "ref_no", "page" => "search");
	$lookupTableLinks["location"]["production_per_item.location"]["search"] = array("table" => "production_per_item", "field" => "location", "page" => "search");
	$lookupTableLinks["approver_list"]["production_per_item.approved_by"]["search"] = array("table" => "production_per_item", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["production_per_item.checked_by"]["search"] = array("table" => "production_per_item", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["system_user"]["production_per_item.prepared_by"]["search"] = array("table" => "production_per_item", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["system_user"]["production_per_item.modified_by"]["search"] = array("table" => "production_per_item", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["item"]["Warehouse_Item_balances.Item"]["search"] = array("table" => "Warehouse_Item_balances", "field" => "Item", "page" => "search");
	$lookupTableLinks["business_partner"]["DR_per_Item.Business_Partner"]["search"] = array("table" => "DR_per_Item", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["DR_per_Item.Receivable_Account"]["search"] = array("table" => "DR_per_Item", "field" => "Receivable_Account", "page" => "search");
	$lookupTableLinks["credit_terms"]["DR_per_Item.Terms"]["search"] = array("table" => "DR_per_Item", "field" => "Terms", "page" => "search");
	$lookupTableLinks["cost_center"]["DR_per_Item.Cost_Center"]["search"] = array("table" => "DR_per_Item", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["DR_per_Item.Shipping_Terms"]["search"] = array("table" => "DR_per_Item", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["DR_per_Item.Discount_Account"]["search"] = array("table" => "DR_per_Item", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["DR_per_Item.VAT_Account"]["search"] = array("table" => "DR_per_Item", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["open_so"]["DR_per_Item.ref_no"]["search"] = array("table" => "DR_per_Item", "field" => "ref_no", "page" => "search");
	$lookupTableLinks["discounts"]["DR_per_Item.discount_type"]["search"] = array("table" => "DR_per_Item", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["projects"]["DR_per_Item.project"]["search"] = array("table" => "DR_per_Item", "field" => "project", "page" => "search");
	$lookupTableLinks["phase"]["DR_per_Item.phase"]["search"] = array("table" => "DR_per_Item", "field" => "phase", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["DR_per_Item.sales_rep"]["search"] = array("table" => "DR_per_Item", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["system_user"]["DR_per_Item.prepared_by"]["search"] = array("table" => "DR_per_Item", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["approver_list"]["DR_per_Item.approved_by"]["search"] = array("table" => "DR_per_Item", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["DR_per_Item.checked_by"]["search"] = array("table" => "DR_per_Item", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["cash_receipt"]["DR_per_Item.cash_sale"]["search"] = array("table" => "DR_per_Item", "field" => "cash_sale", "page" => "search");
	$lookupTableLinks["location"]["DR_per_Item.location"]["search"] = array("table" => "DR_per_Item", "field" => "location", "page" => "search");
	$lookupTableLinks["business_partner"]["DR_per_Item.driver"]["search"] = array("table" => "DR_per_Item", "field" => "driver", "page" => "search");
	$lookupTableLinks["vehicle"]["DR_per_Item.vehicle"]["search"] = array("table" => "DR_per_Item", "field" => "vehicle", "page" => "search");
	$lookupTableLinks["system_user"]["DR_per_Item.modified_by"]["search"] = array("table" => "DR_per_Item", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["vehicle"]["Logistic_Open_Trip_Ticket.vehicle_no"]["search"] = array("table" => "Logistic_Open_Trip_Ticket", "field" => "vehicle_no", "page" => "search");
	$lookupTableLinks["business_partner"]["Logistic_Open_Trip_Ticket.business_partner"]["search"] = array("table" => "Logistic_Open_Trip_Ticket", "field" => "business_partner", "page" => "search");
	$lookupTableLinks["approver_list"]["Logistic_Open_Trip_Ticket.checked_by"]["search"] = array("table" => "Logistic_Open_Trip_Ticket", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["campaign_type"]["Marketing_Open_Campaign.type"]["search"] = array("table" => "Marketing_Open_Campaign", "field" => "type", "page" => "search");
	$lookupTableLinks["system_user"]["Marketing_Open_Campaign.created_by"]["search"] = array("table" => "Marketing_Open_Campaign", "field" => "created_by", "page" => "search");
	$lookupTableLinks["system_user"]["Marketing_Open_Campaign.modified_by"]["search"] = array("table" => "Marketing_Open_Campaign", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["item"]["Support_Open_Case_Report.item"]["search"] = array("table" => "Support_Open_Case_Report", "field" => "item", "page" => "search");
	$lookupTableLinks["sales"]["Support_Open_Case_Report.invoice_no"]["search"] = array("table" => "Support_Open_Case_Report", "field" => "invoice_no", "page" => "search");
	$lookupTableLinks["area"]["Support_Open_Case_Report.area"]["search"] = array("table" => "Support_Open_Case_Report", "field" => "area", "page" => "search");
	$lookupTableLinks["service_center"]["Support_Open_Case_Report.service_center"]["search"] = array("table" => "Support_Open_Case_Report", "field" => "service_center", "page" => "search");
	$lookupTableLinks["business_partner"]["Support_Open_Case_Report.client"]["search"] = array("table" => "Support_Open_Case_Report", "field" => "client", "page" => "search");
	$lookupTableLinks["area"]["Support_Service_center.area"]["search"] = array("table" => "Support_Service_center", "field" => "area", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Support_Service_center.cash_account"]["search"] = array("table" => "Support_Service_center", "field" => "cash_account", "page" => "search");
	$lookupTableLinks["business_partner"]["Sale_Meeting_Report.account"]["search"] = array("table" => "Sale_Meeting_Report", "field" => "account", "page" => "search");
	$lookupTableLinks["business_partner"]["Sale_Meeting_Report.assigned_to"]["search"] = array("table" => "Sale_Meeting_Report", "field" => "assigned_to", "page" => "search");
	$lookupTableLinks["area"]["Sales_Next_Action_Report.area"]["search"] = array("table" => "Sales_Next_Action_Report", "field" => "area", "page" => "search");
	$lookupTableLinks["campaign"]["Sales_Next_Action_Report.campaign"]["search"] = array("table" => "Sales_Next_Action_Report", "field" => "campaign", "page" => "search");
	$lookupTableLinks[""]["HR_attendance_summary.employee"]["search"] = array("table" => "HR_attendance_summary", "field" => "employee", "page" => "search");
	$lookupTableLinks["business_partner"]["AP_open_po_receiving.Business_Partner"]["search"] = array("table" => "AP_open_po_receiving", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["cost_center"]["Production_Inventory_Balance_Report.Cost_Center"]["search"] = array("table" => "Production_Inventory_Balance_Report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["cost_center"]["Warehouse_Inventory_Balance_Report.Cost_Center"]["search"] = array("table" => "Warehouse_Inventory_Balance_Report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["item"]["Warehouse_Inventory_Balance_Report.Item"]["search"] = array("table" => "Warehouse_Inventory_Balance_Report", "field" => "Item", "page" => "search");
	$lookupTableLinks["cost_center"]["logistic_open_inventory_tranfer.Cost_Center"]["search"] = array("table" => "logistic_open_inventory_tranfer", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["shipping_terms"]["logistic_open_inventory_tranfer.Shipping_Terms"]["search"] = array("table" => "logistic_open_inventory_tranfer", "field" => "Shipping_Terms", "page" => "search");
	$lookupTableLinks["projects"]["logistic_open_inventory_tranfer.project"]["search"] = array("table" => "logistic_open_inventory_tranfer", "field" => "project", "page" => "search");
	$lookupTableLinks["phase"]["logistic_open_inventory_tranfer.phase"]["search"] = array("table" => "logistic_open_inventory_tranfer", "field" => "phase", "page" => "search");
	$lookupTableLinks["system_user"]["logistic_open_inventory_tranfer.prepared_by"]["search"] = array("table" => "logistic_open_inventory_tranfer", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["approver_list"]["logistic_open_inventory_tranfer.approved_by"]["search"] = array("table" => "logistic_open_inventory_tranfer", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["approver_list"]["logistic_open_inventory_tranfer.checked_by"]["search"] = array("table" => "logistic_open_inventory_tranfer", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["location"]["logistic_open_inventory_tranfer.location"]["search"] = array("table" => "logistic_open_inventory_tranfer", "field" => "location", "page" => "search");
	$lookupTableLinks["cost_center"]["logistic_open_inventory_tranfer.destination_cost_center"]["search"] = array("table" => "logistic_open_inventory_tranfer", "field" => "destination_cost_center", "page" => "search");
	$lookupTableLinks["location"]["logistic_open_inventory_tranfer.destination_location"]["search"] = array("table" => "logistic_open_inventory_tranfer", "field" => "destination_location", "page" => "search");
	$lookupTableLinks["vehicle"]["logistic_open_inventory_tranfer.vehicle"]["search"] = array("table" => "logistic_open_inventory_tranfer", "field" => "vehicle", "page" => "search");
	$lookupTableLinks["system_user"]["logistic_open_inventory_tranfer.modified_by"]["search"] = array("table" => "logistic_open_inventory_tranfer", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["area"]["Sales_Leads.area"]["search"] = array("table" => "Sales_Leads", "field" => "area", "page" => "search");
	$lookupTableLinks["campaign"]["Sales_Leads.campaign"]["search"] = array("table" => "Sales_Leads", "field" => "campaign", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Sales_opportunity_Next_Action.assigned_to"]["search"] = array("table" => "Sales_opportunity_Next_Action", "field" => "assigned_to", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["Sales_Active_opportunity.assigned_to"]["search"] = array("table" => "Sales_Active_opportunity", "field" => "assigned_to", "page" => "search");
	$lookupTableLinks["item"]["intercompany_sales_order_detail.Item"]["edit"] = array("table" => "intercompany_sales_order_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["intercompany_sales_order_detail.Account"]["edit"] = array("table" => "intercompany_sales_order_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["intercompany_sales_order_detail.Description"]["edit"] = array("table" => "intercompany_sales_order_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["system_user"]["intercompany_sales_order.modified_by"]["edit"] = array("table" => "intercompany_sales_order", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["system_user"]["intercompany_sales_order.prepared_by"]["edit"] = array("table" => "intercompany_sales_order", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["intercompany_sales_order.checked_by"]["edit"] = array("table" => "intercompany_sales_order", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["intercompany_sales_order.approved_by"]["edit"] = array("table" => "intercompany_sales_order", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["item"]["production_detail.Item"]["edit"] = array("table" => "production_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["production_detail.Description"]["edit"] = array("table" => "production_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["uom"]["production_detail.um"]["edit"] = array("table" => "production_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["production_request_detail"]["production_detail.ref_id"]["edit"] = array("table" => "production_detail", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["quality_control_detail_for_checking.item_id"]["edit"] = array("table" => "quality_control_detail_for_checking", "field" => "item_id", "page" => "edit");
	$lookupTableLinks["Customers"]["lyl_estimate_for_approval.Business_Partner"]["edit"] = array("table" => "lyl_estimate_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["lyl_estimate_for_approval.Discount_Account"]["edit"] = array("table" => "lyl_estimate_for_approval", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["lyl_estimate_for_approval.VAT_Account"]["edit"] = array("table" => "lyl_estimate_for_approval", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["lyl_estimate_for_approval.EWT_Account"]["edit"] = array("table" => "lyl_estimate_for_approval", "field" => "EWT_Account", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["lyl_estimate_for_approval.sales_rep"]["edit"] = array("table" => "lyl_estimate_for_approval", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["approver_list"]["lyl_estimate_for_approval.checked_by"]["edit"] = array("table" => "lyl_estimate_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["lyl_estimate_for_approval.approved_by"]["edit"] = array("table" => "lyl_estimate_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["projects"]["lyl_estimate_for_approval.project"]["edit"] = array("table" => "lyl_estimate_for_approval", "field" => "project", "page" => "edit");
	$lookupTableLinks["Customers"]["lyl_estimate_dr_for_approval.Business_Partner"]["edit"] = array("table" => "lyl_estimate_dr_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["lyl_estimate_dr_for_approval.Discount_Account"]["edit"] = array("table" => "lyl_estimate_dr_for_approval", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["lyl_estimate_dr_for_approval.VAT_Account"]["edit"] = array("table" => "lyl_estimate_dr_for_approval", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["lyl_estimate"]["lyl_estimate_dr_for_approval.ref_no"]["edit"] = array("table" => "lyl_estimate_dr_for_approval", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["approver_list"]["lyl_estimate_dr_for_approval.checked_by"]["edit"] = array("table" => "lyl_estimate_dr_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["lyl_estimate_dr_for_approval.approved_by"]["edit"] = array("table" => "lyl_estimate_dr_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["projects"]["lyl_estimate_dr_for_approval.project"]["edit"] = array("table" => "lyl_estimate_dr_for_approval", "field" => "project", "page" => "edit");
	$lookupTableLinks["lyl_estimate"]["lyl_estimate_detail_for_approval.TXNID"]["edit"] = array("table" => "lyl_estimate_detail_for_approval", "field" => "TXNID", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_for_approval.Item"]["edit"] = array("table" => "lyl_estimate_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["lyl_estimate_detail_for_approval.Account"]["edit"] = array("table" => "lyl_estimate_detail_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_accessories_for_approval.Item"]["edit"] = array("table" => "lyl_estimate_detail_accessories_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_accessories_for_approval.Description"]["edit"] = array("table" => "lyl_estimate_detail_accessories_for_approval", "field" => "Description", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_aluminum_for_approval.Item"]["edit"] = array("table" => "lyl_estimate_detail_aluminum_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_aluminum_for_approval.Description"]["edit"] = array("table" => "lyl_estimate_detail_aluminum_for_approval", "field" => "Description", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_e_accessories_for_approval.Item"]["edit"] = array("table" => "lyl_estimate_detail_e_accessories_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_e_accessories_for_approval.Description"]["edit"] = array("table" => "lyl_estimate_detail_e_accessories_for_approval", "field" => "Description", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_glass_for_approval.Item"]["edit"] = array("table" => "lyl_estimate_detail_glass_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_glass_for_approval.Description"]["edit"] = array("table" => "lyl_estimate_detail_glass_for_approval", "field" => "Description", "page" => "edit");
	$lookupTableLinks["lyl_estimate_dr"]["lyl_estimate_dr_detail_for_approval.TXNID"]["edit"] = array("table" => "lyl_estimate_dr_detail_for_approval", "field" => "TXNID", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_for_approval.Item"]["edit"] = array("table" => "lyl_estimate_dr_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["lyl_estimate_dr_detail_for_approval.Account"]["edit"] = array("table" => "lyl_estimate_dr_detail_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["lyl_estimate_detail"]["lyl_estimate_dr_detail_for_approval.estimate_detail_id"]["edit"] = array("table" => "lyl_estimate_dr_detail_for_approval", "field" => "estimate_detail_id", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_accessories_for_approval.Item"]["edit"] = array("table" => "lyl_estimate_dr_detail_accessories_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_accessories_for_approval.Description"]["edit"] = array("table" => "lyl_estimate_dr_detail_accessories_for_approval", "field" => "Description", "page" => "edit");
	$lookupTableLinks["bal_lyl_acc"]["lyl_estimate_dr_detail_accessories_for_approval.ref_id"]["edit"] = array("table" => "lyl_estimate_dr_detail_accessories_for_approval", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_aluminum_for_approval.Item"]["edit"] = array("table" => "lyl_estimate_dr_detail_aluminum_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_aluminum_for_approval.Description"]["edit"] = array("table" => "lyl_estimate_dr_detail_aluminum_for_approval", "field" => "Description", "page" => "edit");
	$lookupTableLinks["bal_lyl_allum"]["lyl_estimate_dr_detail_aluminum_for_approval.ref_id"]["edit"] = array("table" => "lyl_estimate_dr_detail_aluminum_for_approval", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_e_accessories_for_approval.Item"]["edit"] = array("table" => "lyl_estimate_dr_detail_e_accessories_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_e_accessories_for_approval.Description"]["edit"] = array("table" => "lyl_estimate_dr_detail_e_accessories_for_approval", "field" => "Description", "page" => "edit");
	$lookupTableLinks["bal_lyl_eacc"]["lyl_estimate_dr_detail_e_accessories_for_approval.ref_id"]["edit"] = array("table" => "lyl_estimate_dr_detail_e_accessories_for_approval", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_glass_for_approval.Item"]["edit"] = array("table" => "lyl_estimate_dr_detail_glass_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_glass_for_approval.Description"]["edit"] = array("table" => "lyl_estimate_dr_detail_glass_for_approval", "field" => "Description", "page" => "edit");
	$lookupTableLinks["bal_lyl_glass"]["lyl_estimate_dr_detail_glass_for_approval.ref_id"]["edit"] = array("table" => "lyl_estimate_dr_detail_glass_for_approval", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["Customers"]["lyl_estimate_for_checking.Business_Partner"]["edit"] = array("table" => "lyl_estimate_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["lyl_estimate_for_checking.Discount_Account"]["edit"] = array("table" => "lyl_estimate_for_checking", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["lyl_estimate_for_checking.VAT_Account"]["edit"] = array("table" => "lyl_estimate_for_checking", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["lyl_estimate_for_checking.EWT_Account"]["edit"] = array("table" => "lyl_estimate_for_checking", "field" => "EWT_Account", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["lyl_estimate_for_checking.sales_rep"]["edit"] = array("table" => "lyl_estimate_for_checking", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["approver_list"]["lyl_estimate_for_checking.checked_by"]["edit"] = array("table" => "lyl_estimate_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["lyl_estimate_for_checking.approved_by"]["edit"] = array("table" => "lyl_estimate_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["projects"]["lyl_estimate_for_checking.project"]["edit"] = array("table" => "lyl_estimate_for_checking", "field" => "project", "page" => "edit");
	$lookupTableLinks["lyl_estimate"]["lyl_estimate_detail_for_checking.TXNID"]["edit"] = array("table" => "lyl_estimate_detail_for_checking", "field" => "TXNID", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_for_checking.Item"]["edit"] = array("table" => "lyl_estimate_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["lyl_estimate_detail_for_checking.Account"]["edit"] = array("table" => "lyl_estimate_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_accessories_for_checking.Item"]["edit"] = array("table" => "lyl_estimate_detail_accessories_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_accessories_for_checking.Description"]["edit"] = array("table" => "lyl_estimate_detail_accessories_for_checking", "field" => "Description", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_aluminum_for_checking.Item"]["edit"] = array("table" => "lyl_estimate_detail_aluminum_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_aluminum_for_checking.Description"]["edit"] = array("table" => "lyl_estimate_detail_aluminum_for_checking", "field" => "Description", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_e_accessories_for_checking.Item"]["edit"] = array("table" => "lyl_estimate_detail_e_accessories_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_e_accessories_for_checking.Description"]["edit"] = array("table" => "lyl_estimate_detail_e_accessories_for_checking", "field" => "Description", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_glass_for_checking.Item"]["edit"] = array("table" => "lyl_estimate_detail_glass_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_detail_glass_for_checking.Description"]["edit"] = array("table" => "lyl_estimate_detail_glass_for_checking", "field" => "Description", "page" => "edit");
	$lookupTableLinks["Customers"]["lyl_estimate_dr_for_checking.Business_Partner"]["edit"] = array("table" => "lyl_estimate_dr_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["lyl_estimate_dr_for_checking.Discount_Account"]["edit"] = array("table" => "lyl_estimate_dr_for_checking", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["lyl_estimate_dr_for_checking.VAT_Account"]["edit"] = array("table" => "lyl_estimate_dr_for_checking", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["lyl_estimate"]["lyl_estimate_dr_for_checking.ref_no"]["edit"] = array("table" => "lyl_estimate_dr_for_checking", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["approver_list"]["lyl_estimate_dr_for_checking.checked_by"]["edit"] = array("table" => "lyl_estimate_dr_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["lyl_estimate_dr_for_checking.approved_by"]["edit"] = array("table" => "lyl_estimate_dr_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["projects"]["lyl_estimate_dr_for_checking.project"]["edit"] = array("table" => "lyl_estimate_dr_for_checking", "field" => "project", "page" => "edit");
	$lookupTableLinks["lyl_estimate_dr"]["lyl_estimate_dr_detail_for_checking.TXNID"]["edit"] = array("table" => "lyl_estimate_dr_detail_for_checking", "field" => "TXNID", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_for_checking.Item"]["edit"] = array("table" => "lyl_estimate_dr_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["lyl_estimate_dr_detail_for_checking.Account"]["edit"] = array("table" => "lyl_estimate_dr_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["lyl_estimate_detail"]["lyl_estimate_dr_detail_for_checking.estimate_detail_id"]["edit"] = array("table" => "lyl_estimate_dr_detail_for_checking", "field" => "estimate_detail_id", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_accessories_for_checking.Item"]["edit"] = array("table" => "lyl_estimate_dr_detail_accessories_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_accessories_for_checking.Description"]["edit"] = array("table" => "lyl_estimate_dr_detail_accessories_for_checking", "field" => "Description", "page" => "edit");
	$lookupTableLinks["bal_lyl_acc"]["lyl_estimate_dr_detail_accessories_for_checking.ref_id"]["edit"] = array("table" => "lyl_estimate_dr_detail_accessories_for_checking", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_aluminum_for_checking.Item"]["edit"] = array("table" => "lyl_estimate_dr_detail_aluminum_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_aluminum_for_checking.Description"]["edit"] = array("table" => "lyl_estimate_dr_detail_aluminum_for_checking", "field" => "Description", "page" => "edit");
	$lookupTableLinks["bal_lyl_allum"]["lyl_estimate_dr_detail_aluminum_for_checking.ref_id"]["edit"] = array("table" => "lyl_estimate_dr_detail_aluminum_for_checking", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_e_accessories_for_checking.Item"]["edit"] = array("table" => "lyl_estimate_dr_detail_e_accessories_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_e_accessories_for_checking.Description"]["edit"] = array("table" => "lyl_estimate_dr_detail_e_accessories_for_checking", "field" => "Description", "page" => "edit");
	$lookupTableLinks["bal_lyl_eacc"]["lyl_estimate_dr_detail_e_accessories_for_checking.ref_id"]["edit"] = array("table" => "lyl_estimate_dr_detail_e_accessories_for_checking", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_glass_for_checking.Item"]["edit"] = array("table" => "lyl_estimate_dr_detail_glass_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["item"]["lyl_estimate_dr_detail_glass_for_checking.Description"]["edit"] = array("table" => "lyl_estimate_dr_detail_glass_for_checking", "field" => "Description", "page" => "edit");
	$lookupTableLinks["bal_lyl_glass"]["lyl_estimate_dr_detail_glass_for_checking.ref_id"]["edit"] = array("table" => "lyl_estimate_dr_detail_glass_for_checking", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["Customers"]["EWT_Certificates_summay.Business_Partner"]["search"] = array("table" => "EWT_Certificates_summay", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["ewt"]["EWT_Certificates_summay.atc"]["search"] = array("table" => "EWT_Certificates_summay", "field" => "atc", "page" => "search");
	$lookupTableLinks["1601e"]["1601e.month"]["edit"] = array("table" => "1601e", "field" => "month", "page" => "edit");
	$lookupTableLinks["1601eform"]["1601eform.month"]["edit"] = array("table" => "1601eform", "field" => "month", "page" => "edit");
	$lookupTableLinks["1601eform"]["1601fform.month"]["edit"] = array("table" => "1601fform", "field" => "month", "page" => "edit");
	$lookupTableLinks["bank"]["Recon_withdraw.bank"]["edit"] = array("table" => "Recon_withdraw", "field" => "bank", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["request_for_quote.Business_Partner"]["edit"] = array("table" => "request_for_quote", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["approver_list"]["request_for_quote.approved_by"]["edit"] = array("table" => "request_for_quote", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["request_for_quote.checked_by"]["edit"] = array("table" => "request_for_quote", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["request_for_quote.prepared_by"]["edit"] = array("table" => "request_for_quote", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["request_for_quote.modified_by"]["edit"] = array("table" => "request_for_quote", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["request_for_quoter_detail.Item"]["edit"] = array("table" => "request_for_quoter_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["request_for_quoter_detail.Account"]["edit"] = array("table" => "request_for_quoter_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["request_for_quoter_detail.Description"]["edit"] = array("table" => "request_for_quoter_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["request_for_quoter_detail.VAT_Type"]["edit"] = array("table" => "request_for_quoter_detail", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["cost_center"]["request_for_quoter_detail.Cost_Center"]["edit"] = array("table" => "request_for_quoter_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["serial_no"]["request_for_quoter_detail.serial_number"]["edit"] = array("table" => "request_for_quoter_detail", "field" => "serial_number", "page" => "edit");
	$lookupTableLinks["lot"]["request_for_quoter_detail.lot_no"]["edit"] = array("table" => "request_for_quoter_detail", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["uom"]["request_for_quoter_detail.um"]["edit"] = array("table" => "request_for_quoter_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["request_for_quote_for_checking.Business_Partner"]["edit"] = array("table" => "request_for_quote_for_checking", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["approver_list"]["request_for_quote_for_checking.approved_by"]["edit"] = array("table" => "request_for_quote_for_checking", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["request_for_quote_for_checking.checked_by"]["edit"] = array("table" => "request_for_quote_for_checking", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["request_for_quote_for_checking.prepared_by"]["edit"] = array("table" => "request_for_quote_for_checking", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["request_for_quote_for_checking.modified_by"]["edit"] = array("table" => "request_for_quote_for_checking", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["request_for_quote_for_approval.Business_Partner"]["edit"] = array("table" => "request_for_quote_for_approval", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["approver_list"]["request_for_quote_for_approval.approved_by"]["edit"] = array("table" => "request_for_quote_for_approval", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["request_for_quote_for_approval.checked_by"]["edit"] = array("table" => "request_for_quote_for_approval", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["request_for_quote_for_approval.prepared_by"]["edit"] = array("table" => "request_for_quote_for_approval", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["request_for_quote_for_approval.modified_by"]["edit"] = array("table" => "request_for_quote_for_approval", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["request_for_quoter_detail_for_checking.Item"]["edit"] = array("table" => "request_for_quoter_detail_for_checking", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["request_for_quoter_detail_for_checking.Account"]["edit"] = array("table" => "request_for_quoter_detail_for_checking", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["request_for_quoter_detail_for_checking.Description"]["edit"] = array("table" => "request_for_quoter_detail_for_checking", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["request_for_quoter_detail_for_checking.VAT_Type"]["edit"] = array("table" => "request_for_quoter_detail_for_checking", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["cost_center"]["request_for_quoter_detail_for_checking.Cost_Center"]["edit"] = array("table" => "request_for_quoter_detail_for_checking", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["serial_no"]["request_for_quoter_detail_for_checking.serial_number"]["edit"] = array("table" => "request_for_quoter_detail_for_checking", "field" => "serial_number", "page" => "edit");
	$lookupTableLinks["lot"]["request_for_quoter_detail_for_checking.lot_no"]["edit"] = array("table" => "request_for_quoter_detail_for_checking", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["uom"]["request_for_quoter_detail_for_checking.um"]["edit"] = array("table" => "request_for_quoter_detail_for_checking", "field" => "um", "page" => "edit");
	$lookupTableLinks["item"]["request_for_quoter_detail_for_approval.Item"]["edit"] = array("table" => "request_for_quoter_detail_for_approval", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["request_for_quoter_detail_for_approval.Account"]["edit"] = array("table" => "request_for_quoter_detail_for_approval", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["request_for_quoter_detail_for_approval.Description"]["edit"] = array("table" => "request_for_quoter_detail_for_approval", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["request_for_quoter_detail_for_approval.VAT_Type"]["edit"] = array("table" => "request_for_quoter_detail_for_approval", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["cost_center"]["request_for_quoter_detail_for_approval.Cost_Center"]["edit"] = array("table" => "request_for_quoter_detail_for_approval", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["serial_no"]["request_for_quoter_detail_for_approval.serial_number"]["edit"] = array("table" => "request_for_quoter_detail_for_approval", "field" => "serial_number", "page" => "edit");
	$lookupTableLinks["lot"]["request_for_quoter_detail_for_approval.lot_no"]["edit"] = array("table" => "request_for_quoter_detail_for_approval", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["uom"]["request_for_quoter_detail_for_approval.um"]["edit"] = array("table" => "request_for_quoter_detail_for_approval", "field" => "um", "page" => "edit");
	$lookupTableLinks["item"]["estimate_cost.Item"]["edit"] = array("table" => "estimate_cost", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["estimate_cost.Account"]["edit"] = array("table" => "estimate_cost", "field" => "Account", "page" => "edit");
	$lookupTableLinks["vat_type"]["estimate_cost.VAT_Type"]["edit"] = array("table" => "estimate_cost", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["uom"]["estimate_cost.um"]["edit"] = array("table" => "estimate_cost", "field" => "um", "page" => "edit");
	$lookupTableLinks["cost_center"]["project_house.department"]["edit"] = array("table" => "project_house", "field" => "department", "page" => "edit");
	$lookupTableLinks["inco_terms"]["project_house.inco_terms"]["edit"] = array("table" => "project_house", "field" => "inco_terms", "page" => "edit");
	$lookupTableLinks["shipment_classification"]["project_house.classification"]["edit"] = array("table" => "project_house", "field" => "classification", "page" => "edit");
	$lookupTableLinks["currency"]["project_house.currency"]["edit"] = array("table" => "project_house", "field" => "currency", "page" => "edit");
	$lookupTableLinks["airlines"]["project_house.carrier"]["edit"] = array("table" => "project_house", "field" => "carrier", "page" => "edit");
	$lookupTableLinks["seaports"]["project_house.discharger_port"]["edit"] = array("table" => "project_house", "field" => "discharger_port", "page" => "edit");
	$lookupTableLinks["business_partner"]["project_house.warehouse"]["edit"] = array("table" => "project_house", "field" => "warehouse", "page" => "edit");
	$lookupTableLinks["seaports"]["project_house.destination_port"]["edit"] = array("table" => "project_house", "field" => "destination_port", "page" => "edit");
	$lookupTableLinks["business_partner"]["project_house.shipper_info"]["edit"] = array("table" => "project_house", "field" => "shipper_info", "page" => "edit");
	$lookupTableLinks["business_partner"]["project_house.consignee_info"]["edit"] = array("table" => "project_house", "field" => "consignee_info", "page" => "edit");
	$lookupTableLinks["business_partner"]["project_house.agent_info"]["edit"] = array("table" => "project_house", "field" => "agent_info", "page" => "edit");
	$lookupTableLinks["business_partner"]["project_house.broker_info"]["edit"] = array("table" => "project_house", "field" => "broker_info", "page" => "edit");
	$lookupTableLinks["employees"]["project_house.sales_rep"]["edit"] = array("table" => "project_house", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["quotation"]["project_house.quotation"]["edit"] = array("table" => "project_house", "field" => "quotation", "page" => "edit");
	$lookupTableLinks["projects_view"]["project_house.parent_id"]["edit"] = array("table" => "project_house", "field" => "parent_id", "page" => "edit");
	$lookupTableLinks["business_partner"]["project_house.shipper_info2"]["edit"] = array("table" => "project_house", "field" => "shipper_info2", "page" => "edit");
	$lookupTableLinks["business_partner"]["project_house.consignee_info2"]["edit"] = array("table" => "project_house", "field" => "consignee_info2", "page" => "edit");
	$lookupTableLinks["business_partner"]["project_house.agent_info2"]["edit"] = array("table" => "project_house", "field" => "agent_info2", "page" => "edit");
	$lookupTableLinks["item"]["billable_liquidation.Item"]["edit"] = array("table" => "billable_liquidation", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["billable_liquidation.Account"]["edit"] = array("table" => "billable_liquidation", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["billable_liquidation.Description"]["edit"] = array("table" => "billable_liquidation", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["billable_liquidation.VAT_Type"]["edit"] = array("table" => "billable_liquidation", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["billable_liquidation.Subsidiary"]["edit"] = array("table" => "billable_liquidation", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["billable_liquidation.Cost_Center"]["edit"] = array("table" => "billable_liquidation", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["projects"]["billable_liquidation.lot_no"]["edit"] = array("table" => "billable_liquidation", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["project_replenishment_detail"]["billable_liquidation.ref_id_liq"]["edit"] = array("table" => "billable_liquidation", "field" => "ref_id_liq", "page" => "edit");
	$lookupTableLinks["item"]["billable_pettycash.Item"]["edit"] = array("table" => "billable_pettycash", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["billable_pettycash.Account"]["edit"] = array("table" => "billable_pettycash", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["billable_pettycash.Description"]["edit"] = array("table" => "billable_pettycash", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["billable_pettycash.VAT_Type"]["edit"] = array("table" => "billable_pettycash", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["billable_pettycash.Subsidiary"]["edit"] = array("table" => "billable_pettycash", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["billable_pettycash.Cost_Center"]["edit"] = array("table" => "billable_pettycash", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["projects"]["billable_pettycash.lot_no"]["edit"] = array("table" => "billable_pettycash", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["petty_cash_detail"]["billable_pettycash.ref_id_pc"]["edit"] = array("table" => "billable_pettycash", "field" => "ref_id_pc", "page" => "edit");
	$lookupTableLinks["item"]["billable_checkvoucher.Item"]["edit"] = array("table" => "billable_checkvoucher", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["billable_checkvoucher.Account"]["edit"] = array("table" => "billable_checkvoucher", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["billable_checkvoucher.Description"]["edit"] = array("table" => "billable_checkvoucher", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["billable_checkvoucher.VAT_Type"]["edit"] = array("table" => "billable_checkvoucher", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["billable_checkvoucher.Subsidiary"]["edit"] = array("table" => "billable_checkvoucher", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["billable_checkvoucher.Cost_Center"]["edit"] = array("table" => "billable_checkvoucher", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["projects"]["billable_checkvoucher.lot_no"]["edit"] = array("table" => "billable_checkvoucher", "field" => "lot_no", "page" => "edit");
	$lookupTableLinks["cash_disbursement_detail2"]["billable_checkvoucher.ref_id_cv"]["edit"] = array("table" => "billable_checkvoucher", "field" => "ref_id_cv", "page" => "edit");
	$lookupTableLinks["Customers"]["projects_dashboard.customer"]["search"] = array("table" => "projects_dashboard", "field" => "customer", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["projects_dashboard.replenishment_account"]["search"] = array("table" => "projects_dashboard", "field" => "replenishment_account", "page" => "search");
	$lookupTableLinks["system_user"]["projects_dashboard.project_manager"]["search"] = array("table" => "projects_dashboard", "field" => "project_manager", "page" => "search");
	$lookupTableLinks["open_so_for_project_management"]["projects_dashboard.sales_order"]["search"] = array("table" => "projects_dashboard", "field" => "sales_order", "page" => "search");
	$lookupTableLinks["cost_center"]["projects_dashboard.department"]["search"] = array("table" => "projects_dashboard", "field" => "department", "page" => "search");
	$lookupTableLinks["business_partner"]["projects_dashboard.account_of"]["search"] = array("table" => "projects_dashboard", "field" => "account_of", "page" => "search");
	$lookupTableLinks["cost_center"]["projects_dashboard.for_branch"]["search"] = array("table" => "projects_dashboard", "field" => "for_branch", "page" => "search");
	$lookupTableLinks["inco_terms"]["projects_dashboard.inco_terms"]["search"] = array("table" => "projects_dashboard", "field" => "inco_terms", "page" => "search");
	$lookupTableLinks["shipment_classification"]["projects_dashboard.classification"]["search"] = array("table" => "projects_dashboard", "field" => "classification", "page" => "search");
	$lookupTableLinks["currency"]["projects_dashboard.currency"]["search"] = array("table" => "projects_dashboard", "field" => "currency", "page" => "search");
	$lookupTableLinks["seaports"]["projects_dashboard.origin_port"]["search"] = array("table" => "projects_dashboard", "field" => "origin_port", "page" => "search");
	$lookupTableLinks["airlines"]["projects_dashboard.carrier"]["search"] = array("table" => "projects_dashboard", "field" => "carrier", "page" => "search");
	$lookupTableLinks["seaports"]["projects_dashboard.discharger_port"]["search"] = array("table" => "projects_dashboard", "field" => "discharger_port", "page" => "search");
	$lookupTableLinks["business_partner"]["projects_dashboard.warehouse"]["search"] = array("table" => "projects_dashboard", "field" => "warehouse", "page" => "search");
	$lookupTableLinks["seaports"]["projects_dashboard.destination_port"]["search"] = array("table" => "projects_dashboard", "field" => "destination_port", "page" => "search");
	$lookupTableLinks["business_partner"]["projects_dashboard.shipper_info"]["search"] = array("table" => "projects_dashboard", "field" => "shipper_info", "page" => "search");
	$lookupTableLinks["business_partner"]["projects_dashboard.consignee_info"]["search"] = array("table" => "projects_dashboard", "field" => "consignee_info", "page" => "search");
	$lookupTableLinks["business_partner"]["projects_dashboard.agent_info"]["search"] = array("table" => "projects_dashboard", "field" => "agent_info", "page" => "search");
	$lookupTableLinks["business_partner"]["projects_dashboard.broker_info"]["search"] = array("table" => "projects_dashboard", "field" => "broker_info", "page" => "search");
	$lookupTableLinks["business_partner"]["projects_dashboard.delivery_agent"]["search"] = array("table" => "projects_dashboard", "field" => "delivery_agent", "page" => "search");
	$lookupTableLinks["business_partner"]["projects_dashboard.sales_rep"]["search"] = array("table" => "projects_dashboard", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["quotation"]["projects_dashboard.quotation"]["search"] = array("table" => "projects_dashboard", "field" => "quotation", "page" => "search");
	$lookupTableLinks["user_roles"]["admin_members.role"]["edit"] = array("table" => "admin_members", "field" => "role", "page" => "edit");
	$lookupTableLinks["employee_list"]["admin_members.employee_name"]["edit"] = array("table" => "admin_members", "field" => "employee_name", "page" => "edit");
	$lookupTableLinks["cost_center"]["admin_members.cost_center"]["edit"] = array("table" => "admin_members", "field" => "cost_center", "page" => "edit");
	$lookupTableLinks["department"]["admin_members.department"]["edit"] = array("table" => "admin_members", "field" => "department", "page" => "edit");
	$lookupTableLinks["user_roles"]["admin_users.role"]["edit"] = array("table" => "admin_users", "field" => "role", "page" => "edit");
	$lookupTableLinks["employee_list"]["admin_users.employee_name"]["edit"] = array("table" => "admin_users", "field" => "employee_name", "page" => "edit");
	$lookupTableLinks["cost_center"]["admin_users.cost_center"]["edit"] = array("table" => "admin_users", "field" => "cost_center", "page" => "edit");
	$lookupTableLinks["department"]["admin_users.department"]["edit"] = array("table" => "admin_users", "field" => "department", "page" => "edit");
	$lookupTableLinks["bank"]["company.bank"]["edit"] = array("table" => "company", "field" => "bank", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["company.cash_account"]["edit"] = array("table" => "company", "field" => "cash_account", "page" => "edit");
	$lookupTableLinks["system_user"]["company.reviewer_by"]["edit"] = array("table" => "company", "field" => "reviewer_by", "page" => "edit");
	$lookupTableLinks["business_partner"]["notifiy_quotation_Report.Business_Partner"]["search"] = array("table" => "notifiy quotation Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["cost_center"]["notifiy_quotation_Report.Cost_Center"]["search"] = array("table" => "notifiy quotation Report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["notifiy_quotation_Report.Discount_Account"]["search"] = array("table" => "notifiy quotation Report", "field" => "Discount_Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["notifiy_quotation_Report.VAT_Account"]["search"] = array("table" => "notifiy quotation Report", "field" => "VAT_Account", "page" => "search");
	$lookupTableLinks["open_estimates"]["notifiy_quotation_Report.ref_no"]["search"] = array("table" => "notifiy quotation Report", "field" => "ref_no", "page" => "search");
	$lookupTableLinks["location"]["notifiy_quotation_Report.location"]["search"] = array("table" => "notifiy quotation Report", "field" => "location", "page" => "search");
	$lookupTableLinks["discounts"]["notifiy_quotation_Report.discount_type"]["search"] = array("table" => "notifiy quotation Report", "field" => "discount_type", "page" => "search");
	$lookupTableLinks["Sales_Representatives"]["notifiy_quotation_Report.sales_rep"]["search"] = array("table" => "notifiy quotation Report", "field" => "sales_rep", "page" => "search");
	$lookupTableLinks["currency"]["notifiy_quotation_Report.currecy"]["search"] = array("table" => "notifiy quotation Report", "field" => "currecy", "page" => "search");
	$lookupTableLinks["system_user"]["notifiy_quotation_Report.prepared_by"]["search"] = array("table" => "notifiy quotation Report", "field" => "prepared_by", "page" => "search");
	$lookupTableLinks["approver_list"]["notifiy_quotation_Report.checked_by"]["search"] = array("table" => "notifiy quotation Report", "field" => "checked_by", "page" => "search");
	$lookupTableLinks["approver_list"]["notifiy_quotation_Report.approved_by"]["search"] = array("table" => "notifiy quotation Report", "field" => "approved_by", "page" => "search");
	$lookupTableLinks["system_user"]["notifiy_quotation_Report.modified_by"]["search"] = array("table" => "notifiy quotation Report", "field" => "modified_by", "page" => "search");
	$lookupTableLinks["business_partner"]["petty_cash_release.Business_Partner"]["edit"] = array("table" => "petty cash release", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["petty_cash_release.Payable_Account"]["edit"] = array("table" => "petty cash release", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["petty_cash_release.Cost_Center"]["edit"] = array("table" => "petty cash release", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["petty_cash_release.Discount_Account"]["edit"] = array("table" => "petty cash release", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["petty_cash_release.VAT_Account"]["edit"] = array("table" => "petty cash release", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["petty_cash_release.EWT_Account"]["edit"] = array("table" => "petty cash release", "field" => "EWT_Account", "page" => "edit");
	$lookupTableLinks["location"]["petty_cash_release.location"]["edit"] = array("table" => "petty cash release", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["petty_cash_release.discount_type"]["edit"] = array("table" => "petty cash release", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["petty_cash_release.project"]["edit"] = array("table" => "petty cash release", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["petty_cash_release.phase"]["edit"] = array("table" => "petty cash release", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["petty_cash_release.approved_by"]["edit"] = array("table" => "petty cash release", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["petty_cash_release.checked_by"]["edit"] = array("table" => "petty cash release", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["petty_cash_release.prepared_by"]["edit"] = array("table" => "petty cash release", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["petty_cash_release.modified_by"]["edit"] = array("table" => "petty cash release", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["company"]["petty_cash_release.company"]["edit"] = array("table" => "petty cash release", "field" => "company", "page" => "edit");
	$lookupTableLinks["bank"]["petty_cash_release.bank"]["edit"] = array("table" => "petty cash release", "field" => "bank", "page" => "edit");
	$lookupTableLinks["business_partner"]["petty_cash_replenishment.Business_Partner"]["edit"] = array("table" => "petty cash replenishment", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["petty_cash_replenishment.Payable_Account"]["edit"] = array("table" => "petty cash replenishment", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["petty_cash_replenishment.Cost_Center"]["edit"] = array("table" => "petty cash replenishment", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["petty_cash_replenishment.Discount_Account"]["edit"] = array("table" => "petty cash replenishment", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["petty_cash_replenishment.VAT_Account"]["edit"] = array("table" => "petty cash replenishment", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["petty_cash_replenishment.EWT_Account"]["edit"] = array("table" => "petty cash replenishment", "field" => "EWT_Account", "page" => "edit");
	$lookupTableLinks["location"]["petty_cash_replenishment.location"]["edit"] = array("table" => "petty cash replenishment", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["petty_cash_replenishment.discount_type"]["edit"] = array("table" => "petty cash replenishment", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["petty_cash_replenishment.project"]["edit"] = array("table" => "petty cash replenishment", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["petty_cash_replenishment.phase"]["edit"] = array("table" => "petty cash replenishment", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["petty_cash_replenishment.approved_by"]["edit"] = array("table" => "petty cash replenishment", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["petty_cash_replenishment.checked_by"]["edit"] = array("table" => "petty cash replenishment", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["petty_cash_replenishment.prepared_by"]["edit"] = array("table" => "petty cash replenishment", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["petty_cash_replenishment.modified_by"]["edit"] = array("table" => "petty cash replenishment", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["company"]["petty_cash_replenishment.company"]["edit"] = array("table" => "petty cash replenishment", "field" => "company", "page" => "edit");
	$lookupTableLinks["bank"]["petty_cash_replenishment.bank"]["edit"] = array("table" => "petty cash replenishment", "field" => "bank", "page" => "edit");
	$lookupTableLinks["business_partner"]["Employee_Advance_Release.Business_Partner"]["edit"] = array("table" => "Employee Advance Release", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Employee_Advance_Release.Payable_Account"]["edit"] = array("table" => "Employee Advance Release", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Employee_Advance_Release.Cost_Center"]["edit"] = array("table" => "Employee Advance Release", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Employee_Advance_Release.Discount_Account"]["edit"] = array("table" => "Employee Advance Release", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Employee_Advance_Release.VAT_Account"]["edit"] = array("table" => "Employee Advance Release", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["Employee_Advance_Release.location"]["edit"] = array("table" => "Employee Advance Release", "field" => "location", "page" => "edit");
	$lookupTableLinks["system_user"]["Employee_Advance_Release.prepared_by"]["edit"] = array("table" => "Employee Advance Release", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Employee_Advance_Release.checked_by"]["edit"] = array("table" => "Employee Advance Release", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Employee_Advance_Release.approved_by"]["edit"] = array("table" => "Employee Advance Release", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Employee_Advance_Release.modified_by"]["edit"] = array("table" => "Employee Advance Release", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["company"]["Employee_Advance_Release.company"]["edit"] = array("table" => "Employee Advance Release", "field" => "company", "page" => "edit");
	$lookupTableLinks["business_partner"]["Employee_Advance_Replenishment.Business_Partner"]["edit"] = array("table" => "Employee Advance Replenishment", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Employee_Advance_Replenishment.Payable_Account"]["edit"] = array("table" => "Employee Advance Replenishment", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Employee_Advance_Replenishment.Cost_Center"]["edit"] = array("table" => "Employee Advance Replenishment", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Employee_Advance_Replenishment.Discount_Account"]["edit"] = array("table" => "Employee Advance Replenishment", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Employee_Advance_Replenishment.VAT_Account"]["edit"] = array("table" => "Employee Advance Replenishment", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["Employee_Advance_Replenishment.location"]["edit"] = array("table" => "Employee Advance Replenishment", "field" => "location", "page" => "edit");
	$lookupTableLinks["system_user"]["Employee_Advance_Replenishment.prepared_by"]["edit"] = array("table" => "Employee Advance Replenishment", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Employee_Advance_Replenishment.checked_by"]["edit"] = array("table" => "Employee Advance Replenishment", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Employee_Advance_Replenishment.approved_by"]["edit"] = array("table" => "Employee Advance Replenishment", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Employee_Advance_Replenishment.modified_by"]["edit"] = array("table" => "Employee Advance Replenishment", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["company"]["Employee_Advance_Replenishment.company"]["edit"] = array("table" => "Employee Advance Replenishment", "field" => "company", "page" => "edit");
	$lookupTableLinks["business_partner"]["Liquidation_Release.Business_Partner"]["edit"] = array("table" => "Liquidation Release", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Liquidation_Release.Payable_Account"]["edit"] = array("table" => "Liquidation Release", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Liquidation_Release.Cost_Center"]["edit"] = array("table" => "Liquidation Release", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Liquidation_Release.Discount_Account"]["edit"] = array("table" => "Liquidation Release", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Liquidation_Release.VAT_Account"]["edit"] = array("table" => "Liquidation Release", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["ewt"]["Liquidation_Release.atc"]["edit"] = array("table" => "Liquidation Release", "field" => "atc", "page" => "edit");
	$lookupTableLinks["location"]["Liquidation_Release.location"]["edit"] = array("table" => "Liquidation Release", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Liquidation_Release.discount_type"]["edit"] = array("table" => "Liquidation Release", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["reimbursement"]["Liquidation_Release.project"]["edit"] = array("table" => "Liquidation Release", "field" => "project", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Liquidation_Release.sales_rep"]["edit"] = array("table" => "Liquidation Release", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["phase"]["Liquidation_Release.phase"]["edit"] = array("table" => "Liquidation Release", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["Liquidation_Release.approved_by"]["edit"] = array("table" => "Liquidation Release", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Liquidation_Release.checked_by"]["edit"] = array("table" => "Liquidation Release", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Liquidation_Release.prepared_by"]["edit"] = array("table" => "Liquidation Release", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Liquidation_Release.modified_by"]["edit"] = array("table" => "Liquidation Release", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["company"]["Liquidation_Release.company"]["edit"] = array("table" => "Liquidation Release", "field" => "company", "page" => "edit");
	$lookupTableLinks["bank"]["Liquidation_Release.bank"]["edit"] = array("table" => "Liquidation Release", "field" => "bank", "page" => "edit");
	$lookupTableLinks["Suppliers"]["Liquidation_Replenishment.Business_Partner"]["edit"] = array("table" => "Liquidation Replenishment", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Liquidation_Replenishment.Payable_Account"]["edit"] = array("table" => "Liquidation Replenishment", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["Liquidation_Replenishment.Cost_Center"]["edit"] = array("table" => "Liquidation Replenishment", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Liquidation_Replenishment.Discount_Account"]["edit"] = array("table" => "Liquidation Replenishment", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Liquidation_Replenishment.VAT_Account"]["edit"] = array("table" => "Liquidation Replenishment", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["ewt"]["Liquidation_Replenishment.atc"]["edit"] = array("table" => "Liquidation Replenishment", "field" => "atc", "page" => "edit");
	$lookupTableLinks["location"]["Liquidation_Replenishment.location"]["edit"] = array("table" => "Liquidation Replenishment", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["Liquidation_Replenishment.discount_type"]["edit"] = array("table" => "Liquidation Replenishment", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["reimbursement"]["Liquidation_Replenishment.project"]["edit"] = array("table" => "Liquidation Replenishment", "field" => "project", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["Liquidation_Replenishment.sales_rep"]["edit"] = array("table" => "Liquidation Replenishment", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["phase"]["Liquidation_Replenishment.phase"]["edit"] = array("table" => "Liquidation Replenishment", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["Liquidation_Replenishment.approved_by"]["edit"] = array("table" => "Liquidation Replenishment", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["Liquidation_Replenishment.checked_by"]["edit"] = array("table" => "Liquidation Replenishment", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Liquidation_Replenishment.prepared_by"]["edit"] = array("table" => "Liquidation Replenishment", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["Liquidation_Replenishment.modified_by"]["edit"] = array("table" => "Liquidation Replenishment", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["company"]["Liquidation_Replenishment.company"]["edit"] = array("table" => "Liquidation Replenishment", "field" => "company", "page" => "edit");
	$lookupTableLinks["bank"]["Liquidation_Replenishment.bank"]["edit"] = array("table" => "Liquidation Replenishment", "field" => "bank", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["Billable_Cost_Report.Account"]["search"] = array("table" => "Billable Cost Report", "field" => "Account", "page" => "search");
	$lookupTableLinks["projects"]["Billable_Cost_Report.lot_no"]["search"] = array("table" => "Billable Cost Report", "field" => "lot_no", "page" => "search");
	$lookupTableLinks["business_partner"]["centerrep_pettycash.business_partner"]["edit"] = array("table" => "centerrep_pettycash", "field" => "business_partner", "page" => "edit");
	$lookupTableLinks["replenishment_pettycash"]["centerrep_pettycash.ref_id_pc"]["edit"] = array("table" => "centerrep_pettycash", "field" => "ref_id_pc", "page" => "edit");
	$lookupTableLinks["petty_cash"]["centerrep_pettycash.txnid"]["edit"] = array("table" => "centerrep_pettycash", "field" => "txnid", "page" => "edit");
	$lookupTableLinks["projects"]["centerrep_pettycash.project"]["edit"] = array("table" => "centerrep_pettycash", "field" => "project", "page" => "edit");
	$lookupTableLinks["cost_center"]["centerrep_pettycash.center"]["edit"] = array("table" => "centerrep_pettycash", "field" => "center", "page" => "edit");
	$lookupTableLinks["business_partner"]["centerrep_empadvance.business_partner"]["edit"] = array("table" => "centerrep_empadvance", "field" => "business_partner", "page" => "edit");
	$lookupTableLinks["replenishment_empadv"]["centerrep_empadvance.ref_id_empadv"]["edit"] = array("table" => "centerrep_empadvance", "field" => "ref_id_empadv", "page" => "edit");
	$lookupTableLinks["reimbursement"]["centerrep_empadvance.txnid"]["edit"] = array("table" => "centerrep_empadvance", "field" => "txnid", "page" => "edit");
	$lookupTableLinks["projects"]["centerrep_empadvance.project"]["edit"] = array("table" => "centerrep_empadvance", "field" => "project", "page" => "edit");
	$lookupTableLinks["cost_center"]["centerrep_empadvance.center"]["edit"] = array("table" => "centerrep_empadvance", "field" => "center", "page" => "edit");
	$lookupTableLinks["business_partner"]["centerrep_liquidation.business_partner"]["edit"] = array("table" => "centerrep_liquidation", "field" => "business_partner", "page" => "edit");
	$lookupTableLinks["replenishment_liquidation"]["centerrep_liquidation.ref_id_liq"]["edit"] = array("table" => "centerrep_liquidation", "field" => "ref_id_liq", "page" => "edit");
	$lookupTableLinks["project_replenishment"]["centerrep_liquidation.txnid"]["edit"] = array("table" => "centerrep_liquidation", "field" => "txnid", "page" => "edit");
	$lookupTableLinks["projects"]["centerrep_liquidation.project"]["edit"] = array("table" => "centerrep_liquidation", "field" => "project", "page" => "edit");
	$lookupTableLinks["cost_center"]["centerrep_liquidation.center"]["edit"] = array("table" => "centerrep_liquidation", "field" => "center", "page" => "edit");
	$lookupTableLinks["uom"]["other_charges.charge_unit"]["edit"] = array("table" => "other_charges", "field" => "charge_unit", "page" => "edit");
	$lookupTableLinks["currency"]["other_charges.currency"]["edit"] = array("table" => "other_charges", "field" => "currency", "page" => "edit");
	$lookupTableLinks["balance_advance"]["project_liquidation_detail2.liquidation"]["edit"] = array("table" => "project_liquidation_detail2", "field" => "liquidation", "page" => "edit");
	$lookupTableLinks["business_partner"]["project_liquidation_detail2.employee"]["edit"] = array("table" => "project_liquidation_detail2", "field" => "employee", "page" => "edit");
	$lookupTableLinks["reimbursement"]["project_liquidation_detail2.invoice_no"]["edit"] = array("table" => "project_liquidation_detail2", "field" => "invoice_no", "page" => "edit");
	$lookupTableLinks["balance_advance"]["project_liquidation_detail2.ref_id"]["edit"] = array("table" => "project_liquidation_detail2", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["business_partner"]["project_replenishment_deposited.Business_Partner"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["project_replenishment_deposited.Payable_Account"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "Payable_Account", "page" => "edit");
	$lookupTableLinks["cost_center"]["project_replenishment_deposited.Cost_Center"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["project_replenishment_deposited.Discount_Account"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["project_replenishment_deposited.VAT_Account"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["ewt"]["project_replenishment_deposited.atc"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "atc", "page" => "edit");
	$lookupTableLinks["location"]["project_replenishment_deposited.location"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["project_replenishment_deposited.discount_type"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["reimbursement"]["project_replenishment_deposited.project"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "project", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["project_replenishment_deposited.sales_rep"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["phase"]["project_replenishment_deposited.phase"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["project_replenishment_deposited.approved_by"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["project_replenishment_deposited.checked_by"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["project_replenishment_deposited.prepared_by"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["project_replenishment_deposited.modified_by"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["company"]["project_replenishment_deposited.company"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "company", "page" => "edit");
	$lookupTableLinks["bank"]["project_replenishment_deposited.bank"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "bank", "page" => "edit");
	$lookupTableLinks["bank"]["project_replenishment_deposited.deposit_bank"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "deposit_bank", "page" => "edit");
	$lookupTableLinks["projects"]["project_replenishment_deposited.project_no"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "project_no", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["project_replenishment_deposited.account_no"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "account_no", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["project_replenishment_deposited.account"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "account", "page" => "edit");
	$lookupTableLinks["reimbursement"]["project_replenishment_deposited.invoice_no2"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "invoice_no2", "page" => "edit");
	$lookupTableLinks["vat_type"]["project_replenishment_deposited.vat_type2"]["edit"] = array("table" => "project_replenishment_deposited", "field" => "vat_type2", "page" => "edit");
	$lookupTableLinks["business_partner"]["Project_and_Pettycash_Report.Business_Partner"]["search"] = array("table" => "Project and Pettycash Report", "field" => "Business_Partner", "page" => "search");
	$lookupTableLinks["cost_center"]["Project_and_Pettycash_Report.Cost_Center"]["search"] = array("table" => "Project and Pettycash Report", "field" => "Cost_Center", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Project_and_Pettycash_Report.Account"]["search"] = array("table" => "Project and Pettycash Report", "field" => "Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Project_and_Pettycash_Report.account_no"]["search"] = array("table" => "Project and Pettycash Report", "field" => "account_no", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Project_and_Liquidation_Report.Account"]["search"] = array("table" => "Project and Liquidation Report", "field" => "Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Project_and_Liquidation_Report.account_no"]["search"] = array("table" => "Project and Liquidation Report", "field" => "account_no", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Project_and_Sales_Report.Account"]["search"] = array("table" => "Project and Sales Report", "field" => "Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Project_and_Sales_Report.account_no"]["search"] = array("table" => "Project and Sales Report", "field" => "account_no", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Project_and_Voucher_Report.Account"]["search"] = array("table" => "Project and Voucher Report", "field" => "Account", "page" => "search");
	$lookupTableLinks["chart_of_accounts"]["Project_and_Voucher_Report.account_no"]["search"] = array("table" => "Project and Voucher Report", "field" => "account_no", "page" => "search");
	$lookupTableLinks["cost_center"]["projects_view.department"]["edit"] = array("table" => "projects_view", "field" => "department", "page" => "edit");
	$lookupTableLinks["business_partner"]["projects_view.shipper_info"]["edit"] = array("table" => "projects_view", "field" => "shipper_info", "page" => "edit");
	$lookupTableLinks["business_partner"]["projects_view.consignee_info"]["edit"] = array("table" => "projects_view", "field" => "consignee_info", "page" => "edit");
	$lookupTableLinks["business_partner"]["projects_view.agent_info"]["edit"] = array("table" => "projects_view", "field" => "agent_info", "page" => "edit");
	$lookupTableLinks["business_partner"]["projects_view.customer1"]["edit"] = array("table" => "projects_view", "field" => "customer1", "page" => "edit");
	$lookupTableLinks["currency"]["projects_view.currency"]["edit"] = array("table" => "projects_view", "field" => "currency", "page" => "edit");
	$lookupTableLinks["quotation"]["projects_view.quotation"]["edit"] = array("table" => "projects_view", "field" => "quotation", "page" => "edit");
	$lookupTableLinks["cost_center"]["projects_lite.department"]["edit"] = array("table" => "projects_lite", "field" => "department", "page" => "edit");
	$lookupTableLinks["inco_terms"]["projects_lite.inco_terms"]["edit"] = array("table" => "projects_lite", "field" => "inco_terms", "page" => "edit");
	$lookupTableLinks["shipment_classification"]["projects_lite.classification"]["edit"] = array("table" => "projects_lite", "field" => "classification", "page" => "edit");
	$lookupTableLinks["currency"]["projects_lite.currency"]["edit"] = array("table" => "projects_lite", "field" => "currency", "page" => "edit");
	$lookupTableLinks["airlines"]["projects_lite.carrier"]["edit"] = array("table" => "projects_lite", "field" => "carrier", "page" => "edit");
	$lookupTableLinks["seaports"]["projects_lite.discharger_port"]["edit"] = array("table" => "projects_lite", "field" => "discharger_port", "page" => "edit");
	$lookupTableLinks["business_partner"]["projects_lite.warehouse"]["edit"] = array("table" => "projects_lite", "field" => "warehouse", "page" => "edit");
	$lookupTableLinks["seaports"]["projects_lite.destination_port"]["edit"] = array("table" => "projects_lite", "field" => "destination_port", "page" => "edit");
	$lookupTableLinks["business_partner"]["projects_lite.shipper_info"]["edit"] = array("table" => "projects_lite", "field" => "shipper_info", "page" => "edit");
	$lookupTableLinks["business_partner"]["projects_lite.consignee_info"]["edit"] = array("table" => "projects_lite", "field" => "consignee_info", "page" => "edit");
	$lookupTableLinks["business_partner"]["projects_lite.agent_info"]["edit"] = array("table" => "projects_lite", "field" => "agent_info", "page" => "edit");
	$lookupTableLinks["business_partner"]["projects_lite.broker_info"]["edit"] = array("table" => "projects_lite", "field" => "broker_info", "page" => "edit");
	$lookupTableLinks["employees"]["projects_lite.sales_rep"]["edit"] = array("table" => "projects_lite", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["quotation"]["projects_lite.quotation"]["edit"] = array("table" => "projects_lite", "field" => "quotation", "page" => "edit");
	$lookupTableLinks["business_partner"]["projects_lite.shipper_info2"]["edit"] = array("table" => "projects_lite", "field" => "shipper_info2", "page" => "edit");
	$lookupTableLinks["business_partner"]["projects_lite.consignee_info2"]["edit"] = array("table" => "projects_lite", "field" => "consignee_info2", "page" => "edit");
	$lookupTableLinks["business_partner"]["projects_lite.agent_info2"]["edit"] = array("table" => "projects_lite", "field" => "agent_info2", "page" => "edit");
	$lookupTableLinks["sales_business_partner"]["sales_sub_invoice.invoice_no"]["edit"] = array("table" => "sales_sub_invoice", "field" => "invoice_no", "page" => "edit");
	$lookupTableLinks["projects_view"]["sales_sub_invoice.project"]["edit"] = array("table" => "sales_sub_invoice", "field" => "project", "page" => "edit");
	$lookupTableLinks["business_partner"]["sales_sub_invoice.customer"]["edit"] = array("table" => "sales_sub_invoice", "field" => "customer", "page" => "edit");
	$lookupTableLinks["business_partner"]["sales_business_partner.Business_Partner"]["edit"] = array("table" => "sales_business_partner", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sales_business_partner.Receivable_Account"]["edit"] = array("table" => "sales_business_partner", "field" => "Receivable_Account", "page" => "edit");
	$lookupTableLinks["credit_terms"]["sales_business_partner.Terms"]["edit"] = array("table" => "sales_business_partner", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["sales_business_partner.Cost_Center"]["edit"] = array("table" => "sales_business_partner", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["sales_business_partner.Shipping_Terms"]["edit"] = array("table" => "sales_business_partner", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sales_business_partner.Discount_Account"]["edit"] = array("table" => "sales_business_partner", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sales_business_partner.VAT_Account"]["edit"] = array("table" => "sales_business_partner", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["ewt"]["sales_business_partner.EWT_Account"]["edit"] = array("table" => "sales_business_partner", "field" => "EWT_Account", "page" => "edit");
	$lookupTableLinks["open_so_for_invoice"]["sales_business_partner.ref_no"]["edit"] = array("table" => "sales_business_partner", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["location"]["sales_business_partner.location"]["edit"] = array("table" => "sales_business_partner", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["sales_business_partner.discount_type"]["edit"] = array("table" => "sales_business_partner", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects_view"]["sales_business_partner.project"]["edit"] = array("table" => "sales_business_partner", "field" => "project", "page" => "edit");
	$lookupTableLinks["phase"]["sales_business_partner.phase"]["edit"] = array("table" => "sales_business_partner", "field" => "phase", "page" => "edit");
	$lookupTableLinks["Sales_Representatives"]["sales_business_partner.sales_rep"]["edit"] = array("table" => "sales_business_partner", "field" => "sales_rep", "page" => "edit");
	$lookupTableLinks["currency"]["sales_business_partner.currency"]["edit"] = array("table" => "sales_business_partner", "field" => "currency", "page" => "edit");
	$lookupTableLinks["system_user"]["sales_business_partner.prepared_by"]["edit"] = array("table" => "sales_business_partner", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["sales_business_partner.checked_by"]["edit"] = array("table" => "sales_business_partner", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["sales_business_partner.approved_by"]["edit"] = array("table" => "sales_business_partner", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["system_user"]["sales_business_partner.modified_by"]["edit"] = array("table" => "sales_business_partner", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sales_business_partner.deferred_output_vat_account"]["edit"] = array("table" => "sales_business_partner", "field" => "deferred_output_vat_account", "page" => "edit");
	$lookupTableLinks["quotation"]["sales_business_partner.quotation_no"]["edit"] = array("table" => "sales_business_partner", "field" => "quotation_no", "page" => "edit");
	$lookupTableLinks["cost_center"]["sales_business_partner.center2"]["edit"] = array("table" => "sales_business_partner", "field" => "center2", "page" => "edit");
	$lookupTableLinks["item"]["sales_business_partner.charges2"]["edit"] = array("table" => "sales_business_partner", "field" => "charges2", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sales_business_partner.accountno2"]["edit"] = array("table" => "sales_business_partner", "field" => "accountno2", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["sales_business_partner.account2"]["edit"] = array("table" => "sales_business_partner", "field" => "account2", "page" => "edit");
	$lookupTableLinks["uom"]["sales_business_partner.um2"]["edit"] = array("table" => "sales_business_partner", "field" => "um2", "page" => "edit");
	$lookupTableLinks["item"]["sales_business_partner.description2"]["edit"] = array("table" => "sales_business_partner", "field" => "description2", "page" => "edit");
	$lookupTableLinks["vat_type"]["sales_business_partner.vattype2"]["edit"] = array("table" => "sales_business_partner", "field" => "vattype2", "page" => "edit");
	$lookupTableLinks["ewt"]["sales_business_partner.ewtatc2"]["edit"] = array("table" => "sales_business_partner", "field" => "ewtatc2", "page" => "edit");
	$lookupTableLinks["employee_list"]["canvas.Business_Partner"]["edit"] = array("table" => "canvas", "field" => "Business_Partner", "page" => "edit");
	$lookupTableLinks["credit_terms"]["canvas.Terms"]["edit"] = array("table" => "canvas", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["cost_center"]["canvas.Cost_Center"]["edit"] = array("table" => "canvas", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["shipping_terms"]["canvas.Shipping_Terms"]["edit"] = array("table" => "canvas", "field" => "Shipping_Terms", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["canvas.Discount_Account"]["edit"] = array("table" => "canvas", "field" => "Discount_Account", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["canvas.VAT_Account"]["edit"] = array("table" => "canvas", "field" => "VAT_Account", "page" => "edit");
	$lookupTableLinks["location"]["canvas.location"]["edit"] = array("table" => "canvas", "field" => "location", "page" => "edit");
	$lookupTableLinks["discounts"]["canvas.discount_type"]["edit"] = array("table" => "canvas", "field" => "discount_type", "page" => "edit");
	$lookupTableLinks["projects"]["canvas.project"]["edit"] = array("table" => "canvas", "field" => "project", "page" => "edit");
	$lookupTableLinks["currency"]["canvas.currecy"]["edit"] = array("table" => "canvas", "field" => "currecy", "page" => "edit");
	$lookupTableLinks["phase"]["canvas.phase"]["edit"] = array("table" => "canvas", "field" => "phase", "page" => "edit");
	$lookupTableLinks["approver_list"]["canvas.approved_by"]["edit"] = array("table" => "canvas", "field" => "approved_by", "page" => "edit");
	$lookupTableLinks["approver_list"]["canvas.checked_by"]["edit"] = array("table" => "canvas", "field" => "checked_by", "page" => "edit");
	$lookupTableLinks["system_user"]["canvas.prepared_by"]["edit"] = array("table" => "canvas", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["canvas.modified_by"]["edit"] = array("table" => "canvas", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["sales_order"]["canvas.so_no"]["edit"] = array("table" => "canvas", "field" => "so_no", "page" => "edit");
	$lookupTableLinks["item"]["canvas_detail.Item"]["edit"] = array("table" => "canvas_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["canvas_detail.Account"]["edit"] = array("table" => "canvas_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["canvas_detail.Description"]["edit"] = array("table" => "canvas_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["canvas_detail.VAT_Type"]["edit"] = array("table" => "canvas_detail", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["business_partner"]["canvas_detail.Subsidiary"]["edit"] = array("table" => "canvas_detail", "field" => "Subsidiary", "page" => "edit");
	$lookupTableLinks["cost_center"]["canvas_detail.Cost_Center"]["edit"] = array("table" => "canvas_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["canvas_detail.um"]["edit"] = array("table" => "canvas_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["Suppliers"]["canvas_detail.supplier1"]["edit"] = array("table" => "canvas_detail", "field" => "supplier1", "page" => "edit");
	$lookupTableLinks["Suppliers"]["canvas_detail.supplier2"]["edit"] = array("table" => "canvas_detail", "field" => "supplier2", "page" => "edit");
	$lookupTableLinks["Suppliers"]["canvas_detail.supplier3"]["edit"] = array("table" => "canvas_detail", "field" => "supplier3", "page" => "edit");
	$lookupTableLinks["Suppliers"]["canvas_detail.approved_supplier"]["edit"] = array("table" => "canvas_detail", "field" => "approved_supplier", "page" => "edit");
	$lookupTableLinks["credit_terms"]["request_for_payment.Terms"]["edit"] = array("table" => "request_for_payment", "field" => "Terms", "page" => "edit");
	$lookupTableLinks["po_netpr"]["request_for_payment.ref_no"]["edit"] = array("table" => "request_for_payment", "field" => "ref_no", "page" => "edit");
	$lookupTableLinks["system_user"]["request_for_payment.prepared_by"]["edit"] = array("table" => "request_for_payment", "field" => "prepared_by", "page" => "edit");
	$lookupTableLinks["system_user"]["request_for_payment.modified_by"]["edit"] = array("table" => "request_for_payment", "field" => "modified_by", "page" => "edit");
	$lookupTableLinks["item"]["request_for_payment_detail.Item"]["edit"] = array("table" => "request_for_payment_detail", "field" => "Item", "page" => "edit");
	$lookupTableLinks["chart_of_accounts"]["request_for_payment_detail.Account"]["edit"] = array("table" => "request_for_payment_detail", "field" => "Account", "page" => "edit");
	$lookupTableLinks["item"]["request_for_payment_detail.Description"]["edit"] = array("table" => "request_for_payment_detail", "field" => "Description", "page" => "edit");
	$lookupTableLinks["vat_type"]["request_for_payment_detail.VAT_Type"]["edit"] = array("table" => "request_for_payment_detail", "field" => "VAT_Type", "page" => "edit");
	$lookupTableLinks["cost_center"]["request_for_payment_detail.Cost_Center"]["edit"] = array("table" => "request_for_payment_detail", "field" => "Cost_Center", "page" => "edit");
	$lookupTableLinks["uom"]["request_for_payment_detail.um"]["edit"] = array("table" => "request_for_payment_detail", "field" => "um", "page" => "edit");
	$lookupTableLinks["purchase_order_detail"]["request_for_payment_detail.ref_id"]["edit"] = array("table" => "request_for_payment_detail", "field" => "ref_id", "page" => "edit");
	$lookupTableLinks["Suppliers"]["po_netpr.Business_Partner"]["edit"] = array("table" => "po_netpr", "field" => "Business_Partner", "page" => "edit");
}

?>